<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: emails.php 884 2009-10-08 19:41:01Z mike007.devpwsphp $
// ---------------------------------------------------------------
// Mise a jour : 29/07/06 par Ditch
// ---------------------------------------------------------------

//if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

/**
* Fonction d'envoi de mail
* @param $expediteur nom de expediteur de l'email
* @param $email_expediteur adresse de l'expediteur
* @param $destinataire nom du destinataire
* @param $email_destinataire email du destinataire
* @param $sujet Sujet de l'email
* @param $message Corps du message
* @param $email_type type de l'email (php ou pws)
* @param $email_encod encodage de l'email (html ou texte)
*/

function envoi_mail($expediteur, $email_expediteur, $destinataire, $email_destinataire, $sujet, $texte, $email_type, $email_encod=0, $bcc_destinataires='')
{
	$mail_envoye = false;
	if (!empty($email_destinataire) || !empty($bcc_destinataires))
	{
		//-----------------------------------------------
		//GENERE LA FRONTIERE DU MAIL ENTRE TEXTE ET HTML
		//-----------------------------------------------

		$frontiere = '-----=' . md5(uniqid(mt_rand()));

		//-----------------------------------------------
		//HEADERS DU MAIL
		//-----------------------------------------------
		$destinataire = (empty($destinataire) ? $email_destinataire : $destinataire).(!empty($email_destinataire) ? ' <'.$email_destinataire.'>' : '')."\n";
		$headers = 'From: "'.$expediteur.'" <'.$email_expediteur.'>'."\n";
		// avec bcc :
		if (!empty($bcc_destinataires))
		{
			$headers .= 'Bcc: '.$bcc_destinataires."\n";
		}
		$headers .= 'Return-Path: <'.$email_expediteur.'>'."\n";
		$headers .= 'MIME-Version: 1.0'."\n";
		$headers .= 'Content-Type: multipart/mixed; boundary="'.$frontiere.'"';

		$mail_envoye = true;
		if ($email_type == 'php' && $email_encod == '1')
		{
			//-----------------------------------------------
			//MESSAGE HTML
			//-----------------------------------------------
			$message = '--'.$frontiere."\n";
			$message .= 'Content-Type: text/html; charset="iso-8859-15"'."\n";
			$message .= 'Content-Transfer-Encoding: 8bit'."\n\n";
			$message .= $texte."\n\n";
			$message .= '--'.$frontiere.'--'."\n";
			
			@mail($destinataire, $sujet, $message, $headers) or $mail_envoye = false;
		}
		elseif ($email_type == 'php' && $email_encod == '0')
		{
			//-----------------------------------------------
			//MESSAGE TEXTE
			//-----------------------------------------------
			$message = '--'.$frontiere."\n";
			$message .= 'Content-Type: text/plain; charset="iso-8859-15"'."\n";
			$message .= 'Content-Transfer-Encoding: 8bit'."\n\n";
			$message .= $texte."\n\n";
			$message .= '--'.$frontiere.'--'."\n";

			@mail($destinataire, $sujet, $message, $headers) or $mail_envoye = false;
		}
	}

	return $mail_envoye;
}
?>
