<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: dlup_avertir_post.php 1049 2017-07-11 16:16:33Z mike007 $
// ---------------------------------------------------------------
// Module  : admin
// Fichier : avertir.php
// ---------------------------------------------------------------
// cr par : julkien octobre 2008
// ---------------------------------------------------------------
// traitement de la cration de l'avertissement d'une maj de module

if (!(defined('__KWS__'))) {die('Erreur d\'appel de fichier.');}

if (isset($_POST['manuelAvertir']))
{
	header('Location: index.php?mod=admin&ac=dlup_manuel');
	exit();
}

if (get_grade() >= GRD_ADMIN)
{
	// Nouvel avertissement
	if ($_GET['int_id']=='1')
	{
		if (file_exists('./modules/'.$_POST['sql_choix_module'].'/gestionnaire.txt'))
		{
			$module_file = fopen('./modules/'.$_POST['sql_choix_module'].'/gestionnaire.txt','r');
			
			$module_version = trim(fgets($module_file ,999));	// Nom
			$module_version = trim(fgets($module_file ,999));	// Description
			$module_version = trim(fgets($module_file ,999));	// Obligatoire
			$module_version = trim(fgets($module_file ,999));	// version
			$module_txt		= $module_version;
			fclose($module_file);
		}

		if (!empty($_POST['int_update_manuel_id']))
		{
			$update_row['id'] = $_POST['int_update_manuel_id'];
		}
		else
		{
			$update_req = reqmysql("SELECT `id` FROM `dl` WHERE `titre`='".$_POST['sql_choix_module']."' OR `titre` LIKE '".$_POST['sql_choix_module']."%' ");
			if(Kws_mysql_num_rows($update_req) == 1)
			{
				$update_row = Kws_mysql_fetch_array($update_req);
			}
		}

		if ((!empty($module_version) or !empty($_POST['sql_update_manuel_version'])) and !empty($update_row['id']))
		{
			$update_url_site 	 = !empty($_POST['sql_update_url_site']) ? $_POST['sql_update_url_site'] :  $K_url_site;
			$module_version_data = !empty($_POST['sql_update_manuel_version']) ? $_POST['sql_update_manuel_version'] : $module_version;
		
$data = '<?xml version="1.0" encoding="ISO-8859-1" ?>
<update_module>
	<update>
		<update_version>'.ax($module_version_data).'</update_version>
		<update_id>'.$update_row['id'].'</update_id>
		<update_url_site>'.ax($update_url_site).'</update_url_site>
	</update>
</update_module>';

			if (!file_exists('./modules/admin/update/'.$_POST['sql_choix_module'].'/update.xml'))
			{
				mkdir('modules/admin/update/'.$_POST['sql_choix_module'].'', 0705);
			}
			else
			{
				$fichier = 'modules/admin/update/'.$_POST['sql_choix_module'].'/update.xml' ;
				unlink($fichier) ;
			}
			$fp = fopen('modules/admin/update/'.$_POST['sql_choix_module'].'/update.xml','a+');
			fputs($fp,$data."\r\n");
			fclose($fp);

			$_SESSION['dlup_msg'] = df_message('attention',
			'<span style="font-style:italic">L&rsquo;information concernant la mise  jour du module <strong>&laquo; '.ax($_POST['sql_choix_module']).' &raquo;</strong> est maintenant disponible pour tous les utilisateurs.
			<br />N&rsquo;oubliez pas de mettre le t&eacute;l&eacute;chargement ouvert aux visiteurs.</span>');

			header('Location: index.php?mod=admin&ac=gestion_module');
		}
		else
		{
			$dlup_msg = df_message(
				'attention',
				'<p>D&eacute;sol&eacute;, mais <strong>aucun num&eacute;ro de version et/ou num&eacute;ro de t&eacute;l&eacute;chargement</strong> n&rsquo;a &eacute;t&eacute; trouv&eacute;.</p>'
			).'
			<h3>Veuillez complter le formulaire ci-dessous :</h3><br />';

			include './modules/'.$K_mod.'/dlup_manuel.php';
		}
	}
	
	// Supression d'un avertissement
	if ($_GET['int_id']=='2')
	{
		if (is_array($_POST['sql_choix_module']))
		{
			foreach ($_POST['sql_choix_module'] as $module)
			{
				$fichier = 'modules/admin/update/'.$module.'/update.xml';
				unlink($fichier);
				if (file_exists($fichier))
				{
					$dlup_msg .= df_message('erreur', 'Le fichier <strong>'.$fichier.'</strong> n&rsquo;a pas pu &ecirc;tre &eacute;ffac&eacute; !');
				}
				else
				{
					$dlup_msg .= df_message('information', 'L&rsquo;alerte concernant le module <strong>'.$module.'</strong> a &eacute;t&eacute; supprim&eacute;e.');
				}
			}
		}
		else
		{
			$dlup_msg .= df_message('attention', 'Vous n&rsquo;avez s&eacute;lectionn&eacute; aucune alerte !');
		}
		include './modules/'.$K_mod.'/dlup_avertir_liste.php';
	}
}

?>
