-- $Id: install.sql 1050 2017-08-08 16:03:25Z mike007 $

DROP TABLE IF EXISTS `emails_to_send`;
CREATE TABLE `emails_to_send` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `type` varchar(10) NOT NULL default 'multi',
  `titre` varchar(100) NOT NULL default '',
  `message` text NOT NULL,
  `from` varchar(100) NOT NULL default '',
  `to` text NOT NULL,
  `cc` text NOT NULL,
  `cci` mediumtext NOT NULL,
  `module` varchar(30) NOT NULL default '',
  `id_ref` int(11) unsigned NOT NULL DEFAULT '0',
  primary KEY `id` (`id`)
) TYPE=MyISAM COMMENT='E-mails  envoyer' AUTO_INCREMENT=1;

DROP TABLE IF EXISTS `questionnaire_question`;
CREATE TABLE `questionnaire_question` (
  `id` int(11) NOT NULL auto_increment,
  `module` varchar(50) NOT NULL default '',
  `question` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Questionnaire';

DROP TABLE IF EXISTS `questionnaire_reponse`;
CREATE TABLE `questionnaire_reponse` (
  `id` int(11) NOT NULL auto_increment,
  `id_question` int(11) NOT NULL default '0',
  `reponse` varchar(255) NOT NULL default '',
  `juste` varchar(3) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Questionnaire';

-- ---------------------------------------------------------

--
-- insertion dans la table `droit`
--
INSERT INTO `droit` SET `module`='admin', `page`='piedModule', `grade`='0', `groupe`='0', `condition`='or';

--
-- insertion dans la table `droit_exclu`
--

INSERT INTO `droit_exclu` SET `module`='admin', `page`='class_modules', `accessible`='0';

-- ---------------------------------------------------------

--
-- insertion dans la table `parametres`
-- Ces variables sont obligatoires, il faut les prciser lors d'un nouvel ajout dans le fichier gestion.php du module debug
--

INSERT INTO `parametres` SET `nom`='K_Error_Reporting', `valeur`='a:2:{s:5:"error";i:0;s:5:"grade";i:3;}';
INSERT INTO `parametres` SET `nom`='keywords', `valeur`='';
INSERT INTO `parametres` SET `nom`='K_head_plus', `valeur`='on';
INSERT INTO `parametres` SET `nom`='logo', `valeur`='';
INSERT INTO `parametres` SET `nom`='K_edito_aff', `valeur`='oui';
INSERT INTO `parametres` SET `nom`='titre_edito', `valeur`='Bienvenue sur le site !';
INSERT INTO `parametres` SET `nom`='edito', `valeur`='Bienvenue sur le site !';
INSERT INTO `parametres` SET `nom`='K_IndexHtmlAff', `valeur`='non';
INSERT INTO `parametres` SET `nom`='K_IndexHtml', `valeur`='<p style="text-align: center;">Bienvenue sur ce site</p>\r\n<p style="text-align: center;">\r\n<a href="%UrlIn%">Entrer</a>\r\n<a href="%UrlOut%">Sortir</a>\r\n</p>';
INSERT INTO `parametres` SET `nom`='K_IndexHtmlUrlOut', `valeur`='https://www.google.fr/';
INSERT INTO `parametres` SET `nom`='sstitre', `valeur`='Bienvenue !';
INSERT INTO `parametres` SET `nom`='K_mod_dem', `valeur`='a:1:{i:0;s:4:"news";}';
INSERT INTO `parametres` SET `nom`='K_ReglesSite', `valeur`='';
INSERT INTO `parametres` SET `nom`='K_ReglesAff', `valeur`='on';
INSERT INTO `parametres` SET `nom`='K_revalidation_regles', `valeur`='0';
INSERT INTO `parametres` SET `nom`='K_grade_1_option', `valeur`='color:#990099<=>+<=>Membre privilgi';
INSERT INTO `parametres` SET `nom`='K_grade_2_option', `valeur`='color:#009900<=>&Omega;<=>Modrateur de forum';
INSERT INTO `parametres` SET `nom`='K_grade_3_option', `valeur`='color:#cc3300<=>&Omega;<=>Modrateur';
INSERT INTO `parametres` SET `nom`='K_grade_4_option', `valeur`='color:#003366<=>&Psi;<=>Administrateur';
INSERT INTO `parametres` SET `nom`='K_grade_5_option', `valeur`='color:#ff00ff<=>&copy;<=>Ttard';
INSERT INTO `parametres` SET `nom`='K_grd_user_invisible', `valeur`='4';
INSERT INTO `parametres` SET `nom`='K_annee_en_cours', `valeur`='2018';

INSERT INTO `parametres` SET `nom`='msgbienvenue', `valeur`='Vous pouvez maintenant dposer des commentaires, participer aux discussions sur le forum, etc...\r\n\r\nMerci de nous signaler les bugs ;)';
INSERT INTO `parametres` SET `nom`='msgbienvenue_Envoi', `valeur`='on';
INSERT INTO `parametres` SET `nom`='mailvalidation', `valeur`='Bonjour %pseudo%,<br /><br />Veuillez confirmer votre inscription en cliquant sur le <a href="%url_site%index.php?mod=espace_membre&ac=val&cle=%cle%">lien suivant</a>.<br /><br />Merci.';
INSERT INTO `parametres` SET `nom`='mailbienvenue', `valeur`='Bonjour %pseudo%,<br /><br />Merci de vous tre inscrit !<br /><br />Votre identifiant est : %pseudo% et votre mot de passe : %pass%<br /><br />Vous pouvez maintenant vous connecter via <a href="%url_site%index.php?mod=espace_membre&ac=login">ce lien</a>.';
INSERT INTO `parametres` SET `nom`='mailmp', `valeur`='Bonjour,<br /><br />%auteur% vous a envoy un message priv ! <a href="%url_site%index.php?mod=espace_membre&ac=boite">Cliquez ici</a> pour vous rendre dans votre messagerie.<br /><br />Contenu du message :<br /><br />%contenu%<br /><br />Si vous ne souhaitez plus recevoir de mail  chaque nouveau message, <a href="%url_site%index.php?mod=espace_membre&ac=login">ditez votre profil</a> en consquence.';
INSERT INTO `parametres` SET `nom`='mailreponsetopic', `valeur`='Bonjour %destin% !<br /><br />%auteur% a ajout une rponse au sujet que vous surveillez et qui s\'intitule : %titre%.<br /><br /><a href="%urltopic%">Cliquez ici</a> pour y accder :<br /><br /><a href="%urldesinscr%">Cliquez ici</a> pour vous dsinscrire de la surveillance de ce sujet.<br /><br />PS: Vous ne recevrez plus de mail lors de l\'ajout d\'une rponse jusqu\' la lecture du sujet s\'y rapportant.';
INSERT INTO `parametres` SET `nom`='mailcommentaire', `valeur`='Bonjour,<br /><br />Vous avez choisi de surveiller %type%. Un message a t post. Vous pouvez vous y rendre en <a href="%url%">cliquant ici</a>.';
INSERT INTO `parametres` SET `nom`='mailnews', `valeur`='Bonjour,<br /><br />Une news a t poste sur <a href="%url_site%index.php?mod=news">%url_site%</a> par %auteur% et vous avez demand  en etre averti<br /><br />_____________________________<br /><br />titre : %titre%<br /><br />%contenu%';
INSERT INTO `parametres` SET `nom`='mailnewsletter', `valeur`='Bonjour,<br /><br />Merci de vous tre inscrit  notre newsletter<br /><br />Revenez visiter notre site de temps en temps : <a href="%url_site%">%url_site%</a> !';
INSERT INTO `parametres` SET `nom`='maildenewsletter', `valeur`='Bonjour,<br /><br />Vous avez demand  ne plus recevoir notre newsletter, votre email a t supprim, vous ne recevrez plus d\'autres mails.<br /><br />Revenez visiter notre site de temps en temps : <a href="%url_site%">%url_site%</a> !<br /><br />A bientt.';
INSERT INTO `parametres` SET `nom`='mailchg', `valeur`='Bonjour %pseudo%,<br /><br />Veuillez confirmer le changement d\'email en cliquant sur le <a href="%url_site%index.php?mod=espace_membre&ac=val&mail=%clemail%">lien suivant</a>.<br /><br />Merci.';
INSERT INTO `parametres` SET `nom`='mailperdu', `valeur`='Bonjour %pseudo%,<br /><br />Vous recevez ce message suite  la demande d\'envoi d\'un nouveau mot de passe sur le site <a href="%url_site%">%url_site%</a>.<br /><br />Pour une question de scurit, votre mot de passe a t chang et gnr par le serveur.<br /><br />Votre nouveau mot de passe est : %pass%<br /><br />Vous pouvez maintenant vous connecter via <a href="%url_site%index.php?mod=espace_membre&ac=login">ce lien</a><br /><br />Et modifier ce mot de passe via votre profil.';

INSERT INTO `parametres` SET `nom`='K_message_enregistrement', `valeur`='- Poster des commentaires (news, Articles...)<br />- Accder  des parties privilgies sous le contrle de l\'administrateur (espace membre, forum...)';
INSERT INTO `parametres` SET `nom`='K_validation_enregistrement', `valeur`='off';
INSERT INTO `parametres` SET `nom`='K_validation_delai_del', `valeur`='2';
INSERT INTO `parametres` SET `nom`='K_domainesMails_bloques', `valeur`='a:141:{i:0;s:7:"1-12.nl";i:1;s:12:"127-0-0-1.be";i:2;s:9:"3v1l0.com";i:3;s:13:"aliraheem.com";i:4;s:17:"aliscomputer.info";i:5;s:27:"bankofuganda.dontassrape.us";i:6;s:12:"black-arm.cn";i:7;s:12:"black-leg.cn";i:8;s:15:"black-tattoo.cn";i:9;s:14:"blacktattoo.cn";i:10;s:10:"bonaire.in";i:11;s:10:"casema.org";i:12;s:26:"churchofscientology.org.uk";i:13;s:10:"cool.fr.nf";i:14;s:10:"copcars.us";i:15;s:17:"correo.blogos.net";i:16;s:14:"courriel.fr.nf";i:17;s:26:"definatelynotaspamtrap.com";i:18;s:8:"djlol.dk";i:19;s:10:"dodgit.com";i:20;s:12:"dupemail.com";i:21;s:14:"edwinserver.se";i:22;s:17:"email-jetable.com";i:23;s:12:"ephemail.net";i:24;s:25:"farifluset.mailexpire.com";i:25;s:12:"filzmail.com";i:26;s:11:"freenet6.de";i:27;s:16:"fuzzy.weasel.net";i:28;s:15:"gimme.wa.rez.se";i:29;s:17:"guerrillamail.org";i:30;s:13:"haltospam.com";i:31;s:10:"har2009.cn";i:32;s:15:"hermesonline.dk";i:33;s:11:"iximail.com";i:34;s:11:"jetable.com";i:35;s:13:"jetable.fr.nf";i:36;s:11:"jetable.net";i:37;s:11:"jetable.org";i:38;s:9:"jpshop.ru";i:39;s:12:"junk-yard.be";i:40;s:12:"junk-yard.eu";i:41;s:10:"kaspop.com";i:42;s:12:"kleemail.com";i:43;s:18:"laughingman.ath.cx";i:44;s:13:"link2mail.net";i:45;s:11:"linux.co.in";i:46;s:16:"lolinternets.com";i:47;s:17:"m.nonumberno.name";i:48;s:19:"madcrazydesigns.com";i:49;s:13:"mailbidon.com";i:50;s:12:"mailin8r.com";i:51;s:14:"mailinator.com";i:52;s:14:"mailinator.net";i:53;s:15:"mailinator2.com";i:54;s:17:"mailincubator.com";i:55;s:12:"mailnull.com";i:56;s:29:"maleinhandsmint.czarkahan.net";i:57;s:12:"meltmail.com";i:58;s:17:"moncourrier.fr.nf";i:59;s:14:"monemail.fr.nf";i:60;s:13:"monmail.fr.nf";i:61;s:10:"mt2009.com";i:62;s:15:"mytrashmail.com";i:63;s:16:"newkurdistan.com";i:64;s:27:"nigerianscam.dontassrape.us";i:65;s:21:"ninjas.dontassrape.us";i:66;s:10:"no-spam.cn";i:67;s:10:"nospam4.us";i:68;s:12:"nospamfor.us";i:69;s:16:"omicron.token.ro";i:70;s:12:"pengodam.biz";i:71;s:22:"pirates.dontassrape.us";i:72;s:11:"pirazine.se";i:73;s:12:"pookmail.com";i:74;s:9:"pourri.fr";i:75;s:15:"pyramidspel.com";i:76;s:14:"realcambio.com";i:77;s:13:"s.blackhat.lt";i:78;s:12:"sales.bot.nu";i:79;s:20:"sales.net-freaks.com";i:80;s:14:"sendmeshit.com";i:81;s:10:"slarvig.se";i:82;s:12:"slaskpost.cn";i:83;s:12:"slaskpost.se";i:84;s:17:"slop.jerkface.net";i:85;s:22:"slops.lazypeople.co.uk";i:86;s:18:"slops.quadrath.com";i:87;s:12:"slopsbox.com";i:88;s:12:"slopsbox.net";i:89;s:12:"slopsbox.org";i:90;s:19:"slopsbox.osocial.nu";i:91;s:11:"slopsbox.se";i:92;s:19:"slopsbox.slarvig.se";i:93;s:27:"slopsbox.spammesenseless.dk";i:94;s:25:"slopsbox.stivestoddere.dk";i:95;s:13:"sogetthis.com";i:96;s:19:"solidblacktattoo.cn";i:97;s:12:"spailbox.com";i:98;s:12:"spailbox.net";i:99;s:12:"spailbox.org";i:100;s:19:"spam.dontassrape.us";i:101;s:14:"spam.h0lger.de";i:102;s:12:"spam.hack.se";i:103;s:7:"spam.la";i:104;s:21:"spam.mafia-server.net";i:105;s:7:"spam.su";i:106;s:16:"spam.tagnard.net";i:107;s:17:"spam.w00ttech.com";i:108;s:10:"spambox.us";i:109;s:18:"spamcorptastic.com";i:110;s:14:"spamfree24.com";i:111;s:13:"spamfree24.de";i:112;s:13:"spamfree24.eu";i:113;s:15:"spamfree24.info";i:114;s:14:"spamfree24.net";i:115;s:14:"spamfree24.org";i:116;s:15:"spamgourmet.com";i:117;s:16:"spamherelots.com";i:118;s:18:"spamout.jassi.info";i:119;s:13:"tempemail.net";i:120;s:13:"tempinbox.com";i:121;s:18:"temporaryinbox.com";i:122;s:13:"thegaybay.com";i:123;s:24:"thisisnotmyrealemail.com";i:124;s:12:"trash-can.eu";i:125;s:13:"trashmail.net";i:126;s:14:"trashymail.com";i:127;s:9:"tyros2.cn";i:128;s:14:"vuilnisbelt.cn";i:129;s:16:"watchnode.uni.cc";i:130;s:13:"watertaxi.net";i:131;s:23:"west.metaverseaudio.com";i:132;s:8:"wh4f.org";i:133;s:10:"xblogz.org";i:134;s:11:"yopmail.com";i:135;s:10:"yopmail.fr";i:136;s:11:"yopmail.net";i:137;s:10:"yopweb.com";i:138;s:12:"your.gay.cat";i:139;s:8:"ziggo.ws";i:140;s:8:"zynd.com";}';

INSERT INTO `parametres` SET `nom`='K_rewrite_url', `valeur`='a:2:{s:5:"actif";i:0;s:6:"taille";s:4:"long";}';

INSERT INTO `parametres` SET `nom`='K_mp_grade', `valeur`='0';
INSERT INTO `parametres` SET `nom`='K_eff_msg_del', `valeur`='off';
INSERT INTO `parametres` SET `nom`='K_eff_msg_vieux', `valeur`='off';
INSERT INTO `parametres` SET `nom`='K_avatars_ext', `valeur`='off';
INSERT INTO `parametres` SET `nom`='K_up_avatars', `valeur`='0';
INSERT INTO `parametres` SET `nom`='K_cam_aff', `valeur`='on';
INSERT INTO `parametres` SET `nom`='commentaires_gabarit', `valeur`='0';

INSERT INTO `parametres` SET `nom`='K_AlerteDelCompte', `valeur`='a:2:{s:6:"alerte";s:6:"alerte";s:3:"box";i:1;}';
INSERT INTO `parametres` SET `nom`='K_gestion_comptes_date', `valeur`='off';
INSERT INTO `parametres` SET `nom`='K_gestion_comptes_mail', `valeur`='oui';
INSERT INTO `parametres` SET `nom`='K_gestion_comptes_avatar', `valeur`='oui';
INSERT INTO `parametres` SET `nom`='K_gestion_comptes_exclus', `valeur`='1,2';
INSERT INTO `parametres` SET `nom`='K_delCompte', `valeur`='1';
INSERT INTO `parametres` SET `nom`='K_delai_suspendu', `valeur`='6';
INSERT INTO `parametres` SET `nom`='K_delai_supprime', `valeur`='12';
INSERT INTO `parametres` SET `nom`='K_delai_supprime_auto', `valeur`='0';
INSERT INTO `parametres` SET `nom`='K_code_secu_mods', `valeur`='a:6:{i:0;s:2:"on";i:1;s:11:"enregistrer";i:2;s:7:"contact";i:3;s:8:"livredor";i:4;s:10:"newsletter";i:5;s:12:"commentaires";}';
INSERT INTO `parametres` SET `nom`='K_dlup_lastTime', `valeur`='0';
INSERT INTO `parametres` SET `nom`='K_dlup_frequence', `valeur`='2592000';
INSERT INTO `parametres` SET `nom`='K_dlup_modules', `valeur`='a:0:{}';

INSERT INTO `parametres` SET `nom`='K_BbcodeAff', `valeur`='a:21:{i:1;a:2:{s:3:"nom";s:10:"gauche.png";s:5:"actif";s:2:"on";}i:2;a:2:{s:3:"nom";s:11:"centrer.png";s:5:"actif";s:2:"on";}i:3;a:2:{s:3:"nom";s:13:"justifier.png";s:5:"actif";s:2:"on";}i:4;a:2:{s:3:"nom";s:10:"droite.png";s:5:"actif";s:2:"on";}i:5;a:2:{s:3:"nom";s:8:"gras.png";s:5:"actif";s:2:"on";}i:6;a:2:{s:3:"nom";s:10:"italic.png";s:5:"actif";s:2:"on";}i:7;a:2:{s:3:"nom";s:12:"souligne.png";s:5:"actif";s:3:"off";}i:8;a:2:{s:3:"nom";s:8:"lien.png";s:5:"actif";s:2:"on";}i:9;a:2:{s:3:"nom";s:7:"img.png";s:5:"actif";s:2:"on";}i:10;a:2:{s:3:"nom";s:12:"surligne.png";s:5:"actif";s:2:"on";}i:11;a:2:{s:3:"nom";s:9:"barre.png";s:5:"actif";s:2:"on";}i:12;a:2:{s:3:"nom";s:8:"list.png";s:5:"actif";s:2:"on";}i:13;a:2:{s:3:"nom";s:14:"separation.png";s:5:"actif";s:2:"on";}i:14;a:2:{s:3:"nom";s:9:"quote.png";s:5:"actif";s:2:"on";}i:15;a:2:{s:3:"nom";s:11:"polices.png";s:5:"actif";s:3:"off";}i:16;a:2:{s:3:"nom";s:11:"tailles.png";s:5:"actif";s:3:"off";}i:17;a:2:{s:3:"nom";s:12:"couleurs.png";s:5:"actif";s:3:"off";}i:18;a:2:{s:3:"nom";s:18:"flottantgauche.png";s:5:"actif";s:2:"on";}i:19;a:2:{s:3:"nom";s:18:"flottantdroite.png";s:5:"actif";s:2:"on";}i:20;a:2:{s:3:"nom";s:11:"panneau.png";s:5:"actif";s:3:"off";}i:21;a:2:{s:3:"nom";s:7:"php.png";s:5:"actif";s:3:"off";}}';
INSERT INTO `parametres` SET `nom`='K_BbcodeOptions', `valeur`='a:3:{s:15:"MaxSizeImgWidth";i:640;s:16:"MaxSizeImgHeight";i:400;s:15:"GrCodePhpBouton";i:0;}';
INSERT INTO `parametres` SET `nom`='K_editeur', `valeur`='bbcode';

INSERT INTO `parametres` SET `nom`='K_RedirChampsObligatoires', `valeur`='off';
INSERT INTO `parametres` SET `nom`='K_robots', `valeur`='a:35:{s:5:"Alexa";a:4:{i:0;s:14:"64.208.172.170";i:1;s:14:"64.208.172.174";i:2;s:14:"209.234.171.32";i:3;s:14:"209.234.171.38";}s:3:"Ask";a:3:{i:0;s:10:"65.214.45.";i:1;s:11:"65.235.124.";i:2;s:11:"66.235.124.";}s:9:"Ayell_org";a:1:{i:0;s:12:"78.46.80.180";}s:11:"Baiduspider";a:2:{i:0;s:11:"123.125.66.";i:1;s:10:"220.181.7.";}s:5:"Botje";a:1:{i:0;s:13:"87.118.86.133";}s:7:"Clickfr";a:1:{i:0;s:12:"194.206.163.";}s:9:"Deepindex";a:1:{i:0;s:14:"62.212.117.198";}s:13:"Domaincrawler";a:2:{i:0;s:12:"83.168.240.1";i:1;s:13:"83.168.240.16";}s:6:"Dotbot";a:3:{i:0;s:15:"208.115.111.242";i:1;s:15:"208.115.111.245";i:2;s:15:"208.115.111.250";}s:6:"Exabot";a:2:{i:0;s:10:"193.47.80.";i:1;s:10:"83.167.62.";}s:4:"Fast";a:1:{i:0;s:9:"66.77.73.";}s:18:"Flatlandindustries";a:1:{i:0;s:12:"74.62.161.76";}s:9:"Gigablast";a:1:{i:0;s:13:"216.243.113.1";}s:6:"Google";a:4:{i:0;s:7:"66.249.";i:1;s:13:"72.14.220.136";i:2;s:13:"85.109.44.181";i:3;s:14:"209.85.170.136";}s:7:"Kalooga";a:1:{i:0;s:13:"195.210.57.83";}s:9:"Microsoft";a:6:{i:0;s:12:"61.117.7.212";i:1;s:14:"61.192.188.201";i:2;s:14:"61.192.190.164";i:3;s:14:"61.192.200.229";i:4;s:14:"61.192.204.141";i:5;s:14:"220.214.94.202";}s:11:"Miningbased";a:1:{i:0;s:15:"216.194.124.121";}s:6:"Mirago";a:1:{i:0;s:14:"217.205.60.225";}s:3:"MSN";a:3:{i:0;s:6:"65.54.";i:1;s:6:"65.55.";i:2;s:11:"207.68.146.";}s:5:"Naver";a:3:{i:0;s:11:"202.131.30.";i:1;s:11:"218.145.25.";i:2;s:11:"61.247.222.";}s:8:"Openfind";a:2:{i:0;s:12:"66.237.60.22";i:1;s:14:"210.59.144.149";}s:9:"Picsearch";a:1:{i:0;s:13:"62.119.21.157";}s:5:"Psbot";a:1:{i:0;s:12:"217.212.224.";}s:8:"Searchme";a:2:{i:0;s:14:"208.111.154.15";i:1;s:14:"208.111.154.16";}s:7:"Szukacz";a:1:{i:0;s:13:"193.218.115.6";}s:4:"TAMU";a:1:{i:0;s:14:"128.194.135.94";}s:5:"Teoma";a:2:{i:0;s:10:"65.214.36.";i:1;s:12:"65.214.38.10";}s:8:"Twiceler";a:7:{i:0;s:12:"208.36.144.7";i:1;s:12:"208.36.144.8";i:2;s:12:"208.36.144.9";i:3;s:14:"216.129.119.48";i:4;s:6:"38.99.";i:5;s:11:"67.218.116.";i:6;s:13:"85.109.44.181";}s:12:"Verisign_com";a:3:{i:0;s:12:"69.58.178.26";i:1;s:12:"69.58.178.28";i:2;s:12:"69.58.178.30";}s:5:"Voila";a:4:{i:0;s:10:"81.52.143.";i:1;s:11:"195.101.94.";i:2;s:15:"193.252.118.101";i:3;s:12:"193.252.149.";}s:7:"Voinics";a:1:{i:0;s:13:"86.127.194.51";}s:7:"W3C_CSS";a:2:{i:0;s:12:"128.30.52.34";i:1;s:12:"128.30.52.36";}s:9:"Whalhello";a:2:{i:0;s:15:"212.127.141.180";i:1;s:11:"213.73.184.";}s:7:"Wisenut";a:5:{i:0;s:14:"64.241.242.177";i:1;s:13:"64.241.243.65";i:2;s:12:"64.242.88.50";i:3;s:12:"64.242.88.60";i:4;s:12:"209.249.67.1";}s:5:"Yahoo";a:16:{i:0;s:8:"202.160.";i:1;s:12:"203.209.252.";i:2;s:7:"66.196.";i:3;s:11:"67.195.110.";i:4;s:11:"67.195.111.";i:5;s:11:"67.195.115.";i:6;s:10:"67.195.37.";i:7;s:10:"67.195.44.";i:8;s:10:"67.195.45.";i:9;s:10:"67.195.51.";i:10;s:10:"67.195.52.";i:11;s:10:"67.195.54.";i:12;s:10:"67.195.58.";i:13;s:7:"68.142.";i:14;s:6:"72.30.";i:15;s:5:"74.6.";}}';
INSERT INTO `parametres` SET `nom`='K_robots_list_ID', `valeur`='97';

INSERT INTO `parametres` SET `nom`='email_encod', `valeur`='0';
INSERT INTO `parametres` SET `nom`='K_email_check', `valeur`='a:4:{s:8:"stand_by";d:99999999999;s:8:"en_cours";i:0;s:5:"first";i:0;s:8:"compteur";i:0;}';
INSERT INTO `parametres` SET `nom`='K_email_options', `valeur`='a:11:{s:9:"par_heure";i:200;s:12:"nb_to_cc_cci";i:14;s:10:"message_ok";i:0;s:14:"message_erreur";i:1;s:17:"message_info_next";i:1;s:16:"message_info_end";i:1;s:8:"force_to";i:0;s:12:"1_to_1_in_to";i:0;s:5:"debug";i:0;s:3:"log";i:0;s:7:"bloquer";i:0;}';
INSERT INTO `parametres` SET `nom`='K_email_habillage', `valeur`='%contenumail%';
INSERT INTO `parametres` SET `nom`='K_imprim_grade', `valeur`='3';
INSERT INTO `parametres` SET `nom`='K_imprim_fenetre', `valeur`='Imprimer le document';
INSERT INTO `parametres` SET `nom`='K_imprim_police', `valeur`='Verdana, Arial, Helvetica, sans-serif';
INSERT INTO `parametres` SET `nom`='K_imprim_taille1', `valeur`='24px';
INSERT INTO `parametres` SET `nom`='K_imprim_style1', `valeur`='normal';
INSERT INTO `parametres` SET `nom`='K_imprim_weight1', `valeur`='bold';
INSERT INTO `parametres` SET `nom`='K_imprim_deco1', `valeur`='none';
INSERT INTO `parametres` SET `nom`='K_imprim_color1', `valeur`='#000000';
INSERT INTO `parametres` SET `nom`='K_imprim_color', `valeur`='#000000';
INSERT INTO `parametres` SET `nom`='K_imprim_taille', `valeur`='11px';
INSERT INTO `parametres` SET `nom`='K_imprim_linkcolor', `valeur`='#0000FF';
INSERT INTO `parametres` SET `nom`='K_imprim_linkdeco', `valeur`='none';
INSERT INTO `parametres` SET `nom`='K_imprim_hovercolor', `valeur`='#FF0000';
INSERT INTO `parametres` SET `nom`='K_imprim_hoverdeco', `valeur`='underline';
INSERT INTO `parametres` SET `nom`='K_imprim_lien', `valeur`='Imprimer';
