<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: options_champs_users.php 1049 2017-07-11 16:16:33Z mike007 $
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d&rsquo;appel de fichier.');}


if (get_grade() < GRD_ADMIN)
{
	ZoneReserve();
}
else
{
	if ($_POST['action']=='creation' AND $_POST['token']==$_SESSION['token'])
	{
		unset($_SESSION['token']);
		bloc_head ('Cration champ '.ax(strtolower(filter($_POST['nom_champ'],''))));

		// Controle url etapes
		if ($_POST['step'] > 2 AND isset($_POST['Back']))
		{
			$_POST['step'] = $_POST['step']-2;
		}
		if (isset($_POST['step']) and $_POST['step'] > 0 and $_POST['step'] < 5)
		{
			$step = $_POST['step'];
		}
		else
		{
			$step = 1;
		}

		if ($step == 2 AND (empty($_POST['nom_champ']) OR empty($_POST['titre_champ'])))
		{
			$step = 1;
			$_SESSION['message_buffer'] = df_message('attention','Certains champs ne sont pas renseign&eacute;.');
		}
		elseif($step == 2 AND $_POST['int_NbOpt']<=0 AND $_POST['sql_format'] != 'texte' AND $_POST['sql_format'] != 'textarea')
		{
			$step = 1;
			$_SESSION['message_buffer'] = df_message('attention','Nombre de choix non valide.');
		}
		elseif($step == 2)
		{
			if ($_POST['nom_champ'] == strtolower(filter($_POST['nom_champ'],'')))
			{
				$ReqChampsInterdits = reqmysql('SHOW COLUMNS FROM `users`');
				$NomsChampsInterdits = array();
				while ($RepChampsInterdits = Kws_mysql_fetch_object($ReqChampsInterdits))
				{
					$NomsChampsInterdits[] = $RepChampsInterdits->Field;
				}
				foreach ($NomsChampsInterdits as $NomChampInterdit)
				{
					if ($NomChampInterdit == $_POST['nom_champ'])
					{
						$step = 1;
						$_SESSION['message_buffer'] = df_message('erreur','Ce nom ('.ax($_POST['nom_champ']).') est interdit','Veuillez le modifier.');
						$_POST['nom_champ'] ='';
					}
				}
				foreach($Champs_cplts as $Champ)
				{
					if ($Champ['nom'] == $_POST['nom_champ'])
					{
						$step = 1;
						$_SESSION['message_buffer'] = df_message('erreur','Ce nom existe d&eacute;j&agrave;.','Veuillez le modifier.');
						$_POST['nom_champ'] ='';
					}
				}
			}
			else
			{
				$step = 1;
				$_SESSION['message_buffer'] = df_message('attention','Caract&egrave;res interdits.','Nom modifi&eacute;. Verifiez et poursuivez.');
			}
		}
		elseif($step == 3 AND !empty($_POST['int_NbOpt']) and $_POST['sql_format'] != 'texte')
		{
			for ($i=1 ; $i <= ax($_POST['int_NbOpt']) ; $i++)
			{
				if (empty($_POST['xss_option'.$i]))
				{
					$step = 2;
					$_SESSION['message_buffer'] = df_message('attention','Une option au moins est vide.');
					break;
				}
			}
		}

		if (!empty($_SESSION['message_buffer']))
		{
			echo $_SESSION['message_buffer'].'<br />';
			unset($_SESSION['message_buffer']);
		}


		echo '
		<form method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'" onsubmit="return control_form(\'nom_champ,Nom titre_champ,Titre\')">
		';
		// Verif compatibilite
		if ($step == 1)
		{
			echo '
			<script type="text/javascript">
			// <![CDATA[
				function aff_opts(test)
				{
					if(test=="yes")
					{
						document.getElementById("NbOpt_champ_value").disabled=false;
						document.getElementById("NbOpt_champ").style.display="block";
					}
					else
					{
						document.getElementById("NbOpt_champ_value").disabled=true;
						document.getElementById("NbOpt_champ").style.display="none";
					}
				}
			// ]]>
			</script>
			<fieldset class="fieldset_post">
				<legend>D&eacute;finition du champ</legend>
				<dl>
					<dt><label for="nom_champ">Nom d&rsquo;identification dans la base : </label></dt>
					<dd><input name="nom_champ" id="nom_champ" type="text" size="30" maxlength="30" value="'.ax(strtolower(filter($_POST['nom_champ'],''))).'" /></dd>
				</dl>
				<dl>
					<dt><label for="titre_champ">Titre de votre champ : </label></dt>
					<dd><input name="titre_champ" id="titre_champ" type="text" size="30" maxlength="30" value="'.ax($_POST['titre_champ']).'" /></dd>
				</dl>
				<dl>
					<dt>
						<label for="message_champ">
							Message &agrave; afficher<br />
							<small><small><em>Facultatif, 70 car. max</em></small></small>
						</label>
					</dt>
					<dd><input name="message_champ" id="message_champ" type="text" size="50" maxlength="70" value="'.ax($_POST['message_champ']).'" /></dd>
				</dl>
				<dl>
					<dt><label for="sql_type">Ce champ sera : </label></dt>
					<dd>
						<input name="sql_type" type="radio" value="facultatif" checked="checked" id="sql_type" /> Facultatif<br />
						<input name="sql_type" type="radio" value="obligatoire"'.($_POST['sql_type']=='obligatoire' ? ' checked="checked"':'').' /> Obligatoire
					</dd>
				</dl>
				<dl>
					<dt><label for="int_grade">Grade visibilit&eacute; : </label></dt>
					<dd>'.K_selectGrade('int_grade', '', '', GRD_VISIT).'</dd>
				</dl>
				<dl>
					<dt><label for="sql_format">Format de votre champ : </label></dt>
					<dd>
						<input onclick="aff_opts(\'no\')" name="sql_format" type="radio" value="texte" checked="checked" id="sql_format" /> Texte  saisir
							<span style="margin-left:5px">&nbsp;</span>
							<input type="text" disabled="disabled" value="exemple" /><br /><br />
						<input onclick="aff_opts(\'yes\')" name="sql_format" type="radio" value="select"'.($_POST['sql_format']=='select' ? ' checked="checked"':'').' /> Select
							<span style="margin-left:43px">&nbsp;</span>
							<select>
								<option>Faites votre choix</option>
								<option disabled="disabled">Choix 1</option>
								<option disabled="disabled">Choix 2</option>
							</select><br /><br />
						<input onclick="aff_opts(\'yes\')" name="sql_format" type="radio" value="radio"'.($_POST['sql_format']=='radio' ? ' checked="checked"':'').' /> Bouton radio
							<span style="margin-left:5px">&nbsp;</span>
							<input type="radio" disabled="disabled" /> Choix 1&nbsp;&nbsp;&nbsp;
							<input type="radio" disabled="disabled" /> Choix 2
						<br /><br />
						<input onclick="aff_opts(\'no\')" name="sql_format" type="radio" value="textarea"'.($_POST['sql_format']=='textarea' ? ' checked="checked"':'').' /> Zone de texte
							<span style="margin-left:5px;">&nbsp;</span>
							<span style="margin-top:55px;line-height:55px">
								<textarea readonly="readonly" style="vertical-align:bottom" rows="2" cols="18">exemple de texte</textarea>
							</span>
					</dd>
				</dl>
				<noscript>
					<dl>
						<dt><label>Nombre de choix :<br /><small>Pour le format select ou radio</small></label></dt>
						<dd><input name="int_NbOpt" type="text" size="3" maxlength="2" value="'.(!empty($_POST['int_NbOpt']) ? $_POST['int_NbOpt']:'2').'" /></dd>
					</dl>
				</noscript>
				<dl id="NbOpt_champ" style="display:'.((!empty($_POST['sql_format']) and $_POST['sql_format']!='texte' and $_POST['sql_format']!='textarea') ? 'block':'none').'">
					<dt><label>Nombre de choix :</label></dt>
					<dd><input id="NbOpt_champ_value"'.(!empty($_POST['int_NbOpt']) ? '':' disabled="disabled"').' name="int_NbOpt" type="text" size="3" maxlength="2" value="'.(!empty($_POST['int_NbOpt']) ? $_POST['int_NbOpt']:'2').'" /></dd>
				</dl>
			</fieldset>
			';
		}
		elseif ($step == 2)
		{
			echo '
			<input type="hidden" name="nom_champ" value="'.ax(strtolower(filter($_POST['nom_champ'],''))).'" />
			<input type="hidden" name="titre_champ" value="'.ax($_POST['titre_champ']).'" />
			<input type="hidden" name="message_champ" value="'.ax($_POST['message_champ']).'" />
			<input type="hidden" name="sql_type" value="'.ax($_POST['sql_type']).'" />
			<input type="hidden" name="int_grade" value="'.ax($_POST['int_grade']).'" />
			<input type="hidden" name="sql_format" value="'.ax($_POST['sql_format']).'" />
			<input type="hidden" name="int_NbOpt" value="'.ax($_POST['int_NbOpt']).'" />
			<fieldset class="fieldset_post">
				<legend>Choix</legend>
			';
			if(!empty($_POST['int_NbOpt']) and $_POST['sql_format'] != 'texte' and $_POST['sql_format'] != 'textarea')
			{
				for ($i=1 ; $i <= ax($_POST['int_NbOpt']) ; $i++)
				{
					echo '
						<dl>
							<dt><label>Choix '.$i.' : </label></dt>
							<dd><input name="xss_option'.$i.'" type="text" value="'.$_POST['xss_option'.$i].'" size="40" maxlength="40" /></dd>
						</dl>
					';
				}
				echo '<input type="hidden" name="int_taille" value="40" />';
			}
			else
			{
				echo '
				<div class="align-center">Vous avez choisi le format &laquo; '.($_POST['sql_format'] == 'textarea' ? 'texarea':'texte').' &raquo;. Il n&rsquo;y a pas d&rsquo;options  d&eacute;finir.
				<br />
				Veuillez cependant sp&eacute;cifier la taille du champ en base<br />
				<select name="int_taille">';
				if ($_POST['sql_format'] == 'textarea')
				{
					echo '<option value="999">Type "TEXT" en bdd (65536)</option>';
				}
				else
				{
					for ($i=1; $i <= 250; $i++)
					{
						echo '<option value="'.$i.'"'.($i==40?' selected="selected"':'').'>'.$i.'</option>';
					}
				}
				echo '</select>';
			}
			echo '
			<div class="align-center">Prochaine tape : pr&eacute;visualisation</div>
			</fieldset>
			';
		}
		elseif ($step == 3)
		{
			if(!empty($_POST['int_NbOpt']) and $_POST['sql_format'] != 'texte' and $_POST['sql_format'] != 'textarea')
			{
				for ($i=1 ; $i <= ax($_POST['int_NbOpt']) ; $i++)
				{
					echo '<input type="hidden" name="xss_option'.$i.'" value="'.$_POST['xss_option'.$i].'" />';
				}
			}
			echo '
			<input type="hidden" name="nom_champ" value="'.ax(strtolower(filter($_POST['nom_champ'],''))).'" />
			<input type="hidden" name="int_taille" value="'.ax($_POST['int_taille']).'" />
			<input type="hidden" name="titre_champ" value="'.ax($_POST['titre_champ']).'" />
			<input type="hidden" name="message_champ" value="'.ax($_POST['message_champ']).'" />
			<input type="hidden" name="sql_type" value="'.ax($_POST['sql_type']).'" />
			<input type="hidden" name="int_grade" value="'.ax($_POST['int_grade']).'" />
			<input type="hidden" name="sql_format" value="'.ax($_POST['sql_format']).'" />
			<input type="hidden" name="int_NbOpt" value="'.ax($_POST['int_NbOpt']).'" />
			<fieldset class="fieldset_post">
				<legend>Pr&eacute;visualisation</legend>
				<p>
					<label class="label_profil1">
					';
					if ($_POST['sql_type'] == "obligatoire")
					{
						echo '<span style="color:#FF0000"> <strong>*</strong></span> ';
					}
					echo ax($_POST['titre_champ']).' :
					</label>
					';
					if ($_POST['sql_format'] == "texte")
					{
						echo '<input maxlength="'.ax($_POST['int_taille']).'" size="40" />';
					}
					elseif ($_POST['sql_format'] == "select")
					{
						echo '<select>';
						for ($i=1 ; $i <= ax($_POST['int_NbOpt']) ; $i++)
						{
							echo '<option>'.$_POST['xss_option'.$i].'</option>	';
						}
						echo '</select>';
					}
					elseif ($_POST['sql_format'] == "radio")
					{
						for ($i=1 ; $i <= ax($_POST['int_NbOpt']) ; $i++)
						{
							echo '<input type="radio" name="test_prev" />'.$_POST['xss_option'.$i].'
							&nbsp;&nbsp;&nbsp;';
						}
					}
					elseif ($_POST['sql_format'] == "textarea")
					{
						echo '
								<textarea " rows="2" cols="50">exemple de texte</textarea>
						';
					}
					if (!empty($_POST['message_champ'])) echo '<span style="margin-left:5px"><em>'.ax($_POST['message_champ']).'</em></span>';
				echo '
				</p>
			</fieldset>
			';

		}
		elseif ($step == 4)
		{
			if(!empty($_POST['int_NbOpt']) and $_POST['sql_format'] != 'texte')
			{
				for ($i=1 ; $i <= ax($_POST['int_NbOpt']) ; $i++)
				{
					$Options[$i] = filter_noentityhtml($_POST['xss_option'.$i]);
				}
				$Options = sp(serialize($Options));
			}
			if (empty($_POST['int_taille']))	$_POST['int_taille'] = 40;

			if ($_POST['sql_format'] == "textarea")
				reqmysql('ALTER TABLE `users_cplt` ADD `'.sp($_POST['nom_champ']).'` TEXT NOT NULL');
			else
				reqmysql('ALTER TABLE `users_cplt` ADD `'.sp($_POST['nom_champ']).'` VARCHAR('.$_POST['int_taille'].') NOT NULL DEFAULT ""');
			reqmysql('
			INSERT	INTO	`users_champs`
					SET		`nom`="'.sp($_POST['nom_champ']).'",
							`taille`="'.$_POST['int_taille'].'",
							`titre`="'.$_POST['titre_champ'].'",
							`message`="'.sp($_POST['message_champ']).'",
							`type`="'.$_POST['sql_type'].'",
							`format`="'.$_POST['sql_format'].'",
							`options`="'.$Options.'",
							`actif`="0",
							`grade`="'.$_POST['int_grade'].'",
							`position`= "'.$_POST['int_new_position'].'"
			');

			unset($_SESSION['users_cplt']);
			$_SESSION['message_buffer'] = df_message('','Champ ajout&eacute;','Le champ est pour le moment inactif.');
			header('Location: ./index.php?mod='.$K_mod.'&ac='.$K_ac);
			exit();

		}
		echo '<br />
			<div class="MultiInputInline align-center">
				<input type="hidden" name="token"   value="'.K_getToken().'" />
				<input type="hidden" name="action" value="creation" />
				<input type="hidden" name="int_new_position" value="'.($_POST['int_new_position']).'" />
				<input type="hidden" name="step" value="'.($step+1).'" />
				'.($step > 1 ? '<input type="submit" name="Back" value=" Retour " /><span>&nbsp;</span>':'').'
				<input type="submit" name="submit"  value=" '.($step == 3 ? 'Valider':'Suivant').' " />
				<span>&nbsp;</span>
				<input type="button" name="Cancel" onclick="document.location.href=document.location" value=" Abandonner " />
			</div>
		</form>
		';
		close_table();
	}
	else
	{
		if(isset($_GET['int_actif']))
		{
			unset($_SESSION['users_cplt']);
			reqmysql('UPDATE `users_champs` SET `actif`="'.$_GET['int_actif'].'" WHERE `id`="'.$K_id.'"');
			$_SESSION['message_buffer'] = df_message('','Modification de l&rsquo;&eacute;tat effectu&eacute;e.');

			header ('Location: ./index.php?mod='.$K_mod.'&ac='.$K_ac);
			exit();
		}
		elseif(isset($_GET['int_register']))
		{
			unset($_SESSION['users_cplt']);
			reqmysql('UPDATE `users_champs` SET `register`="0"');
			reqmysql('UPDATE `users_champs` SET `register`="'.$_GET['int_register'].'" WHERE `id`="'.$K_id.'"');
			$_SESSION['message_buffer'] = df_message('','Modification de l&rsquo;&eacute;tat sur la page d&rsquo;enregistrement effectu&eacute;e.');

			header ('Location: ./index.php?mod='.$K_mod.'&ac='.$K_ac);
			exit();
		}
		elseif (empty($_REQUEST['action']))
		{
			if (!empty($_POST['sql_RedirChampsObligatoires']))
			{
				$K_RedirChampsObligatoires = $_POST['sql_RedirChampsObligatoires'];
				reqmysql ('UPDATE `parametres` SET `valeur`="'.$K_RedirChampsObligatoires.'" WHERE `nom` = "K_RedirChampsObligatoires" ');
				unset($_SESSION['MessChampsObligatoire']);
				$_SESSION['message_buffer'] = df_message('','Modification effectu&eacute;e');
			}
			// Modification des positions d'affichage des bbcodes supplmentaires
			elseif(!empty($_POST['ChpSup_position']) && $_POST['ChpSup_position']='ok')
			{
				unset($_SESSION['users_cplt']);
				// Garveur Drag'N'Drop
				if ($_POST['sql_submitnumero'] == ' >> Numros << ')
				{
					for ($z=1 ; $z <=$_POST['int_fin_pos'] ; $z++)
					{
						reqmysql('UPDATE `users_champs` SET `position`="'.$_POST['int_position'.$z].'" WHERE `id`="'.$_POST['int_id'.$z].'"');
					}
				// Garveur Drag'N'Drop < Dbut > Enregistrement des positions
				}
				else
				{
					$positionDragChpSup = $_POST['sql_positionDragChpSup'];
					// Enregistrements des positions du Menu
					$idLigne = strtok($positionDragChpSup,"|drag_");
					$posLigne=0;
					while ($idLigne)
					{
						$posLigne++;
						reqmysql('UPDATE `users_champs` SET `position` = "'.$posLigne.'" WHERE `id` = "'.$idLigne.'"');
						$idLigne = strtok("|drag_");
					}
				}
				// Garveur Drag'N'Drop < Fin > Enregistrement des positions
				open_table();
				echo df_message('information','Positions modifi&eacute;es');
				close_table();
			}

			bloc_head ('Champs suppl&eacute;mentaires');
			if (!empty($_SESSION['message_buffer']))
			{
				echo $_SESSION['message_buffer'].'<br />';
				unset($_SESSION['message_buffer']);
			}
			echo '
			<div class="align-center">
				<span style="font-weight:bold;font-variant:small-caps">Important <input type="button" value=" Afficher " onclick="cachecache(\'Infos_champs_users\')" /> Pr&eacute;caution d&rsquo;utilisation</span>
				<div id="Infos_champs_users" style="display:none"><br />'.
					df_message('attention','<strong>Lors d&rsquo;une cr&eacute;ation, une modification ou d&rsquo;une suppression.</strong>',
					'<strong>Les champs sont stock&eacute;s en session.</strong><br />
					Votre session &eacute;tant mise &agrave; jour lors de l&rsquo;une de ces op&eacute;rations, cela restera transparent pour vous mais pas pour vos membres<br />
					Il est vivement conseill&eacute; de fermer (maintenance bloqu&eacute;e) le site pendant au moins 20 minutes lors de cette op&eacute;ration.<br />
					Ceci pour &eacute;viter des erreurs d&rsquo;affichage &agrave; vos membres.<br /><br />
					<strong>Lors d&rsquo;une cr&eacute;ation</strong>, vos membres ne verront donc le nouveau champ qu&rsquo;une fois leur session renouvell&eacute;e.<br />
					La fermeture du site n&rsquo;est donc pas obligatoire, mais ils ne verront pas de suite les changements.<br /><br />
					<strong>Lors d&rsquo;une modification</strong>, le principe est le mme, vos membres ne verront la diff&eacute;rence qu&rsquo;a leur prochaine session.<br /><br />
					<strong>Lors d&rsquo;une suppression</strong>, le champ disparaissant au renouvellement de session,<br />
					cela va g&eacute;n&eacute;rer des erreurs et afficher des alertes dans votre panneau d&rsquo;alertes.<br /><br />
					Cependant, pour la suppression, le fait de d&eacute;sactiver un champ 24h avant et de le rendre facultatif vous &eacute;vitera de fermer le site,<br />
					puisque toutes les sessions auront &eacute;t&eacute; renouvell&eacute;es n&rsquo;incluant plus ce champ<br />
					<br /><input type="button" value=" Ok - Masquer " onclick="cachecache(\'Infos_champs_users\')" />').
				'</div>
			</div><br />';
			
			$i=0;
			$img_dragNdrop = (file_exists('./modules/'.$K_mod.'/images/drag_drop.png') ? './modules/'.$K_mod.'/images/drag_drop.png' : './includes/dragndrop/drag_drop.png');
			$req_chp_cplt = reqmysql('SELECT * FROM `users_champs` ORDER BY `type` DESC, `position` ASC');
			$nb_chp_cplt = Kws_mysql_num_rows($req_chp_cplt);
			if ($nb_chp_cplt > 0)
			{
				$chp_cplt_pos_controle ='<';
				$style_marg='vertical-align:middle;';
				echo '
				<form name="form_position" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="ChpSup_position" value="ok" />
					<div style="line-height:50px;width:700px;margin:auto;text-align:center">
						<div style="width:90px;float:left;">Action</div>
						<div style="float:left;width:80px;text-align:center">Position</div>
						<div style="width:100px;float:left;">Nom</div>
						<div style="width:150px;float:left;">Titre</div>
						<div style="width:50px;float:left;">Format</div>
						<div style="width:70px;float:left;">Type</div>
						<div style="width:35px;float:left;">Taille</div>
						<div style="width:35px;float:left;">Etat</div>
						<div style="width:45px;float:left;">Grade</div>
						<div style="width:40px;float:left;">Enreg.</div>
						<hr style="clear:both;width:690px" />
						';
						// Chargement Hack Garveur Drag'N'Drop
						echo '
						<script language="javascript" type="text/javascript">
							// <![CDATA[
							var id_name_arrayDrag = new Array(Array("dragChpSup","sql_positionDragChpSup"));
							// ]]>
						</script>';
						include './includes/dragndrop/dragndrop.php';
						// Fin chargement Hack Garveur Drag'N'Drop

						//Cration du conteneur <ul>
						echo '<ul id="dragChpSup" class="sortable boxy">';
						// Garveur Drag'N'Drop < Fin > Ajout des scripts

						while ($rep_chp_cplt = Kws_mysql_fetch_object($req_chp_cplt))
						{
							$i++;
							echo '<li id="drag_'.$rep_chp_cplt->id.'">';	// Garveur Drag'N'Drop : <Dbut> Dfinition du bloc deplaable
							echo '
							<div style="clear:both;line-height:30px;text-align:center"  onmouseover="this.className = \'onmouse_over\';" onmouseout="this.className = \'onmouse_out\';">
								<div style="line-height:30px;width:90px;float:left;">
							';
							if ($rep_chp_cplt->nom != 'nom'		and
								$rep_chp_cplt->nom != 'icq'		and
								$rep_chp_cplt->nom != 'msn'		and
								$rep_chp_cplt->nom != 'yahoom'	and
								$rep_chp_cplt->nom != 'aim'		and
								$rep_chp_cplt->nom != 'site'	and
								$rep_chp_cplt->nom != 'localisation'
								)
							{
								echo '<a href="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'&amp;action=supprimer&amp;id='.$rep_chp_cplt->id.'" title="Supprimer le champ"><img src="./themes/'.$K_theme.'/images/gestion/del.png" alt="Supprimer" style="border:none;'.$style_marg.'" /></a>';
							}
							else echo '<span style="margin-left:14px">&nbsp;</span>';
							echo '
									<a href="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'&amp;action=init&amp;nom='.ax($rep_chp_cplt->nom).'" title="R&eacute;initialiser le champ en fonction ou non d\'une valeur"><img src="./modules/droit/images/supprimer.png" alt="Vider" style="border:none;'.$style_marg.'" /></a>
									<a href="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'&amp;action=modifier&amp;id='.$rep_chp_cplt->id.'" title="&Eacute;diter le champ"><img src="./themes/'.$K_theme.'/images/gestion/edit.png" alt="Editer" style="border:none;'.$style_marg.'" /></a>
								</div>
								<div style="line-height:30px;float:left;width:80px;text-align:center;">
									<img style="'.$style_marg.'" src="'.$img_dragNdrop.'" alt="Drag" title="D&eacute;placer pour modifier la position" />
									<input type="hidden" name="int_id'.$i.'" value="'.$rep_chp_cplt->id.'" />
									<select style="'.$style_marg.'" name="int_position'.$i.'">';
									// On impose autant de positions que de bbcode prsent en bdd (on va viter ainsi les trous :p )
									for ($j=1 ; $j<= $nb_chp_cplt ; $j++ )
									{
										echo'<option '.($j==$rep_chp_cplt->position ? 'selected="selected"':'').' value="'.$j.'">'.$j.'</option>'."\n";
									}
								echo'</select>
								</div>
								<div style="line-height:30px;width:100px;float:left;text-align:left;">'.ax($rep_chp_cplt->nom).'
								';
									// On vrifie si la position n'est pas dj prsente afin de prvenir l'utilisateur
									if (preg_match('#<'.$rep_chp_cplt->position.'>#i',$chp_cplt_pos_controle))
									{
										echo '<img style="margin-left:10px;cursor:help;'.$style_marg.'" src="./modules/'.$K_mod.'/images/inconnu.png" alt="attention" title="Conflit de position" />';
									}
								echo'
								</div>
								<div title="'.$rep_chp_cplt->message.'" style="line-height:30px;width:150px;float:left;text-align:left;">'.ax($rep_chp_cplt->titre).'</div>
								<div style="line-height:30px;width:50px;float:left;">'.$rep_chp_cplt->format.'</div>
								<div style="line-height:30px;width:70px;float:left;">'.$rep_chp_cplt->type.'</div>
								<div style="line-height:30px;width:35px;float:left;">'.($rep_chp_cplt->taille == 999 ? 'TEXT' : $rep_chp_cplt->taille).'</div>
								<div style="line-height:30px;width:35px;float:left;text-align:center;">
									';
									if ($rep_chp_cplt->actif == '1')
									{
										echo'
										<a href="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'&amp;int_actif=0&amp;id='.$rep_chp_cplt->id.'">
											<img src="./modules/'.$K_mod.'/images/active.png" alt="Activ&eacute;e" title="Le champ est actif" style="border:none;'.$style_marg.'" />
										</a>
										';
									}
									else
									{
										echo'
										<a href="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'&amp;int_actif=1&amp;id='.$rep_chp_cplt->id.'">
											<img src="./modules/'.$K_mod.'/images/desactive2.png" alt="desactiv&eacute;e" title="le champ est inactif" style="border:none;'.$style_marg.'" />
										</a>
										';
									}
									echo '
								</div>
								<div style="line-height:30px;width:45px;float:left;">'.($rep_chp_cplt->grade>-1 ? $rep_chp_cplt->grade:'&nbsp;').'</div>
								<div style="line-height:30px;width:40px;float:left;text-align:center;">
									';
									if ($rep_chp_cplt->format == 'texte' AND $rep_chp_cplt->type == 'obligatoire')
									{
										if ($rep_chp_cplt->register == '1')
										{
											echo'
											<a href="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'&amp;int_register=0&amp;id='.$rep_chp_cplt->id.'">
												<img src="./modules/'.$K_mod.'/images/active.png" alt="Register" title="Le champ est prsent sur la page d\'enregistrement si actif" style="border:none;'.$style_marg.'" />
											</a>
											';
										}
										else
										{
											echo'
											<a href="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'&amp;int_register=1&amp;id='.$rep_chp_cplt->id.'">
												<img src="./modules/'.$K_mod.'/images/desactive2.png" alt="NoRegister" title="Le champ n\'est pas prsent sur la page d\'enregistrement" style="border:none;'.$style_marg.'" />
											</a>
											';
										}
									}
									else echo '/';
									echo '
								</div>
								<br />
							</div>
							';
							echo '</li>';   // Garveur Drag'N'Drop : < Fin > Dfinition du bloc deplaable et de la <table>
							$chp_cplt_pos_controle .= $rep_chp_cplt->position.'><';
						}
						// Garveur Drag'N'Drop : <Dbut> Fermeture conteneur </ul>
						echo '</ul>';
						// Garveur Drag'N'Drop : < Fin >  Fermeture conteneur </ul>
						if($nb_chp_cplt>1)
						{
							echo '<div style="clear:both;line-height:30px;width:650px;text-align:center">
									<input type="hidden" name="int_fin_pos" value="'.$i.'" />';
							// Garveur Drag'N'Drop : <Dbut> Formulaire Enregistrement des positions
							echo '
									<input type="hidden" id="sql_positionDragChpSup" name="sql_positionDragChpSup" value="Position des champs a la validation" />';
									// Garveur Drag'N'Drop : < Fin > Formulaire Enregistrement des positions
									// Ajout du  onclick="DragCopyPosition(id_name_arrayDrag)" dans la validation (ligne suivante)
							echo '<hr />
									<span style="font-variant:small-caps">Valider les modifications des positions effectu&eacute;es par</span><br />
									<input type="submit" name="sql_submitnumero" value=" &gt;&gt; Num&eacute;ros &lt;&lt; " />&nbsp;&nbsp;
									<input type="submit" name="sql_submitdragndrop" value=" &gt;&gt; Glisser / d&eacute;poser &lt;&lt; " onclick="DragCopyPosition(id_name_arrayDrag)" />
								</div><hr />';
						}
						echo '
					</div>
				</form>';
			}
			else
			{
				echo df_message('','Pas de champs suppl&eacute;mentaires');

			}
			echo '<br />
			<form class="align-center" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="token"   value="'.K_getToken().'" />
				<input type="hidden" name="int_new_position" value="'.($nb_chp_cplt+1).'" />
				<input type="hidden" name="action" value="creation" />
				<input type="submit" value=" Cr&eacute;er un champ suppl&eacute;mentaire " />
			</form>
			<hr />
			<form class="align-center" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
			Forcer la redirection vers le profil pour les champs obligatoires non renseign&eacute;s<br />
			<select name="sql_RedirChampsObligatoires">
				<option value="on">Oui</option>
				<option value="off"'.($K_RedirChampsObligatoires=='off' ? ' selected="selected"':'').'>Non</option>
				<option value="session"'.($K_RedirChampsObligatoires=='session' ? ' selected="selected"':'').'>Message (1 fois / session)</option>
				<option value="message"'.($K_RedirChampsObligatoires=='message' ? ' selected="selected"':'').'>Message (&agrave; chaque page)</option>
			</select>
			<input type="submit" value=" Valider " />
			</form>
			';
			close_table();
		}
		elseif($_REQUEST['action']=='supprimer')
		{
			$req_chp_cplt = reqmysql('
							SELECT	`id`, `nom`, `position` FROM `users_champs`
							WHERE	`id`="'.$K_id.'"
							AND		`nom`!="nom"
							AND		`nom`!="icq"
							AND		`nom`!="msn"
							AND		`nom`!="yahoom"
							AND		`nom`!="aim"
							AND		`nom`!="site"
							AND		`nom`!="localisation"
			');
			$nb_chp_cplt = Kws_mysql_num_rows($req_chp_cplt);
			if ($nb_chp_cplt > 0)
			{
				$rep_chp_cplt = Kws_mysql_fetch_object($req_chp_cplt);
				if($_GET['action']=='supprimer')
				{
					bloc_head ('Suppression du champ');
					echo '
					<form method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
						<div class="MultiInputInline align-center">
							&Ecirc;tes-vous sur de vouloir supprimer ce champ: <strong>'.ax($rep_chp_cplt->nom).'</strong> ?<br /><br />
							<input type="hidden" name="id" value="'.$K_id.'" />
							<input type="hidden" name="action" value="supprimer" />
							<input type="submit" name="submit"  value=" Oui " />
							<span>&nbsp;</span>
							<input type="button" name="Cancel" onclick="document.location.href=\'./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'\'" value=" Non " />
						</div>
					</form>
					';
					close_table();
				}
				elseif($_POST['action']=='supprimer')
				{
					unset($_SESSION['users_cplt']);
					reqmysql('DELETE FROM `users_champs` WHERE `id`="'.sp($rep_chp_cplt->id).'"');
					reqmysql('UPDATE `users_champs` SET `position` = `position`-1 WHERE `position` > "'.$rep_chp_cplt->position.'"');
					reqmysql('ALTER TABLE `users_cplt` DROP `'.sp($rep_chp_cplt->nom).'`');
					$_SESSION['message_buffer'] = df_message('','Champ effac&eacute;.');
					header ('Location: ./index.php?mod='.$K_mod.'&ac='.$K_ac);
					exit();
				}
			}
			else
			{
				$_SESSION['message_buffer'] = df_message('erreur','Ce champ ne peut &ecirc;tre effac&eacute;.');
				header ('Location: ./index.php?mod='.$K_mod.'&ac='.$K_ac);
				exit();
			}

		}
		elseif($_REQUEST['action']=='init')
		{
			if($_GET['action']=='init')
			{
				bloc_head ('R&eacute;initialisation du champ');
				echo '
				<form method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
					<div class="MultiInputInline align-center">
						&Ecirc;tes-vous sur de vouloir r&eacute;initialiser le champ <strong>&laquo; '.ax($_GET['nom']).' &raquo;</strong> ?<br /><br />
						Prcisez une valeur en particulier ou laissez vide pour tout r&eacute;initialiser<br />
						<input type="text" name="ValeurToInit" size="60" style="text-align:center" /><br /><br />
						<input type="hidden" name="nom" value="'.ax($_GET['nom']).'" />
						<input type="hidden" name="action" value="init" />
						<input type="submit" name="submit"  value=" Oui " />
						<span>&nbsp;</span>
						<input type="button" name="Cancel" onclick="document.location.href=\'./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'\'" value=" Non " />
					</div>
				</form>
				';
				close_table();
			}
			if($_POST['action']=='init')
			{
				$ReqInit = 'UPDATE `users_cplt` SET `'.ax($_POST['nom']).'` = ""';
				if (!empty($_POST['ValeurToInit']))
				{
					$ReqInit .= ' WHERE `'.ax($_POST['nom']).'` = "'.sp($_POST['ValeurToInit']).'"';
				}
				$ReqInitExe = reqmysql($ReqInit);
				$NbInit = Kws_mysql_affected_rows();
				$_SESSION['message_buffer'] = df_message('',
				'Champ <strong>&laquo; '.ax($_POST['nom']).' &raquo;</strong> r&eacute;initialis&eacute;.',
				(!empty($_POST['ValeurToInit']) ? $NbInit.($NbInit>1 ? ' membres affect&eacute;s':' membre affect&eacute;').' avec la valeur <strong>&laquo; '.ax($_POST['ValeurToInit']).' &raquo;</strong>' : ' Pour tous les membres.')
				);
				if (!$ReqInitExe)   $_SESSION['message_buffer'] = df_message('erreur','Aucune r&eacute;initialisation effectu&eacute;e.','le champ <strong>&laquo; '.ax($_POST['nom']).' &raquo;</strong> n&rsquo;existe pas.');
				header ('Location: ./index.php?mod='.$K_mod.'&ac='.$K_ac);
			}
		}
		elseif($_REQUEST['action']=='modifier')
		{
			$req_chp_cplt = reqmysql('SELECT * FROM `users_champs` WHERE `id`="'.$K_id.'"');
			$nb_chp_cplt = Kws_mysql_num_rows($req_chp_cplt);
			if ($nb_chp_cplt > 0)
			{
				if($_GET['action']=='modifier')
				{
					$rep_chp_cplt = Kws_mysql_fetch_object($req_chp_cplt);
					bloc_head ('Modification du champ');
					echo '
					<form method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'" onsubmit="return control_form(\'nom_champ,Nom titre_champ,Titre\')">
						<fieldset class="fieldset_post">
							<legend>D&eacute;finition du champ</legend>
							<dl>
								<dt><label for="nom_champ">Nom d&rsquo;identification dans la base : </label></dt>
								<dd>
									<input disabled="disabled" id="nom_champ" type="text" size="30" maxlength="30" value="'.ax($rep_chp_cplt->nom).'" />
									<input type="hidden" name="nom_champ" value="'.ax($rep_chp_cplt->nom).'" />
								</dd>
							</dl>
							<dl>
								<dt><label for="titre_champ">Titre de votre champ : </label></dt>
								<dd><input name="titre_champ" id="titre_champ" type="text" size="30" maxlength="30" value="'.ax($rep_chp_cplt->titre).'" /></dd>
							</dl>
							<dl>
								<dt>
									<label for="message_champ">
										Message &agrave; afficher<br />
										<small><small><em>Facultatif, 70 car. max</em></small></small>
									</label>
								</dt>
								<dd><input name="message_champ" id="message_champ" type="text" size="50" maxlength="70" value="'.ax($rep_chp_cplt->message).'" /></dd>
							</dl>
							<dl>
								<dt><label for="sql_type">Ce champ sera: </label></dt>
								<dd>
									<input name="sql_type" type="radio" value="facultatif" checked="checked" id="sql_type" /> Facultatif<br />
									<input name="sql_type" type="radio" value="obligatoire"'.($rep_chp_cplt->type=='obligatoire' ? ' checked="checked"':'').' /> Obligatoire
								</dd>
							</dl>
							<dl>
								<dt><label for="sql_format">Format de votre champ: </label></dt>
								<dd>
								';
								if ($rep_chp_cplt->format == 'texte')
								{
									echo '<input name="sql_format" type="hidden" value="texte" id="sql_format" />
									Texte &agrave; saisir de taille
									<select name="int_taille">';
									for ($i=1; $i <= 250; $i++)
									{
										echo '<option value="'.$i.'"'.($i==ax($rep_chp_cplt->taille)?' selected="selected"':'').'>'.$i.'</option>';
									}
									echo '</select>';
								}
								elseif ($rep_chp_cplt->format == 'textarea')
								{
									echo 'Textarea
									<input name="sql_format" type="hidden" value="textarea" id="sql_format" />
									<input name="int_taille" type="hidden" value="999" id="int_taille" />';
								}
								else
								{
									echo '
									<input name="sql_format" type="radio" value="select"'.($rep_chp_cplt->format=='select' ? ' checked="checked"':'').' id="sql_format" /> Select
										<span style="margin-left:43px">&nbsp;</span>
										<select>
											<option>Faites votre choix</option>
											<option disabled="disabled">Choix 1</option>
											<option disabled="disabled">Choix 2</option>
										</select><br /><br />
									<input name="sql_format" type="radio" value="radio"'.($rep_chp_cplt->format=='radio' ? ' checked="checked"':'').' /> Bouton radio
										<span style="margin-left:5px">&nbsp;</span>
										<input type="radio" disabled="disabled" /> Choix 1&nbsp;&nbsp;&nbsp;
										<input type="radio" disabled="disabled" /> Choix 2
									';
								}
								echo '
								</dd>
							</dl>
							';
							if(!empty($rep_chp_cplt->options) and $rep_chp_cplt->format != 'texte' and $rep_chp_cplt->format != 'textarea')
							{
								$Options = unserialize($rep_chp_cplt->options);
								for ($i=1 ; $i <= count($Options) ; $i++)
								{
									echo '
									<dl>
										<dt><label for="xss_option'.$i.'">Choix '.$i.' : </label></dt>
										<dd>
											<input name="xss_option'.$i.'" id="xss_option'.$i.'" type="text" value="'.ax($Options[$i]).'" size="40" maxlength="40" />
										</dd>
									</dl>
									';
								}
								echo '
								<dl>
									<dt><label for="xss_option'.(count($Options)+1).'">Choix '.(count($Options)+1).' : </label></dt>
									<dd>
										<input name="xss_option'.(count($Options)+1).'" id="xss_option'.(count($Options)+1).'" type="text" value="" size="40" maxlength="40" />
									</dd>
								</dl>
								<input type="hidden" name="int_NbOpt" value="'.(count($Options)+1).'" />
								';
							}
					echo '
							<dl>
								<dt><label for="int_actif">Champ actif : </label></dt>
								<dd>
									<select name="int_actif" id="int_actif">
										<option value="1">Oui</option>
										<option value="0"'.(empty($rep_chp_cplt->actif) ? ' selected="selected"':'').'>Non</option>
									</select>
								</dd>
							</dl>
							<dl>
								<dt><label for="int_grade">Grade visibilit&eacute; : </label></dt>
								<dd>'.K_selectGrade('int_grade', $rep_chp_cplt->grade, '', GRD_VISIT).'</dd>
							</dl>
						</fieldset>
						<div class="MultiInputInline align-center">
							<input type="hidden" name="id" value="'.$K_id.'" />
							<input type="hidden" name="action" value="modifier" />
							<input type="submit" name="submit"  value=" Modifier " />
							<span>&nbsp;</span>
							<input type="button" name="Cancel" onclick="document.location.href=\'./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'\'" value=" Abandonner " />
						</div>

					</form>
					';
					close_table();
				}
				elseif($_POST['action']=='modifier')
				{
					unset($_SESSION['users_cplt']);
					if(!empty($_POST['int_NbOpt']) and $_POST['sql_format'] != 'texte' and $_POST['sql_format'] != 'textarea')
					{
						$Options = array();
						$j=1;
						for ($i=1 ; $i <= ax($_POST['int_NbOpt']) ; $i++)
						{
							if (!empty($_POST['xss_option'.$i]))
							{
								$Options[$j] = filter_noentityhtml($_POST['xss_option'.$i]);
								$j++;
							}
						}
						if (empty($Options))
						{
							$_SESSION['message_buffer'] = df_message('erreur','Aucun choix d&rsquo;options de sp&eacute;cifi&eacute;.','Champ non modifi&eacute;.');
							header ('Location: ./index.php?mod='.$K_mod.'&ac='.$K_ac);
							exit();
						}
						else
							$Options = sp(serialize($Options));
					}
					if (empty($_POST['int_taille']))	$_POST['int_taille'] = 40;

					reqmysql('
					UPDATE	`users_champs`
						SET	`taille`="'.$_POST['int_taille'].'",
							`titre`="'.sp($_POST['titre_champ']).'",
							`message`="'.sp($_POST['message_champ']).'",
							`type`="'.$_POST['sql_type'].'",
							`format`="'.$_POST['sql_format'].'",
							`options`="'.$Options.'",
							`actif`="'.$_POST['int_actif'].'",
							`grade`="'.$_POST['int_grade'].'"
					WHERE	`id`="'.$K_id.'"
					');
					reqmysql('ALTER TABLE `users_cplt` CHANGE `'.sp($_POST['nom_champ']).'` `'.sp($_POST['nom_champ']).'` VARCHAR('.$_POST['int_taille'].') NOT NULL DEFAULT ""');

					unset($_SESSION['champs_cplt']);
					$_SESSION['message_buffer'] = df_message('','Champ modifi&eacute;.');
					header('Location: ./index.php?mod='.$K_mod.'&ac='.$K_ac);
					exit();
				}
			}
			else
			{
				$_SESSION['message_buffer'] = df_message('erreur','Ce champ ne peut &ecirc;tre modifi&eacute;.');
				header ('Location: ./index.php?mod='.$K_mod.'&ac='.$K_ac);
				exit();
			}
		}
	}
}
?>
