<?php
// -----------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: admin.php 1040 2016-02-26 07:01:39Z otocinclus $
// -----------------------------------------------------------------
//
// Module Agenda
//
// -----------------------------------------------------------------

/**
 * @file admin.php
 *
 * Fichier grant l'ajout de bloc via la gestion administrateur du portail
 * Permet l'affichage des deux types de blocs.
 *
 * @author Otocinclus
 * @version 1.0
 * @date Novembre 2007
 */


// Scu
if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

global $agenda_anniv;
if (!isset($result_blocs))  $result_blocs = new stdClass();
$infos = '
	<span style="float:right"><a href="index.php?mod=admin&amp;ac=param&amp;id='.ax($result_blocs->id).'">[Editer]</a></span>
	Nom : '.ax($result_blocs->parametre1).'<br /><br />';

$informations = '
	<strong>Nom</strong> : Module Agenda<br />
	<strong>Type</strong> : Bloc<br />
	<strong>Auteurs</strong> : Otocinclus sur les bases des modules &eacute;v&egrave;nements de Poky, calendrier de Jos&eacute MORAIS et anniversaires de Nico_somb.<br />
	<br />
	<strong>Description</strong> : Module de gestion et visualisation dans un calendrier des diffrents &eacute;v&egrave;nements et anniversaires d\'un site.<br />
	Ce module est une refonte totale pour Kwsphp des modules \'&eacute;v&egrave;nements\', \'anniversaires\' et \'calendrier\' de Pwsphp';

$titre_bloc = array(1=>'Agenda', 'Anniversaires', 'Evenements', 'Annonces');
if ($result_blocs->parametre2!=2 && $result_blocs->parametre2!=3 && $result_blocs->parametre2!=4) $result_blocs->parametre2 = 1;
$commun = '
	<script type="text/javascript">
	// <![CDATA[
		var change = 0;

		function option()
		{
			if (document.getElementById("rdo_calend").checked && !change)
				document.getElementById("bloc_titre").value = "Agenda";

			'.($agenda_anniv == 'on' ?
			'if (document.getElementById("rdo_anniv").checked)
			{
				document.getElementById("div_anniv").style.display = "block";
				if (!document.getElementById("aff_anniv0").checked && !document.getElementById("aff_anniv1").checked)
					document.getElementById("aff_anniv0").checked = true;
				if (!change) document.getElementById("bloc_titre").value = "Anniversaires";
			}
			else document.getElementById("div_anniv").style.display = "none";' :
			''
			).'

			if (document.getElementById("rdo_event").checked)
			{
				document.getElementById("div_event").style.display = "block";
				if (!document.getElementById("aff_event0").checked && !document.getElementById("aff_event1").checked)
					document.getElementById("aff_event0").checked = true;
				if (!change) document.getElementById("bloc_titre").value = "vnements";
			}
			else document.getElementById("div_event").style.display = "none";

			'.($agenda_anniv == 'on' ?
			'if (document.getElementById("rdo_mixte").checked)
			{
				document.getElementById("div_mixte").style.display = "block";
				if (!document.getElementById("aff_mixte0").checked && !document.getElementById("aff_mixte1").checked)
					document.getElementById("aff_mixte0").checked = true;
				if (!change) document.getElementById("bloc_titre").value = "Annonces";
			}
			else document.getElementById("div_mixte").style.display = "none";' :
			''
			).'
		}
	// ]]>
	</script>

	<form name="FormName" action="modules/admin/new3.php">
	Bloc raccourcis pour le module <em>Agenda</em> :<br /><br />
	Type de bloc: <br />
	<ul>
	<li><input type="radio" name="parametre2" id="rdo_calend" value="1"'.($result_blocs->parametre2==1 ? ' checked="checked"' : '').' onclick="option();" /> Bloc calendrier.</li>
	'.($agenda_anniv == 'on' ?
	'<li><input type="radio" name="parametre2" id="rdo_anniv" value="2"'.($result_blocs->parametre2==2 ? ' checked="checked"' : '').' onclick="option();" /> Bloc anniversaires.
		<div id="div_anniv" style="display:'.($result_blocs->parametre2==2 ? 'block' : 'none').';">
		<ul>
		<li>Pr&eacute;venir des anniversaires <input type="text" name="parametre4" value="'.$result_blocs->parametre4.'" size="2" onchange="document.getElementById(\'parametre4\').value = this.value;" /> jours &agrave; l\'avance.
		<li><input type="radio" name="parametre3" id="aff_anniv0" value="0"'.($result_blocs->parametre2==2 ? ($result_blocs->parametre3==0 ? ' checked="checked"' : '') : '').' /> Affichage syst&egrave;matique.</li>
		<li><input type="radio" name="parametre3" id="aff_anniv1" value="1"'.($result_blocs->parametre2==2 ? ($result_blocs->parametre3==1 ? ' checked="checked"' : '') : '').' /> Afficher uniquement s\'il y a des anniversaires &agrave; annoncer.</li>
		</ul>
		</div>
	</li>' :
	''
	).'
	<li><input type="radio" name="parametre2" id="rdo_event" value="3"'.($result_blocs->parametre2==3 ? ' checked="checked"' : '').' onclick="option();" /> Bloc &eacute;v&eacute;nements.
		<div id="div_event" style="display:'.($result_blocs->parametre2==3 ? 'block' : 'none').';">
		<ul>
		<li>Pr&eacute;venir des &eacute;v&eacute;nements <input type="text" name="parametre4" value="'.$result_blocs->parametre4.'" size="2" onchange="document.getElementById(\'parametre4\').value = this.value;" /> jours &agrave; l\'avance.
		<li><input type="radio" name="parametre3" id="aff_event0" value="0"'.($result_blocs->parametre2==3 ? ($result_blocs->parametre3==0 ? ' checked="checked"' : '') : '').' /> Affichage syst&egrave;matique.</li>
		<li><input type="radio" name="parametre3" id="aff_event1" value="1"'.($result_blocs->parametre2==3 ? ($result_blocs->parametre3==1 ? ' checked="checked"' : '') : '').' /> Afficher uniquement s\'il y a des &eacute;v&eacute;nements &agrave; annoncer.</li>
		</ul>
		</div>
	</li>
	'.($agenda_anniv == 'on' ?
	'<li><input type="radio" name="parametre2" id="rdo_mixte" value="4"'.($result_blocs->parametre2==4 ? ' checked="checked"' : '').' onclick="option();" /> Bloc mixte anniversaires/&eacute;v&eacute;nements.
		<div id="div_mixte" style="display:'.($result_blocs->parametre2==4 ? 'block' : 'none').';">
		<ul>
		<li>Faire les annonces <input type="text" name="parametre4" id="parametre4" value="'.$result_blocs->parametre4.'" size="2" /> jours &agrave; l\'avance.
		<li><input type="radio" name="parametre3" id="aff_mixte0" value="0"'.($result_blocs->parametre2==4 ? ($result_blocs->parametre3==0 ? ' checked="checked"' : '') : '').' /> Affichage syst&egrave;matique.</li>
		<li><input type="radio" name="parametre3" id="aff_mixte1" value="1"'.($result_blocs->parametre2==4 ? ($result_blocs->parametre3==1 ? ' checked="checked"' : '') : '').' /> Afficher uniquement s\'il y a des annonces.</li>
		</ul>
		</div>
	</li>' :
	''
	).'
	</ul>

	Nom de la fentre : <input type="text" name="parametre1" id="bloc_titre" value="'.$titre_bloc[$result_blocs->parametre2].'" size="20" maxlength="30" onkeyup="javascript:change=1;"/><br /><br />';

$new = $commun.'
	<br />
	<input type="submit" id="submit" value=" Ajouter le module " />
	<input type="hidden" name="emplacement" value="'.intval($_GET['emplacement']).'" />
	<input type="hidden" name="module" value="agenda" />
	</form>';


$edit = $commun.'
	<br />
	<input type="submit" id="submit" value=" Valider " />
	<input type="hidden" name="id" value="'.ax($result_blocs->id).'" />
	</form>';

?>
