<?php
// -----------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: res_admin.php 949 2012-12-05 15:24:12Z mike007 $
// -----------------------------------------------------------------
//
// Module Agenda
//
// -----------------------------------------------------------------

/**
 * @file res_admin.php
 *
 * Fichier grant l'ajout de rsum via la gestion du module rsum du portail
 * Permet l'affichage des deux types de blocs.
 *
 * @author jack, Otocinclus
 * @version 1.0
 * @date Novembre 2007
 */


// Scu
if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

$des    = 'Ce module affiche un agenda, et/ou les anniversaires et/ou les &eacute;v&egrave;nements..';

if ($result_resume->parametre2 == '1'){$param2='Calendrier';}
if ($result_resume->parametre2 == '2'){$param2='Anniversaire';}
if ($result_resume->parametre2 == '3'){$param2='Ev&eacute;nement';}
if ($result_resume->parametre2 == '4'){$param2='Mixte anniversaires/evenements';}

$infos = '<span style="float:right"><a href="index.php?mod=resume&amp;ac=param&amp;id='.ax($result_resume->id).'"
onmouseover="aide(\'Cliquez pour &eacute;diter le r&eacute;sum&eacute;\');" onmouseout="aide(\'Cliquez sur un param&egrave;tre pour le modifier\');">[Editer]</a></span>
Titre : '.ax($result_resume->parametre1).'<br />
Type de bloc : '.$param2.'<br /><br />' ;

$informations = '
	<strong>Nom</strong> : Module Agenda<br />
	<strong>Type</strong> : Bloc<br />
	<strong>Auteurs</strong> : Otocinclus sur les bases des modules &eacute;v&egrave;nements de Poky, calendrier de Jos&eacute MORAIS et anniversaires de Nico_somb.<br /><br />
	<strong>Description</strong> : Module de gestion et visualisation dans un calendrier des diffrents &eacute;v&egrave;nements et anniversaires d\'un site.<br />
	Ce module est une refonte totale pour Kwsphp des modules \'&eacute;v&egrave;nements\', \'anniversaires\' et \'calendrier\' de Pwsphp';


$titre_bloc = array(1=>'Agenda', 'Anniversaires', 'Evenements', 'Annonces');
if ($result_resume->parametre2!=2 && $result_resume->parametre2!=3 && $result_resume->parametre2!=4) $result_resume->parametre2 = 1;
$commun = '
	<script type="text/javascript">
	var change = 0;

	function option()
	{
		if (document.getElementById("rdo_calend").checked && !change)
			document.getElementById("bloc_titre").value = "Agenda";

			'.($agenda_anniv == 'on' ?
			'if (document.getElementById("rdo_anniv").checked)
			{
				document.getElementById("div_anniv").style.display = "block";
				if (!document.getElementById("aff_anniv0").checked && !document.getElementById("aff_anniv1").checked)
					document.getElementById("aff_anniv0").checked = true;
				if (!change) document.getElementById("bloc_titre").value = "Anniversaires";
			}
			else document.getElementById("div_anniv").style.display = "none";' :
			''
			).'

		if (document.getElementById("rdo_event").checked)
		{
			document.getElementById("div_event").style.display = "block";
			if (!document.getElementById("aff_event0").checked && !document.getElementById("aff_event1").checked)
				document.getElementById("aff_event0").checked = true;
			if (!change) document.getElementById("bloc_titre").value = "Evnements";
		}
		else document.getElementById("div_event").style.display = "none";

			'.($agenda_anniv == 'on' ?
			'if (document.getElementById("rdo_mixte").checked)
			{
				document.getElementById("div_mixte").style.display = "block";
				if (!document.getElementById("aff_mixte0").checked && !document.getElementById("aff_mixte1").checked)
					document.getElementById("aff_mixte0").checked = true;
				if (!change) document.getElementById("bloc_titre").value = "Annonces";
			}
			else document.getElementById("div_mixte").style.display = "none";' :
			''
			).'
	}
	</script>

	R&eacute;sum&eacute; module <em>Agenda</em> :<br /><br />
	Type de bloc: <br />
	<ul>
	<li><input type="radio" name="sql_parametre2" id="rdo_calend" value="1"'.($result_resume->parametre2==1 ? ' checked="checked"' : '').' onclick="option();" /> Bloc calendrier.</li>
	'.($agenda_anniv == 'on' ?
	'<li><input type="radio" name="sql_parametre2" id="rdo_anniv" value="2"'.($result_resume->parametre2==2 ? ' checked="checked"' : '').' onclick="option();" /> Bloc anniversaires.
		<div id="div_anniv" style="display:'.($result_resume->parametre2==2 ? 'block' : 'none').';">
		<ul>
		<li>Pr&eacute;venir des anniversaires <input type="text" name="sql_parametre4" value="'.ax($result_resume->parametre4).'" size="2" onchange="document.getElementById(\'parametre4\').value = this.value;" /> jours &agrave; l\'avance.
		<li><input type="radio" name="sql_parametre3" id="aff_anniv0" value="0"'.($result_resume->parametre2==2 ? ($result_resume->parametre3==0 ? ' checked="checked"' : '') : '').' /> Affichage syst&egrave;matique.</li>
		<li><input type="radio" name="sql_parametre3" id="aff_anniv1" value="1"'.($result_resume->parametre2==2 ? ($result_resume->parametre3==1 ? ' checked="checked"' : '') : '').' /> Afficher uniquement s\'il y a des anniversaires &agrave; annoncer.</li>
		</ul>
		</div>
	</li>' :
	''
	).'
	<li><input type="radio" name="sql_parametre2" id="rdo_event" value="3"'.($result_resume->parametre2==3 ? ' checked="checked"' : '').' onclick="option();" /> Bloc &eacute;v&egrave;nements.
		<div id="div_event" style="display:'.($result_resume->parametre2==3 ? 'block' : 'none').';">
		<ul>
		<li>Pr&eacute;venir des &eacute;v&egrave;nements <input type="text" name="sql_parametre4" value="'.ax($result_resume->parametre4).'" size="2" onchange="document.getElementById(\'parametre4\').value = this.value;" /> jours &agrave; l\'avance.
		<li><input type="radio" name="sql_parametre3" id="aff_event0" value="0"'.($result_resume->parametre2==3 ? ($result_resume->parametre3==0 ? ' checked="checked"' : '') : '').' /> Affichage syst&egrave;matique.</li>
		<li><input type="radio" name="sql_parametre3" id="aff_event1" value="1"'.($result_resume->parametre2==3 ? ($result_resume->parametre3==1 ? ' checked="checked"' : '') : '').' /> Afficher uniquement s\'il y a des &eacute;v&egrave;nements &agrave; annoncer.</li>
		</ul>
		</div>
	</li>
	'.($agenda_anniv == 'on' ?
	'<li><input type="radio" name="sql_parametre2" id="rdo_mixte" value="4"'.($result_resume->parametre2==4 ? ' checked="checked"' : '').' onclick="option();" /> Bloc mixte anniversaires/&eacute;v&egrave;nements.
		<div id="div_mixte" style="display:'.($result_resume->parametre2==4 ? 'block' : 'none').';">
		<ul>
		<li>Faire les annonces <input type="text" name="sql_parametre4" id="parametre4" value="'.ax($result_resume->parametre4).'" size="2" /> jours &agrave; l\'avance.
		<li><input type="radio" name="sql_parametre3" id="aff_mixte0" value="0"'.($result_resume->parametre2==4 ? ($result_resume->parametre3==0 ? ' checked="checked"' : '') : '').' /> Affichage syst&egrave;matique.</li>
		<li><input type="radio" name="sql_parametre3" id="aff_mixte1" value="1"'.($result_resume->parametre2==4 ? ($result_resume->parametre3==1 ? ' checked="checked"' : '') : '').' /> Afficher uniquement s\'il y a des annonces.</li>
		</ul>
		</div>
	</li>' :
	''
	).'
	</ul>

	Nom de la fen&ecirc;tre : <input type="text" name="sql_parametre1" id="bloc_titre" value="'.$titre_bloc[$result_resume->parametre2].'" size="20" maxlength="30" onkeyup="javascript:change=1;"/><br /><br />';

$new ='<form name="new" id="new" method="post" action="index.php">
	<input type="hidden" name="mod" id="mod" value="resume" />
	<input type="hidden" name="ac" id="ac" value="new3" />
	<input type="hidden" name="int_emplacement" id="int_emplacement" value="'.ax($_GET['emplacement']).'" />
	<input type="hidden" name="sql_module" id="module" value="agenda" />
	'.$commun.'
	<p style="text-align:center">
			<input type="submit" name="res_edit" id="res_edit" value="Valider" />&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="reset" name="reset" id="reset" value="R&eacute;tablir" />
	</p>
	</form>';


$edit = '<form method="post" name="edit" id="edit" action="index.php">
		<input type="hidden" name="mod" id="mod" value="resume" />
		<input type="hidden" name="ac" id="ac" value="gestion" />
		<input type="hidden" name="action" id="action" value="edit" />
		<input type="hidden" name="int_id" id="int_id" value="'.ax($result_resume->id).'" />
		'.$commun.'
		<br />
		<p style="text-align:center">
			<input type="submit" name="res_edit" id="res_edit" value="Valider" />&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="reset" name="reset" id="reset" value="R&eacute;tablir" />
		</p>
		</form>';
?>
