<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: update.php 1050 2017-08-08 16:03:25Z mike007 $
// ---------------------------------------------------------------
// Cration : 18/06/08 par FouPouDave
// ---------------------------------------------------------------
 
if (!(defined('__KWS__'))) {die('Erreur d\'appel de fichier.');}

if (get_grade() < GRD_ADMIN)
{
	zoneReserve();
}
elseif (!file_exists('./modules/'.$K_mod.'/gestionnaire.txt'))
{
	bloc_head('Mise &agrave; jour du module '.$K_mod);
	echo df_message('erreur', '<h2>Votre module '.$K_mod.' est incomplet !</h2>', '<h3>Veuillez re-uploader les fichiers sur votre serveur<br />et recommencer la proc&eacute;dure de mise &agrave; jour !</h3>');
	close_table();
}
else
{
	if (isset($_POST['updateCNL']))
	{
		unset($_SESSION['modules_maj']);
		header('Location: index.php?mod=admin&ac=gestion_module');
		exit();
	}

	if (!isset(${$K_mod.'_version'}))
	{
		${$K_mod.'_version'} = 0;
	}

	if (file_exists('./modules/'.$K_mod.'/gestionnaire.txt'))
	{
		$module_file = fopen('./modules/'.$K_mod.'/gestionnaire.txt','r');

		$mod_rev = trim(fgets($module_file ,999));	// Nom
		$mod_rev = trim(fgets($module_file ,999));	// Description
		$mod_rev = trim(fgets($module_file ,999));	// Obligatoire
		$mod_rev = trim(fgets($module_file ,999));	// Version

		fclose($module_file);
	}
	else
	{
		$mod_rev = ${$K_mod.'_version'};
	}

	$kws_rev = '1.7';

	// Controle url etapes
	if (isset($_POST['step2']))
	{
		$step = $_POST['step2'];
	}
	elseif (isset($_POST['step']) and $_POST['step'] > 0 and $_POST['step'] < 4)
	{
		$step = $_POST['step'];
	}
	else
	{
		$step = 1;
	}
	if ($step == 2 and !isset($_POST['updateOK']))
	{
		$step = 1;
	}

	// Inclusion du fichier class
	require_once 'includes/class.install.php';
	$class_install = new install();

	// Affichage de la barre des etapes a gauche
	$step_array = array ('Compatibilit&eacute;', 'Mise &agrave; jour', 'Terminer');
	$update_menu = $class_install->aff_step($step, $step_array);

	// Verif compatibilite
	if ($step == 1)
	{
		$distribution_tmp = explode('-',$K_distribution_versions);
		foreach ($distribution_tmp as $distribution_num)
		{
			$distribution_on = $distribution_num;
		}
		if (substr($distribution_on, 0, 3) < $kws_rev)
		{
			$update_menu = $class_install->aff_step(3, $step_array);
			$update_form1 = '';
			$update_contenu = df_message('attention', '<span style="color:red;font-weight:bold">AVERTISSEMENT</span>', '<p>Cette version du module n&eacute;cessite la version '.$kws_rev.' de kwsPHP.<br />Vous devez proceder &agrave; la mise &agrave; jour de votre portail avant de poursuivre.</p>');
			$update_form2 = '<form name="rtb" action="./index.php?mod=admin&amp;ac=gestion_module" method="post">';
			$update_button = '<input type="submit" value=" Terminer " name="sbutton" />';
		}
		elseif ($mod_rev <= ${$K_mod.'_version'})
		{
			$update_menu = $class_install->aff_step(3, $step_array);
			$update_form1 = '';
			$update_contenu = df_message('information', '<strong>Mise &agrave; jour inutile.</strong>', '<p>Cette version du module est d&eacute;j&agrave; celle install&eacute;e sur votre portail.</p>');
			$update_form2 = '<form name="rtb" action="./index.php?mod=admin&amp;ac=gestion_module" method="post">';
			$update_button = '<input type="submit" value=" Terminer " name="sbutton" />';
		}
		else
		{
			$update_form1 = '';
			$update_contenu = df_message('attention', '<span style="color:red;font-weight:bold">AVERTISSEMENT</span>', '<p>Il est fortement recommand&eacute; d\'effectuer une sauvegarde de la base MySQL <strong>AVANT</strong> de proc&eacute;der &agrave; la mise &agrave; jour.</p><p>Ne soyez pas impatient !<br />La mise &agrave; jour peut se montrer longue.</p>');
			$update_form2 = '<form name="'.$K_mod.'_update" action="index.php?mod='.$K_mod.'&amp;ac=update" method="post">';
			$update_button = '<input type="submit" name="updateOK"  value=" Poursuivre la mise &agrave; jour " />
			<input type="submit" name="updateCNL" value=" Abandonner la mise &agrave; jour " style="margin-left:4em" />';
		} 
	}

	// Mise  jour
	elseif ($step == 2)
	{
		$update_result = '';
		function update_query($query, $erreur=true)
		{
			global $update_result;
			$update_test = reqmysql($query, $erreur);
			if (!$update_test)
			{
				$update_result .= 'Erreur de mise &agrave; jour lors de l\'execution de la requ&ecirc;te : '.$query.'<br />
				<br />';
			}
			return $update_test;
		}

		if (${$K_mod.'_version'} < 783)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="'.$K_mod.'_rafresh"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`="'.$K_mod.'_rafresh", `valeur`="30"');
			}
		}
		if (${$K_mod.'_version'} < 804)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit` WHERE `module`="ajash00t" AND `page`="lecture";'))== 0)
			{
				update_query('INSERT INTO `droit` SET `module`="ajash00t", `page`="lecture", `grade`="-1", `groupe`="0", `condition`="or"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit` WHERE `module`="ajash00t" AND `page`="ecriture";'))== 0)
			{
				update_query('INSERT INTO `droit` SET `module`="ajash00t", `page`="ecriture", `grade`="-1", `groupe`="0", `condition`="or"');
			}

			update_query ('DELETE FROM `droit` WHERE `module`="ajash00t" AND (`page`="xml" OR `page`="bloc")');

			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit_exclu` WHERE `module`="ajash00t" AND `page`="bloc";'))== 0)
			{
				update_query ('INSERT INTO `droit_exclu` VALUES ("","ajash00t","bloc","0");');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit_exclu` WHERE `module`="ajash00t" AND `page`="xml";'))== 0)
			{
				update_query ('INSERT INTO `droit_exclu` VALUES ("","ajash00t","xml","0");');
			}
		}
		if (${$K_mod.'_version'} < 841)
		{
			update_query ('DELETE FROM `droit` WHERE `module`="ajash00t" AND `page`="index"');
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit_exclu` WHERE `module`="ajash00t" AND `page`="index";'))== 0)
			{
				update_query ('INSERT INTO `droit_exclu` VALUES ("","ajash00t","index","0");');
			}
		}

		if (${$K_mod.'_version'} < 933)
		{
			if (Kws_mysql_num_rows(reqmysql('DESCRIBE `ajash00t` "ref"'))==0)
			{
				update_query ('ALTER TABLE `ajash00t` ADD `ref` INT(5) UNSIGNED NOT NULL DEFAULT "1" AFTER `id`;');
			}

			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit` WHERE `module`="ajash00t" AND `page`="id0_lecture";'))== 0)
			{
				update_query('INSERT INTO `droit` SET `module`="ajash00t", `page`="id0_lecture", `grade`="-2", `groupe`="0", `condition`="or"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit` WHERE `module`="ajash00t" AND `page`="id0_ecriture";'))== 0)
			{
				update_query('INSERT INTO `droit` SET `module`="ajash00t", `page`="id0_ecriture", `grade`="-2", `groupe`="0", `condition`="or"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit` WHERE `module`="ajash00t" AND `page`="id0_SupMess";'))== 0)
			{
				update_query('INSERT INTO `droit` SET `module`="ajash00t", `page`="id0_SupMess", `grade`="3", `groupe`="0", `condition`="and"');
			}
			$Req1 = update_query ('SELECT * FROM `droit` WHERE `module`="ajash00t" AND `page`="lecture";');
			$Req2 = update_query ('SELECT * FROM `droit` WHERE `module`="ajash00t" AND `page`="ecriture";');
			$Rep1 = Kws_mysql_fetch_object($Req1);
			$Rep2 = Kws_mysql_fetch_object($Req2);
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit` WHERE `module`="ajash00t" AND `page`="id1_lecture";'))== 0)
			{
				update_query('INSERT INTO `droit` SET `module`="ajash00t", `page`="id1_lecture", `grade`="'.$Rep1->grade.'", `groupe`="'.$Rep1->groupe.'", `condition`="'.$Rep1->condition.'"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit` WHERE `module`="ajash00t" AND `page`="id1_ecriture";'))== 0)
			{
				update_query('INSERT INTO `droit` SET `module`="ajash00t", `page`="id1_ecriture", `grade`="'.$Rep2->grade.'", `groupe`="'.$Rep2->groupe.'", `condition`="'.$Rep2->condition.'"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit` WHERE `module`="ajash00t" AND `page`="id1_SupMess";'))== 0)
			{
				update_query('INSERT INTO `droit` SET `module`="ajash00t", `page`="id1_SupMess", `grade`="3", `groupe`="0", `condition`="and"');
			}
			update_query('DELETE FROM `droit` WHERE `module`="ajash00t" AND (`page`="lecture" OR `page`="ecriture") ;');

			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit_exclu` WHERE `module`="ajash00t" AND `page`="fonctions_cssjs";'))== 0)
			{
				update_query('INSERT INTO `droit_exclu` SET `module`="ajash00t", `page`="fonctions_cssjs", `accessible`="0"');
			}

			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="ajash00t_options";'))== 0)
			{
				$ajash00t_options[0]['titre'] = 'Sh00t Maintenance';
				$ajash00t_options[0]['sep'] = '-=-=-=-=-';
				$ajash00t_options[0]['NbMess'] = 30;
				$ajash00t_options[0]['rafresh'] = 30;
				$ajash00t_options[0]['join'] = 'oui';
				$ajash00t_options[0]['avatar'] = 0;
				$ajash00t_options[0]['son'] = 'oui';
				$ajash00t_options[0]['desactivation'] = 'oui';
				$ajash00t_options[0]['timing'] = 1800;
				$ajash00t_options[0]['LastTime'] = time();
				$ajash00t_options[0]['smil'] = array();

				$ajash00t_options[1]['titre'] = 'ajash00t';
				$ajash00t_options[1]['sep'] = '-=-=-=-=-';
				$ajash00t_options[1]['NbMess'] = 30;
				$ajash00t_options[1]['rafresh'] = $ajash00t_rafresh;
				$ajash00t_options[1]['join'] = 'oui';
				$ajash00t_options[1]['avatar'] = 0;
				$ajash00t_options[1]['son'] = 'oui';
				$ajash00t_options[1]['desactivation'] = 'oui';
				$ajash00t_options[1]['timing'] = 1800;
				$ajash00t_options[1]['LastTime'] = time();
				$ajash00t_options[1]['smil'] = unserialize($ajash00t_smil);

				update_query('DELETE FROM `parametres` WHERE `nom`="ajash00t_smil";');
				update_query('DELETE FROM `parametres` WHERE `nom`="ajash00t_rafresh";');
				update_query('UPDATE `modules` SET `parametre2`="1", `parametre3`=""  WHERE `module`="ajash00t";');
				update_query('INSERT INTO `parametres` SET `nom`="ajash00t_options", `valeur`="'.sp(serialize($ajash00t_options)).'";');
			}
			$K_mod_dem = unserialize($K_mod_dem);
			foreach($K_mod_dem as $pos => $nom_mod_dem)
			{
				if($nom_mod_dem == "ajash00t")
				{
					$K_mod_dem[$pos] = "ajash00t_1";
					update_query('UPDATE `parametres` SET `valeur`="'.sp(serialize($K_mod_dem)).'" WHERE `nom`="mod_dem" OR `nom`="K_mod_dem"');
				}
			}
			$K_mod_dem = serialize($K_mod_dem);
			$_SESSION['update_msg'] .= '<br />'.df_message(
				'information',
				'Mise en place MultiSh00t.<br />Options de l&rsquo;ajash00t d&eacute;plac&eacute;es du bloc vers la gestion'
			);
		}

		if (${$K_mod.'_version'} < 938)
		{
			update_query('ALTER TABLE `ajash00t` CHANGE `ip` `ip` VARCHAR(45) NOT NULL DEFAULT ""');
			$ReqIP = update_query ('SELECT * FROM `ajash00t`;');
			while ($RepIP = Kws_mysql_fetch_object($ReqIP))
			{
				if (is_numeric($RepIP->ip) AND ($RepIP->ip == floatval($RepIP->ip)))
				{
					$NewIp = long2ip($RepIP->ip);
					update_query('UPDATE `ajash00t` SET `ip` = "'.sp($NewIp).'" WHERE `id` = "'.$RepIP->id.'"');
				}
			}
		}

		if (${$K_mod.'_version'} < 949)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="ajash00t_messages";'))== 0)
			{
				$ajash00t_messages[1]['name'] = 'Robot';
				$ajash00t_messages[1]['entete'] = 'Bonjour %pseudo%';
				$ajash00t_messages[1]['connect'] = '%pseudo% vient de se connecter';

				update_query('INSERT INTO `parametres` SET `nom`="ajash00t_messages", `valeur`="'.sp(serialize($ajash00t_messages)).'";');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `droit_exclu` WHERE `module`="ajash00t" AND `page`="robot";'))== 0)
			{
				update_query('INSERT INTO `droit_exclu` SET `module`="ajash00t", `page`="robot", `accessible`="0"');
			}
		}

		// table parametres
		if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="'.$K_mod.'_version"'))== 0)
		{
			update_query('INSERT INTO `parametres` SET `nom`="'.$K_mod.'_version", `valeur`="'.$mod_rev.'"');
		}
		else
		{
			update_query('UPDATE `parametres` SET `valeur`="'.$mod_rev.'" WHERE `nom`="'.$K_mod.'_version"');
		}

		// suppression de l'alerte de MAJ
		update_query('DELETE FROM `alerte` WHERE `module` = "'.$K_mod.'" AND `auteur` = "KwsPHP (MAJ)"');

		$update_form1 = '<form name="form1" action="index.php?mod='.$K_mod.'&amp;ac=update" method="post">';

		$update_contenu = '<p><strong>Mise &agrave; jour des tables</strong><br />
		<br />';
		if (!empty($update_result))
		{
			$update_contenu.= '<strong>Erreur</strong><br />
			'.$update_result.'
			<br />
			<span style="color:red;">La mise &agrave; jour a donc &eacute;t&eacute; incompl&egrave;te, vous &ecirc;tes donc contraint de nous signaler l\'erreur.</span><br />
			<br />
			Reportez cette erreur sur notre <a href="http://www.kwsphp.org/" target="_blank">forum de support</a>.</p>';
		}
		else
		{
			$update_contenu.= '<span style="color:#009900">Les tables ont &eacute;t&eacute; correctement mises &agrave; jour !</span>
			'.(${$K_mod.'_version'} < 804 ? '<br /><br /><strong>A la fin de la mise &agrave; jour :<br />Veuillez vous rendre dans le module droit pour<br />configurer les 2 param&egrave;tres "lecture" et "&eacute;criture" du module</strong>':'').'</p>';
		}

		$update_form2 = '';

		$update_button = '<input type="submit" value=" Suivant " />';
	}

	elseif ($step == 3)
	{
		$update_form1 = '';

		$update_contenu = '<p>Votre module est maintenant &agrave; jour sur votre serveur.</p>
		'.(empty($_SESSION['update_msg'])? '' : $_SESSION['update_msg']).'
		<p>Le support du portail est assur&eacute; sur le forum de notre communaut&eacute; <a href="http://www.kwsphp.org/">KwsPHP.org</a>.</p>
		<p>Cliquer sur "Terminer" pour quitter le programme de mise &agrave; jour et retourner au gestionnaire de votre site.</p>';

		unset($_SESSION['update_msg']);

		$update_form2 = '<form name="form1" action="./index.php?mod=admin&amp;ac=gestion_module" method="post">';

		$update_button = '<input type="submit" name="sbutton" value=" Terminer " />';
	}

	bloc_head('Update du module '.$K_mod);
	echo '
	<script type="text/javascript" language="javascript">
		var head = document.getElementsByTagName("head")[0];
		var head_inc = document.createElement("link");
		head_inc.rel = "stylesheet";
		head_inc.type = "text/css";
		head_inc.href = "./includes/updatephp.css";
		head.appendChild(head_inc);
	</script>

	<p style="float:left;text-align:center;padding-left:5em;padding-top:20px;font-size:14px;font-weight:bold">
		Mise &agrave; jour du module '.$K_mod.' (vers la version '.$mod_rev.') pour KwsPHP '.$kws_rev.'
	</p>
	<div style="clear:both;float:left;width:20%;height:150px;text-align:center;padding-top:30px">'.$update_menu.'</div>
	<div style="float:right;width:75%;text-align:center;padding-top:15px">'.$update_form1.'
		<div style="width:95%;margin:auto;border: 1px solid #BCBCBC;">'.$update_contenu.'</div>
		'.$update_form2.'
		<input type="hidden" name="step" value="'.($step+1).'" /><br />
		<div style="text-align:right;padding-right:3em">'.$update_button.'</div>
		</form>
	</div>
	<br style="clear:both" />';
	close_table();
}
?>
