<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: alerte.php 1050 2017-08-08 16:03:25Z mike007 $
// ---------------------------------------------------------------
// Cration : 06/11/07 par FouPouDave
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

$AccesModoF = false;
$AccesModoG = false;
$AccesAdmin = false;
if (get_grade() >= GRD_MODOF) $AccesModoF = true;
if (get_grade() >= GRD_MODOG) $AccesModoG = true;
if (get_grade() >= GRD_ADMIN) $AccesAdmin = true;

// Autorisation pour mail traitement/24h
if ($TraitementMail24H)
{
	$AccesModoF = true;
	$AccesModoG = true;
	$AccesAdmin = true;
}

if ($AccesModoF)
{
	$req = reqmysql ('
					SELECT COUNT(`id`) FROM `users` WHERE `statut` = "'.STU_BANNI.'"
		UNION ALL	SELECT COUNT(`id`) FROM `users` WHERE `statut` = "'.STU_ATTVAL.'"
		UNION ALL	SELECT COUNT(`id`) FROM `users` WHERE `statut` = "'.STU_SUSPEN.'"
		UNION ALL	SELECT COUNT(`id`) FROM `users` WHERE `statut` = "'.STU_ATTDEL.'"
		UNION ALL	SELECT COUNT(`id`) FROM `alerte` WHERE `visible` = "1"
		UNION ALL	SELECT COUNT(`id`) '.(is_module('articles')		?	'FROM `articles` WHERE `validation` = "1"'		: 'FROM `users` WHERE `statut` = "1000"').'
		UNION ALL	SELECT COUNT(`id`) '.(is_module('citations')	?	'FROM `citations` WHERE `grade` <'.GRD_MODOG	: 'FROM `users` WHERE `statut` = "1000"').'
		UNION ALL	SELECT COUNT(`id`) '.(is_module('livredor')		?	'FROM `livredor` WHERE `validation`="0"'		: 'FROM `users` WHERE `statut` = "1000"').'
		UNION ALL	SELECT COUNT(`id`) '.(is_module('liens_web')	?	'FROM `liens_web` WHERE `valide`="0"'			: 'FROM `users` WHERE `statut` = "1000"').'
		UNION ALL	SELECT COUNT(`id`) '.(is_module('liens_web')	?	'FROM `liens_web` WHERE `cat_valide`="0"'		: 'FROM `users` WHERE `statut` = "1000"').'
		UNION ALL	SELECT COUNT(`id`) '.(is_module('liens_web')	?	'FROM `liens_web` WHERE `mort`="1"'				: 'FROM `users` WHERE `statut` = "1000"').'
		'.(	is_module('agenda') ?
			'UNION ALL	SELECT COUNT(`idx`) FROM `agenda_events` WHERE `is_valid`!="1" ' :
			'UNION ALL	SELECT COUNT(`id`) FROM `users` WHERE `statut` = "1000"').'
		UNION ALL	SELECT COUNT(`id`) '.(is_module('news')			?	'FROM `news` WHERE `validation` = "1"'			: 'FROM `users` WHERE `statut` = "1000"').'
	');
	$i = 0;

	while ($rep = Kws_mysql_fetch_row ($req))
	{
		$accueil_nb[$i] = $rep[0];
		$i ++;
	}

	if ($AccesAdmin)
	{
		// Inscription
		if ($accueil_nb[1] == 1)
		{
			$contenu_alerte .= '<p>1 membre en attente d&rsquo;inscription '.($K_validation_enregistrement<>'off' ? '(validation par '.$K_validation_enregistrement.')':'').'  &nbsp; (<a href="./index.php?mod=admin&amp;ac=user_edit">Voir la liste</a>)</p>';
		}
		elseif ($accueil_nb[1] > 1)
		{
			$contenu_alerte .= '<p>'.$accueil_nb[1].' membres en attente d&rsquo;inscription '.($K_validation_enregistrement<>'off' ? '(validation par '.$K_validation_enregistrement.')':'').'  &nbsp; (<a href="./index.php?mod=admin&amp;ac=user_edit">Voir la liste</a>)</p>';
		}

		// compte banni
		/*
		if ($accueil_nb[0] == 1)
		{
				$contenu_alerte .= '<p>1 membre a son compte banni  &nbsp; (<a href="./index.php?mod=admin&amp;ac=user_edit&amp;gest_mbr=ban">Voir la liste</a>)</p>';
		}
		elseif ($accueil_nb[0] > 1)
		{
				$contenu_alerte .= '<p>'.$accueil_nb[0].' membres ont leur compte banni  &nbsp; (<a href="./index.php?mod=admin&amp;ac=user_edit&amp;gest_mbr=ban">Voir la liste</a>)</p>';
		}
		*/

		// compte suspendu
		if ($accueil_nb[2] == 1)
		{
			$contenu_alerte .= '<p>1 membre a son compte suspendu  &nbsp; (<a href="./index.php?mod=admin&amp;ac=user_edit&amp;gest_mbr=sus">Voir la liste</a>)</p>';
		}
		elseif ($accueil_nb[2] > 1)
		{
			$contenu_alerte .= '<p>'.$accueil_nb[2].' membres ont leur compte suspendu  &nbsp; (<a href="./index.php?mod=admin&amp;ac=user_edit&amp;gest_mbr=sus">Voir la liste</a>)</p>';
		}

		// compte supprim
		if ($accueil_nb[3] == 1)
		{
			$contenu_alerte .= '<p>1 membre a son compte qui '.($K_delai_supprime_auto > 0 ? 'va &ecirc;tre supprim&eacute; automatiquement sous '.$K_delai_supprime_auto.' jours':'doit &ecirc;tre supprim&eacute; manuellement').'  &nbsp; (<a href="./index.php?mod=admin&amp;ac=user_edit&amp;gest_mbr=sup">Voir la liste</a>)</p>';
		}
		elseif ($accueil_nb[3] > 1)
		{
			$contenu_alerte .= '<p>'.$accueil_nb[3].' membres ont leur compte qui '.($K_delai_supprime_auto > 0 ? 'vont &ecirc;tre supprim&eacute;s automatiquement sous '.$K_delai_supprime_auto.' jours':'doivent &ecirc;tre supprim&eacute;s manuellement').'  &nbsp; (<a href="./index.php?mod=admin&amp;ac=user_edit&amp;gest_mbr=sup">Voir la liste</a>)</p>';
		}
	}

	if ($AccesModoG)
	{
		//Message de la table alerte
		if ($accueil_nb[4] == 1)
		{
			$contenu_alerte .= '<p>Une alerte de validation. &nbsp; (<a href="./index.php?mod=alerte">Voir la liste</a>)</p>';
		}
		elseif ($accueil_nb[4] > 1)
		{
			$contenu_alerte .= '<p>'.$accueil_nb[4].' alertes de validation. &nbsp; (<a href="./index.php?mod=alerte">Voir la liste</a>)</p>';
		}

		//Article  valider
		if ($accueil_nb[5] == 1)
		{
			$contenu_alerte .= '<p>Alerte de validation d\'un article. &nbsp; (<a href="./index.php?mod=articles&amp;ac=gestion">Voir la liste</a>)</p>';
		}
		elseif ($accueil_nb[5] > 1)
		{
			$contenu_alerte .= '<p>Alerte de validation de '.$accueil_nb[5].' articles. &nbsp; (<a href="./index.php?mod=articles&amp;ac=gestion">Voir la liste</a>)</p>';
		}

		//Citations  valider
		if ($accueil_nb[6] == 1)
		{
			$contenu_alerte .= '<p>Alerte de validation d\'une citation. &nbsp; (<a href="./index.php?mod=citations">Voir la liste</a>)</p>';
		}
		elseif ($accueil_nb[6] > 1)
		{
			$contenu_alerte .= '<p>Alerte de validation de '.$accueil_nb[6].' citations. &nbsp; (<a href="./index.php?mod=citations">Voir la liste</a>)</p>';
		}

		//livre d or  valider
		if ($accueil_nb[7] == 1)
		{
			$contenu_alerte.= '<p>Alerte de validation d\'un message du livre d\'or. &nbsp; (<a href="./index.php?mod=livredor&amp;ac=gestion">Voir la liste</a>)</p>';
		}
		elseif ($accueil_nb[7] > 1)
		{
			$contenu_alerte.='<p>Alerte de validation de '.$accueil_nb[7].' messages du livre d\'or. &nbsp; (<a href="./index.php?mod=livredor&amp;ac=gestion">Voir la liste</a>)</p>';
		}

	}
	if (is_module('liens_web'))
	{
		$K_liens_web_options_gr = unserialize($K_liens_web_options_gr);
		if ($K_liens_web_options_gr['gr_gestion']!='-2' AND get_grade() >= $K_liens_web_options_gr['gr_gestion'])
		{
			//lien  valider
			if ($accueil_nb[8] == 1)
			{
				$contenu_alerte.= '<p>Alerte de validation d\'un lien. &nbsp; (<a href="./index.php?mod=liens_web&amp;ac=gestion&amp;action=valide">Voir la liste</a>)</p>';
			}
			elseif ($accueil_nb[8] > 1)
			{
				$contenu_alerte .= '<p>Alerte de validation de '.$accueil_nb[8].' liens. &nbsp; (<a href="./index.php?mod=liens_web&amp;ac=gestion&amp;action=valide">Voir la liste</a>)</p>';
			}

			//catgorie d'un  valider
			if ($accueil_nb[9] == 1)
			{
				$contenu_alerte .= '<p>Alerte de validation d\'une catgorie d\'un lien. &nbsp; (<a href="./index.php?mod=liens_web&amp;ac=gestion&amp;action=valide">Voir la liste</a>)</p>';
			}
			elseif ($accueil_nb[9] > 1)
			{
				$contenu_alerte .= '<p>Alerte de validation de '.$accueil_nb[9].' catgories d\'un lien. &nbsp; (<a href="./index.php?mod=liens_web&amp;ac=gestion&amp;action=valide">Voir la liste</a>)</p>';
			}

			//lien mort  valider
			if ($accueil_nb[10] == 1)
			{
				$contenu_alerte .= '<p>Alerte de validation d\'un lien mort. &nbsp; (<a href="./index.php?mod=liens_web&amp;ac=gestion&amp;action=mort">Voir la liste</a>)</p>';
			}
			elseif ($accueil_nb[10] > 1)
			{
				$contenu_alerte .= '<p>Alerte de validation de '.$accueil_nb[10].' liens morts. &nbsp; (<a href="./index.php?mod=liens_web&amp;ac=gestion&amp;action=mort">Voir la liste</a>)</p>';
			}
		}
		$K_liens_web_options_gr = serialize($K_liens_web_options_gr);
	}
	if ($AccesModoG)
	{
		// Validation agenda
		if ($accueil_nb[11] == 1)
		{
			$contenu_alerte .= '<p>Un &eacute;v&egrave;nement est en attente de validation. &nbsp; &nbsp;(<a href="./index.php?mod=agenda&amp;ac=gestion">Voir ici</a>)</p>';
		}
		elseif ($accueil_nb[11] > 1)
		{
			$contenu_alerte .= '<p>'.$accueil_nb[11].' &eacute;v&egrave;nements sont en attente de validation. &nbsp; &nbsp;(<a href="./index.php?mod=agenda&amp;ac=gestion">Voir la liste</a>)</p>';
		}

		//News  valider
		if ($accueil_nb[12] == 1)
		{
			$contenu_alerte .= '<p>Alerte de validation d\'une news. &nbsp; (<a href="./index.php?mod=news&amp;ac=gestion">Voir la liste</a>)</p>';
		}
		elseif ($accueil_nb[12] > 1)
		{
			$contenu_alerte .= '<p>Alerte de validation de '.$accueil_nb[12].' news. &nbsp; (<a href="./index.php?mod=news&amp;ac=gestion">Voir la liste</a>)</p>';
		}
	}
}

if ($TraitementMail24H AND !empty($contenu_alerte))
{
	$contenu_alerte = preg_replace('#href="./#','href="'.$K_url_site,$contenu_alerte);
	$contenu_alerte_final = 'Cet E-mail  t gnr par "'.$CachePseudo.'" depuis <a href="'.$K_url_site;
	if (!empty($_SERVER['QUERY_STRING']))
		$contenu_alerte_final .= 'index.php?'.$_SERVER['QUERY_STRING'];
	$contenu_alerte_final .= '">cette page</a><hr />'.$contenu_alerte;
	$contenu_alerte = '';

	require_once './includes/class.mail.php';
	$mail = new kws_mail();
	$mail->add_adresses(array($K_expediteur => $K_email_expediteur), 'From');
	$mail->add_adresses(array($K_expediteur => $K_email_expediteur), 'To');
	// sujet du message
	$mail->set_sujet('['.substr(explode('/', $K_url_site, 3)[2],0,-1).'] Les alertes du '.date('d/m/Y'));
	$mail->set_message($contenu_alerte_final, 'multi');
	// et c'est parti
	$mail->envoyer();
}

?>
