<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: archives.php 1020 2016-02-04 11:52:29Z mike007 $
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

if (get_grade() >= GRD_VISIT)
{
	$AnneeArticles = intval($_GET['annee']);
	if (empty($_GET['annee']) OR $_GET['annee']=='toutes')
	{
		if ($_GET['annee']=='toutes')
			header ('Location: '.(url_rw('./index.php?mod='.$K_mod.'&ac='.$K_ac.'')));
		$AnneeArticles = 'toutes';
		$MoisArticles = 'tous';
		$articles_min_date = mktime(0, 0, 0, 1, 1, 1970);
		$articles_max_date = mktime(0, 0, 0, 12, 1, date('Y'));
	}
	elseif (!empty($_GET['month']) AND $_GET['month']!='tous')
	{
		$MoisArticles = intval($_GET['month']);
		$articles_min_date = mktime(0, 0, 0, $MoisArticles,   1, $AnneeArticles);
		$articles_max_date = mktime(0, 0, 0, $MoisArticles+1, 1, $AnneeArticles);
	}
	else
	{
		if ($_GET['month']=='tous')
			header ('Location: '.(url_rw('./index.php?mod='.$K_mod.'&ac='.$K_ac.''.($_GET['annee']!='toutes'?'&annee='.$AnneeArticles:'').'')));
		$MoisArticles = 'tous';
		$articles_min_date = mktime(0, 0, 0, 1, 1, $AnneeArticles);
		$articles_max_date = mktime(0, 0, 0, 12, 1, $AnneeArticles);
	}
	// Affichage du nombre de articles par mois
	bloc_head ('Toutes les articles :');

	$req_articles = reqmysql('
		SELECT		COUNT(`articles`.`id`)						AS nid,
					MONTH(from_unixtime( `articles`.`date`) )	AS mois,
					YEAR(from_unixtime(`articles`.`date`) )		AS year
		FROM		`articles`
		WHERE		`articles`.`validation` < 1
			AND 	`articles`.`date` <= '.time().'
			AND		`articles`.`ref` IN '.$K_user->rubrique[0].'
		GROUP BY	mois, year
		ORDER BY	`articles`.`date` DESC
	');
	$nb_articlesplus = Kws_mysql_num_rows($req_articles);

	if ($nb_articlesplus>0)
	{
		while ($articles = Kws_mysql_fetch_object($req_articles))
		{
			$TouteLesArticles[$articles->year][$articles->mois]= $articles->nid;
			$old = $articles->year;
		}
		//df_print_r($TouteLesArticles);
			echo '
			<div style="width:600px;margin:auto;">
				<form style="text-align:center;float:left;width:45%" method="get" action="./index.php">
					<input type="hidden" name="mod" value="'.$K_mod.'" />
					<input type="hidden" name="ac" value="'.$K_ac.'" />
					<select name="annee" onchange="submit()">
					<option value="toutes">Choisissez votre ann&eacute;e (Toutes)</option>';
					foreach ($TouteLesArticles as $An => $TabMoisNb)
					{
						$TotNbMois =0;
						foreach ($TabMoisNb as $Mois => $NbArticles)
						{
							$TotNbMois += $NbArticles;
						}
						echo '<option value="'.$An.'"'.($An==$AnneeArticles ? ' selected="selected"':'').'>'.$An.' ('.$TotNbMois.' Article'.($TotNbMois>1?'s':'').')</option>';
					}
					echo '</select>
					<noscript>
						<br /><br /><input type="submit" value=" Voir cette ann&eacute;e" />
					</noscript>
				</form>
				<form style="text-align:center;float:left;width:45%" method="get" action="./index.php">
					<input type="hidden" name="mod" value="'.$K_mod.'" />
					<input type="hidden" name="ac" value="'.$K_ac.'" />
					<select name="month" onchange="submit()">
					<option value="tous">Choisissez votre mois (Tous)</option>';
					foreach ($TouteLesArticles as $An => $TabMoisNb)
					{
						foreach ($TabMoisNb as $Mois => $NbArticles)
						{
						    if ($An == $AnneeArticles)	echo '<option value="'.$Mois.'"'.($Mois==$MoisArticles ? ' selected="selected"':'').'>'.kws_date('F',mktime(0, 0, 0, $Mois, 1, $An)).' ('.$NbArticles.' Article'.($NbArticles>1?'s':'').')</option>';
						}
					}
					echo '</select>
					<input type="hidden" name="annee" value="'.$AnneeArticles.'" />
					<noscript>
						<br /><br /><input type="submit" value=" Voir ce mois" />
					</noscript>
				</form>
				<br style="clear:both" />
			</div>
			';
/*
		Kws_mysql_data_seek($req_articles,0);

		echo'<ul style="list-style-image: url(themes/'.$K_theme.'/images/articles/puce.png);">';
		while ($articles = Kws_mysql_fetch_object($req_articles))
		{
			echo'
			<li><label style="width:50%; float:left; text-indent:0px ! important;">Mois de '.Kws_date('F Y', mktime(0, 0, 0, $articles->mois, 1, $articles->year)).' : </label>
			<a href="'.(url_rw('./index.php?mod=articles&amp;ac=plus&amp;month='.$articles->mois.'&amp;annee='.$articles->year)).'">'.$articles->nid.' new(s)</a>
			</li>';
		}
		echo'</ul>';
*/
	}
	else
	{
		echo '<div style="text-align:center"><h5><i>Aucun articles n&rsquo;a encore &eacute;t&eacute; post&eacute;</i></h5></div>';
	}
	close_table();

	//Affichage des articles du mois selectionn
	if (!empty($AnneeArticles) and !empty($MoisArticles) and $MoisArticles <13 && $articles_min_date < time())
	{
		$req_articles = reqmysql('
			SELECT		`articles`.`id`				as id,
						`articles`.`ref`			as ref,
						`articles`.`hit`			as hit,
						`articles`.`titre`			as titre,
						`articles`.`date`			as date,
						COUNT(`commentaires`.`id`)	as nb_coms
			FROM		`articles`
			LEFT JOIN	`commentaires`
				ON		`commentaires`.`ref` = CONCAT("art",`articles`.`id`)
			WHERE		`articles`.`date` BETWEEN '.$articles_min_date.' AND '.min(time(), $articles_max_date).'
				AND		`articles`.`ref` IN '.$K_user->rubrique[0].'
				AND		`articles`.`date` <= '.time().'
				AND 	`validation` < 1
			GROUP BY	`articles`.`id`
			ORDER BY	`articles`.`date` DESC
		');
		$total_articles = Kws_mysql_num_rows($req_articles);

		bloc_head('Les Articles de '.(!empty($_GET['month']) ? Kws_date('F Y', $articles_min_date) : $AnneeArticles).' :');

		if (Kws_mysql_num_rows($req_articles)>0)
		{
			$pagination = new pagination($total_articles, '15');
			// Affichage des pages
			echo $pagination->creer('./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.
						(!empty($_GET['month']) ? '&amp;month='.$_GET['month']:'').
						(!empty($_GET['annee']) ? '&amp;annee='.$_GET['annee']:'').
						'&amp;int_page=%d');

			echo '
			<ul style="list-style-image: url(themes/'.$K_theme.'/images/articles/puce.png);">
				<li style="text-indent:0px ! important;list-style:none;">
				<label style="width:20%; float: left;"><strong>Cat&eacute;gorie</strong></label>
				<label style="width:20%; float: left;"><strong>Date</strong></label>
				<label style="width:40%; float: left;"><strong>Titre</strong></label>
				<label style="width:10%; float: left;"><strong>Lectures</strong></label>
				<label style="width:10%; float: left;"><strong>Commentaires</strong></label><br /><br />
				</li>
				<li style="text-indent:0px ! important;list-style:none;"><hr /></li>
			';
			if ($total_articles > $pagination->elt_par_page)
			{
				$total_articles = $pagination->elt_par_page + $pagination->getDebutPage();
			}
			$i_articles = 0;
			while ($articles = Kws_mysql_fetch_object($req_articles))
			{
				if ($i_articles >= $pagination->getDebutPage() and $i_articles < $total_articles)
				{
					echo '
					<li style="clear:both; text-indent:0px ! important;" onmouseover="this.className = \'onmouse_over\';" onmouseout="this.className = \'onmouse_out\';">
					<label style="width:20%; float: left;">'.$K_liste_titre_rubrique[$articles->ref].'</label>
					<label style="width:20%; float: left;">'.Kws_date('d/m/Y',$articles->date).'</label>
					<label style="width:40%; float: left;"><a href="'.(url_rw('./index.php?mod=articles&amp;ac=commentaires&amp;id='.ax($articles->id),array($articles->titre))).'">'.ax($articles->titre).'</a></label>
					<label style="width:10%; float: left;">'.$articles->hit.'</label>
					<label style="width:10%; float: left;">'.$articles->nb_coms.'</label><br /><br />
					</li>';
				}
				$i_articles++;
			}
			echo'</ul>';
			// Affichage des pages
			echo $pagination->barre_nav;
		}
		else
		{
			echo '
			<p style="text-align:center">Pas d\'articles pour la priode slectionne !</p>';
		}
		close_table();

		echo '<br />';
	}
}
else
{
	ZoneReserve();
}
?>
