-- $Id: install.sql 940 2012-09-12 13:49:16Z mike007 $

DROP TABLE IF EXISTS `articles`;
CREATE TABLE `articles` (
  `id` int(11) NOT NULL auto_increment,
  `ref` varchar(10) NOT NULL default '',
  `titre` varchar(60) NOT NULL default '',
  `auteur` varchar(40) NOT NULL default '',
  `img` VARCHAR (250) NOT NULL DEFAULT '',
  `accroche` VARCHAR (250) NOT NULL DEFAULT '',
  `texte` text NOT NULL,
  `mots_cles` varchar(250) NOT NULL default '',
  `date` varchar(10) NOT NULL default '',
  `type` tinyint(2) NOT NULL default '0',
  `js` enum('0','1') NOT NULL default '0',
  `attribut` tinyint(1) NOT NULL default '0',
  `validation` tinyint(2) NOT NULL default '0',
  `hit` int(11) NOT NULL,
  `vote_nbr` smallint (5) DEFAULT '0' ,
  `vote_somme` smallint (5) DEFAULT '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Module article : Les articles' AUTO_INCREMENT=1 ;

INSERT INTO `parametres` SET `nom`='articles_gr_admin', `valeur`='3';
INSERT INTO `parametres` SET `nom`='articles_gr_poster', `valeur`='0';
INSERT INTO `parametres` SET `nom`='articles_gr_voter', `valeur`='0';
INSERT INTO `parametres` SET `nom`='articles_gr_commentaires', `valeur`='0';
INSERT INTO `parametres` SET `nom`='articles_valider', `valeur`='1';
INSERT INTO `parametres` SET `nom`='articles_keywords', `valeur`='oui';
INSERT INTO `parametres` SET `nom`='articles_nbre_page', `valeur`='10';
INSERT INTO `parametres` SET `nom`='articles_rubriques', `valeur`='1';
INSERT INTO `parametres` SET `nom`='articles_lecture_session', `valeur`='oui';
INSERT INTO `parametres` SET `nom`='articles_ComsParPage', `valeur`='5';
INSERT INTO `parametres` SET `nom`='articles_OrderByComs', `valeur`='DESC';

INSERT INTO `droit_exclu` SET `module`='articles', `page`='affadmin', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='articles', `page`='ajouter', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='articles', `page`='commentaires', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='articles', `page`='gestion', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='articles', `page`='options', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='articles', `page`='poster', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='articles', `page`='vote', `accessible`='0';

