<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: poster.php 1020 2016-02-04 11:52:29Z mike007 $
// ---------------------------------------------------------------
// Mise a jour : 30/06/06 par Jack
// Mise  jour : 06/12/07 par Otocinclus
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

if (get_grade() >= $articles_gr_admin)
{
	$req_art = reqmysql('
		SELECT		`titre`,
					`id`
		FROM		`rubriques`
		WHERE		(`rubriques`.`module` LIKE "%articles%" OR `rubriques`.`module`="")
		ORDER BY	`rubriques`.`titre` ASC
	');
	$nb = Kws_mysql_num_rows($req_art);

	// Aucune rubrique cre
	if ($nb ==0)
	{
		bloc_head('Erreur') ;
		echo '
		<div style="text-align:center"><br />Vous devez cr&eacute;er des rubriques avant de pouvoir poster !<br /><br />
		<a href="index.php?mod=rubriques&amp;ac=gestion"><strong>Cr&eacute;er une rubrique</strong></a><br /><br /></div>' ;
		close_table() ;
		return ;
	}

	if(isset($_POST['action']) && $_POST['action']=='envoyer')
	{
		$temps = time();

		// Modification : On insre 0  la valeur de validation pour que l'article soit valid directement
		if ($_POST['sql_titrearticle']!='' && $_POST['texte']!='')
		{
			$_POST['texte'] = filter_bbcode_sup_interdit($_POST['texte'],get_grade());
			$TypeArt		= $_POST['int_type'];
			$JsArt			= empty($_POST['int_js']) ? 0:1;
			if ($TypeArt != 0) $JsArt = 0;
			$req = reqmysql('
				INSERT INTO `articles`
				SET			`titre`		= "'.$_POST['sql_titrearticle'].'",
							`date`		= "'.$temps.'",
							`auteur`	= "'.$CachePseudo.'",
							`ref`		= "'.$_POST['int_ref'].'",
							`img`		= "'.$_POST['sql_img'].'",
							`accroche`	= "'.$_POST['sql_accroche'].'",
							`texte`		= "'.sp($_POST['texte']).'",
							`mots_cles`	= "'.$_POST['sql_mots_cles'].'",
							`type`		= "'.$TypeArt.'",
							`js`		= "'.$JsArt.'",
							`attribut`	= "'.intval($_POST['smileys']).'",
							`validation`= "0", 
							`hit`="0", 
							`vote_nbr`="0", 
							`vote_somme`="0"
			') or die ('<br /><center>Une erreur est survenue !</center>');

			bloc_head('Information');
			echo '
			<p align="center">Merci de votre participation !</p>
			<form method="get" action="./index.php">
				<p style="text-align:center">
					<input type="hidden" name="mod" value="'.$K_mod.'" />
					<input type="hidden" name="ac" value="gestion" />
					<input type="submit" id="submit" value=" Retour " />
				</p>
			</form>';
			close_table();
		}
		else
		{
			bloc_head('Information');
			echo '
			<p style="text-align:center;">Vous n\'avez pas rempli tous les champs</p>
			<p style="text-align:center;font-weight:bold;">
				<a href="index.php?mod='.$K_mod.'&amp;ac=poster">Retour</a>
			</p>';
			close_table();
		}
	}
	else
	{
		bloc_head('Poster un article :');
		echo '
		<script type="text/javascript" src="./includes/bbcode.js"></script>
		<script type="text/javascript" src="./includes/bjs.js"></script>

		<form name="formulaire" method="post" action="index.php?mod='.$K_mod.'" onsubmit="return control_form(\'sql_titrearticle,Titre postzone,Message lien_postzone,Lien \')">
			<input type="hidden" name="ac" value="poster" />
			<input type="hidden" name="action" value="envoyer" />
			<fieldset class="fieldset_post">
				<legend>&Eacute;crire un article</legend>
				<dl>
					<dt><label>Titre :</label></dt>
					<dd><input type="text" size="30" id="sql_titrearticle" name="sql_titrearticle" /></dd>
				</dl>
				<dl>
					<dt><label>Rubrique :</label></dt>
					<dd>
						<select name="int_ref">';
							while ($article = Kws_mysql_fetch_object($req_art))
							{
								echo '
								<option value="'.$article->id.'">'.ax($article->titre).'</option>';
							}
							echo '
						</select>
					</dd>
				</dl>
<!-- HA Ajout des champs Image-aperu et Accroche -->
				<dl>
					<dt><label>Image-aperu :</label></dt>
					<dd><input type="text" size="30" name="sql_img" id="sql_img" /></dd>
				</dl>
				<dl id="dl_accroche">
					<dt><label>Accroche:<br />- 250 caract&egrave;res max<br />- Html interdit</label></dt>
					<dd><textarea rows="6" cols="60" name="sql_accroche" id="sql_accroche" onkeyup="this.value = this.value.slice(0, 250)"></textarea></dd>
				</dl>
<!-- HA -->
				<dl>
					<dt><label>Format du texte :</label></dt>
					<dd>
						<input type="radio" value="1" name="int_type" onclick="if(this.checked) choice_format_post(this.value);" '.(is_module('tiny_mce')?'':'checked="checked"').' />BBcode
						<span style="margin-left:75px">&nbsp;</span>
						<input type="radio" value="0" name="int_type" onclick="if(this.checked) choice_format_post(this.value);" '.(is_module('tiny_mce')?'checked="checked"':'').' />Html
						'.($K_grade >= GRD_ADMIN ?
						' + Js <input type="checkbox" value="1" '.($art->js == 1 ? 'checked="checked"' : '').' name="int_js" />':'').'
						<br />
						<input type="radio" value="2" name="int_type" onclick="if(this.checked) choice_format_post(this.value);" />Lien vers une page
					</dd>
				</dl>
				';
				if (is_module('smileys')) afficher_smileys((is_module('tiny_mce')?0:1));
				include './includes/balises.php';
				echo '
				<div class="fieldset_post">
					<textarea cols="90" rows="'.(empty($new_textareaRows)?'13':$new_textareaRows).'" name="texte" id="postzone" onkeyup="bjs(this.value,\'apercu\')" onchange="bjs(this.value,\'apercu\')"></textarea>
					<input disabled="disabled" style="display:none;margin:auto" type="text" size="90" name="texte_old" id="lien_postzone" value="" />
				</div>
				<div id="apercu_check" style="text-align:center;">
					<input type="checkbox" onclick="pr_act(this);" /> Pr&eacute;visualisation du message:
					<span style="margin-left:50px">&nbsp;</span>
					<input type="button" value="Actualiser" style="visibility:hidden" id="prev" name="prev" onclick="finalprev(\'./includes/xml_prev.php\',document.getElementById(\'postzone\').value,\'apercu\')" />
				</div>
				<div id="HTML_prev_button" style="text-align:center;display:none">
					<input type="button" value="'.(is_module('tiny_mce')? 'R&eacute;diger avec Tiny et ':'').'Pr&eacute;visualiser HTML" onclick="javascript:popupcentre(\'./includes/prevhtml.php?sql_name_form=\'+this.form.name+\''.(is_module('tiny_mce') ? '&amp;tiny='.$is_tiny_mce:'').'\',\'Article\',\'800\',\'610\',\'yes\')" />
				</div>
				<div id="apercu" style="display:none"></div>
				<hr />
				<div style="text-align:center">
					Facultatif : Mots cl&eacute;s (s&eacute;par&eacute;s par des virgules) de l\'article :<br />
					<input type="text" name="sql_mots_cles" size="90" value="" /><br /><br />
					<input type="submit" id="submit" value="  Envoyer  " />
					<span style="margin-left:25px">&nbsp;</span>
					<input type="reset" id="reset" value="  Annuler  " onclick="history.go(-1);" />
				</div>
			</fieldset>
		</form><br style="clear:both" />
		' ;
		if (is_module('tiny_mce'))
		{
			echo '
			<script type="text/javascript">
			// <![CDATA[
				choice_format_post(\'0\')
			// ]]>
			</script>';
		}
		close_table();
	}
}
else
{
	ZoneReserve();
}
?>
