<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: editer.php 1048 2016-05-10 09:30:55Z mike007 $
// ---------------------------------------------------------------
// Cration : 07/10/07 par FouPouDave
// ---------------------------------------------------------------

/**
*	Scurit
*/
if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

/**
*	Transformation des paramtres du module en variables
*/
require './modules/download/parametres.php';

if (isset($_POST['editer']))
{
	$dl_erreur = false;

	$dl_fichier->licence			= dirname($_POST['sql_fichier']).'/licence.html';
	if (!file_exists($dl_fichier->licence))
	{
		$dl_fichier->licence		= '';
	}

	if (substr($_POST['sql_fichier'], -1, 1)!='/')
	{
		$image = $dl_upload_image.substr(basename($_POST['sql_fichier']),0,-4);
	}
	else
	{
		$image = $dl_upload_image.basename($_POST['sql_fichier']);
	}
	if (empty($_POST['sql_image']) and file_exists($image.'.png'))
	{
		$_POST['sql_image'] = $image.'.png';
	}
	elseif (empty($_POST['sql_image']) and file_exists($image.'.jpg'))
	{
		$_POST['sql_image'] = $image.'.jpg';
	}
	elseif (empty($_POST['sql_image']) and file_exists($image.'.gif'))
	{
		$_POST['sql_image'] = $image.'.gif';
	}
	if (file_exists($image.'_mini.png'))
	{
		$dl_fichier->image_miniature = $image.'_mini.png';
	}
	elseif (file_exists($image.'_mini.jpg'))
	{
		$dl_fichier->image_miniature = $image.'_mini.jpg';
	}
	elseif (file_exists($image.'_mini.gif'))
	{
		$dl_fichier->image_miniature = $image.'_mini.gif';
	}
	elseif (!empty($_POST['sql_image']))
	{
		$dl_fichier->image_miniature = $_POST['sql_image'];
	}
	elseif ($dl_fichier->type == 'fichier')
	{
		$dl_fichier->image_miniature = 'modules/download/upload_image/fichier.png';
	}
	else
	{
		$dl_fichier->image_miniature = 'modules/download/upload_image/repertoire_ferme.png';
	}

	if ($_POST['int_vote_nbr']!=0)
	{
		$dl_fichier->vote				= round($_POST['int_vote_somme']/$_POST['int_vote_nbr']);
	}
	else
	{
		$dl_fichier->vote				= 0;
	}

	$_POST['texte'] = filter_bbcode_sup_interdit($_POST['texte'],get_grade());

	if (empty($_POST['int_taille']))
		$dl_FileSize = filesize($_POST['sql_fichier']);
	else
		$dl_FileSize = $_POST['int_taille'];

	$dl_md5_file = 'Trop gros  vrifier';
	if ($dl_FileSize <= 10485760) // 10 Mo pour viter de ralentir et de toute faon on ne s'en sert pas vraiment de ce md5
		$dl_md5_file = @md5_file($_POST['sql_fichier']);

	reqmysql('
		UPDATE	`dl`
		SET		`taille`			="'.$dl_FileSize.'",
				`taille_str`		="'.taille_fichier($dl_FileSize).'",
				`chmod`				="'.chmod_fichier($_POST['sql_fichier']).'",
				`md5_file`			="'.$dl_md5_file.'",
				`niveau_repertoire`	="'.niveau_repertoire($_POST['sql_fichier'],$dl_upload).'",
				`visible`			="'.$_POST['int_visible'].'",
				`licence`			="'.$dl_fichier->licence.'",
				`version`			="'.$_POST['sql_version'].'",
				`image`				="'.$_POST['sql_image'].'",
				`image_miniature`	="'.$dl_fichier->image_miniature.'",
				`auteur`			="'.$_POST['sql_auteur'].'",
				`titre`				="'.$_POST['sql_titre'].'",
				`description`		="'.sp($_POST['texte']).'",
				`grade`				="'.$_POST['int_grade'].'",
				`id_groupe`			="'.$_POST['int_id_groupe'].'",
				`filtre`			="'.$_POST['sql_filtre'].'",
				`date_modification`	="'.$_POST['int_date_modification'].'",
				`date_hit`			="'.($_POST['int_hit_ancien']!=$_POST['int_hit'] ? time() : $_POST['int_date_hit']).'",
				`hit`				="'.$_POST['int_hit'].'",
				`vote_autorisation`	="'.$_POST['int_vote_autorisation'].'",
				`vote_nbr`			="'.$_POST['int_vote_nbr'].'",
				`vote_somme`		="'.$_POST['int_vote_somme'].'",
				`vote`				="'.$dl_fichier->vote.'",
				`variable_interne`	=""
		WHERE	`fichier`			="'.$_POST['sql_fichier'].'"
	') or $dl_erreur = true;
}

require './modules/download/trier.php';

$dl_requete = reqmysql('
	SELECT	*
	FROM	`dl`
	WHERE	`id`="'.$_GET['int_id'].'"
');
$dl_fichier = Kws_mysql_fetch_object($dl_requete);
$dl_fichier = $dl_liste[$dl_fichier->fichier];

if (isset($dl_erreur))
{
	if ($dl_erreur)
	{
		echo df_message('erreur','Il y a un probl&egrave;me dans la modification !');
	}
	else
	{
		echo df_message('information','La modification a &eacute;t&eacute; effectu&eacute;e avec succ&egrave;s !');
		header(html_entity_decode('Location: index.php?mod=download&amp;ac=gestion'));
	}
	echo '<hr/>';
}

if (($dl_fichier->type=='fichier' and $dl_fichier_editer) or ($dl_fichier->type=='repertoire' and $dl_repertoire_editer))
{
	Bloc_head('Edition d\'un '.$dl_fichier->type);
	echo '<script type="text/javascript">
	// <![CDATA[
	function affiche_image(formulaire)
	{
		if (formulaire.sql_image.options[formulaire.sql_image.selectedIndex].value == "")
		{
			return document.images.pas_de_correction.src =  "./modules/download/images/aucune_image.gif";
		}
		else
		{
			return document.images.pas_de_correction.src = formulaire.sql_image.options[formulaire.sql_image.selectedIndex].value
		}
	}
	// ]]>
	</script>

	<script type="text/javascript" src="./includes/bbcode.js"></script>
	<script type="text/javascript" src="./includes/bjs.js"></script>
	<br />
	<form action="index.php?mod=download&amp;ac=editer&amp;int_id='.$dl_fichier->id.'" name="formulaire" method="post">
	<table align="center" border="1" summary="editer">
		<tr>
			<th>id</th>
			<td><input type="hidden" name="int_id" value="'.$dl_fichier->id.'"/>'.$dl_fichier->id.'</td>
		</tr>
		<tr>
			<th>Fichier</th>
			<td><input type="hidden" name="sql_fichier" value="'.$dl_fichier->fichier.'"/>'.$dl_fichier->fichier.'</td>
		</tr>';
		if ($dl_fichier->type=='fichier')
		{
			echo '<tr>
				<th>Version</th>
				<td><input type="text" name="sql_version" value="'.$dl_fichier->version.'" size="45" /></td>
			</tr>
			<tr>
				<th>Taille</th>
				<td>';
				if (substr($dl_fichier->fichier,-4)=='html')
				{
					echo '
					<input type="text" size="30" id="int_taille" name="int_taille" value="'.$dl_fichier->taille.'" /> =
					<strong>'.ax($dl_fichier->taille_str).'</strong> <em>[ Vous devez saisir la taille en octets ]</em>
					';
				}
				else
				{
					echo taille_fichier(filesize($dl_fichier->fichier));
				}
				echo '
				</td>
			</tr>';
		}
		echo '<tr>
			<th>chmod</th>
			<td>'.chmod_fichier($dl_fichier->fichier).'</td>
		</tr>
		<tr>
			<th>Visible<br />quand non autoris&eacute;</th>
			<td>
				<select name="int_visible">
					<option value="0">Non</option>
					<option value="1" '.($dl_fichier->visible=='1' ? ' selected="selected"' : '').'>Oui</option>
				</select> <small><a href="./index.php?mod='.$K_mod.'&amp;ac=gestion_administration">Option visibilit&eacute; g&eacute;n&eacute;rale</a> r&eacute;gl&eacute;e sur '.($dl_visible ? 'visible quelquesoit ce param&egrave;tre.':'invisible. Ce param&egrave;tre est dterminant.').'</small>
			</td>
		</tr>
		<tr>
			<th>Image</th>
			<td>
				<table style="margin:auto;" width="100%" summary="image">
					<tr>
						<td width="1%">
							<select name="sql_image" onchange="affiche_image(formulaire)">
								<option value="">Aucune image</option>';
								$dl_liste = ScannerRepertoire($dl_upload_image, 'file', false);
								foreach ($dl_liste as $dl_id=>$dl_image)
								{
									echo '<option value="'.$dl_upload_image.$dl_image.'"'.($dl_upload_image.$dl_image==$dl_fichier->image ? ' selected="selected"' : '').'>'.$dl_image.'</option>';
								}
							echo '</select>
						</td>
						<td align="center">
							<img src="'.(empty($dl_fichier->image) ? './modules/download/images/aucune_image.gif' : $dl_fichier->image).'" alt="Image" name="pas_de_correction" />
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<th>Auteur</th>
			<td><input type="text" name="sql_auteur" value="'.$dl_fichier->auteur.'" size="45" /></td>
		</tr>
		<tr>
			<th>Titre</th>
			<td><input type="text" name="sql_titre" value="'.$dl_fichier->titre.'" size="45" /></td>
		</tr>
		<tr>
			<th>Description</th>
			<td>
				<div style="text-align:center;">';
					if (is_module('smileys')) afficher_smileys();
					include './includes/balises.php';
					echo '
					<textarea cols="50" rows="'.(empty($new_textareaRows)?'13':$new_textareaRows).'" name="texte" id="postzone" onkeyup="bjs(this.value,\'apercu\')" onchange="bjs(this.value,\'apercu\')"  >'.$dl_fichier->description.'</textarea>
					<div style="text-align:center;">
						<input type="checkbox" onclick="pr_act(this);" /> Pr&eacute;visualisation du message:
						<span style="margin-left:50px">&nbsp;</span>
						<input type="button" value="Actualiser" style="visibility:hidden" id="prev" name="prev" onclick="finalprev(\'./includes/xml_prev.php\',document.getElementById(\'postzone\').value,\'apercu\')" />
					</div>
					<div id="apercu" style="display:none"></div>
					';
				echo '</div>
			</td>
		</tr>
		<tr>
			<th>Grade minimum</th>
			<td>
				<select name="int_grade">';
					for($i=GRD_EXCLU;($n=get_grd_name($i))!=null;$i++)
					{
						echo '<option value="'.$i.'" '.($dl_fichier->grade==$i?'selected="selected"':'').'>'.$n.'</option>';
					}
				echo '</select>
			</td>
		</tr>
		<tr>
			<th>Groupe</th>
			<td>
				<select name="int_id_groupe">
					<option value="0"'.($dl_fichier->id_groupe=='0' ? ' selected="selected"':'').'>Aucun groupe n&eacute;cessaire</option>';
					$dl_requete = reqmysql('
						SELECT	*
						FROM	`groupes_grp`
					');
					while ($dl_ligne = Kws_mysql_fetch_object($dl_requete))
					{
						echo '<option value="'.$dl_ligne->id.'"'.($dl_fichier->id_groupe==$dl_ligne->id ? ' selected="selected"':'').'>'.$dl_ligne->nom.'</option>';
					}
				echo '</select>
			</td>
		</tr>';
		if ($dl_fichier->type=='repertoire')
		{
			echo '<tr>
				<th>Filtre d\'upload</th>
				<td>
					<input type="text" name="sql_filtre" value="'.$dl_fichier->filtre.'" size="45" /><br />
					par exemple : .gif;.jpg;.jpeg;.bmp;.png<br />
					<br />
					<em>- Pour uploader aucun fichier dans le rpertoire, mettre un texte du style "Aucun fichier".</em><br />
					<em>- Pour uploader tous les types de fichier dans le rpertoire, mettre aucun texte.</em><br />
				</td>
			</tr>';
		}
		echo '<tr>
			<th>Date de cr&eacute;ation</th>
			<td>'.date('j/m/y',$dl_fichier->date_creation).' &agrave; '.date('H:i:s',$dl_fichier->date_creation).'</td>
		</tr>
		<tr>
			<th>Date de modification</th>
			<td>
				<input type="radio" name="int_date_modification" value="'.$dl_fichier->date_modification.'" checked="checked"/> Conserver la derni&egrave;re date de modification ('.date('j/m/y \&\a\g\r\a\v\e\; H:i:s',$dl_fichier->date_modification).')<br />
				<input type="radio" name="int_date_modification" value="'.time().'" /> Mettre &agrave; jour ('.date('j/m/y \&\a\g\r\a\v\e\; H:i:s',time()).')
			</td>
		</tr>
		<tr>
			<th>Hit</th>
			<td>
				<input type="hidden" name="int_hit_ancien" value="'.$dl_fichier->hit.'" />
				<input type="hidden" name="int_date_hit" value="'.$dl_fichier->date_hit.'" />';
				if ($dl_fichier->hit==0)
				{
					echo '<input type="text" name="int_hit" value="'.$dl_fichier->hit.'" />';
				}
				else
				{
					echo '<select name="int_hit">
						<option value="0">0</option>
						<option value="'.$dl_fichier->hit.'" selected="selected">'.$dl_fichier->hit.'</option>
					</select>
					Le dernier t&eacute;l&eacute;chargement a eu lieu le '.date('j/m/y \&\a\g\r\a\v\e\; H:i:s',$dl_fichier->date_hit);
				}
			echo '</td>
		</tr>
		<tr>
			<th>Autoriser le vote</th>
			<td>
				<select name="int_vote_autorisation">
					<option value="0">Non</option>
					<option value="1" '.($dl_fichier->vote_autorisation=='1' ? ' selected="selected"' : '').'>Oui</option>
				</select>
			</td>
		</tr>
		<tr>
			<th>Nombre de votes</th>
			<td><input type="text" name="int_vote_nbr" value="'.$dl_fichier->vote_nbr.'" /></td>
		</tr>';
		// if ($dl_fichier->vote_nbr!=0) // sql en mode strict attend un entier, ligne 107 requete update (Fifi69)
		// {
			echo '<tr>
				<th>Somme des votes</th>
				<td><input type="text" name="int_vote_somme" value="'.$dl_fichier->vote_somme.'"/><img src="modules/download/images/etoiles'.$dl_fichier->vote.'.png" alt="etoiles'.$dl_fichier->vote.'" /></td>
			</tr>';
		// }
	echo '</table>
	<br />
	<div style="text-align:center;">
		<input type="submit" id="submit" name="editer" value="Modifier" />&nbsp;&nbsp;&nbsp;
		<input type="reset" id="reset" value="Rtablir" />
	</div>
	<br />
	</form>';
	close_table();
}
else
{
	ZoneReserve();
}
?>
