<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: memberlist.php 1017 2016-02-04 11:51:17Z mike007 $
// ---------------------------------------------------------------
// Fichier : memberlist.php
// Mise a jour : 10/06/06 par Nico_
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

// Initialisation
if(isset($_REQUEST['sql_lettre']))
{
	$mb_lettre  = ($_REQUEST['sql_lettre'] == 'all' ? 'all' : substr($_REQUEST['sql_lettre'], 0, 1));
}
else
{
	$mb_lettre = 'all';
}

$mb_order	= isset($_REQUEST['sql_orderby'])	? $_REQUEST['sql_orderby']	: 'pseudo';
$mb_sens	= (isset($_REQUEST['sql_sens']) AND $_REQUEST['sql_sens']=='DESC') ? 'DESC' : 'ASC';
$mb_flecheH	= './images/fleche_haut.png';
$mb_flecheB	= './images/fleche_bas.png';
$profil		= $_REQUEST['sql_profil'];

#############################################
## Lancement de la recherche et conditions ##
#############################################
if (!isset($_REQUEST['int_statut']))
{
	$_REQUEST['int_statut'] = '666';
}
$_REQUEST['int_statut'] = intval($_REQUEST['int_statut']);

$search_deb=$_POST['sql_search_deb'];
$search_all=$_POST['sql_search_all'];
$search_fin=$_POST['sql_search_fin'];

if((empty($search_fin) && empty($search_all) && empty($search_deb)))
	$search_deb ='on';
if (!empty($search_all) && !empty($search_deb))
	$condition1 = ' OR ';
if (!empty($search_fin) && (!empty($search_all) || !empty($search_deb)))
	$condition2 = ' OR ';
$req_sql = '
	SELECT DISTINCT
				`users`.`id`,
				`users`.`pseudo`,
				`users`.`grade`,
				`users`.`invisible`,
				`users`.`avatar`,
				`users`.`date`,
				`users`.`date_der_connec`,
				`users`.`nb_post`,
				`users`.`email`,
				`users`.`aff_email`,
				`users`.`statut`,
				`visiteurs`.`tpsfin`
				'.$SQL_cplt.'
	FROM		`users`
	LEFT JOIN 	`users_cplt`
		ON		`users_cplt`.`id_pseudo` = `users`.`id`
	LEFT JOIN	`visiteurs` ON	`visiteurs`.`pseudo` = `users`.`pseudo`
		AND		`visiteurs`.`tpsfin` > ('.time().'-900)';
if (!empty($profil) && (!empty($search_fin) || !empty($search_all) || !empty($search_deb)))
{
	$req_sql .= ' WHERE '
		.(!empty($search_deb) ? ' `users`.`pseudo` LIKE "'.$profil.'%" ':'')
		.(!empty($search_all) ? $condition1.' `users`.`pseudo` LIKE "%'.$profil.'%" ':'')
		.(!empty($search_fin) ? $condition2.' `users`.`pseudo` LIKE "%'.$profil.'" ':'');
}
if ($_REQUEST['int_statut']!='666')
{
	if (preg_match('#WHERE#i',$req_sql))
		$req_sql .= ' AND (`users`.`statut` = "'.$_REQUEST['int_statut'].'" ';
	else
		$req_sql .= ' WHERE (`users`.`statut` = "'.$_REQUEST['int_statut'].'" ';
		
	if($_REQUEST['int_statut']==STU_VALIDE)
		$req_sql .= ' OR `users`.`statut`='.STU_RGLMNT.' ';
	$req_sql .= ')';
}
if (!empty($mb_lettre) and $mb_lettre != 'all')
{
	if(preg_match('#WHERE#i',$req_sql))
		$req_sql .= ' AND `users`.`pseudo` LIKE "'.$mb_lettre.'%" ';
	else
		$req_sql .= ' WHERE `users`.`pseudo` LIKE "'.$mb_lettre.'%" ';
}
$req_sql .= ' ORDER BY `'.($mb_order=='tpsfin' ? 'visiteurs`.`' : ($mb_order=='localisation' ? 'users_cplt`.`':'users`.`') ).$mb_order.'` '.$mb_sens;

$req_mbr = reqmysql($req_sql);
//echo $req_sql;
#############################################
##     Fin du Lancement de la recherche    ##
#############################################

// Rcupration des donnes dans la bdd
$mb_i = Kws_mysql_num_rows($req_mbr);

// barre de nav alphabet
if ($mb_lettre == 'all' && empty($_POST['sql_profil']))
{
	$mb_ligne_menu = '	<strong>[ All ]</strong>&nbsp;';
}
else
{
	$mb_ligne_menu = '
	<a href="index.php?mod=espace_membre&amp;ac=memberlist&amp;sql_lettre=all">All</a>&nbsp;';
}

if ($mb_lettre == '*')
{
	$mb_ligne_menu .= '
	<strong>[ * ]</strong>&nbsp;';
}
else
{
	$mb_ligne_menu .= '
	<a href="index.php?mod=espace_membre&amp;ac=memberlist&amp;sql_lettre=*&amp;int_statut='.$_REQUEST['int_statut'].'">*</a>&nbsp;';
}

for ($i=0; $i < 26; $i++)
{
	if ($i + 97 == ord ($mb_lettre) && $mb_lettre != 'all')
	{
		$mb_ligne_menu .= '
	<strong>[ '.strtoupper(chr($i + 97)).' ]</strong>&nbsp;';
	}
	else
	{
		$mb_ligne_menu .= '
	<a href="index.php?mod=espace_membre&amp;ac=memberlist&amp;sql_lettre='.chr($i + 97).'&amp;int_statut='.$_REQUEST['int_statut'].'">'.strtoupper(chr($i + 97)).'</a>&nbsp;';
	}
}

// Affichage de la page
bloc_head ('<a class="ancre" name="listembr"></a>Liste des membres :');
// en-tte
echo '
<script type="text/javaScript">
// <![CDATA[
function sendToURL(url)
{
	if (url != "")
	window.location=url;
}
// ]]>
</script>
		';

echo '<fieldset class="search_members" style="width:90%;margin:auto;text-align:center;font-variant:small-caps">
		<legend>Rechercher :</legend>
		<form style="float:left;width:49%" method="post" action="index.php?mod=espace_membre&amp;ac=memberlist">
			<div>
				Un membre :<br />
				<input type="checkbox" name="sql_search_deb" id="sql_search_deb" '.(!empty($search_deb) || empty($profil) ?'checked="checked"':'').' />commen&ccedil;ant par :&nbsp;
				<input type="checkbox" name="sql_search_all" id="sql_search_all" '.(!empty($search_all)?'checked="checked"':'').' />contenant :&nbsp;
				<input type="checkbox" name="sql_search_fin" id="sql_search_fin" '.(!empty($search_fin)?'checked="checked"':'').' />finissant par :<br />
				<input style="font-variant:normal" name="sql_profil" id="sql_profil" maxlength="30" size="30" value="'.ax($profil).'" />
				<input type="submit" value=" Go " />
			</div>

		</form>
		<form style="float:right;width:49%" method="post" action="./index.php?mod=groupes">
			<div>
				Un groupe :<br /><br />
				<input type="submit" value="&gt;&gt; Liste des groupes &lt;&lt;" />
			</div>
		</form><br style="clear:both" /><br />'.$mb_ligne_menu.'
	</fieldset>
';

if ($mb_i > 0)
{
	// Pagination
	if ($mb_order == 'id')
	{
		$pagination_texte_select = ' partir de l\'id';
	}
	elseif ($mb_order == 'date')
	{
		$pagination_texte_select = ' partir de l\'inscription du';
	}
	elseif ($mb_order == 'localisation')
	{
		$pagination_texte_select = ' partir de la localisation';
	}
	elseif ($mb_order == 'nb_post')
	{
		$pagination_texte_select = 'avec un nombre de posts  ';
	}
	elseif ($mb_order == 'date_der_connec')
	{
		$pagination_texte_select = 'date de dernire connexion le ';
	}
	elseif ($mb_order == 'statut' and $_REQUEST['int_statut'] == 666)
	{
		$pagination_texte_select = 'avec un statut';
	}
	elseif ($mb_order == 'pseudo')
	{
		$pagination_texte_select = ' partir du membre';
	}
	else
	{
		$pagination_texte_select = 'page';
	}

	$pagination = new pagination($mb_i, 40, $pagination_texte_select);
	$mb_elt = array();
	$i_VALIDE=0;
	$i_RGLMNT=0;
	$i_BANNI=0;
	$i_ATTVAL=0;
	$i_SUSPEN=0;
	$i_ATTDEL=0;
	while ($mb_ligne = Kws_mysql_fetch_object($req_mbr))
	{
		if ($mb_order == 'id')
		{
			$mb_elt[] = $mb_ligne->id;
		}
		elseif ($mb_order == 'date')
		{
			$mb_elt[] = date ('d/m/Y',$mb_ligne->date);
		}
		elseif ($mb_order == 'localisation')
		{
			$mb_elt[] = (!empty($mb_ligne->localisation) ? $mb_ligne->localisation :'Pas de localisation');
		}
		elseif ($mb_order == 'nb_post')
		{
			$mb_elt[] = ($mb_ligne->nb_post!=0 ? $mb_ligne->nb_post :'Aucun post');
		}
		elseif ($mb_order == 'date_der_connec')
		{
			$mb_elt[] = date ('d/m/Y',$mb_ligne->date_der_connec);
		}
		elseif ($mb_order == 'statut' and $_REQUEST['int_statut'] == 666)
		{
			if		($mb_ligne->statut == STU_VALIDE)	$txt_mb_elt='Valide';
			elseif	($mb_ligne->statut == STU_RGLMNT)	$txt_mb_elt='En attente r&egrave;gles';
			elseif	($mb_ligne->statut == STU_BANNI)	$txt_mb_elt='Banni';
			elseif	($mb_ligne->statut == STU_ATTVAL)	$txt_mb_elt='En attente';
			elseif	($mb_ligne->statut == STU_SUSPEN)	$txt_mb_elt='Suspendu';
			elseif	($mb_ligne->statut == STU_ATTDEL)	$txt_mb_elt='Next delete';
			$mb_elt[] = $txt_mb_elt;
		}
		elseif ($mb_order == 'pseudo')
		{
			$mb_elt[] = $mb_ligne->pseudo;
		}
		if		($mb_ligne->statut == STU_VALIDE)	$i_VALIDE++;
		elseif	($mb_ligne->statut == STU_RGLMNT)	$i_RGLMNT++;
		elseif	($mb_ligne->statut == STU_BANNI)	$i_BANNI++;
		elseif	($mb_ligne->statut == STU_ATTVAL)	$i_ATTVAL++;
		elseif	($mb_ligne->statut == STU_SUSPEN)	$i_SUSPEN++;
		elseif	($mb_ligne->statut == STU_ATTDEL)	$i_ATTDEL++;

	}
	$pagination->texte_elt = $mb_elt;
	echo '<br />
	'.$pagination->creer('index.php?mod=espace_membre&amp;ac=memberlist&amp;sql_lettre='.$mb_lettre.'&amp;int_page=%d&amp;sql_orderby='.$mb_order.'&amp;sql_sens='.$mb_sens.'&amp;sql_profil='.ax($profil).'&amp;int_statut='.$_REQUEST['int_statut'].'#listembr', 'afficher', true);
	echo df_message('information',
		'<span style="text-align:center;font-weight:bold;font-variant:small-caps">Cliquez sur le nom du membre pour afficher son profil</span>',
		(!empty($profil) ? '<strong>R&eacute;sultat de votre recherche</strong> : ':'').
		$mb_i.($mb_i>1 ? ' membres':' membre')
	).'
	<br />
	<table cellspacing="0" cellpadding="0" width="100%" border="1" summary="memberlist">
	<tr >';
	$input_hidden ='
				<input type="hidden" name="sql_lettre" value="'.$mb_lettre.'" />
				<input type="hidden" name="sql_profil" value="'.ax($profil).'" />
				<input type="hidden" name="int_statut" value="'.$_REQUEST['int_statut'].'" />
	';
	if (get_grade() >= GRD_ADMIN)
	{
		echo'
		<th style="font-weight:bold;text-align:center;background-color:'.$fond.'; width:55px">Id<br />
			<form style="float:left;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="sql_orderby" value="id" />
				<input type="hidden" name="sql_sens" value="DESC" />
				'.$input_hidden.'
				'.(($mb_sens=='DESC' && $mb_order=='id') ? '<img src="'.$mb_flecheB.'" alt="-" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheB.'" alt="-" />').'
			</form>
			<form style="float:right;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="sql_orderby" value="id" />
				<input type="hidden" name="sql_sens" value="ASC" />
				'.$input_hidden.'
				'.(($mb_sens=='ASC' && $mb_order=='id') ? '<img src="'.$mb_flecheH.'" alt="+" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheH.'" alt="+" />').'
			</form>
		</th>';
	}
	echo '
		<th style="height:40px;font-weight:bold; text-align:center; background-color:'.$fond.'; width:50px">Avatar</th>

		<th style="font-weight:bold; text-align:center; background-color:'.$fond.'; width:120px">Pseudo<br />
			<form style="float:left;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="sql_orderby" value="pseudo" />
				<input type="hidden" name="sql_sens" value="DESC" />
				'.$input_hidden.'
				'.(($mb_sens=='DESC' && $mb_order=='pseudo') ? '<img src="'.$mb_flecheB.'" alt="-" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheB.'" alt="-" />').'
			</form>
			<form style="float:right;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="sql_orderby" value="pseudo" />
				<input type="hidden" name="sql_sens" value="ASC" />
				'.$input_hidden.'
				'.(($mb_sens=='ASC' && $mb_order=='pseudo') ? '<img src="'.$mb_flecheH.'" alt="+" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheH.'" alt="+" />').'
			</form>
		</th>

		<th style="font-weight:bold; text-align:center; background-color:'.$fond.'; width:120px">Pr&eacute;sence<br />
			<form style="float:left;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="sql_orderby" value="tpsfin" />
				<input type="hidden" name="sql_sens" value="DESC" />
				'.$input_hidden.'
				'.(($mb_sens=='DESC' && $mb_order=='tpsfin') ? '<img src="'.$mb_flecheB.'" alt="-" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheB.'" alt="-" />').'
			</form>
			<form style="float:right;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="sql_orderby" value="tpsfin" />
				<input type="hidden" name="sql_sens" value="ASC" />
				'.$input_hidden.'
				'.(($mb_sens=='ASC' && $mb_order=='tpsfin') ? '<img src="'.$mb_flecheH.'" alt="+" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheH.'" alt="+" />').'
			</form>
		</th>

		<th style="font-weight:bold; text-align:center; background-color:'.$fond.'; width:110px">Inscrit le<br />
			<form style="float:left;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="sql_orderby" value="date" />
				<input type="hidden" name="sql_sens" value="DESC" />
				'.$input_hidden.'
				'.(($mb_sens=='DESC' && $mb_order=='date') ? '<img src="'.$mb_flecheB.'" alt="-" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheB.'" alt="-" />').'
			</form>
			<form style="float:right;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="sql_orderby" value="date" />
				<input type="hidden" name="sql_sens" value="ASC" />
				'.$input_hidden.'
				'.(($mb_sens=='ASC' && $mb_order=='date') ? '<img src="'.$mb_flecheH.'" alt="+" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheH.'" alt="+" />').'
			</form>
		</th>
		';

		if (preg_match('#localisation#',$SQL_cplt))
		{
			echo '
			<th style="font-weight:bold; text-align:center; background-color:'.$fond.'; width:150px">Localisation<br />
				<form style="float:left;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
					<input type="hidden" name="sql_orderby" value="localisation" />
					<input type="hidden" name="sql_sens" value="DESC" />
					'.$input_hidden.'
					'.(($mb_sens=='DESC' && $mb_order=='localisation') ? '<img src="'.$mb_flecheB.'" alt="-" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheB.'" alt="-" />').'
				</form>
				<form style="float:right;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
					<input type="hidden" name="sql_orderby" value="localisation" />
					<input type="hidden" name="sql_sens" value="ASC" />
					'.$input_hidden.'
					'.(($mb_sens=='ASC' && $mb_order=='localisation') ? '<img src="'.$mb_flecheH.'" alt="+" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheH.'" alt="+" />').'
				</form>
			</th>';
		}
		
		if (is_module('forum'))
		{
			echo '
			<th style="font-weight:bold; text-align:center; background-color:'.$fond.'; width:80px" >Messages
				<form style="float:left;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
					<input type="hidden" name="sql_orderby" value="nb_post" />
					<input type="hidden" name="sql_sens" value="DESC" />
					'.$input_hidden.'
					'.(($mb_sens=='DESC' && $mb_order=='nb_post') ? '<img src="'.$mb_flecheB.'" alt="-" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheB.'" alt="-" />').'
				</form>
				<form style="float:right;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
					<input type="hidden" name="sql_orderby" value="nb_post" />
					<input type="hidden" name="sql_sens" value="ASC" />
					'.$input_hidden.'
					'.(($mb_sens=='ASC' && $mb_order=='nb_post') ? '<img src="'.$mb_flecheH.'" alt="+" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheH.'" alt="+" />').'
				</form>
			</th>
			';
		}
		if (preg_match('#site#',$SQL_cplt))
		{
			echo '<th style="font-weight:bold; text-align:center; background-color:'.$fond.'" >Site Web</th>';
		}
		if ($autorisation_mp)
		{
			echo '<th style="font-weight:bold; text-align:center; background-color:'.$fond.'" >Msg Priv&eacute;</th>';
		}
		echo '
		<th style="font-weight:bold; text-align:center; background-color:'.$fond.'" >E-mail</th>';

	if (get_grade() >= GRD_MODOF)
	{
		echo '
		<th style="font-weight:bold; text-align:center; background-color:'.$fond.'; width:80px">Vu le<br />
			<form style="float:left;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="sql_orderby" value="date_der_connec" />
				<input type="hidden" name="sql_sens" value="DESC" />
				'.$input_hidden.'
				'.(($mb_sens=='DESC' && $mb_order=='date_der_connec') ? '<img src="'.$mb_flecheB.'" alt="-" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheB.'" alt="-" />').'
			</form>
			<form style="float:right;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
				<input type="hidden" name="sql_orderby" value="date_der_connec" />
				<input type="hidden" name="sql_sens" value="ASC" />
				'.$input_hidden.'
				'.(($mb_sens=='ASC' && $mb_order=='date_der_connec') ? '<img src="'.$mb_flecheH.'" alt="+" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheH.'" alt="+" />').'
			</form>
		</th>';
	}

	$input_hidden2 ='
			<input type="hidden" name="sql_lettre" value="'.$mb_lettre.'" />
			<input type="hidden" name="sql_profil" value="'.ax($profil).'" />
	';
	echo '
		<th style="font-weight:bold; text-align:center; background-color:'.$fond.'">
			<form method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
			'.$input_hidden2.'
			<select name="int_statut" onchange="submit()">
				<option value="'.STU_VALIDE.'" '.($_REQUEST['int_statut']== STU_VALIDE ? 'selected="selected"':'').'>Valide '.(!empty($i_VALIDE) ? '('.$i_VALIDE.')':'').'</option>
				<option value="'.STU_BANNI.'" '.($_REQUEST['int_statut']== STU_BANNI ? 'selected="selected"':'').'>Banni '.(!empty($i_BANNI) ? '('.$i_BANNI.')':'').'</option>
				<option value="'.STU_ATTVAL.'" '.($_REQUEST['int_statut']== STU_ATTVAL ? 'selected="selected"':'').'>En attente '.(!empty($i_ATTVAL) ? '('.$i_ATTVAL.')':'').'</option>
				<option value="'.STU_SUSPEN.'" '.($_REQUEST['int_statut']== STU_SUSPEN ? 'selected="selected"':'').'>Suspendu '.(!empty($i_SUSPEN) ? '('.$i_SUSPEN.')':'').'</option>
				<option value="'.STU_ATTDEL.'" '.($_REQUEST['int_statut']== STU_ATTDEL ? 'selected="selected"':'').'>Next delete '.(!empty($i_ATTDEL) ? '('.$i_ATTDEL.')':'').'</option>
				<option value="666" '.($_REQUEST['int_statut']== 666 ? 'selected="selected"':'').'>Tous</option>
			</select>';
			echo '<noscript><input type="submit" value="Go" /></noscript>
			</form>';
			if($_REQUEST['int_statut']==666)
			{
				echo'
				<form style="float:left;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
					'.$input_hidden2.'
					<input type="hidden" name="sql_orderby" value="statut" />
					<input type="hidden" name="int_statut" value="'.$_REQUEST['int_statut'].'" />
					<input type="hidden" name="sql_sens" value="DESC" />
					'.(($mb_sens=='DESC' && $mb_order=='statut') ? '<img src="'.$mb_flecheB.'" alt="-" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheB.'" alt="-" />').'
				</form>
				<form style="float:right;width:45%" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'">
					'.$input_hidden2.'
					<input type="hidden" name="sql_orderby" value="statut" />
					<input type="hidden" name="int_statut" value="'.$_REQUEST['int_statut'].'" />
					<input type="hidden" name="sql_sens" value="ASC" />
					'.(($mb_sens=='ASC' && $mb_order=='statut') ? '<img src="'.$mb_flecheH.'" alt="+" />' : '<input onclick="submit()" type="image" src="'.$mb_flecheH.'" alt="+" />').'
				</form>
				';
			}
		echo '
		</th>
	</tr>';

	if ($mb_i > $pagination->elt_par_page)
	{
		$mb_i = $pagination->elt_par_page + $pagination->getDebutPage();
	}
if ($mb_i > 0)
{
	Kws_mysql_data_seek($req_mbr,0);
	$i=0;
	while ($mb_ligne = Kws_mysql_fetch_object($req_mbr))
	{
		if(
			substr($mb_ligne->pseudo, 0, 1) == $mb_lettre
			or substr($mb_ligne->pseudo, 0, 1) == strtoupper($mb_lettre)
			or ($mb_lettre == '*' && !preg_match('#^[A-Za-z]+$#', substr($mb_ligne->pseudo, 0, 1)))
			or $mb_lettre == 'all'
		)
		{
			if ($i >= $pagination->getDebutPage() and $i < $mb_i)
			{
				// pseudo
				if ($mb_ligne->pseudo== 'Ancien membre')
				{
					$mb_ligne->date = $mb_ligne->date_der_connec = 0;
					$mb_ligne->tpsfin = $mb_ligne->email = $mb_ligne->localisation = $mb_ligne->nb_post = $mb_ligne->site = $mb_ligne->grade = $mb_ligne->aff_email = $mb_ligne->statut = '';
				}
				unset($memb_gr);
				if ($mb_ligne->pseudo == '') break;

				// Prsence
				if ($mb_ligne->tpsfin != NULL && ($mb_ligne->invisible!=1 || get_grade()>= GRD_ADMIN))
				{
					if ($mb_ligne->invisible==1)
					{
						$mb_presence = '<img title="'.$mb_ligne->pseudo.' est connect&eacute; en invisible" src="themes/'.$K_theme.'/images/espace_membre/masque.png" alt="Masqu&eacute;" />';
					}
					else
					{
						$mb_presence = '<img title="'.$mb_ligne->pseudo.' est connect&eacute;" src="themes/'.$K_theme.'/images/espace_membre/online.png" alt="En ligne" />';
					}
				}
				else
				{
					$mb_presence = '<img title="'.$mb_ligne->pseudo.' est d&eacute;connect&eacute;" src="themes/'.$K_theme.'/images/espace_membre/offline.png" alt="Hors ligne" />';
				}
				
				// Grade
				$memb_gr = get_grd_symbol($mb_ligne->grade);

				// Site web
				$mb_site = '';
				if ($mb_ligne->site != '')
				{
					if (substr ($mb_ligne->site, 0, 7) != 'http://')
					{
						$mb_site = 'http://'.$mb_ligne->site;
					}
					else
					{
						$mb_site = $mb_ligne->site;
					}
					$mb_site = '
					<a href="'.$mb_site.'" target="_blank"><img src="images/ico/web.png" style="border:0px" alt="Site de '.$mb_ligne->pseudo.'" /></a>';
				}

				// Avatar
				$mb_avatar = '';
				if ($mb_ligne->avatar != '')
				{
					if (! file_exists ($mb_ligne->avatar) and substr ($mb_ligne->avatar, 0, 7) != 'http://')
					{
						$mb_avatar = '
					<img src="images/avatars/01.png" height="25" width="25" alt="Avatar de '.$mb_ligne->pseudo.'" />';
					}
					else
					{
						$mb_avatar = '
					<img src="'.$mb_ligne->avatar.'" height="25" width="25" alt="Avatar de '.$mb_ligne->pseudo.'" />';
					}
				}

				// Statut
				switch ($mb_ligne->statut)
				{
					case '0' :	$mb_ligne->statut = 'Valide';
								break;
					case '1' :	$mb_ligne->statut = '<img src="./images/avatars/upload/statut_1.png" style="width:25px;height:25px" title="Banni" alt="Banni" />';
								break;
					case '2' :	$mb_ligne->statut = 'En attente';
								break;
					case '3' :	$mb_ligne->statut = '<img src="./images/avatars/upload/statut_3.png" style="width:25px;height:25px" title="En attente r&egrave;gles" alt="En attente r&egrave;gles" />';
								break;
					case '7' :	$mb_ligne->statut = 'Attente Init';
								break;
					case '8' :	$mb_ligne->statut = '<img src="./images/avatars/upload/statut_8.png" style="width:25px;height:25px" title="Suspendu" alt="Suspendu" />';
								break;
					case '9' :	$mb_ligne->statut = '<img src="./images/avatars/upload/statut_9.png" style="width:25px;height:25px" title="En attente de suppression" alt="Next Delete" />';
								break;
				}

				// Gnral
				echo '
				<tr style="height:35px">';
					if (get_grade() >= GRD_ADMIN)
					{
						echo '
					<td style="text-align:center; background-color:'.$col1.'">'.$mb_ligne->id.'</td>';
					}
					echo '
					<td style="text-align:center; background-color:'.$col1.'">'.$mb_avatar.'</td>
					<td style="text-align:center; background-color:'.$col1.'" nowrap="nowrap">'.$memb_gr.' <a href="'.url_rw('./index.php?mod=espace_membre&amp;ac=profil&amp;id='.$mb_ligne->id,array($mb_ligne->pseudo)).'">'.$mb_ligne->pseudo.'</a></td>
					<td style="text-align:center; background-color:'.$col1.'" nowrap="nowrap">'.($mb_ligne->pseudo!= 'Ancien membre' ? $mb_presence:'&nbsp;').'</td>
					<td style="text-align:center; background-color:'.$col1.'" nowrap="nowrap">'.($mb_ligne->pseudo!= 'Ancien membre' ? date('d/m/Y', $mb_ligne->date):'&nbsp;').'</td>
					';
					if (preg_match('#localisation#',$SQL_cplt))
					{
						echo '<td style="text-align:center; background-color:'.$col1.'">'.(!empty($mb_ligne->localisation) ? $mb_ligne->localisation:'&nbsp;').'</td>';
					}
					if (is_module('forum'))
					{
						echo '<td style="text-align:center; background-color:'.$col1.'" nowrap="nowrap">'.$mb_ligne->nb_post.'</td>';
					}
					if (preg_match('#site#',$SQL_cplt))
					{
						echo '<td style="text-align:center; background-color:'.$col1.'" nowrap="nowrap">'.(!empty($mb_site) ? $mb_site:'&nbsp;').'</td>';
					}
					if ($autorisation_mp)
					{
						echo '
						<td style="text-align:center; background-color:'.$col1.'" nowrap="nowrap">
							'.(($mb_ligne->pseudo!= 'Ancien membre' and $mb_ligne->grade>=$K_mp_grade) ?
							'
							<a href="index.php?mod=espace_membre&amp;ac=message&amp;id='.$mb_ligne->id.'">
							<img src="images/ico/mp.png" style="border:0px" alt="mp de '.$mb_ligne->pseudo.'" /></a>
							':'<em>D&eacute;sactiv&eacute;</em>').'
						</td>
						';
					}
					echo '
					<td style="text-align:center; background-color:'.$col1.'" nowrap="nowrap">';

					// Email
					$voir = ($mb_ligne->aff_email == 0 ? GRD_ADMIN : GRD_VISIT);
					if ($mb_ligne->pseudo!= 'Ancien membre' AND !empty($mb_ligne->email))
						echo ($K_grade >= $voir ? '<a href="javascript:void()" onclick="KmTo(\''.BrouilleMail($mb_ligne->email).'\')"><img src="images/ico/mail.png" style="border:0px" alt="email de '.$mb_ligne->pseudo.'" /></a>' : '<em>Masqu&eacute;</em>');
					else
						echo '&nbsp;';
			/*
					switch ($mb_ligne->aff_email)
					{
						case '0' :	echo '<em>Masqu&eacute;</em>';
									break;
						case '1' :	echo (get_grade() >= GRD_MEMBR ? '<a href="javascript:void()" onclick="KmTo(\''.BrouilleMail($mb_ligne->email).'\')"><img src="images/ico/mail.png" style="border:0px" alt="email de '.$mb_ligne->pseudo.'" /></a>' : '<em>Masqu&eacute;</em>');
									break;
					}
			*/
					echo '</td>';

					if (get_grade() >= GRD_MODOF)
					{
						$vu_le = date ('d/m/Y', $mb_ligne->date_der_connec);
						if ($vu_le == date('d/m/Y', time()))		$vu_le = 'Aujourd\'hui';
						if ($vu_le == date('d/m/Y', time()-86400))	$vu_le = 'Hier';
						$vu_le .= '<br />'.date('H:i', $mb_ligne->date_der_connec);
						if ($mb_ligne->date_der_connec == '9999999999')  $vu_le = 'Jamais connect&eacute;';
						elseif ($mb_ligne->pseudo == 'Ancien membre')  $vu_le = '&nbsp;';
						echo '
					<td style="text-align:center; background-color:'.$col1.'" nowrap="nowrap">'.$vu_le.'</td>';
					}

					echo '
					<td style="text-align:center; background-color:'.$col1.'" nowrap="nowrap">'.$mb_ligne->statut.'</td>
				</tr>';

			}
			$i++;
		}
	}
}
	echo '</table><br />
	'.$pagination->barre_nav;
}
else
{
		// Statut
		switch ($_REQUEST['int_statut'])
		{
			case '0' :	$mb_statut = 'Valide';
						break;
			case '1' :	$mb_statut = '<img src="./images/avatars/upload/statut_1.png" style="width:25px;height:25px" title="Banni" alt="Banni" />';
						break;
			case '2' :	$mb_statut = 'En attente';
						break;
			case '3' :	$mb_statut = '<img src="./images/avatars/upload/statut_3.png" style="width:25px;height:25px" title="En attente r&egrave;gles" alt="En attente r&egrave;gles" />';
						break;
			case '7' :	$mb_statut = 'Attente Init';
						break;
			case '8' :	$mb_statut = '<img src="./images/avatars/upload/statut_8.png" style="width:25px;height:25px" title="Suspendu" alt="Suspendu" />';
						break;
			case '9' :	$mb_statut = '<img src="./images/avatars/upload/statut_9.png" style="width:25px;height:25px" title="En attente de suppression" alt="Next Delete" />';
						break;
		}

	if (!empty($profil))
		echo '<br />'.df_message('attention','<strong>R&eacute;sultat de votre recherche</strong>','Aucun membre '.$mb_statut.' trouv&eacute;<br /><br /><a href="javascript:history.go(-1);">Revenir aux r&eacute;sultats pr&eacute;c&eacute;dents</a>');
	elseif($mb_lettre!='all')
		echo '<br />'.df_message('attention','<strong>R&eacute;sultat de votre s&eacute;lection</strong>','Aucun membre '.$mb_statut.' ne commence par la lettre '.$mb_lettre.'<br /><br /><a href="javascript:history.go(-1);">Revenir aux r&eacute;sultats pr&eacute;c&eacute;dents</a>');
	else
		echo '<br />'.df_message('attention','<strong>R&eacute;sultat de votre s&eacute;lection</strong>','Aucun membre '.$mb_statut.' trouv&eacute;<br /><br /><a href="javascript:history.go(-1);">Revenir aux r&eacute;sultats pr&eacute;c&eacute;dents</a>');
}

close_table();
?>
