<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: upavatar.php 1050 2017-08-08 16:03:25Z mike007 $
// ---------------------------------------------------------------

if (!defined('__KWS__')) {die('Erreur d\'appel de fichier.');}

function uploadav($Upload)
{
	global $UploadError, $K_user, $K_up_avatars;

	$renvoi = '';
    $msg = '';

	$Upload->DirUpload		= './images/avatars/upload/';
	$Upload->Required		= true;
	$Upload->Extension		= '.gif;.jpg;.jpeg;.bmp;.png';
	$Upload->MimeType		= 'image/gif;image/pjpeg;image/jpeg;image/bmp;image/png';
	$Upload->SecurityMax 	= true;
	if (!$K_up_avatars['redim'])
	{
		$Upload->ImgMaxWidth 	= $K_up_avatars['taille'];
		$Upload->ImgMaxHeight 	= $K_up_avatars['taille'];
	}
	$Upload->Filename 		= "$K_user->id";
	$Upload->Execute();
	if ($UploadError)
	{
		$ok = false;
		$renvoi		= 'Erreur d\'upload. Votre avatar n\'a pas t modifi !';
		$error		= $Upload->GetError();
		$temp		= $error[1];
		foreach ($temp as $i=>$err)
		{
			if ($i == 4)
			{
				$renvoi = $msg = '';
				break;
			}
			elseif (!empty($err))
			{
				$msg .= $err.'<br />';
			}
		}
	}
	else
	{
		$ok = true;
		$resume = $Upload->GetSummary();
		$renvoi = './images/avatars/upload/'.$resume[1][nom];

		// redimensionnement automatique le cas chant
		if ($K_up_avatars['redim'])
		{
			//On rcupre la taille de l'image
			list($largeur, $hauteur, $mime) = @getimagesize($renvoi);
			// Redimensionnement si besoin
			if ($largeur > $K_up_avatars['taille'] || $hauteur > $K_up_avatars['taille'])
			{
				resizeImg($renvoi, $resume[1]['extension'], $K_up_avatars['taille']);
				$msg = 'Votre avatar a &eacute;t&eacute; redimentionn&eacute; automatiquement.<br />';
			}
		}

	}

	return array($ok, $renvoi, $msg);
}


function resizeImg($image, $type, $maxlarg, $maxhaut='', $qualite=75)
{
	if (empty($maxhaut)) $maxhaut = $maxlarg;
	$type = trim($type, '. ');

	switch ($type)
	{
		case 'jpg' :
		case 'jpeg': $origin = imagecreatefromjpeg($image); break;
		case 'gif' : $origin = imagecreatefromgif ($image); break;
		case 'png' : $origin = imagecreatefrompng ($image); break;
		default    : $origin = '';
	}

	if($origin != '')
	{
		$largeur	= imagesx($origin);
		$ratio_l 	= $largeur / $maxlarg;
		$hauteur	= imagesy($origin);
		$ratio_h 	= $hauteur / $maxhaut;
		$ratio		= $ratio_h > $ratio_l ? $ratio_h : $ratio_l;
		$haut2 		= $hauteur / $ratio;
		$larg2 		= $largeur / $ratio;
		$image2 	= imagecreatetruecolor($larg2, $haut2);
		$ok = imagecopyresampled($image2, $origin, 0, 0, 0, 0, $larg2, $haut2, $largeur, $hauteur);

		$image = str_replace('modules/galerie/images/', 'modules/galerie/images/thumbs/mini_', $image);
		switch ($type)
		{
			case 'jpg' :
			case 'jpeg': $ok |= imagejpeg($image2, $image, $qualite); break;
			case 'gif' : $ok |= imagegif($image2, $image); break;
			case 'png' : $ok |= imagepng($image2, $image); break;
		}

		imagedestroy($origin);
		imagedestroy($image2);

	}
	else $ok = false;
	
	if ($ok) return $image;
	else return false;
}


//protection de l'avatar :
//enlever tous les ? et les & (pour eviter un truc du genre : http://monsite.com/hack.php?img=img.gif)
//verifie que sa se termine par jpg, gif ou png	
function clean_avatar($urlavatar)
{
	global $K_avatars_ext;
	$erreur = '';
	if	(
			(
				(	substr($urlavatar, -4, 4) != '.jpg'		&&
					substr($urlavatar, -5, 5) != '.jpeg'	&&
					substr($urlavatar, -4, 4) != '.png' 	&&
					substr($urlavatar, -4, 4) != '.gif'
				)										||
				strpos($urlavatar, '?') != 0 			||
				strpos($urlavatar, '&') != 0 			||
				strpos($urlavatar, ';') != 0 			||
				strpos($urlavatar, '=') != 0 			||
				strpos($urlavatar, '(') != 0
			)											&&
			!preg_match('#^(https?:)?//www.gravatar.com/avatar/#',$urlavatar)
		)
	{
		$erreur = '
		<br />
		<div style="text-align:center">
		<strong>Avatar incorrect ('.ax($urlavatar).') !<br />
		Un avatar par d&eacute;faut vous a &eacute;t&eacute; attribu&eacute;.</strong>
		</div>
		<br /><br />';
		$urlavatar = './images/avatars/upload/quiestce.png';
	}
	if (substr($urlavatar, 0, 2) != './' && ($K_avatars_ext == 'off' or $K_avatars_ext == 'gravatar'))
	{
		if (!preg_match('#^(https?:)?//www.gravatar.com/avatar/#',$urlavatar))
		{
			$erreur = '
			<br />
			<div style="text-align:center">
			<strong>les avatars exterieurs au site ne sont pas autoris&eacute;s ('.ax($urlavatar).') !<br />
			Un avatar par d&eacute;faut vous a &eacute;t&eacute; attribu&eacute;.</strong>
			</div>
			<br /><br />';
			$urlavatar = './images/avatars/upload/quiestce.png';
		}
	}

	if ($K_avatars_ext == 'onNoGravatar' and preg_match('#gravatar#',$urlavatar))
	{
		$erreur = '
		<br />
		<div style="text-align:center">
		<strong>Gravatar n&rsquo;est pas autoris&eacute;s ('.ax($urlavatar).') !<br />
		Un avatar par d&eacute;faut vous a &eacute;t&eacute; attribu&eacute;.</strong>
		</div>
		<br /><br />';
		$urlavatar = './images/avatars/upload/quiestce.png';
	}

	if(strlen($urlavatar) > 80)
	{
		$erreur = '
		<br />
		<div style="text-align:center">
		<strong>L\'url de votre avatar est trop longue (80 maximum) !<br />
		Un avatar par d&eacute;faut vous a &eacute;t&eacute; attribu&eacute;.</strong>
		</div>
		<br /><br />';
		$urlavatar = './images/avatars/upload/quiestce.png';
	}
			
	return array($urlavatar, $erreur);
}

?>
