<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: bloc.php 1015 2016-02-04 11:49:06Z mike007 $
// ---------------------------------------------------------------
// Cration : 29/02/08 par FouPouDave
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

if(get_grade() >= GRD_VISIT)
{
	$requete = reqmysql("
		SELECT		`groupes_mbr`.`id`			AS id_membre,
					`groupes_mbr`.`grade`		AS statut,
					`groupes_grp`.`id`			AS id_groupe,
					`groupes_grp`.`nom`			AS nom,
					`groupes_grp`.`description`	AS description,
					`groupes_grp`.`public`		AS public,
					`groupes_grp`.`aff_bloc`	AS aff_bloc,
					`users`.`pseudo`			AS pseudo,
					`users`.`grade`				AS grade
		FROM		`groupes_mbr`
		LEFT JOIN	`groupes_grp`
			ON		`groupes_grp`.`id` = `groupes_mbr`.`groupe`
		LEFT JOIN	`users`
			ON		`users`.`pseudo` = `groupes_mbr`.`pseudo`
		ORDER BY	`groupes_mbr`.`groupe`,
					`groupes_mbr`.`grade` DESC,
					`users`.`grade` DESC,
					`users`.`pseudo`
	");
	while ($ligne = Kws_mysql_fetch_object($requete))
	{
		if (!isset($liste_grp_bloc[$ligne->id_groupe]))
		{
			$liste_grp_bloc[$ligne->id_groupe] = array(
				'nom'			=> $ligne->nom,
				'description'	=> $ligne->description,
				'public'		=> $ligne->public,
				'aff_bloc'		=> $ligne->aff_bloc,
				'compteur'		=> 0
			);
		}
		if ($ligne->statut != -1 and $ligne->statut != -2)
		{
			$liste_grp_bloc[$ligne->id_groupe]['compteur']++;
		}
		
		$liste_mbr_bloc[$ligne->id_groupe][$ligne->id_membre] = array(
			'pseudo'	=> $ligne->pseudo,
			'grade'		=> $ligne->grade,
			'statut'	=> $ligne->statut
		);
	}

	$contenu = '';
	if (count($liste_grp_bloc) != 0)
	{
		foreach ($liste_grp_bloc as $id => $groupe)
		{
			$adherent 		= false;
			$admin			= 0;
			$contenu_mbre 	= '';
			foreach ($liste_mbr_bloc[$id] as $id_mbr => $membre)
			{
				if ($membre['pseudo'] == $pseudo)
				{
					$adherent = true;
				}
				if ($membre['statut'] == 2)
				{
					$admin++;
				}

				if ($membre['statut'] != -2)
				{
					$contenu_mbre .= '
					<li>'.get_grd_symbol($membre['grade']).ax($membre['pseudo']);
					switch ($membre['statut'])
					{
						case -2 :
							$contenu_mbre .= ' (Exclu)';
							break;
						case -1 :
							$contenu_mbre .= ' (En attente)';
							break;
						case 0 :
							$contenu_mbre .= '';
							break;
						case 1 :
							$contenu_mbre .= ' (V.I.P.)';
							break;
						case 2 :
							$contenu_mbre .= ' (Admin)';
							break;
					}
					
					if ($membre['pseudo'] == $pseudo and ($membre['statut']!=2 or ($membre['statut']==2 and $admin>1)))
					{
						$contenu_mbre .= '
						<a href="index.php?mod=groupes&amp;ac=gestion&amp;action=supprimer_membre&amp;int_id='.$id_mbr.'" onclick="if (confirm(\'Voulez-vous vraiment quitter ce groupe ?\') == true) {this.href+=\'&amp;conf=oui\';return true} else {return false}">
							<img src="./modules/groupes/images/supprimer.png" alt="Image" border="0" title="Quitter ce groupe" />
						</a>';
					}
					
					$contenu_mbre .= '</li>';
				}
			}

			if ($groupe['aff_bloc'] == 1 or $groupe['public'] == 1 or $adherent)
			{ 
				$contenu .= '
				<div id="groupe_'.$id.'_lien">
					<a href="index.php?mod=groupes'.($_GET['int_id']!=$id ? '&amp;int_id='.$id : '').'" onclick="javascript:cachecache(\'groupe_'.$id.'\'); return false">'.ax($groupe['nom']).'</a> ('.$groupe['compteur'].' membre'.($groupe['compteur']>1 ? 's' : '').')
				</div>
				'.(!empty($groupe['description']) ? '<div>'.bbcode($groupe['description'],1,1).'</div>' : '').'
				<ul id="groupe_'.$id.'" style="'.($_GET['int_gpblc']==$id ? 'display:block;' : 'display:none;').'">
				'.$contenu_mbre;

				if ((!empty($pseudo)) and $groupe['public'] == 1 and (!$adherent))
				{
					$contenu .= '<li>
						<a href="index.php?mod=groupes&amp;ac=gestion&amp;action=ajouter_membre&amp;int_id_groupe='.$id.'">
							<img src="./modules/groupes/images/ajouter.png" alt="Image" border="0" />
						</a> Incorporer ce groupe
					</li>';
				}

				$contenu .= '</ul>
				<br />';
			}
		}
	}

	if (empty($contenu))
	{
		$contenu = '<p style="text-align:center;">Il existe aucun groupe.</p>';
	}

	bloc($result_blocs->parametre1,$contenu);
}
?>
