<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: gestion.php 1015 2016-02-04 11:49:06Z mike007 $
// ---------------------------------------------------------------
// Cration : 29/02/08 par FouPouDave
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

/**
 * Confirmation de l'effacement
 * remplace la confirmation d'effacement JavaScript lorsque celui-ci n'est pas actif 
 * @param : void
 * @return: bool
 */
function confirmation()
{
	global $K_mod, $K_ac;

	if (isset($_GET['non']))
	{
		header('Location: index.php?mod='.$K_mod);
		exit();
	}
	elseif (!isset($_GET['conf']) || strtolower(trim($_GET['conf'])) != 'oui')
	{
		switch ($_GET['action'])
		{
			case 'supprimer_membre' :
				$Req_NomDuMembre = reqmysql('SELECT `pseudo` FROM `groupes_mbr` WHERE `id`='.$_GET['int_id'].'');
				$Rep_NomDuMembre = Kws_mysql_fetch_object($Req_NomDuMembre);
				bloc_head('Suppression d\'un membre');
				$msg = '
				Voulez vous vraiment supprimer le membre : '.ax($Rep_NomDuMembre->pseudo).' ?<br />';
				break;
			case 'supprimer_groupe' :
				$Req_NomDuGroupe = reqmysql('SELECT `nom` FROM `groupes_grp` WHERE `id`='.$_GET['int_id'].'');
				$Rep_NomDuGroupe = Kws_mysql_fetch_object($Req_NomDuGroupe);
				bloc_head('Suppression d\'un groupe');
				$msg = '
				Voulez vous vraiment supprimer le groupe : '.ax($Rep_NomDuGroupe->nom).' ?<br />';
				break;
			default : zoneReserve();
		}
		
		echo '
		<form style="text-align:center" action="index.php?" method="get">
		<p>
		<input type="hidden" name="mod" value="'.$K_mod.'" />
		<input type="hidden" name="ac" value="'.$K_ac.'" />
		<input type="hidden" name="action" value="'.$_GET['action'].'" />
		<input type="hidden" name="int_id" value="'.$_GET['int_id'].'" />
		'.$msg.'
		</p>
		<p>
		<input type="submit" name="conf" value=" OUI" />&nbsp;&nbsp;&nbsp;
		<input type="submit" name="non" value=" NON " />
		</p>
		</form>';
		close_table(); 
		return false;
	}
	else return true;
}

// Gestion admin
$requete = reqmysql("
	SELECT	`id`
	FROM	`groupes_mbr`
	WHERE	`pseudo`='".sp($K_pseudo)."'
		AND	`grade` = '2'
");
$autorisation = Kws_mysql_num_rows($requete) != 0;

if (get_grade('administration')>=GRD_ADMIN or $autorisation)
{
	unset($erreur);

	bloc_head('Groupes');
	if ($_GET['action']=='supprimer_groupe')
	{
		if (confirmation())
		{
			$erreur = false;
			reqmysql("
				DELETE FROM `groupes_grp` WHERE `id`=".$_GET['int_id']."
			") or $erreur = true;
			reqmysql("
				DELETE FROM `groupes_mbr` WHERE `groupe`=".$_GET['int_id']."
			") or $erreur = true;
		}
	}
	elseif ($_GET['action']=='ajouter_groupe' or $_GET['action']=='editer_groupe')
	{
		echo '
		<script type="text/javascript">
		// <![CDATA[
			function envoyer()
			{
				if (document.formulaire.sql_name.value=="")
				{
					alert("Veuillez indiquer le nom du groupe.");
					document.formulaire.sql_name.focus();
					return false;
				}
				else
				{
					return true;
				}
			}
		// ]]>
		</script>';

		if ($_GET['action']=='editer_groupe')
		{
			if (isset($_GET['int_msg']) && $_GET['int_msg']==2)
			{
				echo df_message('erreur', '<span style="color:red">Vous devez sp&eacute;cifier le nom du groupe !</span>').'<br />';
			}
			echo '
			<form name="formulaire" action="index.php?mod=groupes&amp;ac=gestion&amp;action=editer_groupe2&amp;int_id='.ax($_GET['int_id']).'" method="post" onsubmit="return envoyer()">';

			$requete =reqmysql("
				SELECT	*
				FROM	`groupes_grp`
				WHERE	`id` = '".$_GET['int_id']."'
			");
			$ligne = Kws_mysql_fetch_object($requete);
		}
		else
		{
			if (isset($_GET['int_msg']) && $_GET['int_msg']==3)
			{
				echo df_message('erreur', '<span style="color:red">Vous devez sp&eacute;cifier le nom du groupe !</span>').'<br />';
			}
			echo '
			<form name="formulaire" action="index.php?mod=groupes&amp;ac=gestion&amp;action=ajouter_groupe2" method="post" onsubmit="return envoyer()">';
		}
			echo '
			<table summary="Gestion des groupes">
				<tr>
					<td>Nom du groupe : </td>
					<td><input type="text" name="sql_name" size="50" maxlength="100" value="'.ax($ligne->nom).'" /></td>
				</tr>
				<tr>
					<td>Description : </td>
					<td><textarea cols="50" rows="5" name="sql_description">'.ax($ligne->description).'</textarea></td>
				</tr>
				<tr>
					<td>Public / priv&eacute; </td>
					<td>
						<select name="int_public">
							<option value="1">Public</option>
							<option value="0"'.($ligne->public == 0 ? ' selected="selected"' : '').'>Priv&eacute;</option>
						</select>
					</td>
				</tr>
				<tr>
					<td>Afficher le groupe dans le bloc</td>
					<td>
						<select name="int_aff_bloc">
							<option value="1">Oui</option>
							<option value="0"'.($ligne->aff_bloc == 0 ? ' selected="selected"' : '').'>Non</option>
						</select>
					</td>
				</tr>
			</table>
			<p style="text-align:center;"><input type="submit" id="submit" value="  Enregistrer  " /></p>
		</form>';
	}
	elseif ($_GET['action']=='editer_groupe2')
	{
		if (!empty($_POST['sql_name']))
		{
			$erreur = false;
			reqmysql("
				UPDATE	`groupes_grp`
				SET		`nom`			= '".$_POST['sql_name']."',
						`description`	= '".$_POST['sql_description']."',
						`public`		= '".$_POST['int_public']."',
						`aff_bloc`		= '".$_POST['int_aff_bloc']."'
				WHERE	`id`			= '".$_GET['int_id']."'
			") or $erreur = true;
		}
		else
		{
			header('Location: index.php?mod=groupes&ac=gestion&action=editer_groupe&int_msg=2');
		}
	}
	elseif ($_GET['action']=='ajouter_groupe2')
	{
		if (!empty($_POST['sql_name']))
		{
			$erreur = false;
			reqmysql("
				INSERT INTO	`groupes_grp`
				SET			`nom`			= '".$_POST['sql_name']."',
							`description`	= '".$_POST['sql_description']."',
							`public`		= '".$_POST['int_public']."',
							`aff_bloc`		= '".$_POST['int_aff_bloc']."'
			") or $erreur = true;
			reqmysql("
				INSERT INTO	`groupes_mbr`
				SET			`pseudo`		='".$K_pseudo."',
							`groupe`		='".Kws_mysql_insert_id()."',
							`grade`			='2'
			") or $erreur = true;
		}
		else
		{
			header('Location: index.php?mod=groupes&ac=gestion&action=ajouter_groupe&int_msg=3');
		}
	}
	elseif ($_GET['action']=='supprimer_membre')
	{
		if (confirmation())
		{
			$erreur = false;
			reqmysql("
				DELETE FROM `groupes_mbr` WHERE `id`=".$_GET['int_id']."
			") or $erreur = true;
		}
	}
	elseif ($_GET['action']=='editer_membre')
	{
		$requete =reqmysql ("
			SELECT	`grade`, `pseudo`
			FROM	`groupes_mbr`
			WHERE	`groupes_mbr`.`id` = '".$_GET['int_id']."'
		");
		if (Kws_mysql_num_rows($requete)==0)
		{
			echo df_message('erreur', 'ERREUR !', 'Ce membre n\'appartient &agrave aucun groupe !').'
			<form action="index.php">
			<p style="text-align:center">
			<input type="hidden" name="mod" value="groupes" />
			<input type="submit" value=" Retour aux groupes " />
			</p>
			</form>';
			
		}
		else
		{
			$ligne = Kws_mysql_fetch_object($requete);

			echo '
			<form name="formulaire" action="index.php?mod=groupes&amp;ac=gestion&amp;action=editer_membre2&amp;int_id='.$_GET['int_id'].'" method="post">
				Changer le grade de '.ax($ligne->pseudo).' en 
				<select name="int_grade" onchange="submit()">
					<option value="-2"'.($ligne->grade == -2 ? ' selected="selected"' : '').'>Exclu</option>
					<option value="-1"'.($ligne->grade == -1 ? ' selected="selected"' : '').'>En attente de validation</option>
					<option value="0"'.($ligne->grade  ==  0 ? ' selected="selected"' : '').'>Membre</option>
					<option value="1"'.($ligne->grade  ==  1 ? ' selected="selected"' : '').'>V.I.P.</option>
					<option value="2"'.($ligne->grade  ==  2 ? ' selected="selected"' : '').'>Administrateur</option>
				</select>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="submit" value=" Valider " />
			</form>';
		}
	}
	elseif ($_GET['action']=='editer_membre2')
	{
		$erreur = false;
		reqmysql("
			UPDATE	`groupes_mbr`
			SET		`grade`			= '".$_POST['int_grade']."'
			WHERE	`id`			= '".$_GET['int_id']."'
		") or $erreur = true;
	}
	elseif ($_GET['action']=='ajouter_membre')
	{
		$requete = reqmysql("
			SELECT	`id`, `pseudo`
			FROM	`users`
			WHERE	`pseudo` NOT IN (SELECT `pseudo` FROM `groupes_mbr` WHERE `groupe` = '".$_GET['int_id_groupe']."')
			AND		`pseudo` != 'Ancien membre'
		");

		while ($ligne = Kws_mysql_fetch_object($requete))
		{
			$liste_membre[$ligne->id] = $ligne->pseudo;
		}

		if (isset($liste_membre))
		{
			natcasesort($liste_membre);
			reset($liste_membre);
	
			echo '<form name="formulaire" action="index.php?mod=groupes&amp;ac=gestion&amp;action=ajouter_membre2&amp;int_id_groupe='.ax($_GET['int_id_groupe']).'" method="post">
				Ajouter un membre dans ce groupe 
				<select name="sql_pseudo" onchange="submit()">
					<option value="">Choisir un membre</option>';
					foreach ($liste_membre as $pseudo_mbr)
					{
						echo '<option value="'.ax($pseudo_mbr).'">'.ax($pseudo_mbr).'</option>';
					}
				echo '</select>
			</form>';
		}
		else
		{
			echo df_message('erreur','Aucun membre incorporable.');
		}
	}
	elseif ($_GET['action']=='ajouter_membre2')
	{
		$erreur = false;
		reqmysql("
			INSERT INTO	`groupes_mbr`
			SET			`id`		= '',
						`pseudo`	= '".$_POST['sql_pseudo']."',
						`groupe`	= '".$_GET['int_id_groupe']."',
						`grade`		= '0'
		") or $erreur = true;
	}
	else
	{
		echo df_message('erreur','Action non conforme');
	}

	if (isset($erreur))
	{
		if ($erreur)
		{
			echo df_message('erreur','Il y a eu un probl&egrave;me dans l\'op&eacute;ration ligne 404!');
		}
		else
		{
			echo df_message('information','L\'op&eacute;ration a &eacute;t&eacute; effectu&eacute;e avec succ&egrave;s !');
			header('Location: index.php?mod=groupes');
		}
	}
	close_table();
}

// Gestion membres
elseif (get_grade()>=GRD_MEMBR and ($_GET['action']=='ajouter_membre' or $_GET['action']=='supprimer_membre'))
{
	bloc_head('Groupes');
	if ($_GET['action']=='ajouter_membre')
	{
		$requete = reqmysql("
			SELECT	`id`
			FROM	`groupes_mbr`
			WHERE	`groupe` = '".$_GET['int_id_groupe']."' AND `pseudo` = '".$K_pseudo."'
		");
		if (Kws_mysql_num_rows($requete)==0)
		{
			$erreur = false;
			reqmysql("
				INSERT INTO	`groupes_mbr`
				SET			`pseudo`	= '".$K_pseudo."',
							`groupe`	= '".$_GET['int_id_groupe']."',
							`grade`		= '-1'
			") or $erreur = true;

			$requete = reqmysql("
				SELECT		`groupes_mbr`.`pseudo`	AS pseudo,
							`groupes_grp`.`nom`		AS nom
				FROM		`groupes_mbr`
				LEFT JOIN	`groupes_grp`
					ON		`groupes_grp`.`id` = `groupes_mbr`.`groupe`
				WHERE		`groupes_mbr`.`groupe`='".$_GET['int_id_groupe']."'
					AND		`groupes_mbr`.`grade`='2'
			");
			$NoMoreAlert = false;
			while ($ligne = Kws_mysql_fetch_object($requete))
			{
				if ($K_mp_grade != -2)
				{
					include_once './includes/mp.php';
					$Grmessage = '[url=./index.php?mod=espace_membre&ac=message&id='.$K_user->id.']'.$K_pseudo.'[/url] souhaite intgrer le groupe [url=./index.php?mod=groupes&int_id='.$_GET['int_id_groupe'].']'.sp($ligne->nom).'[/url]';
					// il faut refaire la requete du dessus pour avoir les elts correspondants manquants
					envoi_mp($K_user->id, $ligne->pseudo, $K_pseudo.' souhaite intgrer le groupe '.sp($ligne->nom), $Grmessage, 0, 2);
				}
				elseif ($K_mp_grade == -2 and !$NoMoreAlert)
				{
					reqmysql('
						INSERT INTO	`alerte`
						SET			`date`		= "",
									`auteur`	= "'.$K_pseudo.'",
									`module`	= "'.$K_mod.'",
									`texte`		= "[url=./index.php?mod=espace_membre&ac=message&id='.$K_user->id.']'.$K_pseudo.'[/url] souhaite intgrer le groupe [url=./index.php?mod=groupes&int_id='.$_GET['int_id_groupe'].']'.$ligne->nom.'[/url]"
					');
					$NoMoreAlert = true;
				}
			}
		}
	}
	elseif ($_GET['action']=='supprimer_membre')
	{
		$requete = reqmysql("
			SELECT	`pseudo`
			FROM	`groupes_mbr`
			WHERE	`id`=".$_GET['int_id']."
		");
		$ligne = Kws_mysql_fetch_object($requete);

		if ($ligne->pseudo == $K_pseudo)
		{
			$erreur = '';
			if (confirmation())
			{
				reqmysql("
					DELETE FROM `groupes_mbr` WHERE `id`=".$_GET['int_id']."
				") or $erreur = 'Il y a eu un probl&egrave;me dans l\'op&eacute;ration';
			}		
		}
		else
		{
			$erreur = true;
		}
	}
	
	if (isset($erreur))
	{
		if ($erreur)
		{
			echo df_message('erreur','Il y a eu un probl&egrave;me dans l\'op&eacute;ration !');
		}
		else
		{
			header('Location: index.php?mod=groupes&msg_info=1');
		}
	}
	close_table();
}
else
{
	ZoneReserve();
}


?>
