 <?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: comparaison.php 1048 2016-05-10 09:30:55Z mike007 $
// ---------------------------------------------------------------
// Cration : 15/12/07 par FouPouDave
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

include_once './modules/infoZ/fonction.php';

if (get_grade() >= GRD_ADMIN OR $K_debug_actif=='on')
{
	if ($_POST['step']==10) $_POST['step'] = 'comparaison';
	bloc_head('Comparaison des fichiers');
	echo df_message('attention',
	'Cette fonctionnalit&eacute; n&rsquo;est op&eacute;rationnelle qu&rsquo;avec un client F.T.P. ayant son mode de transfert configur&eacute; en <strong><u>Binaire</u></strong> (et non ASCII).',
	'<a href="http://www.kwsphp.org/index.php?mod=forum&amp;ac=voir&amp;id=9355" target="_blank">Voir le sujet sur KwsPHP</a>'
	).
	'<br /><hr /><br />';

	if (empty($_POST['step']))
	{
		$ImgPatience = '<img style="vertical-align:middle;margin:0 10px" src="./images/patientez.gif" alt="" />';
		$SQL_file = fopen('./modules/infoZ/kwsphp.sql','r');
		$SQL_rev = trim(fgets($SQL_file ,100));
		fclose($SQL_file);
		if ($SQL_rev == '-- $Id: comparaison.php 1048 2016-05-10 09:30:55Z mike007 $')
			$SQL_rev = 'Fichier d&eacute;veloppeur modifi&eacute; le '.date('d\/m\/Y \- H\:i', filemtime('./modules/infoZ/kwsphp.sql'));
		else
			$SQL_rev = preg_replace('#^--(.+?)(\d+)\s([0-9-]+)(.+?)$#','R$2 / $3',$SQL_rev);
		echo '
		<form style="text-align:center;" method="post" action="./index.php?mod=infoZ&amp;ac=comparaison">
			'.df_message('','L&rsquo;op&eacute;ration peut se r&eacute;v&eacute;ler plus longue avec l&rsquo;option &laquo; Scanner ... &raquo; !',
			'Identification du fichier SQL de comparaison : '.$SQL_rev.'<br />
			<input type="checkbox" name="scan_all" /> Scanner les fichiers suppl&eacute;mentaires
			<input type="hidden" name="step" value="comparaison" />
			<input type="submit" value=" Faire la comparaison " onclick="document.getElementById(\'patience_comparaison\').style.display = \'block\'" />
			<div style="text-align:center;display:none" id="patience_comparaison">
				<br />'.$ImgPatience.'Veuillez patientez, la comparaison est en cours...'.$ImgPatience.'
			</div>
			').'
		</form>
		';
		if ($K_grade >= GRD_ADMIN)
		{
			echo '
			<br /><hr /><br />
			<form style="text-align:center;" method="post" action="./index.php?mod=infoZ&amp;ac=comparaison">
				'.df_message('question','Mettre &agrave; jour les fichiers de comparaison.<br />En g&eacute;n&eacute;ral dans le cas d&rsquo;un correctif de fichiers sans update.',
				'<input type="hidden" name="step" value="maj_kwsphp_sql" />
				Sur demande de la Team KwsPHP uniquement :
				<input type="submit" value=" Mettre &agrave; jour " onclick="document.getElementById(\'patience_maj\').style.display = \'block\'" />
				<div style="text-align:center;display:none" id="patience_maj">
					<br />'.$ImgPatience.'Veuillez patientez, la mise &agrave; jour est en cours...'.$ImgPatience.'
				</div>
				').'
			</form>
			';
		}
	}
	elseif ($_POST['step'] == 'maj_kwsphp_sql')
	{
		// Inclusion du fichier class
		require_once './includes/class.install.php';
		$class_install = new install();
		reqmysql("DROP TABLE IF EXISTS `infoz`;");
		$maj_kwsphp_sql_result = $class_install->querry_sql_file('./modules/infoZ/kwsphp.sql', false);
		if ($maj_kwsphp_sql_result)
			echo df_message('','Mise &agrave; jour de la base effectu&eacute;e.');
		else
			echo df_message('erreur','ERREUR');

	}
	elseif ($_POST['step'] == 'comparaison')
	{
		$requete = reqmysql("
			SELECT		`fichier`,
						`empreinte`
			FROM		`infoz`
			ORDER BY	`fichier`
		");
		if (Kws_mysql_num_rows($requete) == 0)
		{
			echo df_message('erreur','Vous devez mettre &agrave; jour la liste des fichiers de r&eacute;f&eacute;rence');
		}
		else
		{
			if ($_POST['scan_all'])
			{
				unset($liste);
				$exclusion[] = 'kwsphp.sql';
				$exclusion[] = 'install';
				$exclusion[] = 'themes';
				$liste_temp = ScannerRepertoire('./', 'file',true,$exclusion);

				foreach ($liste_temp as $fichier)
				{
					$liste[$fichier] = $fichier;
				}
			}
			else	$liste = array();

			$contenu = $contenu_none = $TestMod = $TestMod_old = '';
			$nb_diff = $nb_moins = $nb_plus = $nb_none = 0;
			while ($ligne = Kws_mysql_fetch_object($requete))
			{
				unset($liste[$ligne->fichier]);

				if (preg_match('#^\./eskuel/#',$ligne->fichier))
					$TestMod = 'eskuel';
				elseif (preg_match('#^\./modules/([0-9a-zA-Z-_]+)/#',$ligne->fichier))
					$TestMod = preg_replace('#^\./modules/([0-9a-zA-Z-_]+)/(.*?)$#','$1',$ligne->fichier);

				if (file_exists($ligne->fichier))
				{
					if (empreinte($ligne->fichier) != $ligne->empreinte)
					{
						$contenu .= '<li><a href="index.php?mod=debug&amp;sql_file='.$ligne->fichier.'" target="_blank">'.$ligne->fichier.'</a> <span style="color:darkorange;">diff&eacute;rent.</span></li>';
						$nb_diff +=1;
					}
				}
				elseif (!empty($TestMod) AND !is_module_update($TestMod))
				{
					if ($TestMod_old != $TestMod)
					{
						$contenu_none .= '<li>'.($TestMod).': <span style="color:darkred;">1 ou plusieurs fichiers manquants (module non install&eacute;)</span>.</li>';
						$nb_none +=1;
					}
					$TestMod_old = $TestMod;
				}
				elseif (!empty($TestMod) AND !is_module($TestMod))
				{
					$contenu .= '<li>'.$ligne->fichier.' <span style="color:darkred;">manquants (module non activ&eacute;)</span>.</li>';
					$nb_moins +=1;
				}
				else
				{
					$contenu .= '<li>'.$ligne->fichier.' <span style="color:darkred;">manquant</span>.</li>';
					$nb_moins +=1;
				}
			}

			echo '
			<p onclick="cachecache(\'dif\')" style="cursor:pointer;">
				<strong>LISTE DES FICHIERS DIFFERENTS PAR RAPPORT AUX FICHIERS OFFICIELS</strong>
				'.(!empty($nb_diff) ? ' - '.$nb_diff.' diff&eacute;rent'.($nb_diff>1 ? 's':'') : '').'
				'.(!empty($nb_moins) ? ' et '.$nb_moins.' manquant'.($nb_moins>1 ? 's':'') : '').'
			</p>
			<ul id="dif" style="display:block;">'.(!empty($contenu) ? $contenu: 'Rien &agrave; signaler').'</ul>';
			if (!empty($contenu_none))
			{
				echo '
				<p onclick="cachecache(\'none\')" style="cursor:pointer;">
					<strong>LISTE DES MODULES NON INSTALL&Eacute;S PAR RAPPORT AUX MODULES OFFICIELS</strong>
					'.(!empty($nb_none) ? ' - '.$nb_none.' non install&eacute;'.($nb_none>1 ? 's':'') : '').'
				</p>
				<ul id="none" style="display:block;">'.$contenu_none.'</ul>';
			}
			$contenu = '';
			if ($_POST['scan_all'])
			{
				foreach ($liste as $fichier)
				{
					$contenu .= '<li><a href="index.php?mod=debug&amp;sql_file='.$fichier.'" target="_blank">'.$fichier.'</a></li>';
					$nb_plus +=1;
				}
			}
			else
			{
				$contenu .= '<li>'.df_message('','Scan des fichiers suppl&eacute;mentaires d&eacute;sactiv&eacute;.').'</li>';
			}
			echo '
			<p onclick="cachecache(\'sup\')" style="cursor:pointer;">
				<strong>LISTE DES FICHIERS SUPPLEMENTAIRES PAR RAPPORT AUX FICHIERS OFFICIELS</strong>
				'.(!empty($nb_plus) ? ' - '.$nb_plus.' suppl&eacute;mentaire'.($nb_plus>1 ? 's':'') : '').'
			</p>
			<ul id="sup" style="display:block;">'.(!empty($contenu) ? $contenu: '<li>Rien &agrave; signaler</li>').'</ul>';
		}
	}
	close_table();
}
else
{
	//ZoneReserve();
}
?>
