<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: gestion_options.php 1014 2016-02-04 11:48:06Z mike007 $
// ---------------------------------------------------------------
// modifier : 18/11/07 par SUPERVISOR
// ---------------------------------------------------------------
// Module liens_web sur la base du module lien_rss
//
// Fichier grant les options des liens lors de leurs affichages
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

$K_liens_web_options_gr = unserialize($K_liens_web_options_gr);
if (get_grade() >= $K_liens_web_options_gr['gr_gestion_options'])
{
	if(intval($_POST['ok'])== 1 && isset($_POST['ok']))
	{
		// mise a jour de la bdd
		reqmysql('
			UPDATE	`liens_web_opt`
			SET		`valeur`="'.sp($_POST['valeur']).'"
			WHERE	`nom`="'.sp($_POST['nom']).'"
		');

		bloc_head('Modification enregistr&eacute;e') ;
		echo df_message('information','Modification <span style="font-weight:bold;">'.sp($_POST['nom']).'</span> effectu&eacute;e.');
		close_table() ;
	}
	elseif(intval($_POST['ok'])== 2 && isset($_POST['ok']))
	{
		$LW_options_gr['gr_gestion_options'] = $_POST['int_gr_gestion_options'];
		$LW_options_gr['gr_gestion'] = $_POST['int_gr_gestion'];
		$LW_options_gr['gr_entete'] = $_POST['int_gr_entete'];
		$LW_options_gr['gr_ajout'] = $_POST['int_gr_ajout'];
		$LW_options_gr['gestion_auteur'] = $_POST['int_gestion_auteur'];
		$LW_options_gr['mp_auteur'] = $_POST['int_mp_auteur'];
		$K_liens_web_options_gr = $LW_options_gr;
		$LW_options_gr = serialize($LW_options_gr);
		//df_print_r(ax($LW_options_gr));
		reqmysql('
			UPDATE	`parametres`
			SET		`valeur`="'.sp($LW_options_gr).'"
			WHERE	`nom`="liens_web_options_gr"
		');
		bloc_head('Acc&egrave;s du module enregistr&eacute;') ;
		echo df_message('information','Modification effectu&eacute;e.');
		close_table() ;
	}

	bloc_head('G&eacute;rer les acc&egrave;s du module');
	echo '
	<form action="index.php?mod='.$K_mod.'&amp;ac=gestion_options" method="post">
	<input type="hidden" name="ok" value="2" />
		<table class="liens_web_param" summary="Liens web grade" cellpadding="5">
			<tr >
				<th class="liens_web_param">Param&egrave;tre</th>
				<th class="liens_web_param">Valeur</th>
				<th class="liens_web_param">Commentaire</th>
			</tr>' ;
		echo '
			<tr>
				<td class="liens_web_param_var" >Grade minimum pour la gestion de cette page</td>
				<td class="liens_web_param_val">
					'.K_selectGrade('int_gr_gestion_options', $K_liens_web_options_gr['gr_gestion_options'], '', GRD_MODOF).'
				</td>
				<td class="liens_web_param_com">&nbsp;</td>
			</tr>
			<tr>
				<td class="liens_web_param_var" >Grade minimum pour la gestion du module et des liens</td>
				<td class="liens_web_param_val">
					'.K_selectGrade('int_gr_gestion', $K_liens_web_options_gr['gr_gestion'], '', GRD_EXCLU, array(GRD_VISIT,GRD_MEMBR,GRD_MPRIV)).'
				</td>
				<td class="liens_web_param_com">&nbsp;</td>
			</tr>
			<tr>
				<td class="liens_web_param_var" >Grade minimum pour l&rsquo;ent&ecirc;te de navigation</td>
				<td class="liens_web_param_val">
					'.K_selectGrade('int_gr_entete', $K_liens_web_options_gr['gr_entete'], '', GRD_VISIT).'
				</td>
				<td class="liens_web_param_com">Concerne les liens uniquement. Valable pour le bloc et l&rsquo;index.</td>
			</tr>
			<tr>
				<td class="liens_web_param_var" >Grade minimum pour ajouter un lien</td>
				<td class="liens_web_param_val">
					'.K_selectGrade('int_gr_ajout', $K_liens_web_options_gr['gr_ajout'], '', GRD_EXCLU, array(GRD_VISIT)).'
				</td>
				<td class="liens_web_param_com">Hors grades autoris&eacute;s via la gestion</td>
			</tr>
			<tr>
				<td class="liens_web_param_var" >Autoriser l&rsquo;auteur d&rsquo;un lien  le modifier.</td>
				<td class="liens_web_param_val">
					<select name="int_gestion_auteur" id="int_gestion_auteur">
						<option value="1">Oui</option>
						<option value="0"'.($K_liens_web_options_gr['gestion_auteur'] == 0 ? ' selected="selected"':'').'>Non</option>
					</select>
				</td>
				<td class="liens_web_param_com">Dans ce cas le lien sera &agrave; revalider.</td>
			</tr>
			<tr>
				<td class="liens_web_param_var" >Mp lors de la validation d&rsquo;un lien.</td>
				<td class="liens_web_param_val">
					<select name="int_mp_auteur" id="int_mp_auteur">
						<option value="1">Oui</option>
						<option value="0"'.($K_liens_web_options_gr['mp_auteur'] == 0 ? ' selected="selected"':'').'>Non</option>
					</select>
				</td>
				<td class="liens_web_param_com">Envoi un mp au membre qui a post&eacute; le lien.</td>
			</tr>
		';
		echo '
		</table>
		<hr />
		<div style="text-align:center"><input type="submit" id="submit" value=" Modifier " /></div>
	</form>';
	close_table();

	bloc_head('G&eacute;rer les options des liens');

	//! affichage des paramtres
	$requeteliens = reqmysql('SELECT * FROM `liens_web_opt` ORDER BY `nom`') or die (erreur_base());

	echo '<!-- liens_web parametres -->
	<table class="liens_web_param" summary="Liens web param&ecirc;tre" cellpadding="5">
		<tr >
			<th class="liens_web_param">Param&egrave;tre</th>
			<th class="liens_web_param">Valeur</th>
			<th class="liens_web_param">Commentaire</th>
		</tr>' ;
	
	while ( $listoptionliens = Kws_mysql_fetch_object( $requeteliens ))
	{
			if (		$listoptionliens->nom == 'visible_cat_liens'	or
						$listoptionliens->nom == 'nom_cat_liens'		or
						$listoptionliens->nom == 'liens_sensbloc'		or
						$listoptionliens->nom == 'liens_vitessebloc'	or
						$listoptionliens->nom == 'nb_liens_bloc'		or
						$listoptionliens->nom == 'tri_liens_bloc'		)
			{
				if ($listoptionliens->nom == 'nom_cat_liens' AND $listoptionliens->valeur == 'no_cat')
					$listoptionliens->valeur = 'Toutes les cat&eacute;gories';
				echo'<tr>
				<td class="liens_web_param_var">'.$listoptionliens->nom.' (*) : </td>
				<td class="liens_web_param_val">'.$listoptionliens->valeur.'</td>
				<td class="liens_web_param_com">&nbsp;'.$listoptionliens->commentaire.'</td>
				</tr>';
			}
			elseif (	$listoptionliens->nom == 'aff_miniature' or $listoptionliens->nom == 'nb_liens_page'		)
			{
				echo '<tr>
				<td class="liens_web_param_var" >'.$listoptionliens->nom.' : </td>
				<td class="liens_web_param_val">
					<form name="choixoptions" action="index.php?mod='.$K_mod.'&amp;ac=gestion_options" method="post">
						<input type="hidden" name="ok" value="1" />
						<input type="hidden" name="nom" value="'.$listoptionliens->nom.'" />
						<input type="text" name="valeur" size="25" maxlength="100" value="'.$listoptionliens->valeur.'" />
						<input type="submit" value="ok" />
					</form>
				</td>
				<td class="liens_web_param_com">&nbsp;'.$listoptionliens->commentaire.'</td>
				</tr>';
			}
			elseif ($listoptionliens->nom == 'opacity' )
			{
				echo '<tr id="LW_'.$listoptionliens->nom.'" style="visibility:hidden;">
				<td class="liens_web_param_var" >'.$listoptionliens->nom.' : </td>
				<td class="liens_web_param_val">
					<form name="choixoptions" action="index.php?mod='.$K_mod.'&amp;ac=gestion_options" method="post">
						<input type="hidden" name="ok" value="1" />
						<input type="hidden" name="nom" value="'.$listoptionliens->nom.'" />
						<select name="valeur" onchange="submit()">
							<option value="Oui" '.($listoptionliens->valeur=='Oui' ? 'selected="selected"' : '').'>Oui</option>
							<option value="Non" '.($listoptionliens->valeur=='Non' ? 'selected="selected"' : '').'>Non</option>
						</select>
						<noscript> <input type="submit" value="ok" /></noscript>
					</form>
				</td>
				<td class="liens_web_param_com">&nbsp;'.$listoptionliens->commentaire.'</td>
				</tr>
				';
			}
			elseif ($listoptionliens->nom == 'opacity_out' or $listoptionliens->nom == 'opacity_over')
			{
				echo '<tr id="LW_'.$listoptionliens->nom.'" style="visibility:hidden;">
				<td class="liens_web_param_var" >'.$listoptionliens->nom.' : </td>
				<td class="liens_web_param_val">
					<form name="choixoptions" action="index.php?mod='.$K_mod.'&amp;ac=gestion_options" method="post">
						<input type="hidden" name="ok" value="1" />
						<input type="hidden" name="nom" value="'.$listoptionliens->nom.'" />
						<select name="valeur" onchange="submit()">';
						for ($i=10 ; $i<=100 ; $i +=10)
						{
							echo '<option value="'.$i.'" '.(($i==$listoptionliens->valeur) ? 'selected="selected"' : '').'>'.$i.'</option>';
						}
						echo '</select> %
					</form>
				</td>
				<td class="liens_web_param_com">&nbsp;'.$listoptionliens->commentaire.'</td>
				</tr>';
			}
	}
	echo '</table>
	<p>(*) Ces options ne sont modifiables que par <a href="./index.php?mod=admin&ac=modules">l\'interface des blocs</a> du bloc '.$K_mod.'</p>
	<script type="text/javascript">
		// <![CDATA[
		document.getElementById("LW_opacity").style.visibility = "visible";
		document.getElementById("LW_opacity_out").style.visibility = "visible";
		document.getElementById("LW_opacity_over").style.visibility = "visible";
		// ]]>
	</script>
	';
	close_table();
}
else
{
	ZoneReserve();
}
$K_liens_web_options_gr = serialize($K_liens_web_options_gr);
?>
