<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: index.php 1050 2017-08-08 16:03:25Z mike007 $
// ---------------------------------------------------------------
// Mise a jour : 18/07/06 par Jack
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}


$action     = $_REQUEST['action'];
$formulaire = $_REQUEST['formulaire'];

// fichiers ncessaires
include './modules/'.$K_mod.'/lang/french.php';
require './modules/generateur/captcha.php';
// Vrification qu'une signature  t post avant d'insrer dans la table
if ($action=='envoyer')
{
	if(get_grade('signer') >= GRD_VISIT)
	{
		$FormRetour = '
		<form style="text-align:center" action="./index.php?mod='.$K_mod.'#signer" method="post">
			<input type="hidden" name="livredor_pseudo" value="'.ax($_POST['livredor_pseudo']).'" />
			<input type="hidden" name="livredor_email" value="'.ax($_POST['livredor_email']).'" />
			<input type="hidden" name="livredor_texte" value="'.ax($_POST['texte']).'" />
			<input type="submit" value=" Retour" />
		</form>
		';

		$req_verif_pseudo = reqmysql('SELECT `pseudo` FROM `users` WHERE `pseudo` = "'.sp($_POST['livredor_pseudo']).'"');

		$atom	= '[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]';		// caractres autoriss avant l'arobase
		$domain = '([a-z0-9]([-a-z0-9]*[a-z0-9]+)?)';	// caractres autoriss aprs l'arobase (nom de domaine)

		$regex = '/^' . $atom . '+' .					// Une ou plusieurs fois les caractres autoriss avant l'arobase
		'(\.' . $atom . '+)*' . 						// Suivis par zro point ou plus
														// spars par des caractres autoriss avant l'arobase
		'@' .											// Suivis d'un arobase
		'(' . $domain . '{1,63}\.)+' .					// Suivis par 1  63 caractres autoriss pour le nom de domaine
														// spars par des points
		$domain . '{2,63}$/i';							// Suivi de 2  63 caractres autoriss pour le nom de domaine

		bloc_head ('<a class="ancre" name="signer"></a>Signer le livre d&rsquo;or :') ;

		if (empty($K_pseudo) AND Kws_mysql_num_rows($req_verif_pseudo)>0)
		{
			$livredor_msg = df_message('erreur', 'L&rsquo;identifiant '.ax($_POST['livredor_pseudo']).' est d&eacute;j&agrave attribu&eacute; &agrave; un membre.',
												'Merci d&rsquo;en choisir un autre.<br /><br />'.$FormRetour);
		}
		elseif (empty($_POST['livredor_pseudo']) || empty($_POST['livredor_email']) || empty($_POST['texte']))
		{
			$livredor_msg = df_message('erreur', 'Vous n\'avez pas rempli tous les champs du formulaire !<br /><br />'.$FormRetour);
		}
		elseif (!preg_match($regex, $_POST['livredor_email']))
		{
			$livredor_msg = df_message('erreur', 'Format d&rsquo;e-mail incorrect<br /><br />'.$FormRetour);
		}
		elseif (!is_valideCaptcha())
		{
			$livredor_msg = df_message('erreur', 'MAUVAIS CODE DE SECURITE<br /><br />'.$FormRetour);
		}
		else
		{
			$_POST['texte'] = filter_bbcode_sup_interdit($_POST['texte'],get_grade());
			#####################
			##  Requte d'envoi  ##
			#####################
			$rez = reqmysql('
						INSERT INTO		`livredor`
						SET				`nom` = "'.sp($_POST['livredor_pseudo']).'",
										`email` = "'.sp($_POST['livredor_email']).'",
										`ip` = "'.sp($_SERVER[REMOTE_ADDR]).'",
										`date` = "'.time().'",
										`contenu` = "'.sp($_POST['texte']).'",
										`validation` = "'.($K_grade<GRD_MODOG?'0':'1').'"
						');

			$livredor_msg = df_message('information','Votre message &agrave; bien &eacute;t&eacute; enregistr&eacute;.',
							($K_grade<GRD_MODOG ? 'Il appara&icirc;tra  apr&egrave;s validation par un administrateur':''));
		}
		// affichage du message de compte rendu
		echo $livredor_msg;
		close_table();
	}
	else ZoneReserve();
}
else
{
	###############################
	##  Signer le livredor
	###############################

	if (get_grade('signer') >= GRD_VISIT)
	{
		bloc_head ('<a class="ancre" name="signer"></a>Signer le livre d&rsquo;or :') ; // Cration du bloc

		$K_captcha = get_captcha('livredor', 'label_livredor', 'verif_frappe');

		echo '
		<script type="text/javascript" src="./includes/md5.js"></script>
		<script type="text/javascript" src="./includes/bbcode.js"></script>
		<script type="text/javascript" src="./includes/bjs.js"></script>
		<script type="text/javascript">
		//<![CDATA[
		function VerifSubmitLivreor()
		{
			var valid_form = true;
			var adresse = document.getElementById("livredor_email").value;
			var K_TestMail = false;

			for (var j=1; j<(adresse.length); j++)
			{
				if (adresse.charAt(j)=="@")
				{
					if (j<(adresse.length-4))
					{
						for (var k=j; k<(adresse.length-2); k++)
						{
							if (adresse.charAt(k)==".") K_TestMail = true;
						}
					}
				}
			}
			if (adresse != "" && K_TestMail == false)
			{
				alert("Le champ  E-mail  n\'est pas correct.");
				document.getElementById("livredor_email").focus();
				valid_form = false;
			}

			if (valid_form == true)
				valid_form = control_form("livredor_pseudo,'.(empty($K_pseudo) ? 'Nom_&_Prnom':'Identifiant').' livredor_email,E-mail, postzone,Message sql_code_secu,Code_de_scurit");

			return valid_form;
		}
		// Fonction de vrification de diffrentes frappes clavier
		function verif_frappe(codeSecu)
		{
			var code_gen = "'.md5($_SESSION['code_confirm']).'";
			var code = codeSecu.value;
			if (hex_md5(code) == code_gen)
			{
				codeSecu.style.borderColor ="green";
				document.getElementById("codeok").innerHTML= "<img style=\"margin-top:-5px\" src=\"./themes/'.$K_theme.'/images/gestion/ok.png\" alt=\"OK\"/>";
			}
			else
			{
				codeSecu.style.borderColor = "red";
				document.getElementById("codeok").innerHTML= "<em>Votre Code n&rsquo;est pas identique &agrave; l&rsquo;image.<\/em>";
			}
		}
		//]]>
		</script>

		<form  name="formulaire" action="index.php?mod='.$K_mod.'&amp;action=envoyer" method="post" onsubmit="return VerifSubmitLivreor()" class="livreor">
			<input type="hidden" name="action" value="envoyer" />
			<fieldset class="fieldset_post">
				<legend><input type="button" onclick="cachecache(\'ajout_msg_LO\')" value="Ajouter un message" /></legend>
				<div id="ajout_msg_LO">
					<dl>
						<dt><label for="livredor_pseudo"><span>*</span> '.(empty($K_pseudo) ? 'Nom &amp; Pr&eacute;nom':'Identifiant').' : </label></dt>
						<dd><input name="livredor_pseudo" id="livredor_pseudo" value="'.(!empty($_POST['livredor_pseudo']) ? ax($_POST['livredor_pseudo']) : ax($K_pseudo)).'" maxlength="40" size="30" /></dd>
					</dl>
					<dl>
						<dt><label for="livredor_email"><span>*</span> E-mail:</label></dt>
						<dd><input name="livredor_email" id="livredor_email" value="'.(!empty($_POST['livredor_email']) ? ax($_POST['livredor_email']) : ax($K_user->email)).'" maxlength="40" size="30" /></dd>
					</dl>
					';
					if (is_module('smileys')) afficher_smileys();
					$hide_bbcode_sup = true;
					include './includes/balises.php';
					echo '
					<div class="fieldset_post">
						<textarea rows="'.(empty($new_textareaRows)?'13':$new_textareaRows).'" cols="90" id="postzone" name="texte" onkeyup="bjs(this.value,\'apercu\')" onchange="bjs(this.value,\'apercu\')">'.ax($_POST['livredor_texte']).'</textarea>
					</div>
					<div style="text-align:center;">
						<input type="checkbox" onclick="pr_act(this);" /> Pr&eacute;visualisation du message:
						<span style="margin-left:50px">&nbsp;</span>
						<input type="button" value="Actualiser" style="visibility:hidden" id="prev" name="prev" onclick="finalprev(\'./includes/xml_prev.php\',document.getElementById(\'postzone\').value,\'apercu\')" />
					</div>
					<div id="apercu" style="display:none"></div>
					'.$K_captcha.'
					<p style="text-align:center;">
						<input type="submit" name="poster" id="submit" value=" Envoyer " />
						<span style="margin-left:25px">&nbsp;</span>
						<input type="button" name="annuler" id="annuler" value=" Retour " onclick="history.go(-1);" />
					</p>
					<hr />
					<dl>
						<dt><label><span>*</span> Champs obligatoires !</label></dt>
						<dd>&nbsp;</dd>
					</dl>
				</div>
			</fieldset>
		</form>
		<script type="text/javascript">
		//<![CDATA[
			document.getElementById("ajout_msg_LO").style.display = "none";
		//]]>
		</script>
		';
		close_table(); // Fermeture du Bloc Signature
	}
	else
	{
		open_table();
		echo df_message('information',
		'Votre grade ne vous permet pas de signer le livre d&rsquo;or.',
		'<a href="./index.php?mod=espace_membre&amp;ac=login">S&rsquo;identifier</a> - <a href="./index.php?mod=espace_membre&amp;ac=enregistrer">S&rsquo;enregistrer</a>');
		close_table();
	}

	###############################
	##  Messages du livredor
	###############################

	if (get_grade('consulter') >= GRD_VISIT)
	{

		###############################
		## Cration de l'index
		###############################
		bloc_head('<a class="ancre" name="messages"></a>Le livre d&rsquo;Or');
		$array_a = array('a', 'b' , 'c' , 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', 0,1,2,3,4,5,6,7,8,9) ;
		$livre_dor_session_pass ='' ;
		for($i=1;$i<=6;$i++) {
			$livre_dor_session_pass .= $array_a[mt_rand(0,35)] ;
		}
		$_SESSION['livre_dor_session_pass'] = $livre_dor_session_pass ;

		// Rcupration des messages suivant la page et tri dcroissant
		$req_livre = reqmysql('
			SELECT		`livredor`.`id`,
						`livredor`.`contenu`,
						`livredor`.`email`,
						`livredor`.`nom`,
						`livredor`.`date`,
						`users`.`id` as id_user,
						`users`.`avatar` as avatar,
						`users`.`statut` as statut,
						`users`.`grade` as grade
			FROM		`livredor`
			LEFT JOIN	`users`
				ON		`livredor`.`nom` = `users`.`pseudo`
			WHERE		`livredor`.`validation`="1"
			ORDER BY	`livredor`.`id` DESC
		');
		$total_livre = Kws_mysql_num_rows($req_livre);
		if(intval($livredor_nbrMessagesLivredor==0)) $livredor_nbrMessagesLivredor = 10;
		$pagination = new pagination($total_livre, $livredor_nbrMessagesLivredor);

		if ($total_livre > $pagination->elt_par_page)
		{
			$total_livre = $pagination->elt_par_page + $pagination->getDebutPage();
		}
		$livre_i = 0;
		while ($livre = Kws_mysql_fetch_object($req_livre))  // traitement des donnes
		{
			$livre_texte_elt[] = 'Le '.date('d/m/Y',$livre->date);
			if ($livre_i >= $pagination->getDebutPage() and $livre_i < $total_livre)
			{
				//bbcode
				$contenu = bbcode($livre->contenu,1,1) ;
				$texte   = get_grd_symbol($livre->grade).bbcode($livre->nom) ;
				$url_avatar = $livre->avatar;
				// Remplacement de l'avatar par rapport a la gestion des comptes
				if ($livre->statut!=0 && $livre->statut!=2 && $K_gestion_comptes_avatar=='oui')
				{
					$url_avatar ='./images/avatars/upload/statut_'.$livre->statut.'.png';
				}
				if (preg_match('#^(https?:)?//www.gravatar.com/avatar/#',$url_avatar))
				{
					$url_avatar .= '&amp;s=50';
				}
				if ($url_avatar==NULL)
				{
					$url_avatar = '//www.gravatar.com/avatar/'.md5(strtolower($livre->email)).'?d='.urlencode($K_url_site.'images/avatars/upload/visiteur.png').'&amp;s=50';
				}
				//$host  = $_SERVER['HTTP_HOST'];
				//$uri   = rtrim(dirname($_SERVER['PHP_SELF']), '/\\');
				//$grav_default = 'http://'.$host.$uri.'/';
				//$url_avatar = "//www.gravatar.com/avatar.php?gravatar_id=".md5($livre->email)."&amp;default=".urlencode($grav_default.$avatar)."&amp;size=50';

				echo '
				<h3>Post&eacute; par &laquo;'.((get_grade() < GRD_MODOG) ? $texte : '<a href="javascript:void()" onclick="KmTo(\''.BrouilleMail($livre->email).'\')">'.$texte.'</a>').' &raquo; '.kws_date('\l\e d/m/Y \&\a\g\r\a\v\e\; H:i',$livre->date,1).' </h3>';
				if ($livre->id_user != NULL and get_grade('consul_profil','espace_membre') >= GRD_VISIT)
				{
					echo '<a href="./index.php?mod=espace_membre&amp;ac=profil&amp;id='.$livre->id_user.'" title="Consulter son profil">
					<img src="'.$url_avatar.'" alt="Consulter son profil" style=";border:none;height:50px;float:left;margin:0 10px 0 0" />
					</a>';
				}
				else
				{
					echo '<img src="'.$url_avatar.'" alt="Consulter son profil" style=";border:none;height:50px;float:left;margin:0 10px 0 0" />';
				}
				echo '<p style="margin-left:60px;min-height:50px;">'.$contenu.'</p><hr />';
			}
			$livre_i++;
		}
		close_table();
		########################
		##  Affichage des pages  ##
		########################
		//navBarre('');
		open_table();
		$pagination->texte_elt = $livre_texte_elt;
		echo $pagination->creer('./index.php?mod='.$K_mod.'&amp;int_page=%d#messages').'';
		close_table();
	}
	else
	{
		open_table();
		echo df_message('information',
		'Votre grade ne vous permet pas de consulter le livre d&rsquo;or.',
		'<a href="./index.php?mod=espace_membre&amp;ac=login">S&rsquo;identifier</a> - <a href="./index.php?mod=espace_membre&amp;ac=enregistrer">S&rsquo;enregistrer</a>');
		close_table();
	}
}

?>
