<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: gestion.php 1011 2016-02-04 11:46:31Z mike007 $
// ---------------------------------------------------------------
// Mise a jour : 18/07/06 par Jack
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

$id		= $_REQUEST['int_id'];
$action	= ax($_REQUEST['action']);

if ($K_grade >= $news_gr_admin)
{
	///////////////////
	// Affichage des news
	if (empty($action))
	{
		Bloc_Head('Gestion des news');
		echo '
		<p style="text-align:center">
			<a href="index.php?mod=news&amp;ac=poster" title="&Eacute;crire une news"><img src="themes/'.$K_theme.'/images/gestion/poster.png" alt="poster" style="border:none; max-width:64px;" /></a>&nbsp;&nbsp;&nbsp;
			<a href="index.php?mod='.$K_mod.'&amp;ac=options" title="Gestion des options"><img src="themes/'.$K_theme.'/images/gestion/options.png" alt="Options" style="border:none;" /></a>&nbsp;&nbsp;&nbsp;
			<a href="index.php?mod=rubriques&amp;ac=gestion" title="Gestion des rubriques"><img src="themes/'.$K_theme.'/images/gestion/articles_cat2.png" alt="Rubriques" style="border:none; max-width:64px;" /></a>
		</p>

		<hr />';

		// NEWS EN ATTENTE DE VALIDATION
		$req_news = reqmysql('
			SELECT		`news`.`id`,
						`news`.`titre`,
						`news`.`auteur`,
						`news`.`date`,
						`news`.`type`,
						`news`.`js`,
						`news`.`envoi_mail`,
						`rubriques`.`titre`	AS cat_titre
			FROM		`news`
			LEFT JOIN	`rubriques`
				ON		`news`.`ref`=`rubriques`.`id`
			WHERE		`validation` = 1
			ORDER BY	`news`.`date` DESC
		');

		$nb_attente   = Kws_mysql_num_rows($req_news);

		echo '
		<h3>News en attente de validation :</h3>';

		// S'il n'y a aucune news disponible on informe l'admin
		if ($nb_attente == 0)
		{
			echo '
			<p style="font-style:italic;">Vous n&rsquo;avez aucune news en attente de validation.</p>';
		}
		else
		{
			// Autrement on affiche tous les news en attente de validation
			echo '
			<table style="width:100%" summary="news validation">';
			while ($news_attente = Kws_mysql_fetch_object($req_news))
			{
				echo '
				<tr onmouseover="this.className = \'onmouse_over\';" onmouseout="this.className = \'onmouse_out\';">
					<td style="width:20px"><a href="index.php?mod='.$K_mod.'&amp;ac=gestion&amp;action=edit&amp;int_id='.$news_attente->id.'" title="&Eacute;diter la news"><img src="themes/'.$K_theme.'/images/gestion/edit.png" alt="Editer" style="border:none;" /></a></td>
					<td style="width:20px"><a href="index.php?mod='.$K_mod.'&amp;ac=gestion&amp;action=del&amp;int_id='.$news_attente->id.'" title="Supprimer la news"><img src="themes/'.$K_theme.'/images/gestion/del.png" alt="Supprimer" style="border:none;" /></a></td>
					<td style="width:20px"><a href="index.php?mod='.$K_mod.'&amp;ac=gestion&amp;action=valid&amp;int_id='.$news_attente->id.'" title="Valider la news"><img src="themes/'.$K_theme.'/images/gestion/valider.png" alt="Valider" style="border:none;" /></a></td>
					<td >- <a href="./index.php?mod='.$K_mod.'&amp;id='.ax($news_attente->id).'" target="_blank">'.ax($news_attente->titre).'</a> <small style="cursor:help">(<span title="News r&eacute;dig&eacute;e en '.($news_attente->type?'BBcode">BBcode':'Html'.($news_attente->js ? ' avec du Javascript':'').'">Html'.($news_attente->js ? ' + Js':'')).'</span>'.($news_attente->envoi_mail?' + <span title="La News sera envoy&eacute;e par mail">Mail</span>':'').')</small></td>
					<td style="width:200px">'.ax($news_attente->cat_titre).'</td>
					<td style="width:100px;font-style:italic;"> Le '.date('d-m-Y',$news_attente->date).'</td>
					<td style="width:100px;font-style:italic;"> Par '.$news_attente->auteur.'</td>
				</tr>';
			}
			echo '
			</table>';
		}
		echo'
		<hr />';

		$req_news = reqmysql('
			SELECT		`news`.`id`,
						`news`.`titre`,
						`news`.`auteur`,
						`news`.`date`,
						`news`.`date_fin`,
						`news`.`type`,
						`news`.`js`,
						`news`.`validation`,
						`news`.`envoi_mail`,
						`rubriques`.`titre`	AS cat_titre
			FROM		`news`
			LEFT JOIN	`rubriques`
				ON		`news`.`ref` = `rubriques`.`id`
			WHERE		`validation` < 1
			ORDER BY	`news`.`date` DESC
		');

		$nb_news	= Kws_mysql_num_rows($req_news);
		$pagination	= new pagination($nb_news, 10);

		if ($nb_news > $pagination->elt_par_page)
		{
			$nb_news = $pagination->elt_par_page + $pagination->getDebutPage();
		}

		echo '
		<h3>Liste des news :</h3>';
		// S'il n'y a aucune news disponible on informe l'admin
		if ($nb_news == 0)
		{
			echo '
			<div style="font-style:italic;">Vous n&rsquo;avez aucune news de post&eacute;e.</div>';
		}
		else
		{
			$Erreur = '';
			while ($news = Kws_mysql_fetch_object($req_news))
			{
				if(empty($news->cat_titre)) $Erreur .= '<a title="'.ax($news->titre).'" href="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'&amp;action=edit&amp;int_id='.$news->id.'">'.ax($news->id).'</a> - ';
			}
			if (!empty($Erreur)) echo df_message('erreur','Certaines news ont une rubrique inexistante.','elles ont pour id :<br />'.substr($Erreur,0,-3));
			Kws_mysql_data_seek($req_news,0);
			echo '
			<table style="width:100%" summary="Gestion des news">';
			$i_news=0;
			while ($news = Kws_mysql_fetch_object($req_news))
			{
				if ($i_news >= $pagination->getDebutPage() and $i_news < $nb_news)
				{
					echo '
					<tr onmouseover="this.className = \'onmouse_over\';" onmouseout="this.className = \'onmouse_out\';" '.($news->validation==-1 ? 'title="News post-dat&eacute;e" style="cursor:help;font-weight:bold"':'').'>
						<td style="width:20px"><a href="index.php?mod=news&amp;ac=gestion&amp;action=edit&amp;int_id='.$news->id.'" title="&Eacute;diter la news"><img src="./themes/'.$K_theme.'/images/gestion/edit.png" alt="Editer" style="border:none;" /></a></td>
						<td style="width:20px"><a href="index.php?mod=news&amp;ac=gestion&amp;action=del&amp;int_id='.$news->id.'" title="Supprimer la news"><img src="./themes/'.$K_theme.'/images/gestion/del.png" alt="Supprimer" style="border:none;" /></a></td>
						<td style="width:20px">&nbsp;</td>
						<td>- <a href="./index.php?mod='.$K_mod.'&amp;id='.ax($news->id).'" target="_blank">'.ax($news->titre).'</a> <small style="cursor:help">(<span title="News r&eacute;dig&eacute;e en '.($news->type?'BBcode">BBcode':'Html'.($news->js ? ' avec du Javascript':'').'">Html'.($news->js ? ' + Js':'')).'</span>'.($news->envoi_mail?' + <span title="News envoy&eacute;e par mail">Mail</span>':'').($news->date_fin!=0 ? ' + <span title="'.date('d-m-Y H\:i',$news->date_fin).'">Date fin</span>':'').')</small></td>
						<td style="width:200px;'.(!empty($news->cat_titre) ? '">'.ax($news->cat_titre) : 'background-color:darkred;color:#FFF">ERREUR rubrique').'</td>
						<td style="width:100px;font-style:italic;'.($news->date_fin!=0 ? 'font-weight:bold; cursor:help;" title="Fin le '.date('d-m-Y H\:i',$news->date_fin):'').'"> Le '.date('d-m-Y',$news->date).'</td>
						<td style="width:100px;font-style:italic;"> Par '.$news->auteur.'</td>
					</tr>';
				}
				$i_news++;
			}
			echo '
			</table><hr />
			'.$pagination->creer('./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'&amp;int_page=%d');
		}
		close_table();
	}
	///////////////////
	// Gestion des news
	else
	{
		// Validation de la news
		if ($_GET['action'] == 'valid')
		{
			$req_news = reqmysql('
				SELECT	`id`, `ref`, `titre`, `auteur`, `date`, `contenu`, `envoi_mail`, `type`
				FROM	`news`
				WHERE	`id` = '.$_GET['int_id']
			);
			$news = Kws_mysql_fetch_object($req_news);
			define('NEWS_VALIDATION', 1);
			require './modules/'.$K_mod.'/validation.php';

			bloc_head('Validation de news :');
			echo $Erreur_mail;
			echo '
			<form action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'" method="post">
				<p align="center">News valid&eacute;.</p>
				<p align="center"><input type="submit" id="submit" value=" Retour " /></p>
			</form>';
			close_table();
		}

		// Suppression de la news
		if ($action == 'del')
		{
			bloc_head('Supprimer la news ?') ;

			$req_news = reqmysql('SELECT `titre` FROM `news` WHERE `id`="'.$id.'" ');
			$news     = Kws_mysql_fetch_object($req_news) ;

			echo '<p style="text-align:center;">Voulez-vous vraiment supprimer cette news : <strong>'.ax($news->titre).'</strong> ?</p>
			<form action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'" method="post">
				<input type="hidden" name="action" value="del2" />
				<input type="hidden" name="int_id" value="'.$id.'" />
				<p align="center">
					<input type="submit" id="submit" value=" Oui " />&nbsp;
					<input type="reset" id="reset" value=" Non " onclick="history.go(-1)" />
				</p>
			</form>';
			close_table ();
		}

		// Confirmation de la suppression de la news
		if ($action == 'del2')
		{
			reqmysql('DELETE FROM `surv_emails` WHERE `ref`="news'.$id.'"');
			reqmysql('DELETE FROM `commentaires` WHERE `ref`="news'.$id.'"');
			reqmysql('DELETE FROM `news` WHERE `id`="'.$id.'"');

			bloc_head('Suppression de news :') ;
			echo '<form action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'" method="post">
				<p align="center">News supprim&eacute;e.</p>
				<p align="center"><input type="submit" id="submit" value=" Retour " /></p>
			</form>';
			close_table();
		}

		// Modification de la news
		if ($action == 'edit')
		{
			$req_news = reqmysql('SELECT `titre`, `date`, `date_fin`, `ref`, `edit`, `auteur`, `validation`, `envoi_mail`, `type`, `js`, `smiley`, `contenu`, `mots_cles` FROM `news` WHERE `id`="'.$id.'"');
			$news     = Kws_mysql_fetch_object($req_news) ;

			bloc_head('Editer une news');

			echo '
			<script type="text/javascript" language="javascript">
			//<![CDATA[
				var head = document.getElementsByTagName("head")[0];
				var head_inc = document.createElement("link");
				head_inc.rel = "stylesheet";
				head_inc.type = "text/css";
				head_inc.href = "./includes/calendar/goodies_calendar.css";
				head.appendChild(head_inc);
				// Initialisation de quelques variables
				var showWeekNumber = false;
				var intervalSelectBox_minutes=5;
				var calendar_offsetTop = -190;
				var calendar_offsetLeft = -100;
			//]]>
			</script>
			<script type="text/javascript" src="./includes/calendar/goodies_calendar.js"></script>
			<script type="text/javascript" src="./includes/bbcode.js"></script>
			<script type="text/javascript" src="./includes/bjs.js"></script>
			<script type="text/javascript">
			// <![CDATA[
			function envoyer()
			{
				if (document.formulaire.titrenews.value=="")
				{
					alert("Veuillez indiquer le titre de la news.");
					document.formulaire.titrenews.focus();
					return false;
				}
				else if (document.formulaire.texte.value=="")
				{
					alert("Vous ne pouvez pas poster une news vide !");
					document.formulaire.texte.focus();
					return false;
				}
				else return true;
			}
			function dateOption(box,idDiv)
			{
				if (box.checked)	document.getElementById(idDiv).style.display = "inline";
				else 				document.getElementById(idDiv).style.display = "none";
			}
			// ]]>
			</script>

			<form name="formulaire" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'" onsubmit="return envoyer()">
				<input type="hidden" name="action" value="edit2" />
				<input type="hidden" name="int_id" value="'.$id.'" />
				<input type="hidden" name="xss_auteur" value="'.ax($news->auteur).'" />
				<fieldset class="fieldset_post">
					<legend>&Eacute;dition de la news</legend>
					'.df_message('information',
					'<strong>Vous avez la possibilit&eacute; de couper votre news &agrave; l&rsquo;affichage.</strong>',
					'Ins&eacute;rez ceci &nbsp;&nbsp;<strong>|{}|</strong>&nbsp;&nbsp; dans votre texte &agrave; l&rsquo;endroit que vous d&eacute;sirez.'
					).'
					<dl>
						<dt><label>Titre :</label></dt>
						<dd><input type="text" name="titrenews" value="'.ax($news->titre).'" size="60" maxlength="70" /></dd>
					</dl>
					<dl>
						<dt><label>Rubrique :</label></dt>
						<dd>
							<select name="ref">';
							$req_rubriques = reqmysql('
								SELECT		*
								FROM		`rubriques`
								WHERE		(`rubriques`.`module` LIKE "%news%" OR `rubriques`.`module`="")
								ORDER BY	`rubriques`.`titre` ASC
							');
							while ($rep_rubriques = Kws_mysql_fetch_object($req_rubriques))
							{
								echo '<option value="'.$rep_rubriques->id.'" '.(($news->ref == $rep_rubriques->id) ? ('selected="selected"') : ('')).'>('.$rep_rubriques->id.') '.ax($rep_rubriques->titre).'</option>';
								if ($news->ref == $rep_rubriques->id) $find = true;
							}
							if (!$find)	echo '<option value="0" selected="selected">('.ax($news->ref).') Aucune rubrique correspondante</option>';
							echo '
							</select>
						</dd>
					</dl>
					';
					echo '
						<dl>
							<dt><label>Format du texte :</label></dt>
							<dd>
								<input type="radio" value="1" '.($news->type == 1 ? 'checked="checked"' : '').' name="type" onclick="if(this.checked) choice_format_post(this.value);" />BBcode
								<span style="margin-left:75px">&nbsp;</span>
								<input type="radio" value="0" '.($news->type == 0 ? 'checked="checked"' : '').' name="type" onclick="if(this.checked) choice_format_post(this.value);" />Html
								'.($K_grade >= GRD_ADMIN ?
								' + Js <input type="checkbox" value="1" '.($news->js == 1 ? 'checked="checked"' : '').' name="int_js" />':'').'
							</dd>
						</dl>
					';
					if (is_module('smileys')) afficher_smileys($news->smiley);
					include './includes/balises.php';

					echo '
					<div class="fieldset_post">
						<textarea cols="90" rows="'.(empty($new_textareaRows)?'13':$new_textareaRows).'" name="texte" id="postzone" onkeyup="bjs(this.value,\'apercu\')" onchange="bjs(this.value,\'apercu\')">'.ax($news->contenu).'</textarea>
					</div>
					<div id="apercu_check" style="text-align:center;">
						<input type="checkbox" onclick="pr_act(this);" /> Pr&eacute;visualisation du message:
						<span style="margin-left:50px">&nbsp;</span>
						<input type="button" value="Actualiser" style="visibility:hidden" id="prev" name="prev" onclick="finalprev(\'./includes/xml_prev.php\',document.getElementById(\'postzone\').value,\'apercu\')" />
					</div>
					<div id="HTML_prev_button" style="text-align:center;display:none;">
						<input type="button" value="'.(is_module('tiny_mce')? 'R&eacute;diger avec Tiny et ':'').'Pr&eacute;visualiser HTML" onclick="javascript:popupcentre(\'./includes/prevhtml.php?sql_name_form=\'+this.form.name+\''.(is_module('tiny_mce') ? '&amp;tiny='.$is_tiny_mce:'').'\',\'News\',\'800\',\'600\',\'yes\')" />
					</div>
					<div id="apercu" style="display:none"></div>
					<hr />
					<div style="text-align:center">
						<input type="submit" id="submit" value="Modifier" />
						<span style="margin-left:25px">&nbsp;</span>
						<input type="reset" id="reset" value="Annuler" onclick="history.go(-1)" />
						<br /><br />
					</div>
					<fieldset style="text-align:center">
						<legend>Options facultatives :</legend>
					';
						if (is_module('newsletter'))
						{
							if ($news->validation != 0)
								echo '<input type="checkbox" name="int_envoi_mail" value="1"'.($news->envoi_mail == 1 ? ' checked="checked"' : '').' />Envoi par mail aux abonn&eacute;s';
							else
							{
								echo '<input type="checkbox" name="int_envoi_mail" value="1" />'.($news->envoi_mail == 1 ? 'Re' : 'E').'nvoyer la news par mail aux abonn&eacute;s';
								echo '<input type="hidden" name="int_RenvoiMail" value="'.$news->envoi_mail.'" />';
							}
						}
						echo '<br /><br />
						Mots cl&eacute;s de la news <small>(s&eacute;par&eacute;s par des virgules)</small> :<br />
						<input type="text" name="sql_mots_cles" size="90" value="'.$news->mots_cles.'" />
						';
						if ($news->validation == 0)
						{
							echo '<br /><br />
							Date-Heure d&rsquo;&eacute;dition <small>(Ex : 01/01/70 &agrave; 00h00)</small> :<br />
							<input type="text" maxlength="20" size="90" name="sql_edit" value="'.$news->edit.'" />';
						}
						echo '
						<br /><br />
						<fieldset class="MultiInputInline" style="text-align:center">
							<legend><input type="checkbox" name="news_date_modif" id="news_date_modif" onclick="dateOption(this,\'news_date\');" /> Modifier la date de cette news: '.date('d/m/Y H\:i',$news->date).'</legend>
								<div id="news_date" style="display:none">
									<select id="news_jour" name="int_news_jour">';
										for ($i=1;$i<=31;$i++)
										{
											echo '<option '.(date('d',$news->date)==$i ? 'selected="selected"':'').' value="'.$i.'">'.$i.'</option>';
										}
										echo '</select> /
									<select id="news_mois" name="int_news_mois">';
										for ($i=1;$i<=12;$i++)
										{
											echo '<option '.(date('m',$news->date)==$i ? 'selected="selected"':'').' value="'.$i.'">'.$i.'</option>';
										}
								echo '</select> /
									<select id="news_annee" name="int_news_annee">';
										for ($i=1970;$i<=date('Y',time())+1;$i++)
										{
											echo '<option '.(date('Y',$news->date)==$i ? 'selected="selected"':'').' value="'.$i.'">'.$i.'</option>';
										}
								echo '</select>
									<input type="image" style="margin-bottom:-8px" src="./includes/calendar/images/calendrier.png" value=" Calendrier " onclick="displayCalendarSelectBox(document.getElementById(\'news_annee\'),document.getElementById(\'news_mois\'),document.getElementById(\'news_jour\'),document.getElementById(\'news_heure\'),document.getElementById(\'news_minute\'),this);return false;" />
									<br />
									<select id="news_heure" name="int_news_heure">';
										for ($i=0;$i<=23;$i++)
										{
											echo '<option '.(date('H',$news->date)==$i ? 'selected="selected"':'').' value="'.($i<10?'0':'').$i.'">'.($i<10?'0':'').$i.'</option>';
										}
								echo '</select> : <select id="news_minute" name="int_news_minute">';
										for ($i=0;$i<=59;$i++)
										{
											echo '<option '.(date('i',$news->date)==$i ? 'selected="selected"':'').' value="'.($i<10?'0':'').$i.'">'.($i<10?'0':'').$i.'</option>';
										}
								echo '</select>
								</div>
						</fieldset>
						<br />
						<fieldset class="MultiInputInline" style="text-align:center">
							<legend><input type="checkbox" name="news_date_fin_modif" id="news_date_fin_modif" onclick="dateOption(this,\'news_date_fin\');" /> Modifier la date de fin de cette news: '.(empty($news->date_fin) ? 'Pas de date de fin':date('d/m/Y H\:i',$news->date_fin)).'</legend>
								<div id="news_date_fin" style="display:none">
									<select id="news_jour_fin" name="int_news_jour_fin">';
										for ($i=1;$i<=31;$i++)
										{
											echo '<option '.(date('d',$news->date_fin)==$i ? 'selected="selected"':'').' value="'.$i.'">'.$i.'</option>';
										}
										echo '</select> /
									<select id="news_mois_fin" name="int_news_mois_fin">';
										for ($i=1;$i<=12;$i++)
										{
											echo '<option '.(date('m',$news->date_fin)==$i ? 'selected="selected"':'').' value="'.$i.'">'.$i.'</option>';
										}
								echo '</select> /
									<select id="news_annee_fin" name="int_news_annee_fin">';
										for ($i=1970;$i<=date('Y',time())+1;$i++)
										{
											echo '<option '.(date('Y',$news->date_fin)==$i ? 'selected="selected"':'').' value="'.$i.'">'.$i.'</option>';
										}
								echo '</select>
									<input type="image" style="margin-bottom:-8px" src="./includes/calendar/images/calendrier.png" value=" Calendrier " onclick="displayCalendarSelectBox(document.getElementById(\'news_annee_fin\'),document.getElementById(\'news_mois_fin\'),document.getElementById(\'news_jour_fin\'),document.getElementById(\'news_heure_fin\'),document.getElementById(\'news_minute_fin\'),this);return false;" />
									<br />
									<select id="news_heure_fin" name="int_news_heure_fin">';
										for ($i=0;$i<=23;$i++)
										{
											echo '<option '.(date('H',$news->date_fin)==$i ? 'selected="selected"':'').' value="'.($i<10?'0':'').$i.'">'.($i<10?'0':'').$i.'</option>';
										}
								echo '</select> : <select id="news_minute_fin" name="int_news_minute_fin">';
										for ($i=0;$i<=59;$i++)
										{
											echo '<option '.(date('i',$news->date_fin)==$i ? 'selected="selected"':'').' value="'.($i<10?'0':'').$i.'">'.($i<10?'0':'').$i.'</option>';
										}
								echo '</select>
								<br /><br />
								<input type="checkbox" name="news_date_fin_del" id="news_date_fin_del" /> Supprimer la date de fin
								</div>
						</fieldset>
					</fieldset>
				</fieldset>
			</form>
			<br style="clear:both" />';

			if ($news->type == 0)
			{
				echo '
				<script type="text/javascript">
				// <![CDATA[
					choice_format_post(\'0\');
				// ]]>
				</script>';
			}
			close_table();
		}

		// Confirmation de la modification de la news
		if ($action== 'edit2')
		{
			if ($_POST['titrenews'] !='' && $_POST['texte'] !='')
			{
				$TitreNews		= ax($_POST['titrenews']);
				$AuteurNews		= $_POST['xss_auteur'];
				$ContenuNews	= filter_bbcode_sup_interdit($_POST['texte'],get_grade());
				$RefNews		= $_POST['ref'];
				$TypeNews		= intval($_POST['type']);
				$JsNews			= empty($_POST['int_js']) ? 0:1;
				if ($TypeNews != 0) $JsNews = 0;
				$EnvoiNews		= !empty($_POST['int_envoi_mail']) ? 1:(isset($_POST['int_RenvoiMail']) ? $_POST['int_RenvoiMail'] : 0);
				$timesDate		= 0;
				$CheckDateFin	= 0;
				if ($_POST['news_date_modif']=='on')
				{
					$timesDate = mktime($_POST['int_news_heure'], $_POST['int_news_minute'], 0, $_POST['int_news_mois'], $_POST['int_news_jour'], $_POST['int_news_annee']);
					$timesDate = date('U', $timesDate);
				}
				if ($_POST['news_date_fin_modif']=='on')
				{
					$checkDateFin = 1;
					if ($_POST['news_date_fin_del']=='on')
					{
						$timesDateFin = 0;
					}
					else
					{
                    	$timesDateFin = mktime($_POST['int_news_heure_fin'], $_POST['int_news_minute_fin'], 0, $_POST['int_news_mois_fin'], $_POST['int_news_jour_fin'], $_POST['int_news_annee_fin']);
						$timesDateFin = date('U', $timesDateFin);
					}
				}

				$requete  = reqmysql('
					UPDATE	`news`
					SET		`titre`		= "'.sp($_POST['titrenews']).'",
							'.(!empty($timesDate) ? '`date` = "'.$timesDate.'",':'').'
							'.(!empty($checkDateFin) ? '`date_fin` = "'.$timesDateFin.'",':'').'
							`ref`		= "'.intval($RefNews).'",
							`edit`		= "'.($_POST['sql_edit']).'",
							`contenu`	= "'.sp($ContenuNews).'",
							`mots_cles`	= "'.$_POST['sql_mots_cles'].'",
							`smiley`	= "'.($TypeNews==1? intval($_POST['smileys']):0).'",
							`envoi_mail`= "'.$EnvoiNews.'",
							`type`		= "'.$TypeNews.'",
							`js`		= "'.$JsNews.'"
					WHERE	`id`		= "'.$id.'"
				');

				bloc_head('Edition de news :');
				if(is_module('newsletter') AND isset($_POST['int_RenvoiMail']) AND !empty($_POST['int_envoi_mail']))
				{
					$IdNews = $id;
					define('MAIL_NEWS', 1);
					@include './modules/news/envoi_mail.php';
					echo $Erreur_mail;
				}
				echo '
				<p align="center">Modifications prises en compte </p>
				<form action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'" method="post">
				<p align="center"><input type="submit" id="submit" value="Retour" /></p>
				</form>';
				close_table();
			}
			else
			{
				bloc_head('Information :');
				echo '
				<p style="text-align:center;">
				Vous n\'avez pas rempli tous les champs</p>
				<p style="text-align:center;font-weight: bold ;">
				<a href="index.php?mod=news&amp;ac=gestion&amp;action=edit&amp;id='.$id.'">Retour</a>
				</p>';
				close_table();
			}
		}
	}
}
else
{
	ZoneReserve();
}
?>
