-- $Id: install.sql 956 2012-12-15 14:33:56Z mike007 $

DROP TABLE IF EXISTS `news`;
CREATE TABLE `news` (
  `id` int(11) NOT NULL auto_increment,
  `ref` varchar(10) NOT NULL default '',
  `titre` varchar(70) NOT NULL default '',
  `date` int(11) NOT NULL default '0',
  `date_fin` int(11) NOT NULL default '0',
  `edit` varchar(20) NOT NULL default '',
  `auteur` varchar(30) default NULL,
  `contenu` text,
  `mots_cles` varchar(250) NOT NULL default '',
  `hit` int(11) NOT NULL default '0',
  `validation` tinyint(2) NOT NULL default '0',
  `envoi_mail` enum('0','1') NOT NULL default '1',
  `type` tinyint(2) NOT NULL default '0',
  `js` enum('0','1') NOT NULL default '0',
  `smiley` tinyint(2) NOT NULL default '1',
  `nbr_comment` int(11) NOT NULL default '0',
 PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Module news : Liste des news' AUTO_INCREMENT=1 ;


INSERT INTO `parametres` SET `nom`='news_gr_admin', `valeur`='3';
INSERT INTO `parametres` SET `nom`='news_gr_poster', `valeur`='3';
INSERT INTO `parametres` SET `nom`='news_gr_commentaires', `valeur`='0';
INSERT INTO `parametres` SET `nom`='news_valider', `valeur`='1';
INSERT INTO `parametres` SET `nom`='news_keywords', `valeur`='oui';
INSERT INTO `parametres` SET `nom`='news_aff_default', `valeur`='10';
INSERT INTO `parametres` SET `nom`='news_rubriques', `valeur`='1';
INSERT INTO `parametres` SET `nom`='news_ComsParPage', `valeur`='5';
INSERT INTO `parametres` SET `nom`='news_OrderByComs', `valeur`='DESC';
INSERT INTO `parametres` SET `nom`='news_sponsor', `valeur`='a:3:{s:5:"actif";i:0;s:6:"gr_pub";i:-1;s:6:"gr_txt";i:-1;}';
INSERT INTO `parametres` SET `nom`='news_sponsor_texte', `valeur`='Contenu de la rponse automatique (Texte) ici';
INSERT INTO `parametres` SET `nom`='news_sponsor_pub', `valeur`='<p style="text-align:center">\r\nContenu de de la rponse automatique (Pub) ici\r\n</p>';

INSERT INTO `droit_exclu` SET `module`='news', `page`='affadmin', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='news', `page`='commentaires', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='news', `page`='envoi_mail', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='news', `page`='gestion', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='news', `page`='options', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='news', `page`='poster', `accessible`='0';