<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: poster.php 1011 2016-02-04 11:46:31Z mike007 $
// ---------------------------------------------------------------
// Mise a jour : 18/07/06 par Jack
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

if (get_grade() >= $news_gr_poster)
{
	####################################################################
	##	Check des rubriques
	####################################################################
	$req_rub = reqmysql('
		SELECT	`id`, `titre` 
		FROM	`rubriques` 
		WHERE	`rubriques`.`module` LIKE "%news%" 
			OR	`rubriques`.`module`=""
	');
	$nb_rub = Kws_mysql_num_rows($req_rub);

	if ($nb_rub ==0)
	{
		bloc_head('Erreur');
		echo '
		<div style="text-align:center"><br />Vous devez cr&eacute;er des rubriques avant de pouvoir poster !<br /><br />';
		if (get_grade() < $news_gr_admin)
		{
			echo '
			<strong>Veuillez contacter une hi&eacute;rarchie sup&eacute;rieure</strong><br /><br /></div>' ;
		}
		else
		{
			echo '
			<a href="index.php?mod=rubriques&ac=gestion&edit=new"><strong>Cr&eacute;er une rubrique</strong></a><br /><br /></div>' ;
		}
		close_table();
		return;
	}

	if(isset($_POST['action']) && $_POST['action']=='envoyer')
	{
		################################################################
		##	News poste - on enregistre
		################################################################
		$TitreNews		= $_POST['titrenews'];
		$AuteurNews		= $K_pseudo;
		$ContenuNews	= filter_bbcode_sup_interdit($_POST['texte'],get_grade());
		$RefNews		= $_POST['ref'];
		$TypeNews		= $_POST['type'];
		$JsNews			= empty($_POST['int_js']) ? 0:1;
		if ($TypeNews != 0) $JsNews = 0;
		$EnvoiNews		= !empty($_POST['int_envoi_mail']) ? 1:0;

		if (!empty($TitreNews) && !empty($ContenuNews))
		{
			if($_POST['validation_options_news']=='oui')
			{
				$news_validation = 1;
			}
			elseif (!$news_valider || get_grade() >= $news_gr_admin)
			{
				$news_validation = 0;
			}
			else
			{
				$news_validation = 1;
			}

			// gestion de la date
			$timestamp = 0;
			if ($_POST['news_date_modif']=='on')
			{
				$timestamp = mktime($_POST['int_news_heure'], $_POST['int_news_minute'], 0, $_POST['int_news_mois'], $_POST['int_news_jour'], $_POST['int_news_annee']);
			}
			if ($timestamp <= time())
			{
				$timestamp = time();
			}
			elseif ($news_validation == 0)
			{
				$news_validation = -1;
			}

			reqmysql('
				INSERT INTO `news`
				SET	`titre`		= "'.sp($_POST['titrenews']).'",
					`date`		= "'.date('U', $timestamp).'",
					`auteur`	= "'.sp($AuteurNews).'",
					`ref`		= "'.$RefNews.'",
					`contenu`	= "'.sp($ContenuNews).'",
					`mots_cles`	= "'.$_POST['sql_mots_cles'].'",
					`type`		= "'.sp($TypeNews).'",
					`js`		= "'.$JsNews.'",
					`smiley`	= "'.$_POST['smileys'].'",
					`validation`= "'.$news_validation.'",
					`envoi_mail`= "'.$EnvoiNews.'"
			') or die('<br /><center>Une erreur est survenue !</center>');

			$IdNews  = Kws_mysql_insert_id();// ON RECUPERE L'ID DE LA NEWS AJOUTE

			// envoi du mail aux abonns de la newsletter
			if($news_validation == 0 AND is_module('newsletter') AND $EnvoiNews)
			{
				define('MAIL_NEWS', 1);
				@include './modules/news/envoi_mail.php';
			}

			if ($_POST['surveil'] == 'on')
			{
				reqmysql('
					INSERT INTO `surv_emails`
					SET	`ref`	= "news'.$IdNews.'",
						`pseudo`= "'.$K_pseudo.'",
						`email`	= "'.$K_user->email.'",
						`type`	= "une news",
						`url`	= "'.$K_url_site.'index.php?mod='.$K_mod.'&amp;ac=commentaires&amp;id='.$IdNews.'"
				');
			}
			
			bloc_head('Information');			
			if($news_validation == 0)
			{
				echo $Erreur_mail;
			}
			echo '
			<p style="text-align:center;">Merci de votre participation !</p>';

			if ((get_grade() >= $news_gr_poster && $news_valider=='oui') || $_POST['validation_options_news']=='oui')
			{
				echo '
				<p style="text-align:center;">Elle sera visible apr&egrave;s validation.</p>';
			}
			echo '
			<form method="get" action="index.php">
				<p align="center">
					<input type="hidden" name="mod" value="'.$K_mod.'" />
					<input type="hidden" name="ac" value="gestion" />
					<input type="submit" id="submit" value="Retour" />
				</p>
			</form>';
			
			close_table();
		}
		else
		{
			bloc_head('Information :');
			echo '<p style="text-align:center;">Vous n\'avez pas rempli tous les champs</p>
			<p style="text-align:center;font-weight: bold ;">
				<a href="index.php?mod='.$K_mod.'&amp;ac=poster">Retour</a>
			</p>';
			close_table();
		}
	}
	else
	{
		##########################################
		## Formulaire d'envoi des news
		##########################################
		bloc_head('Poster une news');

		echo '
		<script type="text/javascript" language="javascript">
		//<![CDATA[
			var head = document.getElementsByTagName("head")[0];
			var head_inc = document.createElement("link");
			head_inc.rel = "stylesheet";
			head_inc.type = "text/css";
			head_inc.href = "./includes/calendar/goodies_calendar.css";
			head.appendChild(head_inc);
			// Initialisation de quelques variables
			var turnOffYearSpan = true;
			var yearSpan_init = 2;
			var showWeekNumber = false;
			var intervalSelectBox_minutes=5;
			var calendar_offsetTop = -190;
			var calendar_offsetLeft = -100;
		//]]>
		</script>
		<script type="text/javascript" src="./includes/calendar/goodies_calendar.js"></script>
		<script type="text/javascript" src="./includes/bbcode.js"></script>
		<script type="text/javascript" src="./includes/bjs.js"></script>
		<script type="text/javascript">
		// <![CDATA[
		function envoyer()
		{
			if (document.formulaire.titrenews.value=="")
			{
				alert("Veuillez indiquer le titre de la news.");
				document.formulaire.titrenews.focus();
				return false;
			}
			else if (document.formulaire.texte.value=="")
			{
				alert("Vous ne pouvez pas poster une news vide !");
				document.formulaire.texte.focus();
				return false;
			}
			else return true;
		}

		function dateOption(box,idDiv)
		{
			if (box.checked)	document.getElementById(idDiv).style.display = "inline";
			else 				document.getElementById(idDiv).style.display = "none";
		}
		// ]]>
		</script>

		<form name="formulaire" method="post" action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'" onsubmit="return envoyer()">
			<input type="hidden" name="action" value="envoyer" />
				<fieldset class="fieldset_post">
					<legend>&Eacute;crire une nouvelle news</legend>
					'.df_message('information',
					'<strong>Vous avez la possibilit&eacute; de couper votre news &agrave; l&rsquo;affichage.</strong>',
					'Ins&eacute;rez ceci &nbsp;&nbsp;<strong>|{}|</strong>&nbsp;&nbsp; dans votre texte &agrave; l&rsquo;endroit que vous d&eacute;sirez.'
					).'
					<dl>
						<dt><label>Titre:</label></dt>
						<dd><input type="text" name="titrenews" size="60" maxlength="70" /></dd>
					</dl>
					<dl>
						<dt><label>Rubrique:</label></dt>
						<dd>
							<select name="ref">';
							while ($rep_rub = Kws_mysql_fetch_object($req_rub))
							{
								echo '<option value="'.$rep_rub->id.'">'.ax($rep_rub->titre).'</option>';
							}
							echo '</select>
						</dd>
					</dl>
			';
			echo '
				<dl>
					<dt><label>Format du texte :</label></dt>
					<dd>
						<input type="radio" value="1" name="type" onclick="if(this.checked) choice_format_post(this.value);" '.(is_module('tiny_mce')?'':'checked="checked"').' />BBcode
						<span style="margin-left:75px">&nbsp;</span>
						<input type="radio" value="0" name="type" onclick="if(this.checked) choice_format_post(this.value);" '.(is_module('tiny_mce')?'checked="checked"':'').' />Html
						'.($K_grade >= GRD_ADMIN ?
						' + Js <input type="checkbox" value="1" '.($news->js == 1 ? 'checked="checked"' : '').' name="int_js" />':'').'
					</dd>
				</dl>
			';
			if (is_module('smileys')) afficher_smileys((is_module('tiny_mce')?0:1));
			include './includes/balises.php';

		echo '
			<div class="fieldset_post">
				<textarea cols="90" rows="'.(empty($new_textareaRows)?'13':$new_textareaRows).'" name="texte" id="postzone" onkeyup="bjs(this.value,\'apercu\')" onchange="bjs(this.value,\'apercu\')"></textarea>
			</div>
			<div id="apercu_check" style="text-align:center;">
				<input type="checkbox" onclick="pr_act(this);" /> Pr&eacute;visualisation du message:
				<span style="margin-left:50px">&nbsp;</span>
				<input type="button" value="Actualiser" style="visibility:hidden" id="prev" name="prev" onclick="finalprev(\'./includes/xml_prev.php\',document.getElementById(\'postzone\').value,\'apercu\')" />
			</div>
			<div id="HTML_prev_button" style="text-align:center;display:none;">
				<input type="button" value="'.(is_module('tiny_mce')? 'R&eacute;diger avec Tiny et ':'').'Pr&eacute;visualiser HTML" onclick="javascript:popupcentre(\'./includes/prevhtml.php?sql_name_form=\'+this.form.name+\''.(is_module('tiny_mce') ? '&amp;tiny='.$is_tiny_mce:'').'\',\'News\',\'800\',\'600\',\'yes\')" />
			</div>
			<div id="apercu" style="display:none"></div>
			<br />
			<fieldset class="MultiInputInline" style="text-align:center">
				<legend>Options facultatives :</legend>
				';
				if ($K_news_gr_commentaires>-2)
					echo '<input type="checkbox" name="surveil" value="on" />&Ecirc;tre averti des commentaires';

				if (is_module('newsletter'))
				{
					echo '
						<span>&nbsp;</span>
						<input type="checkbox" name="int_envoi_mail" value="1" checked="checked" />Envoi par mail aux abonn&eacute;s
					';
				}
				echo '<br /><br />
				Mots cl&eacute;s de la news <small>(s&eacute;par&eacute;s par des virgules)</small> :<br />
				<input type="text" name="sql_mots_cles" size="90" /><br />
			';
			if(get_grade() >= $news_gr_admin)
			{
				echo '<br />
				Les options des news indique qu\'aucune validation ne vous est requise<br />
				Voulez-vous quand-m&ecirc;me apposer une validation ?
				<select name="validation_options_news">
					<option value="oui">Oui</option>
					<option value="non" selected="selected">Non</option>
				</select><br />';
			}
			echo '
			</fieldset>
			<br />
			<div class="MultiInputInline align-center">
				<input type="submit" id="submit" value=" Envoyer " />
				<span>&nbsp;</span>
				<input type="button" id="button" value=" Annuler " onclick="history.go(-1)" />
			</div>
			<br />
			<fieldset class="MultiInputInline" style="text-align:center">
				<legend><input type="checkbox" name="news_date_modif" onclick="dateOption(this,\'news_date\');" /> Imposer une date &agrave; cette news:</legend>
					<div id="news_date" style="display:none">
						<select id="news_jour" name="int_news_jour">';
							for ($i=1;$i<=31;$i++)
							{
								echo '<option '.(date('d',time())==$i ? 'selected="selected"':'').' value="'.$i.'">'.$i.'</option>';
							}
							echo '</select> /
						<select id="news_mois" name="int_news_mois">';
							for ($i=1;$i<=12;$i++)
							{
								echo '<option '.(date('m',time())==$i ? 'selected="selected"':'').' value="'.$i.'">'.$i.'</option>';
							}
					echo '</select> /
						<select id="news_annee" name="int_news_annee">';
							for ($i=(date('Y',time()));$i<=date('Y',time())+1;$i++)
							{
								echo '<option '.(date('Y',time())==$i ? 'selected="selected"':'').' value="'.$i.'">'.$i.'</option>';
							}
					echo '</select>
						<input type="image" style="margin-bottom:-8px" src="./includes/calendar/images/calendrier.png" value=" Calendrier " onclick="displayCalendarSelectBox(document.getElementById(\'news_annee\'),document.getElementById(\'news_mois\'),document.getElementById(\'news_jour\'),document.getElementById(\'news_heure\'),document.getElementById(\'news_minute\'),this);return false;" />
						<br />
						<select id="news_heure" name="int_news_heure">';
							for ($i=0;$i<=23;$i++)
							{
								echo '<option '.(date('H',time())==$i ? 'selected="selected"':'').' value="'.($i<10?'0':'').$i.'">'.($i<10?'0':'').$i.'</option>';
							}
					echo '</select> : <select id="news_minute" name="int_news_minute">';
							for ($i=0;$i<=59;$i++)
							{
								echo '<option '.(date('i',time())==$i ? 'selected="selected"':'').' value="'.($i<10?'0':'').$i.'">'.($i<10?'0':'').$i.'</option>';
							}
					echo '</select><br /><br />
					</div>
					'.df_message('','Il est possible de mettre galement une date de fin lors de l\'&eacute;dition de celle-ci').'
			</fieldset>
		</fieldset>
		</form><br style="clear:both" />';
		if (is_module('tiny_mce'))
		{
			echo '
			<script type="text/javascript">
			// <![CDATA[
				choice_format_post(\'0\')
			// ]]>
			</script>';
		}

		close_table();
	}
}
//Grade insuffisant
else
{
	ZoneReserve();
}
?>
