<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: class.install.php 1050 2017-08-08 16:03:25Z mike007 $
// ---------------------------------------------------------------
// Cration : 27/07/07 par FouPouDave
// ---------------------------------------------------------------

// Fonctions de l'installation

class install
{	
	// Fonction constructeur de la class
	/* function install()
	{
		
	}
	
	*/
	
	// Fonction d'affichage de l'etape en cours
	function aff_step($step_number, $step_list)
	{
		$step_buffer = '';
		$nb_step = count($step_list);
		
		for ($i = 0; $i < $nb_step; $i++)
		{
			$step_buffer .= '
			<div class="etape_'.(($step_number-1) == $i ? 'on' : (($i<$step_number-1) ? 'off2' : 'off')).'">'.$step_list[$i].'</div>';
		}
		
		return $step_buffer;
	}


	// Fonction de requte sql	
	function querry_sql_file($type='local', $simul=TRUE, $sql='')
	{	
		$retour = '';
		//remplissage de $fichier en fonction du type choisit
		if ($type=='')
		{
			//$fichier = $_POST['fichier'];
			$retour = 'Fonctionnalit&eacute; en stand-by !';
		}
		elseif($type=='local')
		{
			$fichier = $sql;
		}
		else
		{
			if (!($fichier=@file_get_contents($type)))
			{
				$retour = 'Erreur de lecture du fichier, verifiez son chmod.';
			}
		}
		// vidange de $req (c'est plus sur )
		$req='';
		$comment=FALSE;
		$i=0;
		if (!isset($retour) || $retour=='')
		{
			//on prend le fichier et on met chaque ligne dans une ligne de tableau
			$test = explode(chr(10), $fichier);
			//comptage des retours  la ligne (pour la limite de l'incrmentation )
			$count = substr_count($fichier, chr(10));

			//dbut du traitement
			while ($i<=$count)
			{
				//remplacement des retours chariots par des ""
				$test[$i] = str_replace(chr(13), '', $test[$i]);

				//on surveille que la ligne soit non vide (permet d'aller plus vite et d' eviter une erreur)
				if ($test[$i] != '')
				{	
					// on vrifie que on ne soit pas dans un commentaire type /*   */  multiligne
					if ($comment===FALSE)
					{
						//traitement commentaire multiligne ouverture
						if (substr_count($test[$i], '/*') != 0)
						{
							$comment = TRUE;
							$req .= substr($test[$i], 0, strpos($test[$i], '/*'));
						}
						
						//recherche commentaire sur une ligne
						if (substr($test[$i],0,1)!='#' && substr($test[$i],0,2)!='--')
						{
							if (strpos('#',$test[$i]) || strpos($test[$i],'--'))
							{
								if (strpos('#', $test[$i]))
								{
									$req .= substr($test[$i], 0, strpos($test[$i], '#'));
								}
								else
								{
									$req .= substr($test[$i], 0, strpos($test[$i], '--'));
								}
							}
							else
							{
								//si aucun commentaire alors on prend la ligne tout entire dans la requete
								if ($comment != TRUE)
								{
									$req .= $test[$i];
								}
							}
							
							//vrification que si $req contient un ; au moins
							if (strrchr($req, ';') != '')
							{
								if ($req != '')
								{
									//mode simulation ou envoi direct
									if ($simul == TRUE)
									{
										echo $req.'<br /><br />';
										$retour++;
									}
									else
									{
										if (explode('.',Kws_mysql_get_server_info())[0] >= 5)
										{
											// TYPE depreci puis supprim dans version 5
											$req=str_replace('TYPE=MyISAM', 'ENGINE=MyISAM', $req);
										}
										reqmysql($req);
										$retour++;
									}
								}

								$countb = substr_count(preg_replace("/\"(.*?)\"/", '', $req), ';');
								$comp = 0; //si oui envoi des requetes possibles
								while ($comp<=$countb)
								{
									$query=substr($req, 0, $this->posvir($req)+1);
									$req=str_replace($query, '', $req);
									$comp++;
								}
							}
						}
						else
						{
							$i++;
							continue;
						}
					}
					else
					{
						//si dans un commentaire muyltiligne recherche de la fin du dit commentaire
						if (strpos($test[$i], '*/') === FALSE)
						{
							$i++;
							continue;
						}
						else
						{
							$comment=FALSE;
							$req.=substr(strstr($test[$i], '*/'), 2);
						}
					}
				}
				else
				{
					$i++;
					continue;
				}
				$i++;
			}
		}
		return $retour;
	}


	//fonction posvir : retourne la position du premier ; de la chaine $text qui n'est pas entre ' ' ou " "
	function posvir($text)
	{
		$text2=preg_replace("/'(.*?);(.*?)'/i", "'\\1,\\2'", $text);
		$text2=preg_replace("/\"(.*?);(.*?)\"/i", "\"\\1,\\2\"", $text2);
		return strpos($text2, ';');
	}


	// Fonction d'installation des modules et themes selectionns	
	function install_mod($mod_doss)
	{
		// Installation du install.sql
		$modulePath = './modules/';
		$mod_doss = trim(str_replace('/', '', str_replace('..', '', $mod_doss)));
		if (!file_exists($modulePath.$mod_doss.'/install.sql'))
		{
			$modulePath = '../modules/';
			if (!file_exists($modulePath.$mod_doss.'/install.sql'))
			{
				unset($modulePath);
			}
		}

		if (isset($modulePath))
		{
			$retour = $this->querry_sql_file($modulePath.$mod_doss.'/install.sql', FALSE);
			if (file_exists($modulePath.$mod_doss.'/kwsphp.sql'))
			{
				$retour = $this->querry_sql_file($modulePath.$mod_doss.'/kwsphp.sql', FALSE);
			}
			
			$msg = '<span style="color:#009900">La base de donn&eacute;es du module "'.ax($mod_doss).'" a &eacute;t&eacute; install&eacute; avec succ&egrave;s (MySQL).</span><br />';
		}
		else
		{
			$msg = '<span style="color:#990000">Il n\'y a pas de base de donn&eacute;es pour le module "'.ax($mod_doss).'".</span><br />';
		}
		
		// installation complmentaire
		if (file_exists($modulePath.$mod_doss.'/install.php'))	include $modulePath.$mod_doss.'/install.php';
		
		// Dclaration module install
		reqmysql('
			INSERT INTO `parametres` 
			SET	`nom`="is_'.sp($mod_doss).'",
				`valeur`="1";
		');

		// insertion du numero de version
		if (file_exists($modulePath.$mod_doss.'/gestionnaire.txt'))
		{
			$module_file = fopen($modulePath.$mod_doss.'/gestionnaire.txt','r');

			$mod_rev = trim(fgets($module_file ,999));	// Nom
			$mod_rev = trim(fgets($module_file ,999));	// Description
			$mod_rev = trim(fgets($module_file ,999));	// Obligatoire
			$mod_rev = trim(fgets($module_file ,999));	// Version

			fclose($module_file);

			if (intval($mod_rev)!=0)
			{
				reqmysql('
					INSERT INTO `parametres`
					SET	`nom`="'.sp($mod_doss).'_version",
						`valeur`="'.$mod_rev.'";
				');
			}
		}
		
		return $msg;
	}

	
	function uninstall_mod($mod_doss)
	{
		$mod_doss = trim(str_replace('/', '', str_replace('..', '', $mod_doss)));

		reqmysql('DELETE FROM `alerte`		WHERE `module`="'.sp($mod_doss).'";');
		reqmysql('DELETE FROM `droit`		WHERE `module`="'.sp($mod_doss).'";');
		reqmysql('DELETE FROM `droit_exclu`	WHERE `module`="'.sp($mod_doss).'";');
		reqmysql('DELETE FROM `modules`		WHERE `module`="'.sp($mod_doss).'";');
		reqmysql('DELETE FROM `parametres`	WHERE `nom` LIKE "'.sp($mod_doss).'#_%" ESCAPE "#";');
		reqmysql('DELETE FROM `parametres`	WHERE `nom` LIKE "%#_'.sp($mod_doss).'" ESCAPE "#";');

		// Installation du desinstall.sql
		$modulePath = './modules/';
		if (!file_exists($modulePath.$mod_doss.'/desinstall.sql'))
		{
			$modulePath = '../modules/';
			if (!file_exists($modulePath.$mod_doss.'/desinstall.sql'))
			{
				unset($modulePath);
			}
		}

		if (isset($modulePath))
		{
			$retour = $this->querry_sql_file($modulePath.$mod_doss.'/desinstall.sql', FALSE);
			$msg = '<span style="color:#009900">Le module '.ax($mod_doss).' a &eacute;t&eacute; d&eacute;sinstall&eacute;, <strong>vous pouvez supprimer</strong> le dossier modules "'.ax($mod_doss).'" sans risques.</span><br />';
		}
		else
		{
			$msg = '<span style="color:#990000">Il n\'y a pas de base de donn&eacute;es pour le module "'.ax($mod_doss).'".</span><br />';
		}

		// dsinstallation complmentaire
		@include './modules/'.$mod_doss.'/desinstall.php';

		return $msg;
	}
	
	
	function create_connect($serveur, $login, $pass, $bdd, $prefix='')
	{
		if ($prefix!='') $prefix = "\$K_prefix = '".$prefix."';\n";
		if (is_writable('../'))
		{
$connect_value='<?php
$KwsConnectBdd = mysqli_connect(\''.$serveur.'\',\''.$login.'\',\''.$pass.'\',\''.$bdd.'\');
if (!$KwsConnectBdd) {
	die(\'Erreur de connexion (\'.mysqli_connect_errno().\')\'
			. mysqli_connect_error());
}
//mysql_connect(\''.$serveur.'\',\''.$login.'\',\''.$pass.'\') or die(\'Impossible de se connecter au serveur.\');
//mysql_selectdb(\''.$bdd.'\') or die(\'Impossible de se connecter &agrave; la base.\');

'.$prefix.'require_once \'includes/kwsql.php\';
require_once \'includes/traitement_variable.php\';
?>';

			$connect_op=fopen("../connect.php",'w+');
			$connect_put=fputs($connect_op, $connect_value);
			fclose($connect_op);
			
			return $connect_put;
		}
		else
		{
			return false;
		}
		
		// Securit
		unset($serveur, $login, $pass, $bdd);
		
	}
	
}

?>
