<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: print.php 881 2009-09-28 21:31:31Z mike007.devpwsphp $
// ---------------------------------------------------------------
// Mise a jour : 06/12/06 par Jack
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

// Vrification du grade d'administration
if (get_grade() >= $K_imprim_grade)
{
	
	// Dbut d'affichage des options
	if(empty($_POST['ok']))
	{
		// Titre de la fenetre
		bloc_head('Gestion de l\'impression');
		
		echo '
		<form action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'" class="form" method="post">
		<input type="hidden" name="ok" id="ok" value="1" />
		<fieldset>';
		
		// Sous-titre (Gestion d'administration)
		echo '<br />
		<legend style="font-weight:bold">Gestion d\'administration</legend>';
		
		// Grade d'administration du module
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimgrade">Grade d\'administration du module :</label>
		<select name="imprimgrade" id="imprimgrade">';

		for($i=GRD_MPRIV;($n=get_grd_name($i))!=null;$i++)
		{
			echo '<option value="'.$i.'" '.($i==$K_imprim_grade?'selected="selected"':'').'>'.$n.'</option>';
		}

		echo'
		</select>
		</p></fieldset><br />';
		
		// Sous-titre (Gestion generale de la page d'impression)
		echo '<fieldset>
		<legend style="font-weight:bold">Gestion g&eacute;n&eacute;rale de la page d\'impression</legend>';
		
		// Titre de la fenetre
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimfenetre">Titre de la fen&ecirc;tre :</label>
		<input type="text" name="imprimfenetre" id="imprimfenetre" size="25"  value="'.$K_imprim_fenetre.'" />
		</p>';
		
		// Texte du lien imprimer
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimlien">Texte du lien [ Imprimer ] :</label>
		<input type="text" name="imprimlien" id="imprimlien" size="25"  value="'.$K_imprim_lien.'" />
		</p>';
		
		// Police generale
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimpolice">Police g&eacute;n&eacute;rale :</label>
		<select name="imprimpolice" id="imprimpolice">
			<option value="Arial, Helvetica, sans-serif"'.($K_imprim_police == 'Arial, Helvetica, sans-serif'? ' selected="selected"':'').'>Arial, Helvetica, sans-serif</option>
			<option value="Times New Roman, Times, serif"'.($K_imprim_police == 'Times New Roman, Times, serif'? ' selected="selected"':'').'>Times New Roman, Times, serif</option>
			<option value="Courier New, Courier, mono"'.($K_imprim_police == 'Courier New, Courier, mono'? ' selected="selected"':'').'>Courier New, Courier, mono</option>
			<option value="Georgia, Times New Roman, Times, serif"'.($K_imprim_police == 'Georgia, Times New Roman, Times, serif'? ' selected="selected"':'').'>Georgia, Times New Roman, Times, serif</option>
			<option value="Verdana, Arial, Helvetica, sans-serif"'.($K_imprim_police == 'Verdana, Arial, Helvetica, sans-serif'? ' selected="selected"':'').'>Verdana, Arial, Helvetica, sans-serif</option>
			<option value="Geneva, Arial, Helvetica, sans-serif"'.($K_imprim_police == 'Geneva, Arial, Helvetica, sans-serif'? ' selected="selected"':'').'>Geneva, Arial, Helvetica, sans-serif</option>
		</select>
		</p>';
		
		// Couleur du texte
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimcolor">Couleur du texte :</label>
		<select name="imprimcolor" id="imprimcolor">
			<option value="#ffffff" style="color:#ffffff"'.($K_imprim_color == '#ffffff'? ' selected="selected"':'').'>Blanc</option>
			<option value="#000000" style="color:#000000"'.($K_imprim_color == '#000000'? ' selected="selected"':'').'>Noir</option>
			<option value="#000066" style="color:#000066"'.($K_imprim_color == '#000066'? ' selected="selected"':'').'>Bleu fonc</option>
			<option value="#009900" style="color:#009900"'.($K_imprim_color == '#009900'? ' selected="selected"':'').'>Vert</option>
			<option value="#cc3300" style="color:#cc3300"'.($K_imprim_color == '#cc3300'? ' selected="selected"':'').'>Rouge</option>
			<option value="#660000" style="color:#660000"'.($K_imprim_color == '#660000'? ' selected="selected"':'').'>Marron</option>
			<option value="#990099" style="color:#990099"'.($K_imprim_color == '#990099'? ' selected="selected"':'').'>Violet</option>
			<option value="#ff6600" style="color:#ff6600"'.($K_imprim_color == '#ff6600'? ' selected="selected"':'').'>Orange</option>
			<option value="#ffff00" style="color:#ffff00"'.($K_imprim_color == '#ffff00'? ' selected="selected"':'').'>Jaune</option>
			<option value="#00ff00" style="color:#00ff00"'.($K_imprim_color == '#00ff00'? ' selected="selected"':'').'>Vert clair</option>
			<option value="#009999" style="color:#009999"'.($K_imprim_color == '#009999'? ' selected="selected"':'').'>Vert fonc</option>
			<option value="#00ffff" style="color:#00ffff"'.($K_imprim_color == '#00ffff'? ' selected="selected"':'').'>Turquoise</option>
			<option value="#0000ff" style="color:#0000ff"'.($K_imprim_color == '#0000ff'? ' selected="selected"':'').'>Bleu</option>
			<option value="#ff00ff" style="color:#ff00ff"'.($K_imprim_color == '#ff00ff'? ' selected="selected"':'').'>Fushia</option>
			<option value="#666666" style="color:#666666"'.($K_imprim_color == '#666666'? ' selected="selected"':'').'>Gris fonc</option>
			<option value="#cccccc" style="color:#cccccc"'.($K_imprim_color == '#cccccc'? ' selected="selected"':'').'>Gris clair</option>
		</select>
		</p>';
		
		// Taille de la police du texte
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimtaille">Taille du texte :</label>
		<select name="imprimtaille" id="imprimtaille">
		    <option value="8px"'.($K_imprim_taille == '8px'? ' selected="selected"':'').'>8</option>
		    <option value="9px"'.($K_imprim_taille == '9px'? ' selected="selected"':'').'>9</option>
		    <option value="10px"'.($K_imprim_taille == '10px'? ' selected="selected"':'').'>10</option>
		    <option value="11px"'.($K_imprim_taille == '11px'? ' selected="selected"':'').'>11</option>
		    <option value="12px"'.($K_imprim_taille == '12px'? ' selected="selected"':'').'>12</option>
		    <option value="14px"'.($K_imprim_taille == '14px'? ' selected="selected"':'').'>14</option>
		    <option value="16px"'.($K_imprim_taille == '16px'? ' selected="selected"':'').'>16</option>
		    <option value="18px"'.($K_imprim_taille == '18px'? ' selected="selected"':'').'>18</option>
		    <option value="20px"'.($K_imprim_taille == '20px'? ' selected="selected"':'').'>20</option>
		    <option value="24px"'.($K_imprim_taille == '24px'? ' selected="selected"':'').'>24</option>
		    <option value="28px"'.($K_imprim_taille == '28px'? ' selected="selected"':'').'>28</option>
		    <option value="32px"'.($K_imprim_taille == '32px'? ' selected="selected"':'').'>32</option>
		    <option value="36px"'.($K_imprim_taille == '36px'? ' selected="selected"':'').'>36</option>
		</select>
		</p></fieldset><br />';
		
		// Sous-titre (Gestion du titre)
		echo '<fieldset>
		<legend style="font-weight:bold">Gestion du titre</legend>';

		// Couleur du titre
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimcolor1">Couleur du titre :</label>
		<select name="imprimcolor1" id="imprimcolor1">
			<option value="#ffffff" style="color:#ffffff"'.($K_imprim_color1 == '#ffffff'? ' selected="selected"':'').'>Blanc</option>
			<option value="#000000" style="color:#000000"'.($K_imprim_color1 == '#000000'? ' selected="selected"':'').'>Noir</option>
			<option value="#000066" style="color:#000066"'.($K_imprim_color1 == '#000066'? ' selected="selected"':'').'>Bleu fonc</option>
			<option value="#009900" style="color:#009900"'.($K_imprim_color1 == '#009900'? ' selected="selected"':'').'>Vert</option>
			<option value="#cc3300" style="color:#cc3300"'.($K_imprim_color1 == '#cc3300'? ' selected="selected"':'').'>Rouge</option>
			<option value="#660000" style="color:#660000"'.($K_imprim_color1 == '#660000'? ' selected="selected"':'').'>Marron</option>
			<option value="#990099" style="color:#990099"'.($K_imprim_color1 == '#990099'? ' selected="selected"':'').'>Violet</option>
			<option value="#ff6600" style="color:#ff6600"'.($K_imprim_color1 == '#ff6600'? ' selected="selected"':'').'>Orange</option>
			<option value="#ffff00" style="color:#ffff00"'.($K_imprim_color1 == '#ffff00'? ' selected="selected"':'').'>Jaune</option>
			<option value="#00ff00" style="color:#00ff00"'.($K_imprim_color1 == '#00ff00'? ' selected="selected"':'').'>Vert clair</option>
			<option value="#009999" style="color:#009999"'.($K_imprim_color1 == '#009999'? ' selected="selected"':'').'>Vert fonc</option>
			<option value="#00ffff" style="color:#00ffff"'.($K_imprim_color1 == '#00ffff'? ' selected="selected"':'').'>Turquoise</option>
			<option value="#0000ff" style="color:#0000ff"'.($K_imprim_color1 == '#0000ff'? ' selected="selected"':'').'>Bleu</option>
			<option value="#ff00ff" style="color:#ff00ff"'.($K_imprim_color1 == '#ff00ff'? ' selected="selected"':'').'>Fushia</option>
			<option value="#666666" style="color:#666666"'.($K_imprim_color1 == '#666666'? ' selected="selected"':'').'>Gris fonc</option>
			<option value="#cccccc" style="color:#cccccc"'.($K_imprim_color1 == '#cccccc'? ' selected="selected"':'').'>Gris clair</option>
		</select>
		</p>';
		
		// Taille de la police du titre
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimtaille1">Taille du titre :</label>
		<select name="imprimtaille1" id="imprimtaille1">
		    <option value="8px"'.($K_imprim_taille1 == '8px'? ' selected="selected"':'').'>8</option>
		    <option value="9px"'.($K_imprim_taille1 == '9px'? ' selected="selected"':'').'>9</option>
		    <option value="10px"'.($K_imprim_taille1 == '10px'? ' selected="selected"':'').'>10</option>
		    <option value="11px"'.($K_imprim_taille1 == '11px'? ' selected="selected"':'').'>11</option>
		    <option value="12px"'.($K_imprim_taille1 == '12px'? ' selected="selected"':'').'>12</option>
		    <option value="14px"'.($K_imprim_taille1 == '14px'? ' selected="selected"':'').'>14</option>
		    <option value="16px"'.($K_imprim_taille1 == '16px'? ' selected="selected"':'').'>16</option>
		    <option value="18px"'.($K_imprim_taille1 == '18px'? ' selected="selected"':'').'>18</option>
		    <option value="20px"'.($K_imprim_taille1 == '20px'? ' selected="selected"':'').'>20</option>
		    <option value="24px"'.($K_imprim_taille1 == '24px'? ' selected="selected"':'').'>24</option>
		    <option value="28px"'.($K_imprim_taille1 == '28px'? ' selected="selected"':'').'>28</option>
		    <option value="32px"'.($K_imprim_taille1 == '32px'? ' selected="selected"':'').'>32</option>
		    <option value="36px"'.($K_imprim_taille1 == '36px'? ' selected="selected"':'').'>36</option>
		</select>
		</p>';
		
		// Titre en italique
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimstyle1">Mettre le titre en italique :</label>
		<select name="imprimstyle1" id="imprimstyle1">
			<option value="normal">Non</option>
			<option value="italic"'.($K_imprim_style1 == 'italic'? ' selected="selected"':'').'>Oui</option>
		</select>
		</p>';
		
		// Titre en en gras
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimweight1">Mettre le titre en gras :</label>
		<select name="imprimweight1" id="imprimweight1">
			<option value="normal">Non</option>
			<option value="bold"'.($K_imprim_weight1 == 'bold'? ' selected="selected"':'').'>Oui</option>
		</select>
		</p>';
		
		// Souligner le titre
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimdeco1">Souligner le titre :</label>
		<select name="imprimdeco1" id="imprimdeco1">
			<option value="none">Non</option>
			<option value="underline"'.($K_imprim_deco1 == 'underline'? ' selected="selected"':'').'>Oui</option>
		</select>
		</p></fieldset><br />';
		
		// Sous-titre (Gestion du contenu)
		echo '<fieldset>
		<legend style="font-weight:bold">Gestion des liens</legend>';

		// Couleur des liens
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimlinkcolor">Couleur des liens :</label>
		<select name="imprimlinkcolor" id="imprimlinkcolor">
			<option value="#ffffff" style="color:#ffffff"'.($K_imprim_linkcolor == '#ffffff'? ' selected="selected"':'').'>Blanc</option>
			<option value="#000000" style="color:#000000"'.($K_imprim_linkcolor == '#000000'? ' selected="selected"':'').'>Noir</option>
			<option value="#000066" style="color:#000066"'.($K_imprim_linkcolor == '#000066'? ' selected="selected"':'').'>Bleu fonc</option>
			<option value="#009900" style="color:#009900"'.($K_imprim_linkcolor == '#009900'? ' selected="selected"':'').'>Vert</option>
			<option value="#cc3300" style="color:#cc3300"'.($K_imprim_linkcolor == '#cc3300'? ' selected="selected"':'').'>Rouge</option>
			<option value="#660000" style="color:#660000"'.($K_imprim_linkcolor == '#660000'? ' selected="selected"':'').'>Marron</option>
			<option value="#990099" style="color:#990099"'.($K_imprim_linkcolor == '#990099'? ' selected="selected"':'').'>Violet</option>
			<option value="#ff6600" style="color:#ff6600"'.($K_imprim_linkcolor == '#ff6600'? ' selected="selected"':'').'>Orange</option>
			<option value="#ffff00" style="color:#ffff00"'.($K_imprim_linkcolor == '#ffff00'? ' selected="selected"':'').'>Jaune</option>
			<option value="#00ff00" style="color:#00ff00"'.($K_imprim_linkcolor == '#00ff00'? ' selected="selected"':'').'>Vert clair</option>
			<option value="#009999" style="color:#009999"'.($K_imprim_linkcolor == '#009999'? ' selected="selected"':'').'>Vert fonc</option>
			<option value="#00ffff" style="color:#00ffff"'.($K_imprim_linkcolor == '#00ffff'? ' selected="selected"':'').'>Turquoise</option>
			<option value="#0000ff" style="color:#0000ff"'.($K_imprim_linkcolor == '#0000ff'? ' selected="selected"':'').'>Bleu</option>
			<option value="#ff00ff" style="color:#ff00ff"'.($K_imprim_linkcolor == '#ff00ff'? ' selected="selected"':'').'>Fushia</option>
			<option value="#666666" style="color:#666666"'.($K_imprim_linkcolor == '#666666'? ' selected="selected"':'').'>Gris fonc</option>
			<option value="#cccccc" style="color:#cccccc"'.($K_imprim_linkcolor == '#cccccc'? ' selected="selected"':'').'>Gris clair</option>
		</select>
		</p>';
		
		// Couleur des liens au passage de la souris
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimhovercolor">Couleur des liens au passage de la souris :</label>
		<select name="imprimhovercolor" id="imprimhovercolor">
			<option value="#ffffff" style="color:#ffffff"'.($K_imprim_hovercolor == '#ffffff'? ' selected="selected"':'').'>Blanc</option>
			<option value="#000000" style="color:#000000"'.($K_imprim_hovercolor == '#000000'? ' selected="selected"':'').'>Noir</option>
			<option value="#000066" style="color:#000066"'.($K_imprim_hovercolor == '#000066'? ' selected="selected"':'').'>Bleu fonc</option>
			<option value="#009900" style="color:#009900"'.($K_imprim_hovercolor == '#009900'? ' selected="selected"':'').'>Vert</option>
			<option value="#cc3300" style="color:#cc3300"'.($K_imprim_hovercolor == '#cc3300'? ' selected="selected"':'').'>Rouge</option>
			<option value="#660000" style="color:#660000"'.($K_imprim_hovercolor == '#660000'? ' selected="selected"':'').'>Marron</option>
			<option value="#990099" style="color:#990099"'.($K_imprim_hovercolor == '#990099'? ' selected="selected"':'').'>Violet</option>
			<option value="#ff6600" style="color:#ff6600"'.($K_imprim_hovercolor == '#ff6600'? ' selected="selected"':'').'>Orange</option>
			<option value="#ffff00" style="color:#ffff00"'.($K_imprim_hovercolor == '#ffff00'? ' selected="selected"':'').'>Jaune</option>
			<option value="#00ff00" style="color:#00ff00"'.($K_imprim_hovercolor == '#00ff00'? ' selected="selected"':'').'>Vert clair</option>
			<option value="#009999" style="color:#009999"'.($K_imprim_hovercolor == '#009999'? ' selected="selected"':'').'>Vert fonc</option>
			<option value="#00ffff" style="color:#00ffff"'.($K_imprim_hovercolor == '#00ffff'? ' selected="selected"':'').'>Turquoise</option>
			<option value="#0000ff" style="color:#0000ff"'.($K_imprim_hovercolor == '#0000ff'? ' selected="selected"':'').'>Bleu</option>
			<option value="#ff00ff" style="color:#ff00ff"'.($K_imprim_hovercolor == '#ff00ff'? ' selected="selected"':'').'>Fushia</option>
			<option value="#666666" style="color:#666666"'.($K_imprim_hovercolor == '#666666'? ' selected="selected"':'').'>Gris fonc</option>
			<option value="#cccccc" style="color:#cccccc"'.($K_imprim_hovercolor == '#cccccc'? ' selected="selected"':'').'>Gris clair</option>
		</select>
		</p>';
		
		// Souligner les liens
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimlinkdeco">Souligner les liens :</label>
		<select name="imprimlinkdeco" id="imprimlinkdeco">
			<option value="underline">Oui</option>
			<option value="none"'.($K_imprim_linkdeco == 'none'? ' selected="selected"':'').'>Non</option>
		</select>
		</p>';
		
		// Souligner les liens au passage de la souris
		echo '
		<p>
		<label style="display: inline; float: left; width: 30%;" for="imprimhoverdeco">Souligner les liens au passage de la souris :</label>
		<select name="imprimhoverdeco" id="imprimhoverdeco">
			<option value="underline">Oui</option>
			<option value="none"'.($K_imprim_hoverdeco == 'none'? ' selected="selected"':'').'>Non</option>
		</select>
		</p></fieldset><br />';
		
		// Bouton enregistrer et annuler
		echo'
		<p style="text-align:center">
			<input type="submit" id="submit" value=" Enregistrer " />&nbsp;&nbsp;&nbsp;
			<input type="reset" id="reset" value=" Annuler " />
		</p>
		</form>';
		
		// Fin de la gestion
		close_table();
		
	} else {
		
		// Mise  jour de la base de donnes
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimgrade'].'" WHERE `nom`="imprim_grade" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimfenetre'].'" WHERE `nom`="imprim_fenetre" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimpolice'].'" WHERE `nom`="imprim_police" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimtaille1'].'" WHERE `nom`="imprim_taille1" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimstyle1'].'" WHERE `nom`="imprim_style1" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimweight1'].'" WHERE `nom`="imprim_weight1" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimdeco1'].'" WHERE `nom`="imprim_deco1" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimcolor1'].'" WHERE `nom`="imprim_color1" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimcolor'].'" WHERE `nom`="imprim_color" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimtaille'].'" WHERE `nom`="imprim_taille" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimlinkcolor'].'" WHERE `nom`="imprim_linkcolor" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimlinkdeco'].'" WHERE `nom`="imprim_linkdeco" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimhovercolor'].'" WHERE `nom`="imprim_hovercolor" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimhoverdeco'].'" WHERE `nom`="imprim_hoverdeco" ');
		reqmysql('UPDATE `parametres` SET `valeur`="'.$_POST['imprimlien'].'" WHERE `nom`="imprim_lien" ');
		
		// Message de confirmation des modifications
		bloc_head('Confirmation');
		echo '
		<div style="text-align:center"><br />Modifications enregistr&eacute;es<br /><br />
		<form action="index.php">
		<input type="hidden" name="mod" value="'.$mod.'" />
		<input type="hidden" name="ac" value="gestion" />
		<input type="submit" id="submit" value="  Retour  " />
		</form>
		</div>';
		// Fin du message
		close_table();
	}
}
else
{
	ZoneReserve();
}
?>