<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: update.php 1050 2017-08-08 16:03:25Z mike007 $
// ---------------------------------------------------------------
// Cration : 18/06/08 par FouPouDave
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die('Erreur d\'appel de fichier.');}

if (get_grade() < GRD_ADMIN)
{
	zoneReserve();
}
elseif (!file_exists('./modules/'.$K_mod.'/gestionnaire.txt'))
{
	bloc_head('Mise &agrave; jour du module '.$K_mod);
	echo df_message('erreur', '<h2>Votre module '.$K_mod.' est incomplet !</h2>', '<h3>Veuillez re-uploader les fichiers sur votre serveur<br />et recommencer la proc&eacute;dure de mise &agrave; jour !</h3>');
	close_table();
}
else
{
	if (isset($_POST['updateCNL']))
	{
		unset($_SESSION['modules_maj']);
		header('Location: index.php?mod=admin&ac=gestion_module');
		exit();
	}

	if (!isset(${$K_mod.'_version'}))
	{
		${$K_mod.'_version'} = 0;
	}

	if (file_exists('./modules/'.$K_mod.'/gestionnaire.txt'))
	{
		$module_file = fopen('./modules/'.$K_mod.'/gestionnaire.txt','r');

		$mod_rev = trim(fgets($module_file ,999));	// Nom
		$mod_rev = trim(fgets($module_file ,999));	// Description
		$mod_rev = trim(fgets($module_file ,999));	// Obligatoire
		$mod_rev = trim(fgets($module_file ,999));	// Version

		fclose($module_file);
	}
	else
	{
		$mod_rev = trim(${$K_mod.'_version'});
	}

	$kws_rev = '1.7';

	// Controle url etapes
	if (isset($_POST['step2']))
	{
		$step = $_POST['step2'];
	}
	elseif (isset($_POST['step']) and $_POST['step'] > 0 and $_POST['step'] < 4)
	{
		$step = $_POST['step'];
	}
	else
	{
		$step = 1;
	}
	if ($step == 2 and !isset($_POST['updateOK']))
	{
		$step = 1;
	}

	// Inclusion du fichier class
	require_once 'includes/class.install.php';
	$class_install = new install();

	// Affichage de la barre des etapes a gauche
	$step_array = array ('Compatibilit&eacute;', 'Mise &agrave; jour', 'Terminer');
	$update_menu = $class_install->aff_step($step, $step_array);

	// Verif compatibilite
	if ($step == 1)
	{
		// rcup version portail
		$distribution_tmp = explode('-',$K_distribution_versions);
		foreach ($distribution_tmp as $distribution_num)
		{
			$distribution_on = $distribution_num;
		}
		// version portail insuffisante => pas de mise a jour possible
		if (substr($distribution_on, 0, 3) < $kws_rev)
		{
			$update_menu = $class_install->aff_step(3, $step_array);
			$update_form1 = '';
			$update_contenu = df_message('attention', '<span style="color:red;font-weight:bold">AVERTISSEMENT</span>', '<p>Cette version du module n&eacute;cessite la version '.$kws_rev.' de kwsPHP.<br />Vous devez proceder &agrave; la mise &agrave; jour de votre portail avant de poursuivre.</p>');
			$update_form2 = '<form name="rtb" action="./index.php?mod=admin&amp;ac=gestion_module" method="post">';
			$update_button = '<input type="submit" value=" Terminer " name="sbutton" />';
		}
		// Version module ok => mise  jour inutile
		elseif ($mod_rev <= ${$K_mod.'_version'})
		{
			$update_menu = $class_install->aff_step(3, $step_array);
			$update_form1 = '';
			$update_contenu = df_message('information', '<strong>Mise &agrave; jour inutile.</strong>', '<p>Cette version du module est d&eacute;j&agrave; celle install&eacute;e sur votre portail.</p>');
			$update_form2 = '<form name="rtb" action="./index.php?mod=admin&amp;ac=gestion_module" method="post">';
			$update_button = '<input type="submit" value=" Terminer " name="sbutton" />';
		}
		// ok pour la mise  jour
		else
		{
			$liste_a_effacer = array(
				array('./modules/articles/print.php',true),
				array('./modules/smileys/bbcode_manuel.php',true),
				array('./modules/stats/stats.php',true),
				array('./License.html',true),
				array('./Lisez-moi.html',true),
				array('./pwsmail.php',true),
				array('./val.php',true)
			);
			if(count($liste_a_effacer)>0)
			{
				foreach($liste_a_effacer as $id => $fichier)
				{
					if ($fichier[1])
					{
						@unlink($fichier[0]);
					}
					if (!file_exists($fichier[0]))
					{
						unset($liste_a_effacer[$id]);
					}
				}
			}

			$liste_a_verifier = array(
				//'./modules/nom_module/update.php'
			);
			if(count($liste_a_verifier)>0)
			{
				foreach($liste_a_verifier as $id => $fichier)
				{
					if (file_exists($fichier))
					{
						unset($liste_a_verifier[$id]);
					}
				}
			}

			$update_fichier = '';
			if (count($liste_a_effacer)>0)
			{
				$update_fichier .= '<div>';
				foreach ($liste_a_effacer as $id => $fichier)
				{
					$update_fichier .= '<div style="color:#990000">- Le fichier <strong>'.$fichier[0].'</strong> doit tre effac. Veuillez le supprimer manuellement du ftp.</div>';
				}
				$update_fichier .= '</div>';
				$update_button = '<input type="hidden" name="step2" value="1" />
				<input type="submit" value=" Retester " />
				<input type="submit" name="updateCNL" value=" Abandonner la mise &agrave; jour " style="margin-left:4em" />';
			}
			elseif (count($liste_a_verifier)>0)
			{
				$update_fichier .= '<div>';
				foreach ($liste_a_verifier as $id => $fichier)
				{
					$update_fichier .= '<div style="color:#990000">- Le fichier <strong>'.$fichier.'</strong> est manquant. Veuillez le remettre manuellement sur le ftp.</div>';
				}
				$update_fichier .= '</div>';
				$update_button = '<input type="hidden" name="step2" value="1" />
				<input type="submit" value=" Retester " />
				<input type="submit" name="updateCNL" value=" Abandonner la mise &agrave; jour " style="margin-left:4em" />';
			}
			else
			{
				$update_button = '<input type="submit" name="updateOK"  value=" Poursuivre la mise &agrave; jour " />
				<input type="submit" name="updateCNL" value=" Abandonner la mise &agrave; jour " style="margin-left:4em" />';
			}

			$update_form1 = '';
			$update_contenu = df_message('attention', '<span style="color:red;font-weight:bold">AVERTISSEMENT</span>', $update_fichier.'<p>Il est fortement recommand&eacute; d\'effectuer une sauvegarde de la base MySQL <strong>AVANT</strong> de proc&eacute;der &agrave; la mise &agrave; jour.</p><p>Ne soyez pas impatient !<br />La mise &agrave; jour peut se montrer longue.</p>');
			$update_contenu .= '<div id="conditions" style="padding:5px;text-align:left">
				<fieldset>
				<legend><span style="color:red">Conditions G&eacute;n&eacute;rales d\'utilisation en sus de la licence :</span></legend>

				<ul>
				<li style="display:block">1. <strong>L\'utilisation du CMS KwsPHP implique que vous ayez pr&eacute;alablement lu et accept&eacute; les conditions d\'utilisation suivantes :</strong></li>
				<li style="display:block">2. <strong>Vous devez laisser les copyrights de bas de page avec son lien hypertext. Des options pour celui-ci sont cependant configurable dans l\'administration.</strong></li>
				<li style="display:block">3. <strong>Vous ne pouvez en aucun cas placer notre CMS, modifi&eacute; ou non, sur une disquette, un CD, un site, pour le vendre.  Seule une prestation compl&eacute;mentaire peut &ecirc;tre &eacute;ventuellement payante.</strong></li>
				<li style="display:block">4. <strong>Vous ne devez pas proposer notre CMS en t&eacute;l&eacute;chargement sur votre ou vos sites web.</strong></li>
				<li style="display:block">5. <strong>Vous ne devez pas pr&eacute;tendre &agrave; la r&eacute;alisation de votre site Internet utilisant notre CMS modifi&eacute; ou non.</strong></li>
				<li style="display:block">6. <strong>KwsPHP.org se r&eacute;serve le droit de changer, ou bien de modifier les termes de ces conditions d\'utilisation sans pr&eacute;avis.</strong></li>
				</ul>
				</fieldset>
				</div>';

			$update_form2 = '<form name="'.$K_mod.'_update" action="index.php?mod='.$K_mod.'&amp;ac=update" method="post">';
		}
	}

	// Mise  jour
	elseif ($step == 2)
	{
		$update_result = '';
		function update_query($query, $erreur=true)
		{
			global $update_result;
			$update_test = reqmysql($query, $erreur);
			if (!$update_test)
			{
				$update_result .= 'Erreur de mise &agrave; jour lors de l\'execution de la requ&ecirc;te : '.$query.'<br />
				<br />';
			}
			return $update_test;
		}

		// Mise  jour de la table infoz pour la comparaison
		if (is_dir('./modules/infoZ') and file_exists('./modules/infoZ/MajBdd.php'))
		{
			unset($_SESSION['MajBddInfoz']);
			include './modules/infoZ/MajBdd.php';
		}

		if (${$K_mod.'_version'} < 757)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_grade_1_option"'))== 0)
			{
				update_query("INSERT INTO `parametres` VALUES ('','K_grade_1_option','color:#990099<=>+<=>Membre privilgi');");
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_grade_2_option"'))== 0)
			{
				update_query("INSERT INTO `parametres` VALUES ('','K_grade_2_option','color:#009900<=>&Omega;<=>Modrateur de forum');");
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_grade_3_option"'))== 0)
			{
				update_query("INSERT INTO `parametres` VALUES ('','K_grade_3_option','color:#cc3300<=>&Omega;<=>Modrateur');");
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_grade_4_option"'))== 0)
			{
				update_query("INSERT INTO `parametres` VALUES ('','K_grade_4_option','color:#003366<=>&Psi;<=>Administrateur');");
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_grade_5_option"'))== 0)
			{
				update_query("INSERT INTO `parametres` VALUES ('','K_grade_5_option','color:#ff00ff<=>&copy;<=>Ttard');");
			}
		}

		if (${$K_mod.'_version'} < 765)
		{
			reqmysql("UPDATE `users` SET `statut`='".STU_VALIDE."' WHERE `pseudo`='Ancien membre'");
			if (Kws_mysql_num_rows(reqmysql('SELECT `id` FROM `droit` WHERE `module`="admin" AND `page`="piedModule"'))== 0)
			{
				update_query("INSERT INTO `droit` SET `module`='admin', `page`='piedModule', `grade`='0', `groupe`='0', `condition`='or'");
			}
			update_query('UPDATE `parametres` SET `valeur` = REPLACE(`valeur`,"&amp;","&") WHERE `nom` = "mailvalidation";');
			update_query('UPDATE `parametres` SET `valeur` = REPLACE(`valeur`,"&amp;","&") WHERE `nom` = "mailchg";');
		}

		if (${$K_mod.'_version'} < 779)
		{
			update_query('ALTER TABLE `modules` CHANGE `position` `position` SMALLINT(5) UNSIGNED NOT NULL DEFAULT "0"');
			if (Kws_mysql_num_rows(reqmysql('DESCRIBE `users` "invisible"'))==0)
			{
				update_query('ALTER TABLE `users` ADD `invisible` TINYINT( 1 ) NOT NULL DEFAULT "0" AFTER `grade`');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_grd_user_invisible"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`="K_grd_user_invisible", `valeur`="'.GRD_ADMIN.'"');
			}
			update_query('UPDATE `parametres` SET `valeur`="0" WHERE `nom`="up_avatars"');
			update_query('UPDATE `parametres` SET `valeur`="off" WHERE `nom`="avatars_ext"');

			// table rubriques
			if (Kws_mysql_num_rows(reqmysql('DESCRIBE `rubriques` "groupe"'))!=0)
			{
				$req_rub = reqmysql('SELECT `id`, `groupe` FROM `rubriques`');
				while ($rub = Kws_mysql_fetch_object($req_rub))
				{
					update_query('INSERT INTO `droit` SET `module`="rubriques", `page`="id_'.$rub->id.'", `grade`="-1", `groupe`="'.$rub->groupe.'", `condition`="or"');
				}
				reqmysql('ALTER TABLE `rubriques` DROP `groupe`');
				$_SESSION['update_msg'] .= df_message(
					'information',
					'<p style="color:red">Modification de la gestion des acc&eacute;s aux <strong>rubriques</strong>',
					'D&eacute;sormais, la gestion des droits d\'acc&eacute;s aux rubriques passe par le module <strong>droit</strong>, vous autorisant ainsi plus de souplesse en jouant sur les grades <strong>et</strong> les groupes<br />
					Les informations existantes sur les groupes ont bien &eacute;videment &eacute;t&eacute; concerv&eacute;es, mais il n\'est pas possible de d&eacute;finir de faon automatique des param&egrave;tres nouveaux !<br />
					Le grade <em>visiteur</em> a donc &eacute;t&eacute; attribu&eacute;  toutes vos rubriques de mani&egrave;re &agrave; pr&eacute;server le fonctionnement tel que pr&eacute;c&eacute;demment.<br />
					Cependant, afin de b&eacute;n&eacute;ficier des derni&egrave;res am&eacute;liorations nous ne sauriont que vous conseiller de v&eacute;rifier par vous m&ecirc;me ces param&egrave;trages via la gestion des rubriques ou le module droit.</p>'
				);
			}
		}

		// patch 811 et 845 (probleme lors de la dsinstallation de download)
		if (${$K_mod.'_version'} < 845)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="dlup_lastTime"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`="dlup_lastTime", `valeur`="0"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="dlup_frequence"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`="dlup_frequence", `valeur`="2592000"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="dlup_modules"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`="dlup_modules", `valeur`="'.sp(serialize(array())).'"');
			}
		}

		// patch 814 (pour rtablir les bonnes valeurs  tous)
		if (${$K_mod.'_version'} < 814)
		{
			update_query('UPDATE `parametres` SET `valeur` = REPLACE(`valeur`,"1.6.745","1.6.'.trim($mod_rev).'") WHERE `nom` = "distribution_versions";');
			update_query('UPDATE `parametres` SET `valeur` = REPLACE(`valeur`,"1.6.745","1.6.'.trim($mod_rev).'") WHERE `nom` = "distribution";');
			update_query('UPDATE `parametres` SET `valeur` = REPLACE(`valeur`,"1.6.804","1.6.'.trim($mod_rev).'") WHERE `nom` = "distribution_versions";');
			update_query('UPDATE `parametres` SET `valeur` = REPLACE(`valeur`,"1.6.804","1.6.'.trim($mod_rev).'") WHERE `nom` = "distribution";');
		}

		if (${$K_mod.'_version'} < 830)
		{
			$up_mod_dem = Kws_mysql_fetch_object(reqmysql('SELECT `valeur` FROM `parametres` WHERE `nom`="mod_dem" '));
			$mod_dem_array['0'] = $up_mod_dem->valeur;
			$mod_dem_array = serialize ($mod_dem_array);
			update_query('UPDATE `parametres` SET `valeur`="'.sp($mod_dem_array).'" WHERE `nom`="mod_dem" ');

			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_domainesMails_bloques"'))== 0)
			{
				$domaineMail_interdit = 'a:141:{i:0;s:7:"1-12.nl";i:1;s:12:"127-0-0-1.be";i:2;s:9:"3v1l0.com";i:3;s:13:"aliraheem.com";i:4;s:17:"aliscomputer.info";i:5;s:27:"bankofuganda.dontassrape.us";i:6;s:12:"black-arm.cn";i:7;s:12:"black-leg.cn";i:8;s:15:"black-tattoo.cn";i:9;s:14:"blacktattoo.cn";i:10;s:10:"bonaire.in";i:11;s:10:"casema.org";i:12;s:26:"churchofscientology.org.uk";i:13;s:10:"cool.fr.nf";i:14;s:10:"copcars.us";i:15;s:17:"correo.blogos.net";i:16;s:14:"courriel.fr.nf";i:17;s:26:"definatelynotaspamtrap.com";i:18;s:8:"djlol.dk";i:19;s:10:"dodgit.com";i:20;s:12:"dupemail.com";i:21;s:14:"edwinserver.se";i:22;s:17:"email-jetable.com";i:23;s:12:"ephemail.net";i:24;s:25:"farifluset.mailexpire.com";i:25;s:12:"filzmail.com";i:26;s:11:"freenet6.de";i:27;s:16:"fuzzy.weasel.net";i:28;s:15:"gimme.wa.rez.se";i:29;s:17:"guerrillamail.org";i:30;s:13:"haltospam.com";i:31;s:10:"har2009.cn";i:32;s:15:"hermesonline.dk";i:33;s:11:"iximail.com";i:34;s:11:"jetable.com";i:35;s:13:"jetable.fr.nf";i:36;s:11:"jetable.net";i:37;s:11:"jetable.org";i:38;s:9:"jpshop.ru";i:39;s:12:"junk-yard.be";i:40;s:12:"junk-yard.eu";i:41;s:10:"kaspop.com";i:42;s:12:"kleemail.com";i:43;s:18:"laughingman.ath.cx";i:44;s:13:"link2mail.net";i:45;s:11:"linux.co.in";i:46;s:16:"lolinternets.com";i:47;s:17:"m.nonumberno.name";i:48;s:19:"madcrazydesigns.com";i:49;s:13:"mailbidon.com";i:50;s:12:"mailin8r.com";i:51;s:14:"mailinator.com";i:52;s:14:"mailinator.net";i:53;s:15:"mailinator2.com";i:54;s:17:"mailincubator.com";i:55;s:12:"mailnull.com";i:56;s:29:"maleinhandsmint.czarkahan.net";i:57;s:12:"meltmail.com";i:58;s:17:"moncourrier.fr.nf";i:59;s:14:"monemail.fr.nf";i:60;s:13:"monmail.fr.nf";i:61;s:10:"mt2009.com";i:62;s:15:"mytrashmail.com";i:63;s:16:"newkurdistan.com";i:64;s:27:"nigerianscam.dontassrape.us";i:65;s:21:"ninjas.dontassrape.us";i:66;s:10:"no-spam.cn";i:67;s:10:"nospam4.us";i:68;s:12:"nospamfor.us";i:69;s:16:"omicron.token.ro";i:70;s:12:"pengodam.biz";i:71;s:22:"pirates.dontassrape.us";i:72;s:11:"pirazine.se";i:73;s:12:"pookmail.com";i:74;s:9:"pourri.fr";i:75;s:15:"pyramidspel.com";i:76;s:14:"realcambio.com";i:77;s:13:"s.blackhat.lt";i:78;s:12:"sales.bot.nu";i:79;s:20:"sales.net-freaks.com";i:80;s:14:"sendmeshit.com";i:81;s:10:"slarvig.se";i:82;s:12:"slaskpost.cn";i:83;s:12:"slaskpost.se";i:84;s:17:"slop.jerkface.net";i:85;s:22:"slops.lazypeople.co.uk";i:86;s:18:"slops.quadrath.com";i:87;s:12:"slopsbox.com";i:88;s:12:"slopsbox.net";i:89;s:12:"slopsbox.org";i:90;s:19:"slopsbox.osocial.nu";i:91;s:11:"slopsbox.se";i:92;s:19:"slopsbox.slarvig.se";i:93;s:27:"slopsbox.spammesenseless.dk";i:94;s:25:"slopsbox.stivestoddere.dk";i:95;s:13:"sogetthis.com";i:96;s:19:"solidblacktattoo.cn";i:97;s:12:"spailbox.com";i:98;s:12:"spailbox.net";i:99;s:12:"spailbox.org";i:100;s:19:"spam.dontassrape.us";i:101;s:14:"spam.h0lger.de";i:102;s:12:"spam.hack.se";i:103;s:7:"spam.la";i:104;s:21:"spam.mafia-server.net";i:105;s:7:"spam.su";i:106;s:16:"spam.tagnard.net";i:107;s:17:"spam.w00ttech.com";i:108;s:10:"spambox.us";i:109;s:18:"spamcorptastic.com";i:110;s:14:"spamfree24.com";i:111;s:13:"spamfree24.de";i:112;s:13:"spamfree24.eu";i:113;s:15:"spamfree24.info";i:114;s:14:"spamfree24.net";i:115;s:14:"spamfree24.org";i:116;s:15:"spamgourmet.com";i:117;s:16:"spamherelots.com";i:118;s:18:"spamout.jassi.info";i:119;s:13:"tempemail.net";i:120;s:13:"tempinbox.com";i:121;s:18:"temporaryinbox.com";i:122;s:13:"thegaybay.com";i:123;s:24:"thisisnotmyrealemail.com";i:124;s:12:"trash-can.eu";i:125;s:13:"trashmail.net";i:126;s:14:"trashymail.com";i:127;s:9:"tyros2.cn";i:128;s:14:"vuilnisbelt.cn";i:129;s:16:"watchnode.uni.cc";i:130;s:13:"watertaxi.net";i:131;s:23:"west.metaverseaudio.com";i:132;s:8:"wh4f.org";i:133;s:10:"xblogz.org";i:134;s:11:"yopmail.com";i:135;s:10:"yopmail.fr";i:136;s:11:"yopmail.net";i:137;s:10:"yopweb.com";i:138;s:12:"your.gay.cat";i:139;s:8:"ziggo.ws";i:140;s:8:"zynd.com";}';
				update_query('INSERT INTO `parametres` SET `nom`="K_domainesMails_bloques", `valeur`="'.sp($domaineMail_interdit).'"');
			}
		}

		if (${$K_mod.'_version'} < 838)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="email_encod"'))== 0)
			{
				update_query ('INSERT INTO `parametres` SET `nom`="email_encod", `valeur`="0"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="distribution_image"'))== 0)
			{
				update_query ('INSERT INTO `parametres` SET `nom`="distribution_image", `valeur`=""');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_rewrite_url"'))== 0)
			{
				$val_url_rw = 'a:2:{s:5:"actif";i:0;s:6:"taille";s:4:"long";}';
				update_query ('INSERT INTO `parametres` SET `nom`="K_rewrite_url", `valeur`="'.sp($val_url_rw).'"');
			}
			// Suppression des page update car Exclusion directement control par l'affichage de droit
			update_query ('DELETE FROM `droit` WHERE `page`="update";');
			update_query ('DELETE FROM `droit_exclu` WHERE `page`="update";');
		}

		if (${$K_mod.'_version'} < 875)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_mp_grade"'))== 0)
			{
				update_query ('INSERT INTO `parametres` SET `nom`="K_mp_grade", `valeur`="0"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="is_smileys"'))== 0)
			{
				update_query ('INSERT INTO `parametres` SET `nom`="is_smileys", `valeur`="1"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="validation_enregistrement"'))!= 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_validation_enregistrement" WHERE `nom` = "validation_enregistrement" ');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_validation_delai_del"'))== 0)
			{
				update_query ('INSERT INTO `parametres` SET `nom`="K_validation_delai_del", `valeur`="2"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_message_enregistrement"'))== 0)
			{
				update_query ('INSERT INTO `parametres` SET `nom`="K_message_enregistrement", `valeur`="- Poster des commentaires (news, Articles...)\r\n- Accder  des parties privilgies sous le contrle de l\'administrateur (espace membre, forum...)"');
			}
		}

		if (${$K_mod.'_version'} < 876)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_BbcodeAff"'))== 0)
			{
				$Val_BbcodeAff = 'a:21:{i:1;a:2:{s:3:"nom";s:10:"gauche.png";s:5:"actif";s:2:"on";}i:2;a:2:{s:3:"nom";s:11:"centrer.png";s:5:"actif";s:2:"on";}i:3;a:2:{s:3:"nom";s:13:"justifier.png";s:5:"actif";s:2:"on";}i:4;a:2:{s:3:"nom";s:10:"droite.png";s:5:"actif";s:2:"on";}i:5;a:2:{s:3:"nom";s:8:"gras.png";s:5:"actif";s:2:"on";}i:6;a:2:{s:3:"nom";s:10:"italic.png";s:5:"actif";s:2:"on";}i:7;a:2:{s:3:"nom";s:12:"souligne.png";s:5:"actif";s:2:"on";}i:8;a:2:{s:3:"nom";s:8:"lien.png";s:5:"actif";s:2:"on";}i:9;a:2:{s:3:"nom";s:7:"img.png";s:5:"actif";s:2:"on";}i:10;a:2:{s:3:"nom";s:12:"surligne.png";s:5:"actif";s:2:"on";}i:11;a:2:{s:3:"nom";s:9:"barre.png";s:5:"actif";s:2:"on";}i:12;a:2:{s:3:"nom";s:8:"list.png";s:5:"actif";s:2:"on";}i:13;a:2:{s:3:"nom";s:14:"separation.png";s:5:"actif";s:2:"on";}i:14;a:2:{s:3:"nom";s:9:"quote.png";s:5:"actif";s:2:"on";}i:15;a:2:{s:3:"nom";s:11:"polices.png";s:5:"actif";s:2:"on";}i:16;a:2:{s:3:"nom";s:11:"tailles.png";s:5:"actif";s:2:"on";}i:17;a:2:{s:3:"nom";s:12:"couleurs.png";s:5:"actif";s:2:"on";}i:18;a:2:{s:3:"nom";s:18:"flottantgauche.png";s:5:"actif";s:2:"on";}i:19;a:2:{s:3:"nom";s:18:"flottantdroite.png";s:5:"actif";s:2:"on";}i:20;a:2:{s:3:"nom";s:11:"panneau.png";s:5:"actif";s:2:"on";}i:21;a:2:{s:3:"nom";s:7:"php.png";s:5:"actif";s:2:"on";}}';
				update_query ('INSERT INTO `parametres` SET `nom`="K_BbcodeAff", `valeur`="'.sp($Val_BbcodeAff).'"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_code_secu_mods"'))== 0)
			{
				$req_code_secu_on = update_query('SELECT * FROM `parametres` WHERE `nom`="code_secu_on"');
				$rep_code_secu_on = Kws_mysql_fetch_object($req_code_secu_on);
				if ($rep_code_secu_on->valeur=='on')
					$val_code_secu_mods = 'a:6:{i:0;s:2:"on";i:1;s:11:"enregistrer";i:2;s:7:"contact";i:3;s:8:"livredor";i:4;s:10:"newsletter";i:5;s:12:"commentaires";}';
				else
					$val_code_secu_mods = 'a:1:{i:0;s:3:"off";}';
				update_query ('UPDATE `parametres` SET `nom`="K_code_secu_mods", `valeur`="'.sp($val_code_secu_mods).'" WHERE `nom` = "code_secu_on" ');
			}
		}

		if (${$K_mod.'_version'} < 878)
		{
			update_query ('DROP TABLE IF EXISTS `chgmail`');

			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_editeur"'))== 0)
			{
				update_query ('INSERT INTO `parametres` SET `nom`="K_editeur", `valeur`="bbcode"');
			}
		}

		if (${$K_mod.'_version'} < 881)
		{
			update_query('DROP TABLE IF EXISTS `pwsmail`');
			update_query('DELETE FROM `parametres` WHERE `nom` = "pass_pwsmail"');
			update_query('DELETE FROM `parametres` WHERE `nom` = "email_encod"');
			update_query('UPDATE `parametres` SET `valeur`="php" WHERE `nom`="email_type" AND `valeur`="pws"');

			if (Kws_mysql_num_rows(reqmysql('SHOW TABLES LIKE "pwsverif";'))!=0)
			{
				update_query('RENAME TABLE `pwsverif`  TO `votes_modules` ;');
				update_query('ALTER TABLE `votes_modules` CHANGE `pseudo` `pseudo` varchar(20) NOT NULL DEFAULT ""');
				update_query('ALTER TABLE `votes_modules` CHANGE `type` `module` varchar(20) NOT NULL DEFAULT ""');
				update_query('ALTER TABLE `votes_modules` COMMENT = "Votes divers pour le portail"');
				$req_id = reqmysql('
					SELECT		`votes_modules`.`id` AS V_id,
								`users`.`id` AS U_id
					FROM		`votes_modules`
					LEFT JOIN	`users`
						ON		`votes_modules`.`pseudo` = `users`.`pseudo`
				');
				while ($rep_id = Kws_mysql_fetch_object($req_id))
				{
					if (!empty($rep_id->U_id))
					{
						update_query('UPDATE `votes_modules` SET `pseudo`="'.$rep_id->U_id.'" WHERE `id`="'.$rep_id->V_id.'"');
					}
				}
			}

			update_query('UPDATE `parametres` SET `valeur`="onGravatar" WHERE `nom`="avatars_ext" AND `valeur`="on"');

			update_query('UPDATE `parametres` SET `nom`="K_imprim_grade" WHERE `nom`="imprim_grade" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_fenetre" WHERE `nom`="imprim_fenetre" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_police" WHERE `nom`="imprim_police" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_taille1" WHERE `nom`="imprim_taille1" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_style1" WHERE `nom`="imprim_style1" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_weight1" WHERE `nom`="imprim_weight1" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_deco1" WHERE `nom`="imprim_deco1" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_color1" WHERE `nom`="imprim_color1" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_color" WHERE `nom`="imprim_color" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_taille" WHERE `nom`="imprim_taille" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_linkcolor" WHERE `nom`="imprim_linkcolor" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_linkdeco" WHERE `nom`="imprim_linkdeco" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_hovercolor" WHERE `nom`="imprim_hovercolor" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_hoverdeco" WHERE `nom`="imprim_hoverdeco" ');
			update_query('UPDATE `parametres` SET `nom`="K_imprim_lien" WHERE `nom`="imprim_lien" ');

			update_query('UPDATE `parametres` SET `nom`="K_grade_1_option" WHERE `nom`="grade_1_option" ');
			update_query('UPDATE `parametres` SET `nom`="K_grade_2_option" WHERE `nom`="grade_2_option" ');
			update_query('UPDATE `parametres` SET `nom`="K_grade_3_option" WHERE `nom`="grade_3_option" ');
			update_query('UPDATE `parametres` SET `nom`="K_grade_4_option" WHERE `nom`="grade_4_option" ');
			update_query('UPDATE `parametres` SET `nom`="K_grade_5_option" WHERE `nom`="grade_5_option" ');

			if (Kws_mysql_result(reqmysql('DESCRIBE `messages` "de"'),0,'Type')!='int(11)')
			{
				$req_id_de = reqmysql('
					SELECT `U`.`id` as uid, `U`.`pseudo` as upseudo, `M`.`de`
					FROM `messages` AS M
					LEFT JOIN `users` AS U
					ON `U`.`pseudo`=`M`.`de`
				');
				while ($req_id_de_rep = Kws_mysql_fetch_object($req_id_de))
				{
					update_query('UPDATE `messages` SET `de`="'.$req_id_de_rep->uid.'" WHERE `de`="'.$req_id_de_rep->upseudo.'" ;');
				}
				update_query('ALTER TABLE `messages` CHANGE `de` `de` INT(11) NOT NULL DEFAULT "0"');
				update_query('DELETE FROM `messages` WHERE `de`="0"');
			}
			if (Kws_mysql_result(reqmysql('DESCRIBE `messages` "a"'),0,'Type')!='int(11)')
			{
				$req_id_a = reqmysql('
					SELECT `U`.`id` as uid, `U`.`pseudo` as upseudo, `M`.`a`
					FROM `messages` AS M
					LEFT JOIN `users` AS U
					ON `U`.`pseudo`=`M`.`a`
				');
				while ($req_id_a_rep = Kws_mysql_fetch_object($req_id_a))
				{
					update_query('UPDATE `messages` SET `a`="'.$req_id_a_rep->uid.'" WHERE `a`="'.$req_id_a_rep->upseudo.'" ;');
				}
				update_query('ALTER TABLE `messages` CHANGE `a` `a` INT(11) NOT NULL DEFAULT "0"');
				update_query('DELETE FROM `messages` WHERE `a`="0"');
			}
			if (Kws_mysql_num_rows(reqmysql('DESCRIBE `messages` "time"'))!=0)
			{
				$req_date_mess = reqmysql('SELECT * FROM `messages` ORDER BY `id`');
				while ($req_date_mess_rep = Kws_mysql_fetch_object($req_date_mess))
				{
					$Tdate = mktime (
										substr($req_date_mess_rep->time,0,2) ,
										substr($req_date_mess_rep->time,3,5) ,
										0 ,
										substr($req_date_mess_rep->date,3,5) ,
										substr($req_date_mess_rep->date,0,2) ,
										substr($req_date_mess_rep->date,6,8)
									);

					update_query('UPDATE `messages` SET `date`="'.$Tdate.'" WHERE `id`="'.$req_date_mess_rep->id.'" ;');
				}
				update_query('ALTER TABLE `messages` CHANGE `date` `date` INT(10) NOT NULL DEFAULT "0"');
				update_query('ALTER TABLE `messages` DROP `time`');
			}
		}

		if (${$K_mod.'_version'} < 884)
		{
			update_query('ALTER TABLE `modules` CHANGE `emplacement` `emplacement` SMALLINT(5) UNSIGNED NOT NULL DEFAULT "0"');
		}

		if (${$K_mod.'_version'} < 887)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_gestion_comptes_exclus"'))== 0)
			{
				$req_AM = reqmysql('SELECT `id` FROM `users` WHERE `pseudo`="Ancien membre"');
				$rep_AM = Kws_mysql_fetch_object($req_AM);
				update_query('INSERT INTO `parametres` SET `nom`="K_gestion_comptes_exclus", `valeur`="1'.(!empty($rep_AM->id) ? ','.sp($rep_AM->id) : '').'"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_gestion_comptes_date"'))== 0)
			{
				update_query('UPDATE `parametres` SET `nom`="K_gestion_comptes_date" WHERE `nom`="gestion_comptes_date" ');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_gestion_comptes_mail"'))== 0)
			{
				update_query('UPDATE `parametres` SET `nom`="K_gestion_comptes_mail" WHERE `nom`="gestion_comptes_mail" ');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_gestion_comptes_avatar"'))== 0)
			{
				update_query('UPDATE `parametres` SET `nom`="K_gestion_comptes_avatar" WHERE `nom`="gestion_comptes_avatar" ');
			}
		}

		if (${$K_mod.'_version'} < 890)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_RedirChampsObligatoires"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`= "K_RedirChampsObligatoires", `valeur`="off" ');
			}
			update_query('UPDATE `parametres` SET `valeur`="2592000" WHERE `nom`="dlup_frequence" ');
		}

		if (${$K_mod.'_version'} < 895)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_robots"'))== 0)
			{
				$val_robots = 'a:35:{s:5:"Alexa";a:4:{i:0;s:14:"64.208.172.170";i:1;s:14:"64.208.172.174";i:2;s:14:"209.234.171.32";i:3;s:14:"209.234.171.38";}s:3:"Ask";a:3:{i:0;s:10:"65.214.45.";i:1;s:11:"65.235.124.";i:2;s:11:"66.235.124.";}s:9:"Ayell_org";a:1:{i:0;s:12:"78.46.80.180";}s:11:"Baiduspider";a:2:{i:0;s:11:"123.125.66.";i:1;s:10:"220.181.7.";}s:5:"Botje";a:1:{i:0;s:13:"87.118.86.133";}s:7:"Clickfr";a:1:{i:0;s:12:"194.206.163.";}s:9:"Deepindex";a:1:{i:0;s:14:"62.212.117.198";}s:13:"Domaincrawler";a:2:{i:0;s:12:"83.168.240.1";i:1;s:13:"83.168.240.16";}s:6:"Dotbot";a:3:{i:0;s:15:"208.115.111.242";i:1;s:15:"208.115.111.245";i:2;s:15:"208.115.111.250";}s:6:"Exabot";a:2:{i:0;s:10:"193.47.80.";i:1;s:10:"83.167.62.";}s:4:"Fast";a:1:{i:0;s:9:"66.77.73.";}s:18:"Flatlandindustries";a:1:{i:0;s:12:"74.62.161.76";}s:9:"Gigablast";a:1:{i:0;s:13:"216.243.113.1";}s:6:"Google";a:4:{i:0;s:7:"66.249.";i:1;s:13:"72.14.220.136";i:2;s:13:"85.109.44.181";i:3;s:14:"209.85.170.136";}s:7:"Kalooga";a:1:{i:0;s:13:"195.210.57.83";}s:9:"Microsoft";a:6:{i:0;s:12:"61.117.7.212";i:1;s:14:"61.192.188.201";i:2;s:14:"61.192.190.164";i:3;s:14:"61.192.200.229";i:4;s:14:"61.192.204.141";i:5;s:14:"220.214.94.202";}s:11:"Miningbased";a:1:{i:0;s:15:"216.194.124.121";}s:6:"Mirago";a:1:{i:0;s:14:"217.205.60.225";}s:3:"MSN";a:3:{i:0;s:6:"65.54.";i:1;s:6:"65.55.";i:2;s:11:"207.68.146.";}s:5:"Naver";a:3:{i:0;s:11:"202.131.30.";i:1;s:11:"218.145.25.";i:2;s:11:"61.247.222.";}s:8:"Openfind";a:2:{i:0;s:12:"66.237.60.22";i:1;s:14:"210.59.144.149";}s:9:"Picsearch";a:1:{i:0;s:13:"62.119.21.157";}s:5:"Psbot";a:1:{i:0;s:12:"217.212.224.";}s:8:"Searchme";a:2:{i:0;s:14:"208.111.154.15";i:1;s:14:"208.111.154.16";}s:7:"Szukacz";a:1:{i:0;s:13:"193.218.115.6";}s:4:"TAMU";a:1:{i:0;s:14:"128.194.135.94";}s:5:"Teoma";a:2:{i:0;s:10:"65.214.36.";i:1;s:12:"65.214.38.10";}s:8:"Twiceler";a:7:{i:0;s:12:"208.36.144.7";i:1;s:12:"208.36.144.8";i:2;s:12:"208.36.144.9";i:3;s:14:"216.129.119.48";i:4;s:6:"38.99.";i:5;s:11:"67.218.116.";i:6;s:13:"85.109.44.181";}s:12:"Verisign_com";a:3:{i:0;s:12:"69.58.178.26";i:1;s:12:"69.58.178.28";i:2;s:12:"69.58.178.30";}s:5:"Voila";a:4:{i:0;s:10:"81.52.143.";i:1;s:11:"195.101.94.";i:2;s:15:"193.252.118.101";i:3;s:12:"193.252.149.";}s:7:"Voinics";a:1:{i:0;s:13:"86.127.194.51";}s:7:"W3C_CSS";a:2:{i:0;s:12:"128.30.52.34";i:1;s:12:"128.30.52.36";}s:9:"Whalhello";a:2:{i:0;s:15:"212.127.141.180";i:1;s:11:"213.73.184.";}s:7:"Wisenut";a:5:{i:0;s:14:"64.241.242.177";i:1;s:13:"64.241.243.65";i:2;s:12:"64.242.88.50";i:3;s:12:"64.242.88.60";i:4;s:12:"209.249.67.1";}s:5:"Yahoo";a:16:{i:0;s:8:"202.160.";i:1;s:12:"203.209.252.";i:2;s:7:"66.196.";i:3;s:11:"67.195.110.";i:4;s:11:"67.195.111.";i:5;s:11:"67.195.115.";i:6;s:10:"67.195.37.";i:7;s:10:"67.195.44.";i:8;s:10:"67.195.45.";i:9;s:10:"67.195.51.";i:10;s:10:"67.195.52.";i:11;s:10:"67.195.54.";i:12;s:10:"67.195.58.";i:13;s:7:"68.142.";i:14;s:6:"72.30.";i:15;s:5:"74.6.";}}';
				update_query ('INSERT INTO `parametres` SET `nom`="K_robots", `valeur`="'.sp($val_robots).'"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_robots_list_ID"'))== 0)
			{
				update_query ('INSERT INTO `parametres` SET `nom`="K_robots_list_ID", `valeur`="91"');
			}
			else
			{
				update_query('UPDATE `parametres` SET `valeur`="91" WHERE `nom`="K_robots_list_ID" ');
			}
			update_query('UPDATE `parametres` SET `valeur` = "Bonjour %pseudo%,<br /><br />Veuillez confirmer le changement d\'email en cliquant sur le <a href=\"%url_site%index.php?mod=espace_membre&ac=val&mail=%clemail%\">lien suivant</a>.<br /><br />Merci." WHERE `nom` = "mailchg"');
			// Gabarit
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="commentaires_gabarit"'))== 0)
			{
				update_query ('INSERT INTO `parametres` SET `nom`="commentaires_gabarit", `valeur`="0"');
			}
		}

		if (${$K_mod.'_version'} < 900)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_BbcodeOptions"'))== 0)
			{
				$K_BbcodeOptions['MaxSizeImgWidth'] = 640;
				$K_BbcodeOptions['MaxSizeImgHeight'] = 400;
				$K_BbcodeOptions['GrCodePhpBouton'] = 0;
				update_query ('INSERT INTO `parametres` SET `nom`="K_BbcodeOptions", `valeur`="'.sp(serialize($K_BbcodeOptions)).'"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_BbcodeAff"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_BbcodeAff" WHERE `nom`="K_affBbcode"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_ReglesAff"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_ReglesAff" WHERE `nom`="aff_regles"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_ReglesSite"'))== 0)
			{
				if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="regles_forum"'))== 0)
				{
					update_query ('INSERT INTO `parametres` SET `nom`="K_ReglesSite", `valeur`=""');
				}
				else
				{
					update_query ('UPDATE `parametres` SET `valeur`="" WHERE `nom`="regles_forum" AND (`valeur`="Pas encore dfinies" OR `valeur`="<p>Pas encore d&eacute;finies</p>") ');
					update_query ('UPDATE `parametres` SET `nom`="K_ReglesSite" WHERE `nom`="regles_forum" ');
					update_query ('DELETE FROM `parametres` WHERE `nom`="lire_regles"');
				}
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="commentaires_gabarit"')) > 1)
			{
				update_query ('DELETE FROM `parametres` WHERE `nom`="commentaires_gabarit"');
				update_query ('INSERT INTO `parametres` SET `nom`="commentaires_gabarit", `valeur`="'.$K_commentaires_gabarit.'"');
			}
			if (Kws_mysql_num_rows(reqmysql('DESCRIBE `modules` "display"'))==0)
			{
				update_query('ALTER TABLE `modules` ADD `display` ENUM("block","none") NOT NULL DEFAULT "block" AFTER `parametre4`');
			}
			if (Kws_mysql_num_rows(reqmysql('DESCRIBE `modules` "parametre5"'))==0)
			{
				update_query('ALTER TABLE `modules` ADD `parametre5` VARCHAR(50) DEFAULT NULL AFTER `parametre4`');
			}
			$Req_Pos = reqmysql('SELECT `position` FROM `modules` WHERE `type`="bloc" AND `emplacement`="0" ORDER BY `position` DESC ');
			$Rep_Pos = Kws_mysql_fetch_object($Req_Pos);
			update_query('INSERT INTO `modules` SET `type`="bloc", `emplacement`="0", `position`="'.(++$Rep_Pos->position).'", `module`="menu", `parametre1`="Gestion :", `parametre2`="non", `parametre3`="4", `afficher`="1" ');
			$Emplacement = Kws_mysql_insert_id();
			update_query('INSERT INTO `modules` SET `type`="menu", `emplacement`="'.$Emplacement.'", `position`="0", `module`="lien", `parametre1`="Administration", `parametre2`="./index.php?mod=espace_membre&ac=login&doss=admin", `afficher`="4" ');
			update_query('INSERT INTO `modules` SET `type`="menu", `emplacement`="'.$Emplacement.'", `position`="1", `module`="lien", `parametre1`="Gestion des Modules", `parametre2`="./index.php?mod=espace_membre&ac=login&doss=mod", `afficher`="4" ');
			update_query('INSERT INTO `modules` SET `type`="menu", `emplacement`="'.$Emplacement.'", `position`="2", `module`="lien", `parametre1`="Outils", `parametre2`="./index.php?mod=espace_membre&ac=login&doss=outils", `afficher`="4" ');

			update_query('UPDATE `parametres` SET `nom`="K_mp_grade" WHERE `nom`="K_mp_actif"');
			update_query('UPDATE `parametres` SET `valeur`="-2" WHERE `nom`="K_mp_grade" AND `valeur`="off" ');
			update_query('UPDATE `parametres` SET `valeur`="0" WHERE `nom`="K_mp_grade" AND `valeur`="on" ');


			$_SESSION['update_msg'] .= df_message(
				'information',
				'Modifications :',
				'Mise en place d&rsquo;un menu sp&eacute;cial administrateur sur la colonne de gauche.<br />
				Mise en place d&rsquo;options pour le bbcode.<br />
				La messagerie interne qui tait d&eacute;sactivable (on/off) est maintenant g&eacute;rable par grade.<br />
				Tout ce qui concerne les mp &agrave; &eacute;t&eacute; regroup&eacute; avec les "Options des E-mails" qui est devenu "Options des MP et E-mails"'
			);
		}

		if (${$K_mod.'_version'} < 907)
		{
			if (Kws_mysql_num_rows(reqmysql('SHOW TABLES LIKE "emails_to_send";'))==0)
			{
				update_query('
				CREATE TABLE `emails_to_send` (
				  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
				  `type` varchar(10) NOT NULL DEFAULT "multi",
				  `titre` varchar(100) NOT NULL DEFAULT "",
				  `message` text NOT NULL,
				  `from` varchar(100) NOT NULL DEFAULT "",
				  `to` text NOT NULL,
				  `cc` text NOT NULL,
				  `cci` mediumtext NOT NULL,
				  `module` varchar(30) NOT NULL DEFAULT "",
				  `id_ref` int(11) unsigned NOT NULL DEFAULT "0",
				  primary KEY `id` (`id`)
				) TYPE=MyISAM COMMENT="E-mails  envoyer" AUTO_INCREMENT=1 ;
				');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_email_check"'))== 0)
			{
				$EmailCheck['stand_by'] = 99999999999;
				$EmailCheck['en_cours'] = 0;
				$EmailCheck['first'] = 0;
				$EmailCheck['compteur'] = 0;
				update_query('INSERT INTO `parametres` SET `nom`= "K_email_check", `valeur`="'.sp(serialize($EmailCheck)).'" ');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_email_options"'))== 0)
			{
				$EmailOptions['par_heure'] = 200;
				$EmailOptions['nb_to_cc_cci'] = 14;
				$EmailOptions['message_ok'] = 0;
				$EmailOptions['message_erreur'] = 1;
				$EmailOptions['message_info_next'] = 1;
				$EmailOptions['message_info_end'] = 1;
				$EmailOptions['force_to'] = 0;
				$EmailOptions['1_to_1_in_to'] = 0;
				update_query('INSERT INTO `parametres` SET `nom`= "K_email_options", `valeur`="'.sp(serialize($EmailOptions)).'" ');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_IndexHtmlAff"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`= "K_IndexHtmlAff", `valeur`="non"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_IndexHtml"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`= "K_IndexHtml", `valeur`="<div style=\"text-align:center;\">Bienvenue sur ce site<br />\r\n<a href=\"javascript:window.location.reload();\">Poursuivre</a>\r\n<noscript><p>Javascript dsactiv :<br />\r\n<a href=\"./\">Accueil</a></p></noscript>\r\n</div>"');
			}
			$_SESSION['index.html'] = true;
		}

		if (${$K_mod.'_version'} < 925)
		{
			update_query('UPDATE `parametres` SET `valeur`="96" WHERE `nom`="K_robots_list_ID" ');
			update_query('UPDATE `parametres` SET `valeur`="9999999999" WHERE `nom`="dlup_frequence" AND `valeur`="999999999" ');
			// Debug, certains ont ces paramtres manquant
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="maintenance_datedebut"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `valeur`="0" WHERE `nom`="maintenance_datedebut" ');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="maintenance_datefin"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `valeur`="0" WHERE `nom`="maintenance_datefin" ');
			}
		}

		if (${$K_mod.'_version'} < 947)
		{
			update_query('UPDATE `parametres` SET `valeur`="97" WHERE `nom`="K_robots_list_ID" ');
			update_query('ALTER TABLE `visiteurs` CHANGE `ip` `ip` VARCHAR(45) NOT NULL DEFAULT ""');
			update_query('ALTER TABLE `commentaires` CHANGE `ip` `ip` VARCHAR(45) NOT NULL DEFAULT ""');
			update_query('ALTER TABLE `votes_modules` CHANGE `pseudo` `pseudo` VARCHAR(45) NOT NULL DEFAULT ""');
			update_query('UPDATE `parametres` SET `valeur` = REPLACE(`valeur`,"%url_site%index.php?mod=news","%url_site%") WHERE `nom` = "mailnews";');
			update_query('DELETE FROM `parametres` WHERE `nom` = "debug"');
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_annee_en_cours"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`="K_annee_en_cours", `valeur`="2018";');
			}
			$K_email_options = unserialize($K_email_options);
			if ($K_email_options['nb_to_cc_cci'] = 49) $K_email_options['nb_to_cc_cci'] = 14;
			$K_email_options['debug'] = 0;
			$K_email_options['log'] = 0;
			$K_email_options['bloquer'] = 0;
			$K_email_options = serialize($K_email_options);
			update_query('UPDATE `parametres` SET `valeur`="'.sp($K_email_options).'" WHERE `nom`= "K_email_options"');
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_email_habillage"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`="K_email_habillage", `valeur`="%contenumail%";');
			}

			// Renommage certaines variables
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_revalidation_regles"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_revalidation_regles" WHERE `nom`="revalidation_regles"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_eff_msg_del"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_eff_msg_del" WHERE `nom`="eff_msg_del"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_eff_msg_vieux"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_eff_msg_vieux" WHERE `nom`="eff_msg_vieux"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_avatars_ext"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_avatars_ext" WHERE `nom`="avatars_ext"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_up_avatars"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_up_avatars" WHERE `nom`="up_avatars"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_mod_dem"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_mod_dem" WHERE `nom`="mod_dem"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_head_plus"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_head_plus" WHERE `nom`="head_plus"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_dlup_lastTime"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_dlup_lastTime" WHERE `nom`="dlup_lastTime"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_dlup_frequence"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_dlup_frequence" WHERE `nom`="dlup_frequence"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_dlup_modules"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_dlup_modules" WHERE `nom`="dlup_modules"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_delai_suspendu"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_delai_suspendu" WHERE `nom`="delai_suspendu"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_delai_supprime"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_delai_supprime" WHERE `nom`="delai_supprime"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_delai_supprime_auto"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_delai_supprime_auto" WHERE `nom`="delai_supprime_auto"');
			}
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_cam_aff"'))== 0)
			{
				update_query ('UPDATE `parametres` SET `nom`="K_cam_aff" WHERE `nom`="cam_aff"');
			}
			$_SESSION['update_msg'] .= df_message(
				'information',
				'Modifications :',
				'Mise en place de l&rsquo;option "Habillage du mail".<br />
				Cette option est disponible dans "<a href="./index.php?mod=admin&ac=options_emails" target="_blank">Options des MP et E-mails</a>'
			);
		}

		if (${$K_mod.'_version'} < 955)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_AlerteDelCompte"'))== 0)
			{
				$AlerteDelCompte['alerte'] = 'alerte';
				$AlerteDelCompte['box'] = 1;
				update_query('INSERT INTO `parametres` SET `nom`="K_AlerteDelCompte", `valeur`="'.sp(serialize($AlerteDelCompte)).'";');
			}
			$_SESSION['update_msg'] .= df_message(
				'information',
				'Modifications :',
				'Mise en place d&rsquo;options lors de la suppression manuel d&rsquo;un compte.<br />
				Ces options sont modifiables dans "<a href="./index.php?mod=admin&ac=options_enregistrement_profil" target="_blank">Enregistrement/profil</a>'
			);
		}

		if (${$K_mod.'_version'} < 960)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_IndexHtmlUrlOut"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`="K_IndexHtmlUrlOut", `valeur`="https://www.google.fr/";');
			}
			if (preg_match('#<p style="text-align: center;">Bienvenue sur ce site</p>#',$K_IndexHtml))
			{
				update_query('UPDATE `parametres` SET `valeur`=\'<p style="text-align: center;">Bienvenue sur ce site</p>\r\n<p style="text-align: center;">\r\n<a href="%UrlIn%">Entrer</a>\r\n<a href="%UrlOut%">Sortir</a>\r\n</p>\' WHERE `nom`="K_IndexHtml";');
			}
			$_SESSION['update_msg'] .= df_message(
				'information',
				'Modifications :',
				'Modification du fonctionnement de la page <a href="./index.php?mod=admin&ac=options" target="_blank">d\'accueil de session</a>.'
			);
		}

		if (${$K_mod.'_version'} < 970)
		{
			if (Kws_mysql_num_rows(reqmysql('SELECT `id` FROM `parametres` WHERE `nom`="K_delCompte"'))== 0)
			{
				update_query('INSERT INTO `parametres` SET `nom`="K_delCompte", `valeur`="1";');
			}
		}

		if (${$K_mod.'_version'} < 985)
		{
			update_query ('UPDATE `parametres` SET `valeur`="2018" WHERE `nom`="K_annee_en_cours"');
		}

		// Pour une prochaine fois
		if (${$K_mod.'_version'} < 0)
		{
/*
			if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="K_timezone"'))== 0)
			{
				$FindTimeZone = round(date('Z')/3600, 0)-date('I');
				update_query('INSERT INTO `parametres` SET `valeur`="'.$FindTimeZone.'" WHERE `nom`="K_timezone" ');
			}
*/
			if (Kws_mysql_num_rows(reqmysql('SHOW TABLES LIKE "commentaires_surv";'))==0)
			{
//				$Concordance = array('art'=>'articles','g'=>'galerie','jf_'=>'jeuxflash',)
//				update_query('ALTER TABLE `surv_emails` CHANGE `email` `id_pseudo` INT(11) UNSIGNED NOT NULL DEFAULT "0"');
//				update_query('ALTER TABLE `surv_emails` ADD `id_ref` int(11) NOT NULL DEFAULT "0" AFTER `url`');
//				$req_SE = reqmysql('SELECT `SE`.`id` AS se_id, `users`.`id`, `SE`.`ref`, `SE`.`url` FROM `surv_emails` AS SE LEFT JOIN `users` ON `SE`.`pseudo` = `users`.`pseudo`');
				while ($rep_SE = Kws_mysql_fetch_object($req_SE))
				{
/*
					$IdRef = preg_replace ('#(.*?)([0-9]+)#','$2',$rep_SE->url);
//					$IdRef = preg_replace  ('#(.*?)id=([0-9]+)(.*?)#','$2',$rep_SE->url);
					$ModRef = preg_replace ('#(.*?)([0-9]+)#','$1',$rep_SE->ref);
					$ModRef = $Concordance[$ModRef];
					update_query('
								UPDATE	`surv_emails`
								SET		`id_ref` = "'.sp($IdRef).'",
										`id_pseudo` = "'.$rep_SE->id.'",
										`url` = "'.sp($ModRef).'"
								WHERE	`id`= '.$rep_SE->se_id.' ');

					$NewUrl = preg_replace  ('#(.*?)index\.php#','index.php',$rep_SE->url);
					update_query('
								UPDATE	`surv_emails`
								SET		`id_pseudo` = "'.$rep_SE->id.'",
										`url` = "'.sp($NewUrl).'"
								WHERE	`id`= '.$rep_SE->se_id.' ');
*/
				}
//				update_query('ALTER TABLE `surv_emails` CHANGE `url` `module` varchar(20) NOT NULL DEFAULT ""');
//				update_query('DELETE FROM `surv_emails` WHERE `id_pseudo`= 0');
//				update_query('RENAME TABLE `surv_emails` TO `commentaires_surv`');

//SELECT `SE`.`id`, `SE`.`ref`, `SE`.`pseudo`, `users`.`pseudo`, `users`.`id`, `SE`.`email`, `users`.`email`, `SE`.`type`, `SE`.`url` FROM `surv_emails` AS SE LEFT JOIN `users` ON `SE`.`pseudo` = `users`.`pseudo`
//SELECT `SE`.`id`, `SE`.`ref`, `SE`.`pseudo`, `users`.`pseudo`, `users`.`id`, `SE`.`id_pseudo`, `users`.`email`, `SE`.`type`, `SE`.`module` FROM `surv_emails` AS SE LEFT JOIN `users` ON `SE`.`pseudo` = `users`.`pseudo`
			}
		}

		// Teste si Ancien membre est toujours ds la base
		if (Kws_mysql_num_rows(reqmysql('SELECT `id` FROM `users` WHERE `pseudo`="Ancien membre"'))== 0)
		{
			update_query('UPDATE `parametres` SET `valeur`="off" WHERE `nom`="K_gestion_comptes_date" ');

			$Message_Erreur_AM = df_message('erreur','Veuillez pr&eacute;venir l\'&eacute;quipe de KwsPHP rapidement.',
			'La mise &agrave; jour a detect&eacute;e l\'absence du profil: "Ancien membre".<br />
			Votre base de donn&eacute;es est peut-&ecirc;tre corrompue.<br />
			La "gestion des comptes par la date de la derni&egrave;re connexion &agrave; &eacute;t&eacute; d&eacute;sactiv&eacute;e" pour le moment.');

			if (Kws_mysql_num_rows(reqmysql('SELECT `module` FROM `alerte` WHERE `module`="Portail" AND `auteur`="KwsPHP (Erreur Gestion Compte Par Date)"'))== 0)
			{
				update_query('INSERT INTO `alerte`
								SET		`date`	= "'.time().'",
										`auteur`= "KwsPHP (Erreur Gestion Compte Par Date)",
										`module`= "Portail",
										`texte`	= "'.sp($Message_Erreur_AM).'";
							');
			}
			$_SESSION['update_msg'] .= $Message_Erreur_AM;
		}

		// Mise  jour numro de rvision module
		if (Kws_mysql_num_rows(reqmysql('SELECT * FROM `parametres` WHERE `nom`="'.$K_mod.'_version"'))== 0)
		{
			update_query('INSERT INTO `parametres` SET `nom`="'.$K_mod.'_version", `valeur`="'.$mod_rev.'"');
		}
		else
		{
			update_query('UPDATE `parametres` SET `valeur`="'.$mod_rev.'" WHERE `nom`="'.$K_mod.'_version"');
		}
		// Mise  jour numro de rvision portail
		update_query('UPDATE `parametres` SET `valeur` = REPLACE(`valeur`,"1.7.'.trim(${$K_mod.'_version'}).'","1.7.'.trim($mod_rev).'") WHERE `nom` = "distribution_versions";');
		update_query('UPDATE `parametres` SET `valeur` = REPLACE(`valeur`,"1.7.'.trim(${$K_mod.'_version'}).'","1.7.'.trim($mod_rev).'") WHERE `nom` = "distribution";');


		// suppression de l'alerte de MAJ
		update_query('DELETE FROM `alerte` WHERE `module` = "'.$K_mod.'" AND `auteur` = "KwsPHP (MAJ)"');


		$update_form1 = '<form name="form1" action="index.php?mod='.$K_mod.'&amp;ac=update" method="post">';

		$update_contenu = '<p><strong>Mise &agrave; jour des tables</strong><br />
		<br />';
		if (!empty($update_result))
		{
			$update_contenu.= '<strong>Erreur</strong><br />
			'.$update_result.'
			<br />
			<span style="color:red;">La mise &agrave; jour a donc &eacute;t&eacute; incompl&egrave;te, vous &ecirc;tes donc contraint de nous signaler l\'erreur.</span><br />
			<br />
			Reportez cette erreur sur notre <a href="http://www.kwsphp.org/" target="_blank">forum de support</a>.</p>';
		}
		else
		{
			$update_contenu.= '<span style="color:#009900">Les tables ont &eacute;t&eacute; correctement mises &agrave; jour !</span></p>';
		}
		$MySQL_test = explode('.',Kws_mysql_get_server_info())[0];
		if ($MySQL_test < 5)
		{
			$update_contenu.= df_message('attention', '<span style="color:red;font-weight:bold">AVERTISSEMENT</span>', '<p>Votre version MySQL ('.$MySQL_test.') n\'est pas faite pour un fonctionnement totale avec KwsPHP.
			<br /><strong>MySQL 5 minimum est requis.</strong>
			<br />Vous devez faire le n&eacute;cessaire aupr&egrave;s de votre h&eacute;bergeur.</p>');
		}

		$update_form2 = '';

		$update_button = '<input type="submit" value=" Suivant " />';
	}

	elseif ($step == 3)
	{
		$update_form1 = '';

		$update_contenu = '
		<p>Votre module est maintenant &agrave; jour sur votre serveur.</p>
		'.(empty($_SESSION['update_msg'])? '' : $_SESSION['update_msg']).'
		<p>Le support du portail est assur&eacute; sur le forum de notre communaut&eacute; <a href="http://www.kwsphp.org/">KwsPHP.org</a>.</p>
		<p>Cliquer sur "Terminer" pour quitter le programme de mise &agrave; jour et retourner au gestionnaire de votre site.</p>';

		unset($_SESSION['update_msg']);

		$update_form2 = '<form name="form1" action="./index.php?mod=admin&amp;ac=gestion_module" method="post">';

		$update_button = '<input type="submit" name="sbutton" value=" Terminer " />';
	}

	bloc_head('Update du module '.$K_mod);
	echo '
	<script type="text/javascript" language="javascript">
		var head = document.getElementsByTagName("head")[0];
		var head_inc = document.createElement("link");
		head_inc.rel = "stylesheet";
		head_inc.type = "text/css";
		head_inc.href = "./includes/updatephp.css";
		head.appendChild(head_inc);
	</script>

	<p style="float:left;text-align:center;padding-left:5em;padding-top:20px;font-size:14px;font-weight:bold">
		Mise &agrave; jour du module '.$K_mod.' (vers la version '.$mod_rev.') pour KwsPHP '.$kws_rev.'
	</p>
	<div style="clear:both;float:left;width:20%;height:150px;text-align:center;padding-top:30px">'.$update_menu.'</div>
	<div style="float:right;width:75%;text-align:center;padding-top:15px">'.$update_form1.'
		<div style="width:95%;margin:auto;border: 1px solid #BCBCBC;">'.$update_contenu.'</div>
		'.$update_form2.'
		<input type="hidden" name="step" value="'.($step+1).'" /><br />
		<div style="text-align:right;padding-right:3em">'.$update_button.'</div>
		</form>
	</div>
	<br style="clear:both" />';
	close_table();
}
?>
