<?php
// -----------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: evenements.php 1022 2016-02-04 11:53:27Z mike007 $
// -----------------------------------------------------------------
//
// Module Agenda
//
// -----------------------------------------------------------------

/**
 * @file evenements.php
 *
 * Fichier prenant en charge la visualisation des vnements et
 * la proposition d'vnements par les membres autoriss.
 *
 * @author Otocinclus
 * @version 1.0
 * @date Novembre 2007
 */


if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

include_once 'modules/agenda/includes/lib_agenda.php';

$action = isset($_REQUEST['action']) ? $_REQUEST['action'] : '';

/**********************************/
/*		Voir un vnement		  */
/**********************************/
if ($action == 'voir')
{
	// il faut tre membre et logu
	if (get_grade('voir') < GRD_MEMBR)
	{
		zoneReserve((get_grade()==GRD_VISIT ? 'identification' : ''));
	}
	else
	{
		$id = intval($_REQUEST['id']);
		if ($id < 1)
		{
			bloc_head('ERREUR !!');
			echo '
			<p style="text-align:center; font-weight:bold;">
			Ev&egrave;nement non valide !<br />
			<br />
			<input type="button" id="button" name="rtb" value=" Retour " onclick="history.go(-1);"/>
			</p>';
		}
		else
		{
			$req_evt = reqmysql('
				SELECT	`agenda_events`.`titre`, `agenda_events`.`texte`, `agenda_events`.`lieu`, `agenda_events`.`contact`,
						UNIX_TIMESTAMP(`agenda_events`.`date`) AS unix_debut, UNIX_TIMESTAMP(`agenda_events`.`date_fin`) AS unix_fin,
						YEAR(`agenda_events`.`date`) AS eannee, MONTH(`agenda_events`.`date`) AS emois, DAYOFMONTH(`agenda_events`.`date`) AS ejour,
						`users`.`pseudo`, `users`.`avatar`, `users`.`id`
				FROM `users`
				JOIN `agenda_events`
				LEFT JOIN `groupes_mbr` ON `agenda_events`.`groupe` = `groupes_mbr`.`groupe`
				WHERE	((`groupes_mbr`.`pseudo` = "'.$K_pseudo.'" AND `groupes_mbr`.`grade` != "-1" AND `groupes_mbr`.`grade` != "-2" AND `groupes_mbr`.`groupe` = `agenda_events`.`groupe`) OR `agenda_events`.`groupe` = "0")
						AND `agenda_events`.`id_user` = `users`.`id`
						AND `users`.`grade` >= `agenda_events`.`grade`
						AND `idx`="'.$id.'" AND `is_valid`="1"
			');
			if ($obj_evt = Kws_mysql_fetch_object($req_evt))
			{
				bloc_head('Ev&egrave;nements :: ['.$obj_evt->titre.']');
				$avatar = $obj_evt->avatar == '' ? '' : '<img src="'.$obj_evt->avatar.'" height="24" width="24" border="0" alt="avatar" />';
				if ($obj_evt->unix_fin > $obj_evt->unix_debut)
				{
					if (date('Ymd', $obj_evt->unix_debut) != date('Ymd', $obj_evt->unix_fin))
					{
						$date_texte = '
						<span style="float:left;width:8em;font-weight:bold; margin-right:1em; text-align:right;">Du :</span>
						'.kws_date('l d F Y H:i', $obj_evt->unix_debut).'<br />
						<span style="float:left;width:8em;font-weight:bold; margin-right:1em; text-align:right;">au :</span>
						'.kws_date('l d F Y H:i', $obj_evt->unix_fin);
					}
					else
					{
						$date_texte = '
						<span style="float:left;width:8em;font-weight:bold; margin-right:1em; text-align:right;">Le :</span>
						'.kws_date('l d F Y', $obj_evt->unix_debut).'<br />
						<span style="float:left;width:8em;font-weight:bold; margin-right:1em; text-align:right;">de : </span>
						'.kws_date('H:i', $obj_evt->unix_debut).' &agrave; '.kws_date('H:i', $obj_evt->unix_fin);
					}
				}
				else
				{
					$date_texte = '
					<span style="float:left;width:8em;font-weight:bold; margin-right:1em; text-align:right;">Date :</span>
					'.kws_date('l d F Y H:i', $obj_evt->unix_debut);
				}

				echo '
				<br />
				'.$date_texte.'<br />';
				if ($obj_evt->lieu != '')
				{
					echo '
					<span style="float:left;width:8em;font-weight:bold; margin-right:1em; text-align:right;">Lieu :</span>
					'.$obj_evt->lieu.'<br />';
				}
				if ($obj_evt->contact != '')
				{
					echo '
					<span style="float:left;width:8em;font-weight:bold; margin-right:1em; text-align:right;">Contact :</span>
					'.$obj_evt->contact.'<br />';
				}
				if ($obj_evt->texte != '')
				{
					echo '
					<div>
					<span style="float:left;width:8em;font-weight:bold; margin-right:1em; text-align:right;">Description :</span>
					<span style="float:left;">'.bbcode($obj_evt->texte,1,1).'</span>
					</div>';
				}
				echo '
				<span style="clear:both;float:left;width:8em;font-weight:bold; margin-right:1em; text-align:right;">Post par :</span>
				<span style="float:left;">'.$avatar.'<a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$obj_evt->id.'"> '.$obj_evt->pseudo.' </a></span>
				<p style="clear:both;"><input type="button" id="button" name="rtb" value=" Retour " onclick="history.go(-1);" /></p>';
			}
			else
			{
				bloc_head('ERREUR !!');
				echo '
				<p style="text-align:center; font-weight:bold;">
				Ev&egrave;nement inconnu, ou acces restreint !!<br />
				<br />
				<input type="button" id="button" name="rtb" value=" Retour " onclick="history.go(-1);" />
				</p>';
			}
		}
	close_table();
	}
}
else
{
	include_once 'modules/agenda/includes/lib_event.php';

	/**********************************/
	/* Si vnement post, on l'ajoute*/
	/**********************************/
	if (isset($_POST['post_event']) && $_POST['post_event'] == ' Proposer ' && get_grade('poster')>=GRD_MEMBR)
	{
		// Le formulaire est post
		bloc_head('Calendrier/Agenda');

		$dates_event = datesEvent();

		if ($dates_event['ok'])
		{
			$_POST['texte'] = filter_bbcode_sup_interdit($_POST['texte'],get_grade());
			reqmysql('
				INSERT INTO `agenda_events`
				SET `titre`    = "'.$_POST['sql_titre_event'].'",
					`texte`    = "'.sp($_POST['texte']).'",
					`lieu`	   = "'.$_POST['sql_lieu_event'].'",
					`contact`  = "'.$_POST['sql_contact_event'].'",
					`grade`    = "'.$_POST['int_grade_event'].'",
					`groupe`   = "'.$_POST['int_groupe_event'].'",
					`date`	   = "'.$dates_event['date'].'",
					`date_fin` = "'.$dates_event['date_fin'].'",
					`id_user`  = "'.$_POST['int_user_event'].'",
					`time`	   = "'.$dates_event['temps'].'",
					`is_valid` = "0"
			');
			echo '
			<p style="text-align:center; font-weight:bold;">
			L\'&eacute;v&egrave;nement a &eacute;t&eacute; ajout&eacute;, mais l\'administrateur doit le valider avant qu\'il n\'apparaisse dans l\'agenda.
			</p>
			<form style="text-align:center" action="index.php?mod='.$K_mod.'&amp;ac=gestion" method="post">
			<input type="submit" id="submit" name="submit" value="Retour">
			</form>';
		}
		else
		{
			echo '
			<p style="text-align:center; font-weight:bold; color:#ee0000;">
			La date de l\'&eacute;v&egrave;nement est incorrecte
			<br /><br />
			<button name="retour" value=" Retour " onclic="window.location=\'index.php?mod=agenda&amp;ac=evenements\';" />
			</p>';
		}
		close_table();
	}


	// -------------------------------------------
	// ---------- Proposer un vnement ----------
	// -------------------------------------------

	// Il faut avoir le grade suffisant ...
	if(get_grade('poster') < GRD_MEMBR)
	{
		zoneReserve((get_grade()==GRD_VISIT ? 'identification' : ''));
	}
	else
	{
		// ----- Affichage du formulaire -----
		list($evt['jour1'], $evt['mois1'], $evt['annee1']) = explode('-', $_REQUEST['date']);
		if (!@checkdate($evt['mois1'], $evt['jour1'], $evt['annee1']))
		{
			$evt['jour1'] = $today['mday'];
			$evt['mois1'] = $today['mon'];
			$evt['annee1']= $today['year'];
		}
		$evt['jour2']  = $evt['jour1'];
		$evt['mois2']  = $evt['mois1'];
		$evt['annee2'] = $evt['annee1'];

		$evt['heure1'] = $evt['heure2'] = date('G');
		$evt['minute1']= $evt['minute2']= date('i');

		bloc_head('Proposer un &eacute;v&egrave;nement');
		afficheFormEvent($evt, ' Proposer ');
		close_table();
	}
}
?>
