<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: xml.php 1050 2017-08-08 16:03:25Z mike007 $
// ---------------------------------------------------------------
// Cr par zeta
// Mise  jour : Juin 2011 par mike007 (MultiSh00t)
// ---------------------------------------------------------------

header('Content-Type: text/html; charset=iso-8859-15');

chdir('../../');
require_once './config.php';

$NomModXml = 'ajash00t';
$Sh00tId = intval($_REQUEST['IdSh00t']);

echo '<script type="text/javascript" src="./includes/fonctions.js"></script>';
if (get_grade('id'.$Sh00tId.'_lecture', $NomModXml) < GRD_VISIT)
{
	echo '
	<script type="text/javascript">var RafraichissementAutomatiqueDesactiveKwsSh00t'.$Sh00tId.';</script>
	<div class="div_sh00t div_sh00t_avertissement">
		<span class="head_sh00t">
			<span class="pseudo_sh00t">/!\ Avertissement /!\</span><br />
		</span>
		<span class="texte_sh00t" style="font-weight:bold !important; text-align:center !important;">
			Votre session est termin&eacute;e.<br />
			Veuillez vous reconnecter !!!
		</span>
	</div>';
}
elseif (get_grade('id'.$Sh00tId.'_lecture', $NomModXml) >= GRD_VISIT)
{
	global $K_ajash00t_options;
	$K_ajash00t_options = unserialize($K_ajash00t_options);
	$K_ajash00t_messages = unserialize($K_ajash00t_messages);

	if (isset($_REQUEST['b']))
	{
		$_REQUEST['b'] = preg_replace('`%u20AC`','',$_REQUEST['b']);
		$_REQUEST['b'] = filter_bbcode_sup_interdit($_REQUEST['b'],get_grade());
		$_REQUEST['b'] = preg_replace('`\[interdit\](.*?)\[/interdit\]`i','bbcode interdit',$_REQUEST['b']);
	}
	if(!empty($_REQUEST['a']) && !empty($_REQUEST['b']))
	{
		if (isset($_GET['int_id_del_sh00t']))
		{
			reqmysql ('
				DELETE FROM	`'.$NomModXml.'`
				WHERE		`id`="'.intval($_REQUEST['int_id_del_sh00t']).'"
			');
			$ReqLastTime = reqmysql ('SELECT `date` FROM `'.$NomModXml.'` WHERE `ref`='.$Sh00tId.' ORDER BY `date` DESC');
			$RepLastTime = Kws_mysql_fetch_object($ReqLastTime);
			$K_ajash00t_options[$Sh00tId]['LastTime'] = $RepLastTime->date;
			reqmysql('
				UPDATE	`parametres`
				SET		`valeur`	= "'.sp(serialize($K_ajash00t_options)).'"
				WHERE	`nom`		= "ajash00t_options"
			');
		}
		else
		{
			$autorisation = false;
			if(empty($K_pseudo))
			{
				$K_pseudo = 'Visiteur ('.$_REQUEST['a'].')';
				$autorisation = true;
			}
			else
			{
				// un membre banni peut toujours injecter des messages tant qu'il n'a pas rafraichi sa page
				$requete = reqmysql ('
					SELECT	`statut`
					FROM	`users`
					WHERE	`pseudo`="'.sp($_REQUEST['a']).'"
				');
				$ligne = Kws_mysql_fetch_object($requete);
				if ($ligne->statut == STU_VALIDE)
				{
					$autorisation = true;
				}
			}

			if ($autorisation)
			{
				reqmysql('
					INSERT INTO	`'.$NomModXml.'`
					SET			`ref`='.$Sh00tId.',
								`pseudo`="'.sp($K_pseudo).'",
								`message`="'.sp($_REQUEST['b']).'",
								`date`='.date('U').',
								`ip`="'.sp($_SERVER['REMOTE_ADDR']).'"
				');
				$K_ajash00t_options[$Sh00tId]['LastTime'] = time();
				reqmysql('
					UPDATE	`parametres`
					SET		`valeur`	= "'.sp(serialize($K_ajash00t_options)).'"
					WHERE	`nom`		= "ajash00t_options"
				');
			}
		}
	}

	$LimitNbMess = !empty($K_ajash00t_options[$Sh00tId]['NbMess']) ? $K_ajash00t_options[$Sh00tId]['NbMess'] : '30';
	$req = reqmysql('
		SELECT		`S`.`id`,
					`S`.`pseudo`,
					`S`.`message`,
					`S`.`date`,
					`S`.`ip`,
					`users`.`avatar`,
					`users`.`grade`
		FROM		`'.$NomModXml.'` AS S
		LEFT JOIN	`users`
			ON		`users`.`pseudo` = `S`.`pseudo`
		WHERE		`S`.`ref`='.$Sh00tId.'
		ORDER BY	`S`.`date` DESC
		LIMIT		0,'.$LimitNbMess.'
	');

	if ($K_ajash00t_options[$Sh00tId]['desactivation']=='oui')
	{
		if (time() > ($K_ajash00t_options[$Sh00tId]['LastTime']+$K_ajash00t_options[$Sh00tId]['timing']))
		{
			echo '
			<script type="text/javascript">
			// <![CDATA[
				var RafraichissementAutomatiqueDesactiveKwsSh00t'.$Sh00tId.';
			// ]]>
			</script>';
		}
	}
	if (Kws_mysql_num_rows ($req)>0)
	{
		include_once './includes/bbcode.php';
		$posteur = '';
		$texte   = '';
		$head    = '';
		$date    = '';

		$mod_bak = $K_mod;
		// Ne pas modifier
		$K_mod = 'ajash00t_bloc';
		if (!empty($K_ajash00t_messages[$Sh00tId]['entete']))
		{
			if ( (!empty($K_pseudo) AND preg_match('#%pseudo%#',$K_ajash00t_messages[$Sh00tId]['entete'])) OR !preg_match('#%pseudo%#',$K_ajash00t_messages[$Sh00tId]['entete']) )
			{
				if (!empty($K_ajash00t_messages[$Sh00tId]['urlavatar']))
					$HeadAvatarSh00t = '<img class="avatar_sh00t avatar_sh00t_robot_entete" src="./'.$K_ajash00t_messages[$Sh00tId]['urlavatar'].'" style="height:'.$K_ajash00t_options[$Sh00tId]['avatar'].'px;vertical-align:middle;" />';
				echo '
				<div class="div_sh00t">
					<span class="head_sh00t head_sh00t_robot_entete"><span class="pseudo_sh00t pseudo_sh00t_robot_entete">'.$HeadAvatarSh00t.bbcode(str_replace('%pseudo%',$K_pseudo,$K_ajash00t_messages[$Sh00tId]['name']),1,1).'</span></span>
					<span class="texte_sh00t texte_sh00t_robot_entete">'.bbcode(str_replace('%pseudo%',$K_pseudo,$K_ajash00t_messages[$Sh00tId]['entete']),1,1).'</span>
				</div>'."\n";
			}
		}
		while($res=Kws_mysql_fetch_object($req))
		{
			$ajash00t_message = explode(' ',trim($res->message));
			$ajash00t_new_message='';
			foreach($ajash00t_message as $ajash00t_mot)
			{
				// Cas de l'url direct
				if (preg_match('/^(http|www|ftp|\[url)(.*?)/',$ajash00t_mot))
				{
					$ajash00t_new_mot = $ajash00t_mot;
				}
				// Cas de l'image
				elseif (preg_match('/^(\[img)(.*?)\/img\]/',$ajash00t_mot))
				{
					$ajash00t_new_mot = preg_replace('#\[[^\]]*\]#', '', $ajash00t_mot);
					$ajash00t_new_mot = 'Image : [url='.$ajash00t_new_mot.']Voir[/url]';
				}
				// Cas du bbcode
				elseif (preg_match ('/(\[[0-9a-zA-Z]+?(=(.+?))?\])(.+?)(\[\/[0-9a-zA-Z]+?\])/',$ajash00t_mot))
				{
					$ajash00t_detect_mot = preg_replace ('/(\[[0-9a-zA-Z]+?(=(.+?))?\])(.*?)(\[\/[0-9a-zA-Z]+?\])/iU','$4',$ajash00t_mot);
					$ajash00t_detect_mot_coupe = wordwrap($ajash00t_detect_mot, 30, '- ', true);
					$ajash00t_new_mot = preg_replace ('/(\[[0-9a-zA-Z]+?(=(.+?))?\])('.str_replace(array('/','?','#'),array('\/','\?','\#'),$ajash00t_detect_mot).')(\[\/[0-9a-zA-Z]+?\])/iU','$1'.$ajash00t_detect_mot_coupe.'$5',$ajash00t_mot);
				}
				// Le reste
				elseif (preg_match ('/(.*?)/',$ajash00t_mot))
				{
					$ajash00t_new_mot = wordwrap($ajash00t_mot, 30, '- ', true);
				}
				$ajash00t_new_message .= $ajash00t_new_mot.' ';
			}
			$res->message = $ajash00t_new_message;
			if($res->pseudo==$posteur && date('d/m/y',$res->date)==$date)
			{
				$texte .= '<span class="sep_sh00t" style="float:left;width:100%;text-align:center;">'.ax($K_ajash00t_options[$Sh00tId]['sep']).'</span><br style="clear:both;" />';
				$texte .= (get_grade('id'.$Sh00tId.'_SupMess',$NomModXml) >= GRD_MODOG || ($K_pseudo!='' && $K_pseudo == $res->pseudo && !preg_match('#^Visiteur#',$K_pseudo))) ?
					'<img onclick="confirmation_'.$NomModXml.$Sh00tId.'('.$res->id.')" class="sup_sh00t" style="cursor:pointer;float:right;height:10px;" src="themes/'.$K_theme.'/images/gestion/del.png" alt="Supp" />':'';
				$texte .= bbcode(html_entity_decode($res->message,ENT_QUOTES),1,1);
			}
			else
			{
				$HeadAvatarSh00t = '';
				if($head!='')
				{
					echo $head.'<span class="texte_sh00t">'.$texte.'</span></div>'."\n";
					//echo $head.$texte."\n";
				}
				if ($res->pseudo != '%ROBOTSH00TKWS%')
				{
					$ShootBotH = $ShootBotP = $ShootBotD = $ShootBotT = '';
					$posteur=$res->pseudo;
				}
				else
				{
					if (!empty($K_ajash00t_messages[$Sh00tId]['urlavatar']))
						$HeadAvatarSh00t = '<img class="avatar_sh00t_robot" src="./'.$K_ajash00t_messages[$Sh00tId]['urlavatar'].'" style="height:'.$K_ajash00t_options[$Sh00tId]['avatar'].'px;vertical-align:middle;" />';
					$ShootBotH = ' head_sh00t_robot';
					$ShootBotP = ' pseudo_sh00t_robot';
					$ShootBotD = ' date_sh00t_robot';
					$ShootBotT = ' texte_sh00t_robot';
					$res->pseudo = str_replace('%ROBOTSH00TKWS%',$K_ajash00t_messages[$Sh00tId]['name'],$res->pseudo);
					$posteur = '';
				}
				if ($K_ajash00t_options[$Sh00tId]['join'] == 'oui') $date = date('d/m/y',$res->date);
				$AffDateSh00t = date('d/m/y',$res->date) == date('d/m/y') ? date('\&\a\g\r\a\v\e\; H:i',$res->date) : date('\L\e d/m/y \&\a\g\r\a\v\e\; H:i',$res->date);

				if (!empty($posteur) AND !empty($K_ajash00t_options[$Sh00tId]['avatar']))
				{
					$UrlAvatarSh00t = $res->avatar;
					if ($UrlAvatarSh00t==NULL)
					{
						$UrlAvatarSh00t = '//www.gravatar.com/avatar/'.md5(strtolower($res->user_email)).'?d='.urlencode($K_url_site.'images/avatars/upload/visiteur.png').'&s='.$K_ajash00t_options[$Sh00tId]['avatar'];
					}
					$HeadAvatarSh00t = '<img class="avatar_sh00t" src="'.$UrlAvatarSh00t.'" style="height:'.$K_ajash00t_options[$Sh00tId]['avatar'].'px;vertical-align:middle;" />';
				}

				$head = '<div class="div_sh00t"><span class="head_sh00t'.$ShootBotH.'">
					<span class="pseudo_sh00t'.$ShootBotP.'">'.$HeadAvatarSh00t.get_grd_symbol($res->grade).bbcode(html_entity_decode($res->pseudo,ENT_QUOTES)).'</span><br />
					<span class="date_sh00t'.$ShootBotD.'">'.$AffDateSh00t.'</span>
				</span>';

				$texte = (get_grade('id'.$Sh00tId.'_SupMess',$NomModXml) >= GRD_MODOG || ($K_pseudo!='' && $K_pseudo == $res->pseudo && !preg_match('#^Visiteur#',$K_pseudo))) ?
						'<img onclick="confirmation_'.$NomModXml.$Sh00tId.'('.$res->id.')" class="sup_sh00t" style="cursor:pointer;float:right;height:10px;" src="themes/'.$K_theme.'/images/gestion/del.png" alt="Supp" />':'';
				$texte .= bbcode(html_entity_decode($res->message,ENT_QUOTES),1,1);
			}
		}
		$K_mod = $mod_bak;

		echo $head.'<span class="texte_sh00t'.$ShootBotT.'">'.$texte.'</span></div>'."\n";

		/*Effacer cette ligne pour mettre un son  chaque nouveau message (fonctionnalit  developper)*/
		if ($K_ajash00t_options[$Sh00tId]['son'] == 'oui')
		{
			$req = reqmysql('
				SELECT	*
				FROM	`'.$NomModXml.'`
				WHERE 	`date`>'.(time()-30).' AND `date`<'.time().' AND `pseudo`!="'.$K_pseudo.'"
				AND		`ref`='.$Sh00tId.'
			');
			if (Kws_mysql_num_rows($req)>0)
			{
				echo '<object type="application/x-mplayer2" width="0" height="0" >
					<param name="filename" value="./modules/'.$NomModXml.'/son.wav" />
					<param name="autostart" value="true" />
				</object>';
			}
		}
		/**/
	}
	$K_ajash00t_options = serialize($K_ajash00t_options);
	$K_ajash00t_messages = serialize($K_ajash00t_messages);
	chdir('modules/'.$NomModXml.'/');
}
?>