<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: affichercat.php 1020 2016-02-04 11:52:29Z mike007 $
// ---------------------------------------------------------------
// Adaptation pour le module articles par ApoMan
// ---------------------------------------------------------------

if (! (defined ('__KWS__'))) { die('Erreur d\'appel de fichier.'); }

// Fonction afficher_cat
// Affiche les catgories en quinconce s'il y en a

if (empty($_SESSION[$CachePseudo.'_NbByCat']))
{
	$ReqNbArtByCat = reqmysql('
						SELECT		`ref`,COUNT(`articles`.`ref`) AS NbArt
						FROM		`articles`
						WHERE		`articles`.`ref` IN '.$K_user->rubrique[0].'
						GROUP BY	`ref`
						');
	while ($RepNbArtByCat = Kws_mysql_fetch_object($ReqNbArtByCat))
	{
		$NbArtByCat['articles'][$RepNbArtByCat->ref] = $RepNbArtByCat->NbArt;
	}
	if (is_module('news'))
	{
		$ReqNbNewsByCat = reqmysql('
							SELECT		`ref`,COUNT(`news`.`ref`) AS NbNews
							FROM		`news`
							WHERE		`news`.`ref` IN '.$K_user->rubrique[0].'
							GROUP BY	`ref`
							');
		while ($RepNbNewsByCat = Kws_mysql_fetch_object($ReqNbNewsByCat))
		{
			$NbArtByCat['news'][$RepNbNewsByCat->ref] = $RepNbNewsByCat->NbNews;
		}
	}
	$_SESSION[$CachePseudo.'_NbByCat'] = $NbArtByCat;

}
else	$NbArtByCat = $_SESSION[$CachePseudo.'_NbByCat'];

function afficher_cat($ref)
{
	global $K_user,$K_mod,$NbArtByCat;
	
	$req_cat = reqmysql('
		SELECT		`rubriques`.`id`,
					`rubriques`.`titre`,
					`rubriques`.`texte`,
					`rubriques`.`image`,
					`rubriques`.`sref`
		FROM		`rubriques`
		WHERE		`rubriques`.`sref` = "'.$ref.'"
			AND		(`rubriques`.`module` LIKE "%articles%" OR `rubriques`.`module`="")
			AND		`rubriques`.`id` IN '.$K_user->rubrique[0].'
		ORDER BY	`rubriques`.`titre` ASC
	');

	$nb_cat = Kws_mysql_num_rows($req_cat);
	
	if ($ref==0)
	{
		bloc_head('Articles :: Cat&eacute;gories');
		echo '
		<p style="text-align:center;">Les articles sont class&eacute;s par cat&eacute;gories.<br />';
		if (Kws_mysql_num_rows($req_cat)>0)
		{
			echo 'Cliquez sur la cat&eacute;gorie d&eacute;sir&eacute;e afin de lire les articles qui s\'y reportent, ou bien
			<form style="text-align:center;" method="post" action="./index.php?mod='.$K_mod.'&amp;ac=archives"><input type="submit" value=" Afficher tous les articles " /></form>';
		}
		else
		{
			echo '
			Aucune cat&eacute;gorie pr&eacute;sente.';
		}
		echo '
		</p>';
		close_table();
	}
	
	if ($nb_cat!=0)
	{
		$loop = 0;
		$col_0 = $col_1 = array();
		while ($cat_article = Kws_mysql_fetch_object($req_cat))
		{
			${'col_'.($loop%2)}[] = $cat_article;
			$loop++;
		}

		echo '
		<div style="width:50%; vertical-align:top; float:left">';
		foreach ($col_0 as $cat_article)
		{
			require './modules/articles/affichercat_details.php';
			bloc_article_cat($cat_article->id, ax($cat_article->titre).$XArtNewsDetails, ax($cat_article->image), bbcode($cat_article->texte, 1, 1, 1).$ArtPlus);
		}
		echo '
		</div>
		<div style="width:50%;vertical-align:top;float:right">';
		foreach ($col_1 as $cat_article)
		{
			require './modules/articles/affichercat_details.php';
			bloc_article_cat($cat_article->id, ax($cat_article->titre).$XArtNewsDetails, ax($cat_article->image), bbcode($cat_article->texte, 1, 1, 1).$ArtPlus);
		}
		echo '
		</div><br style="clear:both" />';
	}
	else
	{
		open_table();
		echo '
		<p style="text-align:center;">Cat&eacute;gorie vide.</p>';
		close_table();
	}
}


// Fonction afficher_scat1
// Affiche les sous catgories sous forme de liens en texte ( 5 par ligne )
function afficher_scat1($ref)
{
	global $K_user,$K_mod,$NbArtByCat;

	$req_cat = reqmysql('
		SELECT		`rubriques`.`id`,
					`rubriques`.`titre`,
					`rubriques`.`texte`,
					`rubriques`.`image`,
					`rubriques`.`sref`
		FROM		`rubriques`
		WHERE		`rubriques`.`sref` = "'.$ref.'"
			AND		(`rubriques`.`module` LIKE "%articles%" OR `rubriques`.`module`="")
			AND		`rubriques`.`id` IN '.$K_user->rubrique[0].'
		ORDER BY	`rubriques`.`titre` ASC
	');

	$nb_cat = Kws_mysql_num_rows($req_cat);

	if($nb_cat!=0)
	{
		$s = $nb_cat==1 ? '' : 's';
		open_table();

		echo '<p style="text-align:center">
		Sous rubrique'.$s.' consultable'.$s.' :
		</p>
		<hr />
		';

		$loop = 0;
		$col_0 = $col_1 = array();
		while ($cat_article = Kws_mysql_fetch_object($req_cat))
		{
			${'col_'.($loop%2)}[] = $cat_article;
			$loop++;
		}

		echo '
		<div style="width:50%; vertical-align:top; float:left">';
		foreach ($col_0 as $cat_article)
		{
			require './modules/articles/affichercat_details.php';
			bloc_article_cat($cat_article->id, ax($cat_article->titre).$XArtNewsDetails, ax($cat_article->image), bbcode($cat_article->texte, 1, 1, 1).$ArtPlus);
		}
		echo '
		</div>
		<div style="width:50%;vertical-align:top;float:right">';
		foreach ($col_1 as $cat_article)
		{
			require './modules/articles/affichercat_details.php';
			bloc_article_cat($cat_article->id, ax($cat_article->titre).$XArtNewsDetails, ax($cat_article->image), bbcode($cat_article->texte, 1, 1, 1).$ArtPlus);
		}
		echo '
		</div>
		<br style="clear:both" />';
		close_table();
	}
}

?>
