<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: index.php 1020 2016-02-04 11:52:29Z mike007 $
// ---------------------------------------------------------------
// Mise a jour : 30/06/06 par Jack
// Mise  jour : 06/12/07 par Otocinclus
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die('Erreur d\'appel de fichier.');}

$ref    = intval($_REQUEST['ref']);
$action = $_GET['action'];

##############################
##  Chemin vers les images  ##
##############################

$articles_dir_img = 'themes/'.$K_theme.'/images/articles';

// Chargement de la fonction afficher_cat
require './modules/articles/affichercat.php';

if ($ref > 0)
{
	// on ne fait la requete que si elle n'a pas t effectue dans meta.php
	if (!isset($articles_nbre_rubriques) || !isset($articles_rubriques))
	{
		$req_cat = reqmysql('
			SELECT		`rubriques`.`id`,
						`rubriques`.`titre`,
						`R2`.`titre` as titre_cat_parent,
						`rubriques`.`sref`,
						`rubriques`.`image`,
						`rubriques`.`texte`
			FROM		`rubriques`
			LEFT JOIN   `rubriques` AS R2
				ON		`rubriques`.`sref`= `R2`.`id`
			WHERE		`rubriques`.`id`="'.$ref.'"
				AND		(`rubriques`.`module` LIKE "%articles%" OR `rubriques`.`module`="")
				AND		`rubriques`.`id` IN '.$K_user->rubrique[0]
		);
		$articles_nbre_rubriques = Kws_mysql_num_rows($req_cat);
		$articles_rubriques		 = Kws_mysql_fetch_array($req_cat);
	}

	if ($articles_nbre_rubriques == 0)
	{
		zoneReserve('acces interdit', 'Cette rubrique n&rsquo;existe pas, ou vous n&rsquo;avez pas les droits n&eacute;cessaires pour y acc&eacute;der.', 'index.php?mod=articles');
	}
	else
	{
		//affichage de la page ...

		// Lien de retour  la rubrique parente
		open_table();
			echo '<p>
			<img src="'.$articles_dir_img.'/fleche.png" alt="fleche" style="vertical-align:middle" />
			<a href="'.(url_rw('./index.php?mod='.$K_mod)).'">Index des Articles</a> ';
			if ($articles_rubriques->sref)
			{
				echo '&gt;
				<a href="'.(url_rw('./index.php?mod='.$K_mod.'&amp;ref='.$articles_rubriques->sref,array($articles_rubriques->titre_cat_parent))).'">
					Retour &agrave; : &laquo; '.ax($articles_rubriques->titre_cat_parent).' &raquo;
				</a>';
			}
			echo '</p>';
		close_table();

		bloc_article_cat($articles_rubriques->id, ax($articles_rubriques->titre), ax($articles_rubriques->image), bbcode($articles_rubriques->texte, 1, 1, 1));

		// Afficher tous les articles
		if ($action == 'tous')
		{
			$req_art = reqmysql('
				SELECT		`articles`.`date`,
							`articles`.`id`,
							`articles`.`titre`,
							`articles`.`date`,
							`articles`.`hit`,
							`articles`.`img`,
							`articles`.`auteur`,
							`users`.`id`	AS user_id
				FROM		`articles`
				LEFT JOIN	`users`
					ON		`articles`.`auteur` = `users`.`pseudo`
				WHERE		`articles`.`ref` = "'.$ref.'"
					AND		`validation` = "0"
				ORDER BY	`articles`.`ref` ASC,
							`articles`.`date` DESC
			');

			$nbart = Kws_mysql_num_rows($req_art);
			if ($nbart==0)
			{
				afficher_cat($ref);
				echo '<br style="clear: both" />';
				open_table();
				echo '
				<p align="center"><em>Pas d\'articles correspondant &agrave; cette rubrique pour l\'instant</em></p>';
				close_table();
			}
			else
			{
				afficher_scat1($ref);
				bloc_head('<img src="'.$articles_dir_img.'/fleche.png" alt="fleche" style="vertical-align:middle" />
							<strong>Tous les articles</strong>');
				echo '
				<!--  Liste des articles en-tte  -->
				<table cellspacing="0" cellpadding="4" style="width:100%;" class="article_listtab" summary="Articles">
					<tr class="article_head">
						<td style="width:auto;" colspan="2"><strong>Titre</strong></td>
						<td style="width:50px;"><strong>Auteur</strong></td>
						<td style="width:160px;"><strong>Date</strong></td>
						<td style="width:20px;"><strong>Vus</strong></td>
					</tr>';

				$i = 0; // Variable pour la coloration des lignes du tableau
				while ($art = Kws_mysql_fetch_object($req_art))
				{
					$date = kws_date('l jS F Y \&\a\g\r\a\v\e\; H\:i', $art->date);

					// Coloration d'une ligne sur deux
					if ($i == 0)
					{
						echo '<tr class="article_mid1">';
						$i = 1;
					}
					else
					{
						echo '<tr class="article_mid2">';
						$i = 0;
					}

					if ($art->type ==2)
					{
						// Type=2 -> lien externe
						if ($art->img != ''){
							echo'<td><img src="'.ax($art->img).'" class="art_list_img" alt="<>" /></td>';
						}
						else
						{
							echo'<td>&nbsp;</td>';
						}
						echo '
							<td style="width:100%;">
								<a href="./index.php?mod='.$K_mod.'&amp;ac=commentaires&amp;id='.$art->id.'&amp;lien=1">'.ax($art->titre).'</a>
							</td>
							<td style=""><a href="'.(url_rw('./index.php?mod=espace_membre&amp;ac=profil&amp;id='.$ligne2->id,array($art->auteur))).'">'.ax($art->auteur).'</a></td>
							<td style="white-space:nowrap;">'.$date.'</td>
							<td style="text-align:center;">'.$art->hit.'</td>';
					}
					else
					{
						if ($art->img != ''){
							echo'<td><img src="'.ax($art->img).'" class="art_list_img" alt="<>" /></td>';
						}
						else{
							echo'<td>&nbsp;</td>';
						}
						echo '
							<td style="width:100%;"><a href="'.(url_rw('./index.php?mod=articles&amp;ac=commentaires&amp;id='.$art->id,array($art->titre))).'">'.ax($art->titre).'</a></td>
							<td style=""><a href="'.(url_rw('./index.php?mod=espace_membre&amp;ac=profil&amp;id='.$art->user_id,array($art->auteur))).'">'.ax($art->auteur).'</a></td>
							<td style="white-space:nowrap;">'.$date.'</td>
							<td style="text-align:center;">'.$art->hit.'</td>';
					}
					echo '</tr>';
				}
				echo '</table>
				<p align="center"><a href="'.(url_rw('./index.php?mod=articles&amp;ref='.$ref,array($articles_rubriques->titre))).'">Retour</a></p>';
				close_table();
			}
		}
		// Afficher toute les news
		elseif ($action == 'news' and is_module('news'))
		{
			$req_news = reqmysql('
				SELECT		`news`.`date`,
							`news`.`id`,
							`news`.`titre`,
							`news`.`auteur`,
							`users`.`id`		AS user_id
				FROM		`news`
				LEFT JOIN	`users`
					ON		`news`.`auteur` = `users`.`pseudo`
				WHERE		`news`.`ref` = "'.$ref.'"
				AND			`news`.`validation` = "0"
				ORDER BY	`news`.`ref` ASC,
							`news`.`date` DESC
			');

			$nbnews = Kws_mysql_num_rows($req_news);

			if ($nbnews==0)
			{
				afficher_cat($ref);
				echo '<br style="clear: both" />';
				open_table();
				echo '
				<p align="center"><i>Pas de news correspondant &agrave; cette rubrique pour l\'instant</i></p>';
				close_table();
			}
			else
			{
				afficher_scat1($ref);
				bloc_head('<img src="'.$articles_dir_img.'/fleche.png" alt="fleche" style="vertical-align:middle" />
							<strong>Toutes les news</strong>');
				echo '<ul style="list-style-image: url('.$articles_dir_img.'/puce.png);">';

				while ($news = Kws_mysql_fetch_object($req_news))
				{
					$date = kws_date('l jS F Y \&\a\g\r\a\v\e\; H\:i', $news->date);
					echo '
					<li><strong><a href="'.(url_rw('./index.php?mod=news&amp;ac=commentaires&amp;id='.$news->id,array($news->titre))).'">'.ax($news->titre).'</a></strong>  '.$date.'  [<a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$news->user_id.'">'.$news->auteur.'</a>]</li>';
				}
				echo '
				</ul>
				<p align="center"><a href="'.(url_rw('./index.php?mod=articles&amp;ref='.$ref,array($articles_rubriques->titre))).'">Retour</a></p>';
				close_table();
			}
		}
		// 10 derniers articles / news
		else
		{
			$req_art = reqmysql('
				SELECT		`articles`.`date`,
							`articles`.`id`,
							`articles`.`titre`,
							`articles`.`auteur`,
							`articles`.`img`,
							`articles`.`hit`,
							`articles`.`type`,
							`articles`.`texte`,
							`users`.`id`		AS user_id
				FROM		`articles`
				LEFT JOIN	`users`
					ON		`articles`.`auteur` = `users`.`pseudo`
				WHERE		`ref` = "'.$ref .'"
					AND		`validation`="0"
				ORDER BY	`articles`.`date` DESC
				LIMIT		0, 10
			');
			$nbart  = Kws_mysql_num_rows($req_art);
			if (is_module('news'))
			{
				$req_news = reqmysql('
					SELECT		`news`.`date`,
								`news`.`id`,
								`news`.`titre`,
								`news`.`auteur`,
								`users`.`id`		AS user_id
					FROM		`news`
					LEFT JOIN	`users`
						ON		`news`.`auteur` = `users`.`pseudo`
					WHERE		`ref` = "'.$ref.'"
					ORDER BY	`news`.`date` DESC
					LIMIT		0, 10
				');
				$nbnews = Kws_mysql_num_rows($req_news);
			}
			else $nbnews = 0;
// HA Affichage des sous-catgories
				afficher_scat1($ref);
// HA
			if ($nbart>0)
			{
				bloc_head('<img src="'.$articles_dir_img.'/fleche.png" alt="fleche" style="vertical-align:middle" />
							<strong>&nbsp; 10 derniers Articles</strong>');
				echo '
				<!--  Liste des articles en-tte  -->
				<table cellspacing="0" cellpadding="4" style="width:100%;" class="article_listtab" summary="Articles">
					<tr class="article_head">
						<td style="width:auto;" colspan="2"><strong>Titre</strong></td>
						<td style="width:50px;"><strong>Auteur</strong></td>
						<td style="width:160px;"><strong>Date</strong></td>
						<td style="width:20px;"><strong>Vus</strong></td>
					</tr>';

				$i = 0; // Variable pour la coloration des lignes du tableau
				while ($art = Kws_mysql_fetch_object($req_art))
				{
					$date = kws_date('l jS F Y \&\a\g\r\a\v\e\; H\:i', $art->date);

// HA Coloration d'une ligne sur deux
					if ($i == 0)
					{
						echo '<tr class="article_mid1">';
						$i = 1;
					}
					else
					{
						echo '<tr class="article_mid2">';
						$i = 0;
					}
// HA

					if ($art->type ==2)
					{ // Type=2 -> lien externe
						if ($art->img != ''){
							echo'<td><img src="'.ax($art->img).'" class="art_list_img" alt="<>" /></td>';
						}
						else{
							echo'<td>&nbsp;</td>';
						}
						echo '
							<td style="width:100%;">
								<a href="./index.php?mod='.$K_mod.'&amp;ac=commentaires&amp;id='.$art->id.'&amp;lien=1">'.ax($art->titre).'</a>
							</td>
							<td style=""><a href="'.(url_rw('./index.php?mod=espace_membre&amp;ac=profil&amp;id='.$ligne2->id,array($art->auteur))).'">'.ax($art->auteur).'</a></td>
							<td style="white-space:nowrap;">'.$date.'</td>
							<td style="text-align:center;">'.$art->hit.'</td>
						';
					}
					else
					{
						if ($art->img != '')
						{
							echo '<td><img src="'.ax($art->img).'" class="art_list_img" alt="<>" /></td>';
						}
						else
						{
							echo '<td>&nbsp;</td>';
						}

						echo '
							<td style="width:100%;"><a href="'.(url_rw('./index.php?mod=articles&amp;ac=commentaires&amp;id='.$art->id,array($art->titre))).'">'.ax($art->titre).'</a></td>
							<td style=""><a href="'.(url_rw('./index.php?mod=espace_membre&amp;ac=profil&amp;id='.$art->user_id,array($art->auteur))).'">'.ax($art->auteur).'</a></td>
							<td style="white-space:nowrap;">'.$date.'</td>
							<td style="text-align:center;">'.$art->hit.'</td>
						';
					}
					echo '</tr>';
				}
				echo'
				</table>
				<p align="center"><a href="./index.php?mod=articles&amp;action=tous&amp;ref='.$ref.'">Afficher tous les articles de cette catgorie</a></p>';
				close_table();
			}

			// 10 dernieres news

			if ($nbnews>0)
			{
				bloc_head('<img src="'.$articles_dir_img.'/fleche.png" alt="fleche" style="vertical-align:middle" />
							<strong>&nbsp;10 derni&egrave;res News</strong>');

				echo '<ul style="list-style-image: url('.$articles_dir_img.'/puce.png);">';

				while ($news = Kws_mysql_fetch_object($req_news))
				{
					$date = kws_date('l jS F Y \&\a\g\r\a\v\e\; H\:i', $news->date);

					echo '
					<li><strong><a href="'.(url_rw('./index.php?mod=news&amp;ac=commentaires&amp;id='.$news->id,array($news->titre))).'">'.ax($news->titre).'</a></strong>  '.$date.'  [<a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$news->user_id.'">'.ax($news->auteur).'</a>]</li>' ;
				}
				echo '
				</ul><br />
				<div style="text-align:center;"><a href="./index.php?mod=articles&amp;action=news&amp;ref='.$ref.'">Afficher toutes les news</a></div>' ;
				close_table();
			}
		}

	}
}
// Affichage des catgories
else
{
// HA Affichage des catgories  l\'aide de la fonction afficher_cat<br />';
	afficher_cat($ref);
// HA
}
?>
