<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: meta.php 1020 2016-02-04 11:52:29Z mike007 $
// ---------------------------------------------------------------
// Module  : articles
// Fichier : meta.php
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die('Erreur d\'appel de fichier.');}

if (empty($K_id) && empty($ref))
{
	// index des articles
	$K_meta_title 	= $K_nom_page.' - Article - Tous les articles';
}

elseif (!empty($K_id))
{
	// article $id

	$req_article = reqmysql('
		SELECT		`articles`.`auteur`,
					`articles`.`ref`,
					`articles`.`hit`,
					`articles`.`titre`,
					`articles`.`id`,
					`articles`.`accroche`,
					`articles`.`texte`,
					`articles`.`mots_cles`,
					`articles`.`type`,
					`articles`.`js`,
					`articles`.`attribut`,
					`articles`.`date`,
					`articles`.`validation`,
					`articles`.`vote_nbr`,
					`articles`.`vote_somme`,
					`rubriques`.`image`,
					`rubriques`.`id`		AS cat_id,
					`rubriques`.`titre`		AS cat_titre,
					`users`.`id`			AS user_id,
					`users`.`grade`			AS user_grade,
					`users`.`avatar`
		FROM		`articles`
		LEFT JOIN	`rubriques`
			ON		`articles`.`ref` = `rubriques`.`id`
		LEFT JOIN	`users`
			ON		`users`.`pseudo` = `articles`.`auteur`
		WHERE		`articles`.`id`="'.$K_id.'"
					'.($K_grade < $articles_gr_admin ?
					'
						AND		`articles`.`validation` = "0"
					':
					''
					).'
			AND		`articles`.`ref` IN '.$K_user->rubrique[0]
	);
	$articles_nbre_article	= Kws_mysql_num_rows($req_article);
	$articles_article		= Kws_mysql_fetch_object($req_article);

	if ($articles_nbre_article > 0)
	{
		$K_meta_title 		= $K_nom_page.' - Article - '.$articles_article->titre;
		if (!empty($articles_article->accroche))	$K_meta_description	= strip_tags(bbcode($articles_article->accroche));
		if (!empty($articles_article->mots_cles)) 	$K_meta_keywords	= $articles_article->mots_cles;
		
	}
}
elseif ($_REQUEST['ref'] > 0)
{
	// rubrique $ref

	$req_rubriques = reqmysql ('
		SELECT		`rubriques`.`id`,
					`rubriques`.`titre`,
					`R2`.`titre` as titre_cat_parent,
					`rubriques`.`sref`,
					`rubriques`.`image`,
					`rubriques`.`texte`
		FROM		`rubriques`
		LEFT JOIN	`rubriques` AS R2
			ON		`rubriques`.`sref`= `R2`.`id`
		WHERE		`rubriques`.`id`="'.intval($_REQUEST['ref']).'"
			AND		(`rubriques`.`module` LIKE "%articles%" OR `rubriques`.`module`="")
			AND		`rubriques`.`id` IN '.$K_user->rubrique[0]
	);
	$articles_nbre_rubriques = Kws_mysql_num_rows($req_rubriques);
	$articles_rubriques		 = Kws_mysql_fetch_object($req_rubriques);

	if ($articles_nbre_rubriques > 0)
	{
		$K_meta_title 		= $K_nom_page.' - Les articles de la rubrique : '.$articles_rubriques->titre;
		$K_meta_description = strip_tags(bbcode($articles_rubriques->texte));
	}
}

?>
