<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: gestion.php 1018 2016-02-04 11:51:47Z mike007 $
// ---------------------------------------------------------------
// Cration : 06/11/07 par SUPERVISOR - FouPouDave
// ---------------------------------------------------------------

//Ligne de protection de votre module, cette ligne assure sa scurit.
if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}
require_once('modules/droit/fonction.php');

if (get_grade()>=GRD_ADMIN)
{
	bloc_head('Gestion des acc&egrave;s sur les modules');

	if (!is_dir('./modules/'.$_REQUEST['module'].''))
	{
		echo df_message('erreur','Vous n\'avez aucun module qui s\'intitule "'.ax($_REQUEST['module']).'" !!!');
	}
	elseif (!is_module($_REQUEST['module']))
	{
		echo df_message('erreur','Le module "'.ax($_REQUEST['module']).'" est actuellement <a href="./index.php?mod=admin&amp;ac=gestion_module">d&eacute;sactiv&eacute; ou non install&eacute;</a> !!!');
	}
	elseif (file_exists('./modules/'.$_REQUEST['module'].'/antidroit.txt'))
	{
		echo df_message('erreur','Le module "'.ax($_REQUEST['module']).'" n\'est pas autoris&eacute; &agrave; ce niveau !!!');
	}
	else
	{
		if ($_GET['action']=='ajouter' and file_exists('./modules/'.$_GET['module'].'/'.$_GET['page'].'.php'))
		{
			$erreur = false;
			reqmysql('
				INSERT INTO	`droit`
				SET			`module`="'.$_GET['module'].'",
							`page`="'.$_GET['page'].'",
							`grade`="'.GRD_ADMIN.'",
							`groupe`="0",
							`condition`="or"
			') or $erreur = true;

			//Message
			if ($erreur)
			{
				echo df_message('erreur','Il y a un probl&egrave;me dans l\'ajout !');
			}
			else
			{
				echo df_message('information','L\'ajout a &eacute;t&eacute; effectu&eacute;e avec succ&egrave;s !');
			}
			echo '<hr/>';
		}

		if ($_GET['action']=='exclure' and file_exists('./modules/'.$_GET['module'].'/'.$_GET['page'].'.php'))
		{
			$erreur = false;
			reqmysql('
				INSERT INTO	`droit_exclu`
				SET			`module`="'.$_GET['module'].'",
							`page`="'.$_GET['page'].'",
							`accessible`="1"
			') or $erreur = true;

			//Message
			if ($erreur)
			{
				echo df_message('erreur','Il y a un probl&egrave;me dans l\'exclusion !');
			}
			else
			{
				echo df_message('information','L\'exclusion a &eacute;t&eacute; effectu&eacute;e avec succ&egrave;s !');
			}
			echo '<hr/>';
		}

		if (isset($_POST['type']))
		{
			$erreur = false;
			reqmysql('
				UPDATE	`droit`
				SET		`'.$_POST['type'].'`="'.$_POST['valeur'].'"
				WHERE	`module`="'.$_POST['module'].'"
					AND	`page`="'.$_POST['page'].'"
			') or $erreur = true;

			//Message
			if ($erreur)
			{
				echo df_message('erreur','Il y a un probl&egrave;me dans la modification !');
			}
			else
			{
				echo df_message('information','La modification a &eacute;t&eacute; effectu&eacute;e avec succ&egrave;s !');
			}
			echo '<hr/>';
		}

		if ($_GET['action']=='desexclure')
		{
			$erreur = false;
			reqmysql('
				DELETE FROM	`droit_exclu`
				WHERE		`id` = "'.$_GET['int_id'].'"
			') or $erreur = true;

			//Message
			if ($erreur)
			{
				echo df_message('erreur','Il y a un probl&egrave;me dans la suppression !');
			}
			else
			{
				echo df_message('information','La suppression a &eacute;t&eacute; effectu&eacute;e avec succ&egrave;s !');
			}
			echo '<hr/>';
		}

		if ($_GET['action']=='supprimer')
		{
			$erreur = false;
			reqmysql('
				DELETE FROM	`droit`
				WHERE		`id` = "'.$_GET['int_id'].'"
			') or $erreur = true;

			//Message
			if ($erreur)
			{
				echo df_message('erreur','Il y a un probl&egrave;me dans la suppression !');
			}
			else
			{
				echo df_message('information','La suppression a &eacute;t&eacute; effectu&eacute;e avec succ&egrave;s !');
			}
			echo '<hr/>';
		}

		$dirs = ScannerRepertoire ('./modules','dir', false);

		echo '<form action="index.php?mod=droit&amp;ac=gestion" method="post">
		<p style="text-align:center;">
			Slectionner un module
			<select name="module" onchange="submit()">
				'.(empty($_REQUEST['module']) ? '<option value="Aucun module">Votre choix</option>' : '');
				foreach ($dirs as $dir)
				{
					if ((!file_exists('./modules/'.$dir.'/antidroit.txt')) and is_module($dir))
					{
						echo '<option value="'.$dir.'" '.($dir==$_REQUEST['module'] ? 'selected="selected"':'').'>'.$dir.'</option>';
					}
				}
			echo '</select>
		</p>
		</form>';

		if (isset($_REQUEST['module']))
		{
			$files = ScannerRepertoire ('./modules/'.$_REQUEST['module'],'file', false);
			if (!empty($files))
			{
				foreach ($files as $file)
				{
					if (substr(strrchr($file,'.'),1)=='php')
					{
						$fichiers[basename($file,'.php')] = '';
					}
				}
			}

			echo '<table border="1" style="margin:auto;" summary="Gestion des droits">
				<tr>
					<th>&nbsp;</th>
					<th>page</th>
					<th>grade</th>
					<th>condition</th>
					<th>groupe</th>
				</tr>';

			$requete = reqmysql('
				SELECT		*
				FROM		`droit`
				WHERE		`module`="'.$_REQUEST['module'].'"
				ORDER BY	`page`
			');
			while ($ligne = Kws_mysql_fetch_object($requete))
			{
				unset($fichiers[$ligne->page]);
				echo '<tr>
					<td style="text-align:center; padding-left:5px; padding-right:5px;">';
						if (file_exists('modules/'.$_REQUEST['module'].'/'.$ligne->page.'.php'))
						{
							echo '<a href="index.php?mod=droit&amp;ac=gestion&amp;action=supprimer&amp;module='.$_REQUEST['module'].'&amp;int_id='.$ligne->id.'" title="Par defaut"><img src="./modules/droit/images/supprimer.png" alt="Par defaut" border="0" /></a>';
						}
						else
						{
							echo '&nbsp;';
						}
					echo '</td>
					<td style="text-align:center; padding-left:5px; padding-right:5px;">
						<!--'.(file_exists('./modules/'.$ligne->module.'/'.$ligne->page.'.php') ? '<a href="index.php?mod='.$ligne->module.'&amp;ac='.$ligne->page.'">'.$ligne->page.'</a>' : $ligne->page).'-->
						'.(file_exists('./modules/'.$ligne->module.'/'.$ligne->page.'.php') ? $ligne->page : '<em>'.$ligne->page.'</em>').'
					</td>
					<td style="text-align:center; padding-left:5px; padding-right:5px;">'.droit_select_grade ($ligne->module,$ligne->page,$ligne->grade).'</td>
					<td style="text-align:center; padding-left:5px; padding-right:5px;">'.droit_select_condition ($ligne->module,$ligne->page,$ligne->condition).'</td>
					<td style="text-align:center; padding-left:5px; padding-right:5px;">'.droit_select_groupe ($ligne->module,$ligne->page,$ligne->groupe).'</td>
				</tr>';
			}

			$liste_exclu = array();
			$requete = reqmysql('
				SELECT		*
				FROM		`droit_exclu`
				WHERE		`module`="'.$_REQUEST['module'].'"
			');
			// Exclusion lors de l'affichage pour ce qui est dans droit exclu, on reaffichera plus bas ceux en accessible  1
			while ($ligne = Kws_mysql_fetch_object($requete))
			{
				unset($fichiers[$ligne->page]);
			}
			// Exclusion lors de l'affichage de fichiers communs a tous les modules
			unset($fichiers['admin']);
			unset($fichiers['res_admin']);
			unset($fichiers['pied_de_page']);
			unset($fichiers['securite']);
			unset($fichiers['aff_drt']);
			unset($fichiers['update']);
			unset($fichiers['meta']);

			if (is_array($fichiers))
			{
				foreach ($fichiers as $id=>$file)
				{
					echo '<tr>
						<td style="text-align:center; padding-left:5px; padding-right:5px;">
							<a href="index.php?mod=droit&amp;ac=gestion&amp;action=ajouter&amp;module='.$_REQUEST['module'].'&amp;page='.$id.'" title="G&eacute;rer les droits du fichier"><img src="./modules/droit/images/ajouter.png" alt="G&eacute;rer" border="0" /></a>
							<a href="index.php?mod=droit&amp;ac=gestion&amp;action=exclure&amp;module='.$_REQUEST['module'].'&amp;page='.$id.'" title="Exclure de la gestion"><img src="./modules/droit/images/supprimer.png" alt="Exclure" border="0" /></a>
						</td>
						<td style="text-align:center; padding-left:5px; padding-right:5px;">
							<!--<a href="index.php?mod='.$_REQUEST['module'].'&amp;ac='.$id.'">'.$id.'</a>-->
							'.$id.'
						</td>
						<td style="text-align:center; padding-left:5px; padding-right:5px;">Grade par d&eacute;faut</td>
						<td style="text-align:center; padding-left:5px; padding-right:5px;">ou</td>
						<td style="text-align:center; padding-left:5px; padding-right:5px;">Aucun groupe</td>
					</tr>';
				}
			}
			echo '</table>';

			if (	$_REQUEST['module'] == 'admin'	or
					$_REQUEST['module'] == 'debug'	or
					$_REQUEST['module'] == 'droit'	or
					$_REQUEST['module'] == 'eskuel'	or
					$_REQUEST['module'] == 'groupe'
			)
			{
				echo '<hr/>
				<p style="color:red;text-align:center;">Il est dangereux de descendre les droits de ce module.</p>';
			}

			$requete = reqmysql('
				SELECT		*
				FROM		`droit_exclu`
				WHERE		`module`="'.$_REQUEST['module'].'"
					AND		`accessible`="1"
				ORDER BY	`page`
			');
			if (Kws_mysql_num_rows($requete) != 0)
			{
				echo '<hr/>
				<p style="text-align:center;">Ces pages ci-dessous ont t exclues de gestion par le module droit. Il est fortement dconseill de les grer.</p>
				<table border="1" style="margin:auto;" summary="Pages Exclues des droits">
					<tr>
						<th>&nbsp;</th>
						<th>page</th>
					</tr>';
					while ($ligne = Kws_mysql_fetch_object($requete))
					{
						echo '<tr>
							<td style="text-align:center; padding-left:5px; padding-right:5px;"><a href="index.php?mod=droit&amp;ac=gestion&amp;action=desexclure&amp;module='.$_REQUEST['module'].'&amp;int_id='.$ligne->id.'" title="Supprimer de l\'exclusion" ><img src="./modules/droit/images/supprimer.png" alt="Supprimer" border="0" /></a></td>
							<td style="text-align:center; padding-left:5px; padding-right:5px;">'.$ligne->page.'</td>
						</tr>';
					}
				echo '</table>';
			}
		}
	}
	close_table();
}
else
{
	ZoneReserve();
}
?>
