<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: login.php 1049 2017-07-11 16:16:33Z mike007 $
// ---------------------------------------------------------------
// Fichier : login.php
// Mise a jour : 06/08/06 par Nico_
// Mise a jour : 10/10/07 par mike007
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

$messagelogin = ((isset($_REQUEST['messagelogin']) || preg_match('#inconnu.#i',$messagelogin)) ? '' : $messagelogin) ;

if (get_grade() < GRD_MEMBR or (@$_REQUEST['sql_pseudo'] == '' and @$_COOKIE['sql_pseudo'] == ''))
{
	$erreur = (isset($_REQUEST['erreur']) ? '' : $erreur) ;

	if (!isset($erreur))	$erreur = '';

	if (!empty($messagelogin) and !isset($_REQUEST['messagelogin']))
	{
		open_table ();
		echo '<div class="messagelogin">'.$messagelogin.'</div>';
		close_table ();
	}

	$urlimagepass = file_exists('./themes/'.$K_theme.'/images/icones_membre/pass.png') ? './themes/'.$K_theme.'/images/icones_membre/pass.png' : './images/icones_membre/pass.png' ;

	bloc_head('Identification');

	echo '
	<script type="text/javascript">
	// <![CDATA[
	function verif_login()
	{
		var valid_form = true;
		if	(  
				document.getElementById("sql_pseudo").value.toLowerCase() == "ancien membre" ||
				document.getElementById("sql_pseudo").value.toLowerCase() == "ancienmembre" ||
				document.getElementById("sql_pseudo").value.toLowerCase() == "ancien_membre" ||
				document.getElementById("sql_pseudo").value.toLowerCase() == "ancien-membre"
			)
		{
			alert("Identifiant  "+document.getElementById("sql_pseudo").value+"  rserv.");
			document.getElementById("sql_pseudo").focus();
			valid_form = false;
		}
		else
			valid_form = control_form("sql_pseudo,Identifiant sql_pass,Mot_de_passe");

		return valid_form;
	}
	// ]]>
	</script>
	'.$erreur.'
	<form style="text-align:center;" id="formlogin" name="formlogin" action="./index.php?mod=espace_membre&amp;ac=login" method="post" onsubmit="return verif_login()">
		<fieldset class="fieldset" style="width:480px">
			<div style="float:left; text-align:center; width:190px; padding:2em; border:none;">
				<p>
					<img src="'.$urlimagepass.'" alt="Priv&eacute;" /><br />
					Bienvenue
				</p>
				<p style="text-align:justify">Utilisez un identifiant et un mot de passe corrects pour acc&eacute;der au site.</p>
			</div>
			<fieldset class="bordlogin" style="border-style:solid; border-width:1px; padding:1.5em">
				<p>
					<label style="display: inline; float: left; width: 200px;" for="sql_pseudo">Identifiant : </label>
					<input class="username_login" name="sql_pseudo" id="sql_pseudo" maxlength="30" size="20" placeholder="Pseudo ou Email" />
				</p>
				<p>
					<label style="display: inline; float: left; width: 200px;" for="sql_pass">Mot de passe : </label>
					<input class="username_password" type="password" name="sql_pass" id="sql_pass" size="20" maxlength="25" placeholder="Mot de passe" />
				</p>
				<p>
					<input class="username_auto" type="checkbox" name="auto" id="auto" /> Se souvenir de moi ?<br />
					<label style="display: inline;" for="auto"><span style="font-style:italic;font-size:10px">Ceci n\'est pas recommand&eacute; pour les ordinateurs partag&eacute;s.</span></label>
				</p>
				<br /><br />
				<input class="username_connect" id="submit_login" type="submit" name="verifer" value=" Se connecter " />
			</fieldset>
			<hr style="clear:both" />
			<div style="border:none;">
			';
			if (get_grade('enregistrer','espace_membre') >= GRD_VISIT)
			{
				echo 'Je suis nouveau et j&rsquo;aimerais devenir membre :<br />
				<a href="./index.php?mod=espace_membre&amp;ac=enregistrer">Cr&eacute;er un compte</a><br />
				<br />
				';
			}
			echo '
				<a href="./index.php?mod=espace_membre&amp;ac=perdu">M&rsquo;envoyer un nouveau mot de passe</a>
				'.($K_validation_enregistrement == 'email' ? '<br /><a href="./index.php?mod=espace_membre&amp;ac=perdu&amp;action=mail">Me renvoyer le mail de confirmation d&rsquo;inscription.</a>':'').'
				<br />
			</div>
		</fieldset>
	</form>';

	header ('Pragma: no-cache ');
	header ('Cache-Control: no-cache ');

	if (($_POST['verifer'] == ' Se connecter '))
	{
		//Protection
		$K_pseudo	= $_POST['sql_pseudo'];
		$pass		= $_POST['sql_pass'];
	}
	close_table();
}
else
{
	$_SESSION['oki_log'] = 1;

	bloc_head ('Espace Membre');
	if (isset ($_GET['reactive']))
	{
		echo df_message('information','<strong>Votre compte &agrave &eacute;t&eacute; r&eacute;activ&eacute;.</strong>').'<hr />';
	}

	echo '
	<table style="width:100%" summary="Administration">
	<tr>';

	$x = 0;

	$doss = $_REQUEST['doss'];

	$affdoss = array ();
	function getdossaff ($autorisation, $nomdoss , $commentdoss , $imagedoss, $sysnomdoss)
	{
		global $doss, $affdoss;

		if (!is_bool($autorisation))
		{
			global $grade;
			$autorisation = $grade>=$autorisation;
		}

		if ($autorisation and $doss=='')
		{
			$affdoss[] = array (
				"nom" => $nomdoss,
				"comment" => $commentdoss,
				"image" => $imagedoss,
				"doss" => $sysnomdoss
			);
		}
	}

	if (get_grade() > GRD_MEMBR)
	{
		getdossaff (
			get_grade() > GRD_MEMBR,
			'Mon Compte',
			'',
			'./themes/'.$K_theme.'/images/icones_membre/profil.png',
			'membre'
		);

		if ($doss == 'membre')
		{
			if ($autorisation_mp)
			{
				$x = admin_bloc (
					'<strong>Messages internes</strong>',
					'./themes/'.$K_theme.'/images/icones_membre/email.png',
					'index.php?mod=espace_membre&amp;ac=boite',
					$x+1
				);
			}
			$x = admin_bloc (
				'<strong>Profil</strong>',
				'./themes/'.$K_theme.'/images/icones_membre/profil.png',
				'index.php?mod=espace_membre&amp;ac=profil&amp;id='.$K_user->id.'&amp;action=modifier',
				$x+1
			);
			$x = admin_bloc (
				'<strong>Mot de passe</strong>',
				'./themes/'.$K_theme.'/images/icones_membre/pass.png',
				'index.php?mod=espace_membre&amp;ac=profil&amp;id='.$K_user->id.'&amp;action=modifpass',
				$x+1
			);
			$x = admin_bloc (
				'<strong>Th&egrave;me</strong>',
				'./themes/'.$K_theme.'/images/icones_membre/theme.png',
				'index.php?mod=espace_membre&amp;ac=theme',
				$x+1
			);
			if (is_module('liens_web'))
			{
				$K_liens_web_options_gr = unserialize($K_liens_web_options_gr);
				if ($K_liens_web_options_gr['gestion_auteur'])
				{
					$req_liens_web	= reqmysql ('SELECT	`id` FROM `liens_web` WHERE `id_pseudo`="'.$K_user->id.'" ');
					$nb_liens_web	= Kws_mysql_num_rows($req_liens_web);
					if ($nb_liens_web > 0)
					{
						$x = admin_bloc (
							'<strong>Mes Liens Web</strong>',
							'./themes/'.$K_theme.'/images/modules/liens_web.png',
							'./index.php?mod=liens_web&amp;action=mine',
							$x+1
						);
					}
				}
				$K_liens_web_options_gr = serialize($K_liens_web_options_gr);
			}
		}

		include_once 'modules/admin/affadmin.php';

		$dirs = ScannerRepertoire ('modules','dir', false);

		foreach ($dirs as $dir)
		{
			if ($dir != 'admin' and file_exists('./modules/'.$dir.'/affadmin.php') and is_module($dir))
			{
				include_once 'modules/'.$dir.'/affadmin.php' ;
			}
		}

		$inc = 0;
		$verif = '';

		while ($inc < count ($affdoss) && $alignedos = $affdoss[$inc])
		{
			$pos = strpos ($verif, $alignedos[doss]);

			if ($pos == false or $verif == '')
			{
				$x = admin_bloc (
					'<strong>'.$alignedos[nom].'</strong><br />'.$alignedos[comment],
					$alignedos[image],
					'index.php?mod=espace_membre&amp;ac=login&amp;doss='.$alignedos[doss],
					$x + 1
				);
				$verif = $verif.' '.$alignedos[doss];
			}
			$inc ++;
		}

		if (! isset ($doss))
		{
			admin_bloc (
				'<strong>D&eacute;connexion</strong>',
				'./themes/'.$K_theme.'/images/icones_membre/logout.png',
				'index.php?mod=espace_membre&amp;ac=logout',
				0
			);
		}
		else
		{
			// lien Retour
			admin_bloc(
				'<strong>Retour</strong>',
				'./themes/'.$K_theme.'/images/icones_membre/back.png',
				'index.php?mod=espace_membre&amp;ac=login',
				4
			);
			
			// lien Suppression compte si autoris
			if ($doss == 'membre' AND $K_delCompte == '1' AND  $K_user->id != '1')
			{
				admin_bloc(
					'<strong>Supprimer mon compte</strong>',
					'./themes/'.$K_theme.'/images/icones_membre/profil_del.png',
					'./index.php?mod=admin&amp;ac=eff_membre&amp;id='.$K_user->id,
					0
				);
			}
		}
	}
	else
	{
		if ($autorisation_mp)
		{
			$x = admin_bloc (
				'<strong>Messages internes</strong>',
				'./themes/'.$K_theme.'/images/icones_membre/email.png',
				'index.php?mod=espace_membre&amp;ac=boite',
				$x+1
			);
		}
		$x = admin_bloc (
			'<strong>Profil</strong>',
			'./themes/'.$K_theme.'/images/icones_membre/profil.png',
			'index.php?mod=espace_membre&amp;ac=profil&amp;id='.$K_user->id.'&amp;action=modifier',
			$x+1
		);
		$x = admin_bloc (
			'<strong>Mot de passe</strong>',
			'./themes/'.$K_theme.'/images/icones_membre/pass.png',
			'index.php?mod=espace_membre&amp;ac=profil&amp;id='.$K_user->id.'&amp;action=modifpass',
			$x+1
		);
		$x = admin_bloc (
			'<strong>Th&egrave;me</strong>',
			'./themes/'.$K_theme.'/images/icones_membre/theme.png',
			'index.php?mod=espace_membre&amp;ac=theme',
			$x+1
		);
		if (is_module('liens_web'))
		{
			$K_liens_web_options_gr = unserialize($K_liens_web_options_gr);
			if ($K_liens_web_options_gr['gestion_auteur'])
			{
				$req_liens_web	= reqmysql ('SELECT	`id` FROM `liens_web` WHERE `id_pseudo`="'.$K_user->id.'" ');
				$nb_liens_web	= Kws_mysql_num_rows($req_liens_web);
				if ($nb_liens_web > 0)
				{
					$x = admin_bloc (
						'<strong>Mes Liens Web</strong>',
						'./themes/'.$K_theme.'/images/modules/liens_web.png',
						'./index.php?mod=liens_web&amp;action=mine',
						$x+1
					);
				}
			}
			$K_liens_web_options_gr = serialize($K_liens_web_options_gr);
		}

		$dirs = ScannerRepertoire ('modules','dir', false);

		foreach ($dirs as $dir)
		{
			if (file_exists('./modules/'.$dir.'/affadmin.php') and is_module($dir))
			{
				include_once 'modules/'.$dir.'/affadmin.php' ;
			}
		}

		$x = 3;
		$x = admin_bloc (
			'<strong>D&eacute;connexion</strong>',
			'./themes/'.$K_theme.'/images/icones_membre/logout.png',
			'index.php?mod=espace_membre&amp;ac=logout',
			$x+1
		);
		$x = admin_bloc (
			'<strong>Supprimer mon compte</strong>',
			'./themes/'.$K_theme.'/images/icones_membre/profil_del.png',
			'./index.php?mod=admin&amp;ac=eff_membre&amp;id='.$K_user->id,
			$x+1
		);
	}

	echo '</tr>
	</table>';

	close_table ();
}
?>
