<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: profil.php 1050 2017-08-08 16:03:25Z mike007 $
// ---------------------------------------------------------------
// Fichier : profil.php
// Mise a jour : 16/06/06 par Nico_
// Mise a jour : 10/10/07 par mike007 // Ficher trait (variables prfixs pour scurit)
// Mise a jour : 24/09/07 par Jack
// Mise a jour : 12/11/07 par Otocinclus pour agenda
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

##############################
## Affichage du profil
##############################
if (!isset($_REQUEST['action']) and get_grade('consul_profil') >= GRD_VISIT)
{
	$req_mbr = reqmysql ('
		SELECT	`visiteurs`.`tpsfin`, `users`.*
		'.$SQL_cplt.'
		'.((is_module('agenda') && $agenda_anniv=='on') ? ', `agenda_anniv`.`id` AS ida, `date_naissance`, `aff_naissance`, `msg_anniversaire`':'').'
		FROM	`users`
		LEFT JOIN 	`users_cplt`
			ON		`users_cplt`.`id_pseudo` = `users`.`id`
		LEFT JOIN	`visiteurs` ON	`visiteurs`.`pseudo` = `users`.`pseudo`
			AND		`visiteurs`.`tpsfin` > ('.time().'-900)
		'.((is_module('agenda') && $agenda_anniv=='on') ? 'LEFT JOIN	`agenda_anniv` ON `users`.`id` = `id_mbr`':'').'
		WHERE	`users`.`id` = "'.$K_id.'" OR `users`.`pseudo` = "'.sp($_REQUEST['id']).'"
	');

	if (Kws_mysql_num_rows($req_mbr)>0)
	{
		$mbr = Kws_mysql_fetch_object($req_mbr);
		// Remplacement de l'avatar par rapport a la gestion des comptes
		if ($mbr->statut!=0 && $mbr->statut!=2 && $K_gestion_comptes_avatar=='oui')
		{
			$mbr->avatar ='./images/avatars/upload/statut_'.$mbr->statut.'.png';
		}

		if ($mbr->tpsfin != NULL && ($mbr->invisible!=1 || get_grade()>= GRD_ADMIN))
		{
			if ($mbr->invisible==1)
			{
				$user_onlineoffline = '<img title="'.$mbr->pseudo.' est connect&eacute; en invisible" src="themes/'.$K_theme.'/images/espace_membre/masque.png" alt="Masqu&eacute;" />';
			}
			else
			{
				$user_onlineoffline = '<img title="'.$mbr->pseudo.' est connect&eacute;" src="themes/'.$K_theme.'/images/espace_membre/online.png" alt="En ligne" />';
			}
		}
		else
		{
			$user_onlineoffline = '<img title="'.$mbr->pseudo.' est d&eacute;connect&eacute;" src="themes/'.$K_theme.'/images/espace_membre/offline.png" alt="Hors ligne" />';
		}

		bloc_head('Profil de '.$mbr->pseudo);

		if ($mbr->pseudo != "Ancien membre")
		{
			$usr_grade = get_grd_symbol($mbr->grade);
			$usr_gr_txt= get_grd_name($mbr->grade);

			echo '
			<div style="float:left; padding:15px;">
				<strong>'.$usr_grade.ax($mbr->pseudo).'</strong><br />
				'.$usr_gr_txt.'<br />
				<br />
				<br />
				<img src="'.$mbr->avatar.'" alt="avatar" /><br />
				<p style="text-align:left;">';
					if (!empty($K_pseudo) and $K_pseudo == $mbr->pseudo)
					{
						echo '
					<img src="themes/'.$K_theme.'/images/puce.png" alt="puce" />&nbsp;&nbsp;<a href="./index.php?mod=espace_membre&amp;ac=profil&amp;id='.$mbr->id.'&amp;action=modifier">Modifier mon profil</a><br />';
					}
					if (!empty($K_pseudo) and $autorisation_mp and $mbr->grade>=$K_mp_grade)
					{
						echo '
					<img src="themes/'.$K_theme.'/images/puce.png" alt="puce" />&nbsp;&nbsp;<a href="./index.php?mod=espace_membre&amp;ac=message&amp;id='.$mbr->id.'">Envoyer un message</a><br />';
					}
					if (get_grade() >= GRD_ADMIN)
					{
						echo '
					<img src="themes/'.$K_theme.'/images/puce.png" alt="puce" />&nbsp;&nbsp;<a href="./index.php?mod=admin&amp;ac=user_edit&amp;id='.$mbr->id.'&amp;action=modif">Modifier ce membre</a><br />';
					}
					if (get_grade() > GRD_MODOF)
					{
						echo '
					<img src="themes/'.$K_theme.'/images/puce.png" alt="puce" />&nbsp;&nbsp;<a href="./index.php?mod=admin&amp;ac=eff_membre&amp;id='.$mbr->id.'">Effacer ce membre</a>';
					}
				echo '
				</p>';
			if (is_module('mg3'))
			{
				//! Initialisation
				include './modules/mg3/params.php';
				if($mg3p_aff_profil==1)
				{
					$mg3_req = reqmysql ('
						SELECT	`alb_id`
						FROM	`mg3_albums`
						WHERE	`alb_usr_id` = "'.$K_id.'" OR `alb_intitule` = "Album de '.sp($_REQUEST['id']).'"
					');
					if(Kws_mysql_num_rows($mg3_req)>0)
					{
						$mg3_rep = Kws_mysql_fetch_object($mg3_req);
						echo '<img src="themes/'.$K_theme.'/images/puce.png" alt="puce" />&nbsp;&nbsp;<a href="index.php?mod=mg3&amp;alb='.$mg3_rep->alb_id.'">Voir son album photo</a>';
					}
				}
			}
			if (is_module('galerie') && $galerie_profil)
			{
				$gal_req = reqmysql ('
					SELECT	`galerie_gal`.`id`, COUNT(`galerie_img`.`id`)
					FROM	`galerie_gal`
					JOIN	`galerie_img`
						ON	`galerie_img`.`id_gal`=`galerie_gal`.`id`
						AND	`galerie_img`.`validation` = "1"
						AND `galerie_img`.`actif` = "1"
					LEFT JOIN `groupes_mbr`
						ON	`groupes_mbr`.`groupe` = `galerie_gal`.`groupe`
						AND	((`groupes_mbr`.`pseudo` = "'.$K_pseudo.'" AND `groupes_mbr`.`groupe` = `galerie_gal`.`groupe`) OR `galerie_gal`.`groupe` = "0")
					WHERE	`galerie_gal`.`id_user` = "'.$K_id.'"
						AND `galerie_gal`.`validation` = "1"
						AND `galerie_gal`.`actif` = "1"
					GROUP BY `galerie_gal`.`id`
				');
				if(Kws_mysql_num_rows($gal_req)>0)
				{
					echo '
					<img src="themes/'.$K_theme.'/images/puce.png" alt="puce" />&nbsp;&nbsp;<a href="index.php?mod=galerie&amp;int_user='.$K_id.'">Voir '.(Kws_mysql_num_rows($gal_req)>1 ? 'ses' : 'sa').' galerie'.(Kws_mysql_num_rows($gal_req)>1 ? 's' : '').' photos</a>';
				}
			}
			echo '
			</div>

			<div style="padding:15px; margin-left:20%;">
			<form action="" class="css">
			<fieldset>
			<legend>Identification : </legend>
			<span style="float:right">'.$user_onlineoffline.'</span>
			<p><label class="label_profil1">Identifiant :</label>'.ax($mbr->pseudo).'</p>';

			if ($mbr->aff_email == 1 || get_grade() > GRD_MODOF)
			{
				echo '<p>
					<label class="label_profil1">E-mail :</label> ';
					if (!empty($mbr->email))
						echo '<a href="javascript:void()" onclick="KmTo(\''.BrouilleMail($mbr->email).'\')"><img style="border:none;vertical-align:middle" src="./modules/generateur/topho.php?a='.bb_email($mbr->email).'" alt="email anti-spam" /></a>';
					else echo '<em>Non renseign&eacute;</em>';
				echo '</p>';
			}

			$CS_obligatoire = $CS_facultatif = '';
			foreach($Champs_cplts as $Champ)
			{
				if ($mbr->{$Champ['nom']} !='' AND $K_grade >= $Champ['grade'])
				{
 					if ($Champ['nom']=='msn')
						${'CS_'.$Champ['type']} .= '<p><label class="label_profil1">'.$Champ['titre'].' :</label><a href="javascript:void()" onclick="KmTo(\''.BrouilleMail($mbr->msn).'\')"><img style="border:none;vertical-align:middle" src="./modules/generateur/topho.php?a='.bb_email($mbr->msn).'" alt="email anti-spam" /></a></p>';
					elseif ($Champ['nom']=='site')
					{
						if (substr($mbr->site,0,7)!='http://')	$site = 'http://'.$mbr->site;
						else									$site = $mbr->site;

						${'CS_'.$Champ['type']} .= '<p><label class="label_profil1">'.$Champ['titre'].' :</label><a href="'.$site.'" target="_blank">'.$site.'</a></p>';
					}
					else
					{
						${'CS_'.$Champ['type']} .= '<p><label class="label_profil1">'.$Champ['titre'].' :</label>';

							if ($Champ['format']=='textarea')
							{
								$MbrChampNom = trim($mbr->{$Champ['nom']});
								$Rows = substr_count($MbrChampNom, "\r\n");
								$Cars = strlen($MbrChampNom)-$Rows;
								$Rows += round($Cars/45);
								if ($Rows < 2)		$Rows = 2;
								elseif($Rows > 7) 	$Rows = 7;
								${'CS_'.$Champ['type']} .= '<textarea readonly="readonly" rows="'.$Rows.'" cols="45" style="border:none !important;background-color:transparent !important;">'.ax($MbrChampNom,true).'</textarea>';
							}
							else
								${'CS_'.$Champ['type']} .= ax($mbr->{$Champ['nom']});

						${'CS_'.$Champ['type']} .= '</p>';
					}
				}
			}
			if (!empty($CS_obligatoire)) echo $CS_obligatoire;

			// agenda
			if (is_module('agenda') && $agenda_anniv=='on' && $mbr->date_naissance!='' && ($mbr->aff_naissance == 1 || get_grade() > GRD_MODOF))
			{
				echo '
				<p><label class="label_profil1">Date de naissance :</label>'.preg_replace('#^([0-9]{2,4})-([0-9]{1,2})-([0-9]{1,2})$#', '$3/$2/$1', $mbr->date_naissance).'</p>';
			}
			echo '<hr />';

			if (!empty($CS_facultatif)) echo $CS_facultatif.'<hr />';

			echo '
			<p><label class="label_profil1">Date d&rsquo;inscription :</label>'.kws_date("d/m/Y",$mbr->date).'</p>';

			if (get_grade() >= GRD_MODOF)
			{
				$vu_le = date("d/m/Y", $mbr->date_der_connec);
				if ($vu_le == date('d/m/Y', time()))		$vu_le = 'Aujourd\'hui';
				if ($vu_le == date('d/m/Y', time()-86400))	$vu_le = 'Hier';
				$vu_le .= ' &agrave; '.date("H:i",$mbr->date_der_connec);
				if ($mbr->date_der_connec=='9999999999')	$vu_le = 'Aucune connexion depuis son inscription !';
				echo '
				<p><label class="label_profil1">Derni&egrave;re connexion :</label>'.$vu_le.'</p>';
			}

			if ($mbr->signature != '')
			{
				echo '
				<fieldset>
				<legend style="font-weight:bold;">Signature :</legend>
				<p style="padding:5px;"><em>'.bbcode($mbr->signature,1,1).'</em></p>
				</fieldset>';
			}

			if (is_module('forum'))
			{
				if (empty($_SESSION['ListeGrSpe']))
				{
					include './modules/forum/sessionCache.php';
				}
				include './modules/forum/fonctions.php';
				$GradeAll = explode('<br />',GradeForum($mbr->nb_post, 0, $mbr->id));

				// grade normal
				if (!empty($GradeAll[0]) and !empty($GradeAll[1]))
				{
					echo '<p><label class="label_profil1">Grade forum :</label>'.$GradeAll[1].'</p>';
				}

				// grade special
//				if($mbr->nb_post==0) $GradeAll[2]=$GradeAll[1];
				$affecter_gr_spe = 'Affecter un';
				if (!empty($GradeAll[2]))
				{
					$affecter_gr_spe = 'Modifier le';
					echo '<p><label class="label_profil1">Grade sp&eacute;cial :</label>'.$GradeAll[2].'</p>';
				}
				if (get_grade() >= GRD_MODOG)
				{
					echo '
					<ul style="list-style-image:url(./themes/'.$K_theme.'/images/puce.png)">
						<li>
							<a href="index.php?mod=forum&amp;ac=grades2&amp;id='.$mbr->id.'">'.$affecter_gr_spe.' grade sp&eacute;cial</a><br />
						</li>
					</ul>';
				}
			}
			echo '
			</fieldset>
			<br />
			</form>
			</div>
			<br style="clear:both;" />';
		}
		else
		{
			echo '
			<div style="float:left; padding:15px;">
				<strong>'.$usr_grade.ax($mbr->pseudo).'</strong><br />
				'.$usr_gr_txt.'<br />
				<br />
				<br />
				<img src="'.$mbr->avatar.'" alt="avatar" /><br />
			</div>

			<div style="padding:15px; margin-left:20%;clear:both">
				<form action="" class="css">
					<fieldset>
						<legend>Identification : </legend>
						<p>Aucune information</p>
					</fieldset>
				<br />
				</form>
			</div>';
		}

		close_table();

		if (get_grade('vote','poisson') > GRD_VISIT && is_module('poisson') && $poisson_profil=='oui')
		{
			include_once './modules/poisson/index.php';
		}

		include_once './modules/espace_membre/parutions.php';

		open_table();
			echo '<div style="text-align:center;font-variant:small-caps"><a href="index.php?mod=espace_membre&amp;ac=memberlist">Voir la liste des membres</a></div>';
		close_table();
	}
	else
	{
		ZoneReserve('','<strong>Ce profil est inexistant.</strong>');
	}
}
##############################
## Modification du profil
##############################
elseif (get_grade('modif_profil') >= GRD_MEMBR)
{
	$K_domainesMails_bloques = unserialize($K_domainesMails_bloques);
	$K_up_avatars			 = unserialize($K_up_avatars);

	// Les formulaires
	if (!isset($_POST['ok']))
	{
		$token_input = '<input type="hidden" name="token" value="'.K_getToken().'" />';

		//Hormis l'agenda requetes inutiles, faudra modifier a

		// agenda
		if (is_module('agenda') && $agenda_anniv=='on')
		{
			$req_usr = reqmysql('
				SELECT		`users`.*
							'.$SQL_cplt.',
				 			`agenda_anniv`.`id` AS ida, `date_naissance`, `aff_naissance`, `msg_anniversaire`
				FROM		`users`
				LEFT JOIN 	`users_cplt`
					ON		`users_cplt`.`id_pseudo` = `users`.`id`
				LEFT JOIN	`agenda_anniv`
					ON		`users`.`id` = `id_mbr`
				WHERE		`users`.`pseudo` = "'.$K_pseudo.'"
			');
			$usr = Kws_mysql_fetch_object($req_usr);
			list($na, $nm, $nj) = explode('-', $usr->date_naissance);
		}
		// pas d'agenda
		else
		{
			$req_usr = reqmysql('
				SELECT	`users`.*
						'.$SQL_cplt.'
				FROM	`users`
				LEFT JOIN 	`users_cplt`
					ON		`users_cplt`.`id_pseudo` = `users`.`id`
				WHERE	`pseudo` = "'.$K_pseudo.'"
			');
			$usr = Kws_mysql_fetch_object($req_usr);
		}

		// Seul un membre peut modifier son profil
		if ($usr->id == $K_id)
		{
			// fonctions javascript
			echo '
			<script type="text/javascript" src="./includes/md5.js"></script>
			<script type="text/javascript">
			// <![CDATA[

			var liste_Mail_interdit = new Array();
			';
			$i = 0;
			foreach ($K_domainesMails_bloques as $domaineEmail)
			{
				echo 'liste_Mail_interdit['.$i.'] = "'.ax($domaineEmail).'";'."\n";
				$i++;
			}
			echo '
			// Fonction pour vrifier la saisie dans les champs obligatoires
			var bool_pseudo = false;
			var bool_pass = false;
			var bool_pass_verif = false;
			var bool_email = false;
			var bool_naiss =false;
			function verif_form(champ)
			{
				switch (champ.name)
				{
				case "sql_newPass" :
					var pass = champ.value;
					// Vrification de la longueur du mot de passe
					if (pass.length < 5)
					{
						bool_pass = false;
						champ.style.borderColor ="red";
						document.getElementById("passok").innerHTML= "<em>5 caract&egrave;res minimum<\/em>";
					}
					// Vrification de la diffrence entre le mot de passe et le pseudo
					else if (pass == document.getElementById("pseudo").value)
					{
						bool_pass = false;
						champ.style.borderColor ="red";
						document.getElementById("passok").innerHTML= "<em>Votre mot de passe doit &ecirc;tre diff&eacute;rent de votre pseudo<\/em>";
					}
					else
					{
						bool_pass = true;
						champ.style.borderColor ="green";
						document.getElementById("passok").innerHTML= "<img style=\"margin-top:-5px\" src=\"./themes/'.$K_theme.'/images/gestion/ok.png\" alt=\"OK\"/>";
						testPassword(pass);
					}
					break;

				case "sql_newPass2" :
					var pass_verif = champ.value;

					if (!bool_pass)
					{
						bool_pass_verif = false;
						champ.value = "";
						champ.style.borderColor ="red";
						document.getElementById("passverifok").innerHTML= "<em>Vous devez d\'abord saisir votre mot de passe de r&eacute;f&eacute;rence ci-dessus<\/em>";
					}
					else if (pass_verif == "" || pass_verif != document.getElementById("sql_new_pass").value)
					{
						bool_pass_verif = false;
						champ.style.borderColor = "red";
						document.getElementById("passverifok").innerHTML= "<em>Votre mot de passe doit &ecirc;tre identique au pr&eacute;c&eacute;dent<\/em>";
					}
					else
					{
						bool_pass_verif = true;
						champ.style.borderColor = "green";
						document.getElementById("passverifok").innerHTML= "<img style=\"margin-top:-5px\" src=\"./themes/'.$K_theme.'/images/gestion/ok.png\" alt=\"OK\"/>";
					}
					break;

				case "sql_newMail" :
					var email = champ.value;
					bool_email = false;
					// verif validit du mail
					for (var j=1; j<(email.length); j++)
					if (email.charAt(j)=="@")
						if (j<(email.length-4))
							for (var k=j; k<(email.length-2); k++)
								if (email.charAt(k)==".") bool_email = true;
					if (bool_email)
					{
						// Vrif si mail dj utilis
						var email_utilise = false;
						var email_interdit = false;
						var i;
						for(i in liste_email)
						{
							if (liste_email[i] == hex_md5(email.toLowerCase()))
							{
								email_utilise = true;
								bool_email = false;
								champ.style.borderColor = "red";
								document.getElementById("mailok").innerHTML= "<em>Cet email est dj utilis !<\/em>";
								break;
							}
						}
						for(i=0; i<liste_Mail_interdit.length; i++)
						{
							if (email.toLowerCase().match(liste_Mail_interdit[i]))
							{
								email_interdit = true;
								bool_email = false;
								champ.style.borderColor = "red";
								document.getElementById("mailok").innerHTML= "<em>Cet email est interdit !<\/em>";
								break;
							}
						}
						if (!email_utilise && !email_interdit)
						{
							champ.style.borderColor = "green";
							document.getElementById("mailok").innerHTML= "<img src=\"./themes/'.$K_theme.'/images/gestion/ok.png\" alt=\"OK\"/>";
						}
					}
					else
					{
						champ.style.borderColor = "red";
						document.getElementById("mailok").innerHTML= "<em>Votre e-mail a un format incorrect.<\/em>";
					}
					break;';
			// agenda
			if (is_module('agenda') && $agenda_anniv=='on')
			{
				echo '
				case "int_naissJour" :
				case "int_naissMois" :
				case "int_naissAn" :
					var jour=window.document.new_user.int_naissJour.options[window.document.new_user.int_naissJour.selectedIndex].value;
					var mois=window.document.new_user.int_naissMois.options[window.document.new_user.int_naissMois.selectedIndex].value;
					var annee=window.document.new_user.int_naissAn.options[window.document.new_user.int_naissAn.selectedIndex].value;

					if (annee%4 == 0 && annee%100 !=0 || annee%400 == 0) var fev = 29; else var fev = 28;
					var joursparmois = new Array(31,fev,31,30,31,30,31,31,30,31,30,31);
					if (mois>=1 && mois<=12 && jour>=1 && jour<=joursparmois[mois-1] && annee>=1900 && annee<2100)
					{
						bool_naiss = true;
						window.document.new_user.int_naissJour.style.borderColor ="green";
						window.document.new_user.int_naissMois.style.borderColor ="green";
						window.document.new_user.int_naissAn.style.borderColor ="green";
						document.getElementById("naissok").innerHTML= "<img style=\"margin-top:-5px\" src=\"./themes/'.$K_theme.'/images/gestion/ok.png\" alt=\"OK\"/>";
					}
					else
					{
						bool_naiss = false;
						window.document.new_user.int_naissJour.style.borderColor ="red";
						window.document.new_user.int_naissMois.style.borderColor ="red";
						window.document.new_user.int_naissAn.style.borderColor ="red";
						document.getElementById("naissok").innerHTML= "<em>Date non valide.<\/em>";
					}
					break;
					';
			}
			echo '
				}
			}

			var liste_email = new Array();';

			// Modification du profil global
			if ($_REQUEST['action'] == 'modifier')
			{
				// initialisation liste_email pour vrif avant validation
				$req_mel = reqmysql('
					SELECT `email`
					FROM `users`
					WHERE `id` != "'.$K_id.'"
					ORDER BY `pseudo`
				');
				if (Kws_mysql_num_rows($req_mel)<=1000)
				{
					$i = 0;
					while ($rep_mel = Kws_mysql_fetch_object($req_mel))
					{
						echo '
			liste_email['.$i.']  = "'.md5(strtolower($rep_mel->email)).'";';
						$i++;
					}
				}

				echo '

			function grav(val)
			{
				if(val!="")
				{
					document.getElementById(\'AvatarGrav\').src = "//www.gravatar.com/avatar/"+hex_md5(val.toLowerCase());
					document.getElementById(\'SpanAvatarGrav\').style.display = "block";
					document.getElementById(\'AvatarGrav\').style.display = "block";
				}
				else
				{
					document.getElementById(\'AvatarGrav\').style.display = "none";
					document.getElementById(\'SpanAvatarGrav\').style.display = "none";
					document.getElementById(\'AvatarGrav\').src = "";
				}
			}

			function verif_envoyer()
			{
				if (	bool_email
						'.((is_module('agenda') && $agenda_anniv=='on') ? ' && bool_naiss' : '').'
					)
				{
					return true;
				}
				else
				{
					alert("                                 ATTENTION !!\n\n Vous n\'avez correctement rempli tous les champs obligatoires !\n                         (Voir les champs en rouge).");
					if (!bool_email) window.document.new_user.sql_newMail.focus();
					'.((is_module('agenda') && $agenda_anniv=='on') ? 'else if (!bool_naiss) window.document.new_user.int_naissJour.focus();' : '').'
					return false;
				}
			}

			function fnInit()
			{
				var sChamps = new Array("sql_newMail", "int_naissJour");
				var i;
				for(i in sChamps)
				{
					if (document.getElementById(sChamps[i]))
						verif_form(document.getElementById(sChamps[i]));
				}
			}
			function verif_CS(namecs, typecs)
			{
				var IdSql	= document.getElementById("sql_"+namecs);
				var IdSqlImg= document.getElementById("cs_"+namecs+"img");
				if(typecs == "select")
				{
					if (IdSql.options[IdSql.selectedIndex].value != "")
					{
						IdSql.style.borderColor = "green";
						IdSqlImg.src= "./themes/'.$K_theme.'/images/gestion/ok.png";
					}
					else
					{
						IdSql.style.borderColor = "red";
						IdSqlImg.src= "./themes/'.$K_theme.'/images/gestion/del.png";
					}
				}
				else
				{
					if (IdSql.value.replace(/^\s+/g,"").replace(/\s+$/g,"") != "")
					{
						IdSql.style.borderColor = "green";
						IdSqlImg.src= "./themes/'.$K_theme.'/images/gestion/ok.png";
					}
					else
					{
						IdSql.style.borderColor = "red";
						IdSqlImg.src= "./themes/'.$K_theme.'/images/gestion/del.png";
					}
				}

			}
			window.onload = fnInit;
			// ]]>
			</script>';

			bloc_head('Modification du profil');
			echo df_message('','N\'oubliez pas de valider vos modifications via le bouton
			<input type="button" value=" Modifier " onclick="javascript:window.location.href=window.location.href+\'#modifier\'" /> en bas de page.');
			function Write_Champ_Profil($Champ, $type = 'facultatif')
			{
				global $usr, $K_theme;
				$Champ_opts = unserialize($Champ['options']);
				$StyleObligatoire = ' ';
				if ($Champ['type']==$type)
				{
					if ($Champ['nom']=='site')
					{
						if (!empty($usr->site) AND substr($usr->site,0,7)!='http://')	$usr->site = 'http://'.$usr->site;
					}
					echo '
					<p>
						<label class="label_profil2" for="sql_'.$Champ['nom'].'">
						'.($type=='obligatoire' ? '<span style="color:#FF0000; cursor:help" title="Champ obligatoire"> * </span>':'').$Champ['titre'].'
						'.($Champ['grade']>=0 ? '<sup style="cursor:help" title="Champ visible uniquement par un grade >= '.get_grd_name($Champ['grade']).'"> ('.ax($Champ['grade']).') </sup>':'').'
						:
						</label>
					';
					if ($Champ['format']== 'select')
					{
						foreach ($Champ_opts as $opt)
						{
							$Selected = '';
							if ($usr->{$Champ['nom']} == $opt)
							{
								$Selected = ' selected="selected"';
								$SelectedOK=true;
							}
							$SelectedOption .= '<option value="'.ax($opt).'"'.$Selected.'>'.ax($opt).'</option>';
						}
						if (!$SelectedOK or $type=='facultatif')
						{
							$SelectedOption = '<option value="" selected="selected">Non renseign&eacute;</option>'.$SelectedOption;
						}
						if ($type=='obligatoire')
						{
							if (!$SelectedOK)	$StyleObligatoire = ' style="border-color:red" onchange="verif_CS(\''.$Champ['nom'].'\',\'select\')" ';
							else				$StyleObligatoire = ' style="border-color:green" onchange="verif_CS(\''.$Champ['nom'].'\',\'select\')" ';
						}

						$OpenSelect .= '<select'.$StyleObligatoire.'name="sql_'.$Champ['nom'].'" id="sql_'.$Champ['nom'].'">';
						echo $OpenSelect.$SelectedOption.'</select>';
					}
					elseif ($Champ['format']== 'radio')
					{
						$i=1;
						$CheckedInput = false;
						foreach ($Champ_opts as $opt)
						{
							$InputChecked = '';
							if ($usr->{$Champ['nom']} == $opt)
							{
								$InputChecked = ' checked="checked"';
								$CheckedInput = true;
								if ($type=='obligatoire')	$StyleObligatoire = ' style="border-color:green" onclick="verif_CS(\''.$Champ['nom'].'\',\'radio\');" ';
							}
							elseif ($type=='obligatoire')	$StyleObligatoire = ' style="border-color:red" onclick="verif_CS(\''.$Champ['nom'].'\',\'radio\');" ';

							echo '<input'.$StyleObligatoire.'type="radio" name="sql_'.$Champ['nom'].'"'.($i==1?' id="sql_'.$Champ['nom'].'"':'').' value="'.ax($opt).'"'.$InputChecked.' /> '.ax($opt).' ';
							$i++;
						}
						if ($CheckedInput) $StyleObligatoire = 'green';
					}
					elseif ($Champ['format']== 'textarea')
					{
						if ($type=='obligatoire')
						{
							if (trim($usr->{$Champ['nom']})==false)	$StyleObligatoire = ' style="border-color:red" onkeyup="verif_CS(\''.$Champ['nom'].'\',\'textarea\');" onblur="verif_CS(\''.$Champ['nom'].'\',\'textarea\');" ';
							else									$StyleObligatoire = ' style="border-color:green" onkeyup="verif_CS(\''.$Champ['nom'].'\',\'textarea\');" onblur="verif_CS(\''.$Champ['nom'].'\',\'textarea\');" ';
						}
						echo '<textarea'.$StyleObligatoire.'name="sql_'.$Champ['nom'].'" id="sql_'.$Champ['nom'].'" rows="5" cols="45">'.ax(trim($usr->{$Champ['nom']}),true).'</textarea>';
					}
					else
					{
						if ($type=='obligatoire')
						{
							if (empty($usr->{$Champ['nom']}))	$StyleObligatoire = ' style="border-color:red" onkeyup="verif_CS(\''.$Champ['nom'].'\',\'texte\');" onblur="verif_CS(\''.$Champ['nom'].'\',\'texte\');" ';
							else								$StyleObligatoire = ' style="border-color:green" onkeyup="verif_CS(\''.$Champ['nom'].'\',\'texte\');" onblur="verif_CS(\''.$Champ['nom'].'\',\'texte\');" ';
						}
						echo '<input'.$StyleObligatoire.'name="sql_'.$Champ['nom'].'" id="sql_'.$Champ['nom'].'" size="30" value="'.ax($usr->{$Champ['nom']}).'" />';
					}
					if (!empty($Champ['message']) or $type=='obligatoire')
					{
						echo '<span class="mini_message" id="cs_'.$Champ['nom'].'ok">';
						if (preg_match('#green#',$StyleObligatoire))
						{
							echo '<img id="cs_'.$Champ['nom'].'img" src="./themes/'.$K_theme.'/images/gestion/ok.png" alt="OK" /> ';
						}
						elseif (preg_match('#red#',$StyleObligatoire))
						{
							echo '<img id="cs_'.$Champ['nom'].'img" src="./themes/'.$K_theme.'/images/gestion/del.png" alt="" /> ';
						}
						echo ax($Champ['message']).'</span>';
					}
					echo '
					</p>';
				}
			}
			if ($K_user->pass2 !='' and $K_user->cle !='') // modif mail en attente de validation
			{
				echo df_message('attention',
				'Nouveau mail: <strong>'.ax($K_user->pass2).'</strong> en attente de confirmation.<br />
				La confirmation est possible jusqu&rsquo;au: '.date('d/m/Y \- H:i',86400*3+substr($K_user->cle,-10)),
				'<strong>Pour annuler la demande de modification</strong>,<br />il suffit simplement de modifier votre profil avec l&rsquo;email actuel.').'<br />';
			}
			echo '
			<form method="post" enctype="multipart/form-data" name="new_user" id="new_user" action="./index.php?mod=espace_membre&amp;ac=profil&amp;id='.$K_id.'&amp;action=modifier" class="css" onsubmit="return verif_envoyer();">
			<input type="hidden" name="ok" id="ok" value="1" />

			<fieldset>
			<legend>Identification :</legend>
			';
			if (!empty($_SESSION['mess_champs_obligatoire']))
			{
				echo $_SESSION['mess_champs_obligatoire'];
				unset($_SESSION['mess_champs_obligatoire']);
			}
			echo '
				<p>
					<label class="label_profil2" for="pseudo"><span style="color:#FF0000; cursor:help" title="Champ obligatoire"> * </span>Identifiant :</label>
					<input disabled="disabled" name="pseudo" id="pseudo" maxlength="30" size="30" value="'.$usr->pseudo.'" />
				</p>
				<p>
					<label class="label_profil2" for="sql_newMail"><span style="color:#FF0000; cursor:help" title="Champ obligatoire"> * </span>E-mail :</label>
					<input name="sql_newMail" id="sql_newMail" maxlength="40" size="30" value="'.$usr->email.'" onkeyup="verif_form(this);" onblur="verif_form(this);" />
					<input name="sql_oldMail" id="sql_oldMail" type="hidden" value="'.$usr->email.'" />
					<span class="mini_message" id="mailok">(Email valide)</span>
				</p>';
			foreach($Champs_cplts as $Champ)
			{
				Write_Champ_Profil($Champ,'obligatoire');
			}

			// agenda
			if (is_module('agenda') && $agenda_anniv=='on')
			{
				echo '
				<p>
					<label class="label_profil2" for="int_naissJour"><span style="color:#FF0000; cursor:help" title="Champ obligatoire"> * </span>&nbsp;Date de Naissance :</label>
					<select name="int_naissJour" id="int_naissJour" onchange="verif_form(this);">
					<option value="0">jour</option>';
				for ($i=1;$i<=31;$i++) {
				echo '
					<option value="'.$i.'"'.($i==$nj ? ' selected="selected"' : '').'>'.$i.'</option>';
				}
				echo '
					</select>
					<select name="int_naissMois" id="int_naissMois" onchange="verif_form(this);">
					<option value="0">mois</option>';
				for ($i=1;$i<=12;$i++) {
					echo '
					<option value="'.$i.'"'.($i==$nm ? ' selected="selected"' : '').'>'.$i.'</option>';
				}
				echo '
					</select>
					<select name="int_naissAn" id="int_naissAn" onchange="verif_form(this);">
					<option value="0">ann&eacute;e</option>';
				for ($i=date("Y");$i>=date("Y")-100;$i--) {
					echo '
					<option value="'.$i.'"'.($i==$na ? ' selected="selected"' : '').'>'.$i.'</option>';
				}
				echo '
					</select>
					<span class="mini_message" id="naissok">Date valide</span>
				</p>';
			}
			echo '
			</fieldset>
			';
			if (is_module('newsletter') or is_module('news'))
			{
				echo '
				<fieldset>
				<legend>News - Newsletter :</legend>
				';
				if (is_module('news'))
				{
					$K_mod_dem = unserialize($K_mod_dem);
					echo '
					<p>
						<label class="label_profil2" for="int_aff_news_form">Nombre de News &agrave; afficher :</label>
						<select name="int_aff_news_form" id="int_aff_news_form">';
						for ($i=1; $i<=20; $i++)
						{
							echo '<option value="'.$i.'"'.(($usr->aff_news == $i) ?' selected="selected"':'').'>'.$i.'</option>';
						}
						echo '
						</select>
						'.(!in_array('news',$K_mod_dem) ? ' <small>Sur <a href="'.(url_rw('./index.php?mod=news')).'">cette page</a></small>':'').'
					</p>';
					$K_mod_dem = serialize($K_mod_dem);
				}
				// Inscription Newsletter
				if (is_module('newsletter'))
				{
					$req_mail_newsletter = reqmysql('SELECT	`email`, `news` FROM `newsletter` WHERE `email` = "'.$usr->email.'"');
					$nb_mail_newsletter = Kws_mysql_num_rows($req_mail_newsletter);
					$result_mail_newsletter = Kws_mysql_fetch_object($req_mail_newsletter);
					echo '
					<p>
						<label class="label_profil2" for="sql_newsletter">Inscrit &agrave; la newsletter : </label>
						<input type="radio" value="oui" name="sql_newsletter"'.($nb_mail_newsletter > 0 ? ' checked="checked" id="sql_newsletter"' : '').' />Oui&nbsp;&nbsp;
						<input type="radio" value="non" name="sql_newsletter"'.($nb_mail_newsletter == 0 ? ' checked="checked" id="sql_newsletter"' : '').' />Non
					</p>';
					if (is_module('news'))
					{
						$NewsletterOptions = unserialize($K_newsletter_options);
						echo '
						<p>
							<label class="label_profil2" for="int_newsbymail">&Ecirc;tre averti par mail des news :<br /><small>Inscription newsletter n&eacute;cessaire</small></label>
							<input type="checkbox" value="1" name="int_newsbymail"'.(($result_mail_newsletter->news == 1 or $nb_mail_newsletter == 0 or $NewsletterOptions['news_bymail'] != 'facultatif') ? ' checked="checked" id="int_newsbymail"' : '').($NewsletterOptions['news_bymail'] != 'facultatif' ? ' disabled="disabled"':'').' />
							<small>PS: L&rsquo;administrateur peut d&eacute;cider de ne pas faire partir certaines news par mail</small>
							'.($NewsletterOptions['news_bymail'] != 'facultatif' ? '<input type="hidden" value="1" name="int_newsbymail" />':'').'
						</p>';
					}
				}
				echo '
				</fieldset>
				';
			}
			echo '
			<fieldset>
			<legend>Profil :</legend>';

			// connexion 'invisible'
			if (get_grade() >= $K_grd_user_invisible)
			{
				echo '
				<p>
					<label class="label_profil2" for="int_invisible">Me connecter en <em>invisible</em> : </label>
					<input type="radio" value="1" name="int_invisible"'.($usr->invisible == '1' ? ' checked="checked" id="int_invisible"' : '').' />Oui&nbsp;&nbsp;
					<input type="radio" value="0" name="int_invisible"'.($usr->invisible == '0' ? ' checked="checked" id="int_invisible"' : '').' />Non
				</p>';
			}
			// agenda
			if (is_module('agenda') && $agenda_anniv=='on')
			{
				echo '
				<p>
					<label class="label_profil2" for="int_aff_naissance">Montrer ma date de naissance compl&egrave;te : </label>
					<input type="radio" value="1" name="int_aff_naissance"'.($usr->aff_naissance == '1' ? ' checked="checked" id="int_aff_naissance"' : '').' />Oui&nbsp;&nbsp;
					<input type="radio" value="0" name="int_aff_naissance"'.($usr->aff_naissance == '0' ? ' checked="checked" id="int_aff_naissance"' : '').' />Non
				</p>
				<p>
					<label class="label_profil2" for="int_msg_anniversaire">Accepter le message d\'anniversaire du site : </label>
					<input type="radio" value="2000" name="int_msg_anniversaire"'.($usr->msg_anniversaire <  '5000' ? ' checked="checked" id="int_msg_anniversaire"' : '').' />Oui&nbsp;&nbsp;
					<input type="radio" value="5000" name="int_msg_anniversaire"'.($usr->msg_anniversaire >= '5000' ? ' checked="checked" id="int_msg_anniversaire"' : '').' />Non
				</p>';
			}

			echo '
				<p>
					<label class="label_profil2" for="int_aff_email">Toujours montrer mon Adresse e-mail :</label>
					<input type="radio" value="1" name="int_aff_email"'.($usr->aff_email == '1' ? ' checked="checked" id="int_aff_email"' : '').' />Oui&nbsp;&nbsp;
					<input type="radio" value="0" name="int_aff_email"'.($usr->aff_email == '0' ? ' checked="checked" id="int_aff_email"' : '').' />Non
				</p>
			';
			if($autorisation_mp)
			{
				echo '
					<p>
						<label class="label_profil2" for="int_mp_popup">M\'avertir des messages priv&eacute;s par e-mail :</label>
						<input type="radio" value="1" name="int_mp_popup"'.($usr->mp_popup == '1' ? ' checked="checked" id="int_mp_popup"' : '').' />Oui&nbsp;&nbsp;
						<input type="radio" value="0" name="int_mp_popup"'.($usr->mp_popup == '0' ? ' checked="checked" id="int_mp_popup"' : '').' />Non
					</p>
					<p>
						<label class="label_profil2" for="int_popup">M\'avertir des messages priv&eacute;s par popup :</label>
						<input type="radio" value="1" name="int_popup"'.($usr->popup == '1' ? ' checked="checked" id="int_popup"' : '').' />Oui&nbsp;&nbsp;
						<input type="radio" value="0" name="int_popup"'.($usr->popup == '0' ? ' checked="checked" id="int_popup"' : '').' />Non
					</p>
				';
			}
			else
			{
				echo '
				<input type="hidden" value="0" name="int_mp_popup" id="int_mp_popup" />
				<input type="hidden" value="0" name="int_popup" id="int_popup" />
				';
			}
			echo '
				<hr />
				';
				foreach($Champs_cplts as $Champ)
				{
					Write_Champ_Profil($Champ,'facultatif');
				}

			echo '
				<fieldset>
					<legend><strong>Avatars :</strong></legend>
					<p>
						<label class="label_profil2" for="avataractif">Avatar actuel :</label>
						<img src="'.$usr->avatar.'" name="avataractif" id="avataractif" alt="'.$usr->avatar.'" />
					</p>

					<div>
					<label class="label_profil2">Choisissez un avatar :</label><br />';
					K_listAvatars((isset($theme_conteneur_avatars)? $theme_conteneur_avatars:500), $usr->id, $usr->avatar);
					echo '</div>';

					if ($K_avatars_ext == 'gravatar' and preg_match('#^(https?:)?//www.gravatar.com/avatar/#',ax($usr->avatar)))
					{
						echo '
						<p>
							<label class="label_profil2" for="sql_urlgravatar">Url gravatar :</label>
							<input type="text" name="sql_urlgravatar" id="sql_urlgravatar" maxlength="80" size="85" value="'.ax($usr->avatar).'" />
						</p>';
					}
					elseif ($K_avatars_ext == 'onNoGravatar' or $K_avatars_ext == 'onGravatar')
					{
						echo '
						<p>
							<label class="label_profil2" for="sql_urlavatar">Url externe :</label>
							<input type="text" name="sql_urlavatar" id="sql_urlavatar" maxlength="80" size="85" value="'.(substr($usr->avatar, 0, 2) != './' ? $usr->avatar : '').'" />
						</p>';
					}
					if ($K_avatars_ext == 'gravatar' or $K_avatars_ext == 'onGravatar')
					{
						echo '
							<p>
									<label class="label_profil2" for="sql_mailgravatar">
										Utilisez <a href="//www.gravatar.com/" target="_blank">Gravatar :</a>
										'.(preg_match('#^(https?:)?//www.gravatar.com/avatar/#',$usr->avatar)?'<em>(d&eacute;j&agrave; actif)</em>':'').'
										<br />
										<img src="'.$usr->avatar.'" id="AvatarGrav" alt="" style="display:none;height:40px" />
									</label>
									<input type="text" name="sql_mailgravatar" id="sql_mailgravatar" size="30" onkeyup="grav(this.value);" />
									'.(preg_match('#^(https?:)?//www.gravatar.com/avatar/#',$usr->avatar)?'Veuillez saisir une autre adresse email pour modifier votre gravatar.':'Veuillez saisir l&rsquo;adresse email associ&eacute; &agrave; votre gravatar.').'
							</p>
							<span id="SpanAvatarGrav" style="display:none;"><br /><br /></span>
							';
					}
					if ($K_up_avatars['up'] == 1)
					{
						require_once './includes/upload.class.php';
						$Upload = new Upload();
						$Upload->FieldOptions = 'size="30"';
						$Upload->MaxFilesize  = 150;
						$Upload-> InitForm();
						echo '
						<p>
							<label class="label_profil2">Uploader votre avatar :</label>
							'.$Upload->Field[0].'
							'.$Upload->Field[1].'<br />
							<i>(Taille maximum : 100 Ko - '.($K_up_avatars['redim'] ? 'Automatiquement retaill  ' : '').$K_up_avatars['taille'].'x'.$K_up_avatars['taille'].' pixels)</i>
						</p>';
					}

					if ($K_up_avatars['up'] == 1 or $K_avatars_ext != 'off')
					{
						echo df_message('attention','Seul le dernier choix des avatars sera pris en compte.','
						Veuillez donc effacer ce que vous ne d&eacute;sirez pas.<br />
						PS: L&rsquo;avatar coch&eacute; n&rsquo;a aucune influence si un champ est renseign&eacute;.
						');
					}
				echo '
				</fieldset>
					<script type="text/javascript" src="./includes/bbcode.js"></script>
					<script type="text/javascript" src="./includes/bjs.js"></script>
					<fieldset class="fieldset_post">
						<label class="label_profil2" for="postzone">Signature :</label>
						';
						//if (is_module('smileys')) afficher_smileys();
						$hide_bbcode_sup = true;
						include './includes/balises.php';
						echo '
						<div class="fieldset_post">
							<textarea cols="90" rows="'.(empty($new_textareaRows)?'13':$new_textareaRows).'" name="texte" id="postzone" onkeyup="bjs(this.value,\'apercu\')" onchange="bjs(this.value,\'apercu\')"  >'.ax($usr->signature).'</textarea><br />
						</div>
						<div id="apercu_check" style="text-align:center;">
							<input type="checkbox" onclick="pr_act(this);" /> Pr&eacute;visualisation du message:
							<span style="margin-left:50px">&nbsp;</span>
							<input type="button" value="Actualiser" style="visibility:hidden" id="prev" name="prev" onclick="finalprev(\'./includes/xml_prev.php\',document.getElementById(\'postzone\').value,\'apercu\')" />
						</div>
						<div id="apercu" style="display:none"></div>
					</fieldset>
				</fieldset>
				<a class="ancre" name="modifier"></a>
				<p style="text-align:center;">
					'.$token_input.'
					<input type="submit" name="valider" id="valider" value=" Modifier mon profil" />
					<span style="margin-left:25px">&nbsp;</span>
					<input type="reset" name="annuler" id="annuler" value="R&eacute;tablir" />
				</p>
				</form>';
				close_table();
			}

			// Modif mot de passe
			elseif ($_REQUEST['action'] == 'modifpass')
			{
				echo '
				//	script trouv sur http://www.phpfrance.com/forums/voir_reponse-212801.php
			function testPassword(passwd)
			{
				var description = new Array();
				description[0] = "<input style=\'background-color:#FF6F6F; color:#cFcFcF;text-align:center;\' value=\'Insuffisant\' disabled=\'disabled\' \/>";
				description[1] = "<input style=\'background-color:#FDB14D; color:#adadad;text-align:center;\' value=\'Faible\' disabled=\'disabled\' \/>";
				description[2] = "<input style=\'background-color:blue; color:#adadad;text-align:center;\' value=\'Moyen\' disabled=\'disabled\' \/>";
				description[3] = "<input style=\'background-color:cyan; color:#adadad;text-align:center;\' value=\'Bon\' disabled=\'disabled\' \/>";
				description[4] = "<input style=\'background-color:#A0DA54; color:#adadad;text-align:center;\' value=\'Optimal\' disabled=\'disabled\' \/>";
				description[5] = "";
				var intScore   = 0;
				var strVerdict = 0;

				// PASSWORD LENGTH
				if (passwd.length==0 || !passwd.length)				// length 0
				{
					intScore = -1;
				}
				else if (passwd.length>0 && passwd.length<5)		// length between 1 and 4
				{
					intScore = (intScore+3);
				}
				else if (passwd.length>4 && passwd.length<8)		// length between 5 and 7
				{
					intScore = (intScore+8);
				}
				else if (passwd.length>7 && passwd.length<12)		// length between 8 and 15
				{
					intScore = (intScore+12);
				}
				else if (passwd.length>11)							// length 16 or more
				{
					intScore = (intScore+18);
				}

				// LETTERS (Not exactly implemented as dictacted above because of my limited understanding of Regex)
				if (passwd.match(/[a-z]/))							// [verified] at least one lower case letter
				{
					intScore = (intScore+3);
				}

				if (passwd.match(/[A-Z]/))							// [verified] at least one upper case letter
				{
					intScore = (intScore+8);
				}

				// NUMBERS
				if (passwd.match(/d+/))								// [verified] at least one number
				{
					intScore = (intScore+8);
				}

				if (passwd.match(/(.*[0-9].*[0-9].*[0-9])/))		// [verified] at least three numbers
				{
					intScore = (intScore+5);
				}

				// SPECIAL CHAR
				if (passwd.match(/.[!,@,#,$,%,^,&,*,?,_,~]/))		// [verified] at least one special character
				{
					intScore = (intScore+8);
				}

				// [verified] at least two special characters
				if (passwd.match(/(.*[!,@,#,$,%,^,&,*,?,_,~].*[!,@,#,$,%,^,&,*,?,_,~])/))
				{
					intScore = (intScore+5);
				}

				// COMBOS
				if (passwd.match(/([a-z].*[A-Z])|([A-Z].*[a-z])/))	// [verified] both upper and lower case
				{
					intScore = (intScore+2);
				}

				if (passwd.match(/(d.*D)|(D.*d)/))					// [FAILED] both letters and numbers, almost works because an additional character is required
				{
					intScore = (intScore+2);
				}

				// [verified] letters, numbers, and special characters
				if (passwd.match(/([a-zA-Z0-9].*[!,@,#,$,%,^,&,*,?,_,~])|([!,@,#,$,%,^,&,*,?,_,~].*[a-zA-Z0-9])/))
				{
					intScore = (intScore+12);
				}

				if(intScore == -1)
				{
					strVerdict = description[5];
				}
				else if(intScore > -1 && intScore < 16)
				{
					strVerdict = description[0];
				}
				else if (intScore > 15 && intScore < 25)
				{
					strVerdict = description[1];
				}
				else if (intScore > 24 && intScore < 35)
				{
					strVerdict = description[2];
				}
				else if (intScore > 34 && intScore < 45)
				{
					strVerdict = description[3];
				}
				else
				{
					strVerdict = description[4];
				}
				document.getElementById("Words").innerHTML= (strVerdict);
			}

			function verif_envoyer()
			{
				if (bool_pass && bool_pass_verif)
				{
					return true;
				}
				else
				{
					alert("                                 ATTENTION !!\n\n Vos mots de passe ne sont pas valides ou ne sont pas identiques !!\n                         (Voir les champs en rouge).");
					if (!bool_pass) window.document.getElementById("sql_new_pass").focus();
					else if (!bool_pass_verif) window.document.getElementById("sql_new_pass2").focus();
					return false;
				}
			}

			function fnInit()
			{
				oElem = document.getElementById("secupass").style.display = "block";
				sChamps = new Array("sql_new_pass", "sql_new_pass2");
				var i;
				for(i in sChamps)
				{
					if (oElem = document.getElementById(sChamps[i]))
					{
						'.(!isset($_GET['genpass']) ? 'document.getElementById(sChamps[i]).value = "";':'').'
						verif_form(oElem);
					}
				}
			}
			window.onload = fnInit;
			// ]]>
			</script>';
				$Pass_secure = '';
				if (isset($_GET['genpass']))	$Pass_secure = ax(genere_secure_password());
				bloc_head('Modification du mot de passe');
				echo '
				<form name="new_pass" id="newpass" action="index.php?mod=espace_membre&amp;ac=profil" method="post" onsubmit="return verif_envoyer()">
				<input type="hidden" name="action" id="action" value="modifpass" />
				<input type="hidden" name="ok" id="ok" value="1" />
				<input type="hidden" name="id" id="id" value="'.$K_id.'" />

				<input type="hidden" name="pseudo" id="pseudo" value="'.$K_pseudo.'" />
				<p>
					<label class="label_profil2" for="sql_newPass">Nouveau mot de passe :</label>
					<input type="password" name="sql_newPass" id="sql_new_pass" maxlength="20" size="20" onkeyup="verif_form(this)" value="'.$Pass_secure.'" placeholder="Nouveau Mot de passe" />&nbsp;
					<span id="passok"><em> (5 caract&egrave;res minimum)</em></span>
				</p>
				<p>
					<label class="label_profil2" for="sql_newPass2">Confirmez mot de passe : </label>
					<input type="password" name="sql_newPass2" id="sql_new_pass2" maxlength="20" size="20" onkeyup="verif_form(this)" value="'.$Pass_secure.'" placeholder="Confirmation" />&nbsp;
					<span id="passverifok"><em> (Doit &ecirc;tre identique au pr&eacute;c&eacute;dant)</em></span>
				</p>
				<p id="secupass" style="display:none">
					<label class="label_profil2">&nbsp;&nbsp;&nbsp;Niveau de s&eacute;curit&eacute; du mot de passe : </label>
					<span id="Words"><input value="" disabled="disabled" /></span>
				</p>
				<p>
					<label class="label_profil2" for="GenPass">G&eacute;n&eacute;rer mot de passe s&eacute;curis&eacute; :</label>
					<input type="button" name="GenPass" id="GenPass" maxlength="20" size="20" value=" OK " onclick="location.href=\'./index.php?mod=espace_membre&ac=profil&id='.$K_id.'&action=modifpass&genpass\'" />&nbsp;
					'.(isset($_GET['genpass'])? 'Le mot de passe est: <strong>'.$Pass_secure.'</strong>':'').'
				</p>
				<p style="text-align:center;">
					'.$token_input.'
					<input type="submit" id="valider" value=" Modifier mon mot de passe " />
				</p>
				</form>';
				close_table();
			}
			// action non prvue
			else
			{
				echo '
			// ]]>
			</script>';
				zoneReserve();
			}
		}
		// pas autoris  modifier ce profil
		else zoneReserve('','Ce profil n\'est pas le votre','./');
	}

	// traitement des donnes envoyes
	elseif ($_POST['token'] == $_SESSION['token'])
	{
		unset($_SESSION['token']);

		if ($_REQUEST['action'] == 'modifier')
		{
			unset($_SESSION['champs_cplt']);
			unset($_SESSION['MessChampsObligatoire']);

			$aff_news_form	= $_POST['int_aff_news_form'];
			$email			= $_POST['sql_newMail'];
			$email_old		= $_POST['sql_oldMail'];
			$aff_email		= $_POST['int_aff_email'];
			$mp_popup		= $_POST['int_mp_popup'];
			$popup			= $_POST['int_popup'];
	$_POST['sql_urlavatar']	= $_POST['sql_urlgravatar'] != '' ? $_POST['sql_urlgravatar'] : $_POST['sql_urlavatar'];
			$urlavatar		= $_POST['sql_urlavatar'] != '' ? $_POST['sql_urlavatar'] : './images/avatars/'.($_POST['sql_user_avatar']=='quiestce.png' ? 'upload/':'').$_POST['sql_user_avatar'];
			$MailGravatar	= $_POST['sql_mailgravatar'];
			$signature		= sp(filter_bbcode_sup_interdit($_POST['texte'],$K_grade));
			$invisibilite	= $_POST['int_invisible'];
			$newsletter		= $_POST['sql_newsletter'];
			$NewsByMail		= !empty($_POST['int_newsbymail']) ? 1:0;

			// Vrification des champs obligatoires
			$bool_ok = true;
			// agenda
			if (is_module('agenda') && $agenda_anniv=='on')
			{
				if ($_POST['int_naissannee']%4 == 0 && $_POST['int_naissannee']%100 !=0 || $_POST['int_naissannee']%400 == 0)
				{
					$fev = 29;
				}
				else
				{
					$fev = 28;
				}
				$joursparmois = array(31, $fev, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
				if ($_POST['int_naissMois'] >= 1 && $_POST['int_naissMois'] <= 12 &&
					$_POST['int_naissJour'] >= 1 && $_POST['int_naissJour'] <= $joursparmois[$_POST['int_naissMois']-1] &&
					$_POST['int_naissAn'] >= 1900 && $_POST['int_naissAn'] <= date('Y'))
				{
					$date_naissance   = $_POST['int_naissAn'].'-'.$_POST['int_naissMois'].'-'.$_POST['int_naissJour'];
					$aff_naissance    = $_POST['int_aff_naissance']==1 ? 1 : 0;
					$msg_anniversaire = $_POST['int_msg_anniversaire']==5000 ? 5000 : 2000;
				}
				else
				{
					$bool_ok = false;
				}
			}

			$req = reqmysql('
				SELECT `id`
				FROM `users`
				WHERE `email` = "'.$email.'"
					AND LOWER(`pseudo`) != "'.strtolower(sp($K_pseudo)).'"
			');
			if (Kws_mysql_num_rows($req) > 0) $bool_ok = false;

			$atom	= '[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]';		// caractres autoriss avant l'arobase
			$domain = '([a-z0-9]([-a-z0-9]*[a-z0-9]+)?)';	// caractres autoriss aprs l'arobase (nom de domaine)

			$regex = '/^' . $atom . '+' .					// Une ou plusieurs fois les caractres autoriss avant l'arobase
			'(\.' . $atom . '+)*' . 						// Suivis par zro point ou plus
															// spars par des caractres autoriss avant l'arobase
			'@' .											// Suivis d'un arobase
			'(' . $domain . '{1,63}\.)+' .					// Suivis par 1  63 caractres autoriss pour le nom de domaine
															// spars par des points
			$domain . '{2,63}$/i';							// Suivi de 2  63 caractres autoriss pour le nom de domaine

			$domaine_extrait=preg_replace('!^[a-z0-9._-]+@(.+)$!', '$1', $email);

			if (!preg_match($regex, $email) || !$bool_ok || in_array($domaine_extrait, $K_domainesMails_bloques) || in_array($email, $K_domainesMails_bloques))
			{
				$nonValide = '
				<div style="background-color:#fee;border: 1pt dashed #f00; margin:1em; padding:1em;">
				'.df_message('erreur', '<div><strong>MODIFICATIONS NON VALIDES !!</strong></div>', '<div>
				'.((in_array($domaine_extrait, $K_domainesMails_bloques) || in_array($email, $K_domainesMails_bloques)) ?
				'Ce mail &laquo;'.ax($email).'&raquo; ou le domaine &laquo;'.ax($domaine_extrait).'&raquo; est interdit.'
				:
				'Le mail est d&eacute;j&agrave; utilis&eacute; par un autre membre,<br />
				ou tous les champs marqu&eacute;s par une &eacute;toile ne sont pas correctement remplis.').'
				</div>').'
				</div>';
			}
			else
			{
				if ($K_IN_DEMO)
				{
					$email = $email_old;
					$K_up_avatars['up'] = 0;
				}

				if ($site!='' && substr($site, 0, 7)!='http://')	$site = 'http://'.$site;

				// Vrif upload avatar
				require_once './modules/espace_membre/upavatar.php';
				$erreurAvatar = '';

				if ($K_up_avatars['up'] == 1)
				{
					require './includes/upload.class.php';
					$Upload = new Upload();
					$imageUp = uploadav($Upload);
					if ($imageUp[0])
					{
						$urlavatar=$imageUp[1];
						if (!empty($imageUp[2]))
						{
							$msgUpAvatar = '<p class="msgUpAvatar">'.$imageUp[2].'</p>';
						}
					}
					elseif (!empty($imageUp[2]))
					{
						$msgUpAvatar = '<p class="erreurUpAvatar">'.$imageUp[1].'<br /><span>'.$imageUp[2].'</span></p>';
					}
				}
				// Gravatar
				if(isset($MailGravatar) && $MailGravatar !='')
				{
					$urlavatar = '//www.gravatar.com/avatar/'.md5(strtolower($MailGravatar));
				}

				if (empty($erreurAvatar))
				{
					$array_urlavatar	= clean_avatar($urlavatar);
					$urlavatar			= $array_urlavatar[0];
					$erreurAvatar		= $array_urlavatar[1];
				}

				$NewMail = $cle_mail = '';
				if ($email != $email_old)
				{
					$NewMail	= $email;
					$email		= $email_old;
					$cle_mail	= rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).rand(0,9).$K_id.time();
					$message		= str_replace ('%clemail%', $cle_mail, $mailchg);
					$message		= str_replace ('%url_site%', $K_url_site, $message);
					$message		= str_replace ('%pseudo%', ax($K_pseudo), $message);
					require_once './includes/class.mail.php';
					$mail = new kws_mail();
					$mail->add_adresses(array($K_expediteur => $K_email_expediteur), 'From');
					$mail->add_adresses(array($K_pseudo => $NewMail), 'To');
					$mail->set_sujet('Confirmation de votre nouveau mail');
					$mail->set_message($message, 'multi');
					// et c'est parti
					// mail obligatoire
					$envoi = $mail->envoyer();
				}

				$req = reqmysql('
					UPDATE	`users`
					SET		`pass2`			= "'.$NewMail.'",
							`email`			= "'.$email.'",
							`aff_email`		= "'.$aff_email.'",
							`aff_news`		= "'.(empty($aff_news_form) ? 3 : $aff_news_form).'",
							`mp_popup`		= "'.$mp_popup.'",
							`popup`			= "'.$popup.'",
							`avatar`		= "'.$urlavatar.'",
							`signature`		= "'.$signature.'",
							`invisible`		= "'.$invisibilite.'",
							`cle`			= "'.$cle_mail.'"
					WHERE	`pseudo`		= "'.$K_pseudo.'"
					AND		`id`			= "'.$K_id.'"
				');
				foreach ($Champs_cplts as $Champ)
				{
					if ($Champ['nom'] == 'site' and !empty($_POST['sql_site']) and substr($_POST['sql_site'],0,7)!='http://')	$_POST['sql_site'] = 'http://'.$_POST['sql_site'];
					$SQL_UP_cplt .= '`'.$Champ['nom'].'` = "'.$_POST['sql_'.$Champ['nom']].'", ';
				}
				if (!empty($SQL_UP_cplt))
				{
					unset($_SESSION['users_cplt']);
					$req = reqmysql('
						UPDATE	`users_cplt`
						SET		'.substr($SQL_UP_cplt,0,-2).'
						WHERE	`id_pseudo`		= "'.$K_id.'"
					');
				}
				// Newsletter
				if (is_module('newsletter'))
				{
					if ($newsletter == 'oui')
					{
						if (Kws_mysql_num_rows(reqmysql('SELECT `email` FROM `newsletter` WHERE `email`="'.$email.'";'))== 0)
						{
							$req_newsletter = reqmysql('INSERT INTO `newsletter` SET `email`="'.$email.'", `news`="'.$NewsByMail.'"');
						}
						else
						{
							$req_newsletter = reqmysql('UPDATE `newsletter` SET `news`="'.$NewsByMail.'" WHERE `email`="'.$email.'"');
						}
					}
					elseif ($newsletter == 'non')
					{
						$req_newsletter = reqmysql('DELETE FROM `newsletter` WHERE `email`="'.$email.'" ;');
					}
					unset($_SESSION['Newsletter_nb_inscrits_'.$K_pseudo]);
				}
				// agenda
				if (is_module('agenda') && $agenda_anniv=='on')
				{
					$req_agd = reqmysql('
						SELECT		`users`.`id`,
									`agenda_anniv`.`id` AS ida
						FROM		`users`
						LEFT JOIN	`agenda_anniv`
							ON		`users`.`id` = `id_mbr`
						WHERE		`users`.`pseudo` = "'.$K_pseudo.'"
					');

					$agd = Kws_mysql_fetch_object($req_agd);

					if ($agd->ida)
					{
						$req = reqmysql('
							UPDATE `agenda_anniv`
							SET	`date_naissance`   = "'.$date_naissance.'",
								`aff_naissance`    = "'.$aff_naissance.'",
								`msg_anniversaire` = "'.$msg_anniversaire.'"
							WHERE `id`="'.$agd->ida.'"
						');
					}
					else
					{
						$req = reqmysql('
							INSERT INTO `agenda_anniv`
							SET	`id_mbr`           = "'.$K_id.'",
								`pseudo`           = "'.$K_pseudo.'",
								`date_naissance`   = "'.$date_naissance.'",
								`aff_naissance`    = "'.$aff_naissance.'",
								`msg_anniversaire` = "'.$msg_anniversaire.'"
						');
					}
				}
			}
			bloc_head ('Modification du profil');
			if (!empty($nonValide))
			{
				echo '
				'.$nonValide.'
				<p style="text-align:center"> Votre profil n&rsquo;a pas &eacute;t&eacute; actualis&eacute; !<br />
				<a href="./index.php?mod=espace_membre&amp;ac=profil&amp;id='.$K_user->id.'&amp;action=modifier">Retourner modifier mon profil</a>
				</p>
				<br />';
			}
			else
			{
				if (!empty($cle_mail))
				{
					echo df_message('attention',
					'<strong>Votre email &agrave; &eacute;t&eacute; modifi&eacute;.</strong><br />Vous allez recevoir un email de confirmation &agrave; '.$NewMail.'.',
					'<strong>Sa modification ne sera effective qu&rsquo;apr&egrave;s sa confirmation.</strong><br />La validit&eacute; du mail de confirmation est de 72 heures.'
					).'<br />';
				}

				echo df_message('',
				$erreur.' Votre profil a &eacute;t&eacute; actualis&eacute; !<br />'.$msgUpAvatar,
				'<a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$K_user->id.'">Voir mon nouveau profil</a>'
				);
			}
			close_table ();
		}
		// Modification mot de passe
		elseif ($_REQUEST['action'] == 'modifpass')
		{
			$pass2 = md5($_POST['sql_newPass2']);
			// Vrification de la validit du pass
			if ($K_IN_DEMO)
			{
				bloc_head ('Modification du mot de passe');
				echo df_message('erreur',
				'<p><strong>MODIFICATION INTERDITE !!</strong><p>',
				'<p>Vous ne pouvez pas modifier le mot de passe sur le site de d&eacute;monstration.</p>');
			}
			elseif ($pass2 != $_COOKIE['sql_pass'] and strlen($_POST['sql_newPass']) > 4 and
					$_POST['sql_newPass'] != $K_pseudo and $_POST['sql_newPass'] == $_POST['sql_newPass2'])
			{
				$req = reqmysql('
					UPDATE `users` SET `pass2` = "'.$pass2.'"
					WHERE `pseudo` = "'.$K_pseudo.'"
						AND `users`.`id` = "'.$K_id.'"
				');

				bloc_head ('MOT DE PASSE MODIFI&Eacute;');
				echo '
				<div style="text-align:center;">
				'.df_message('attention', '<strong>ATTENTION !!</strong><br />', '<p>
				Pour que ce changement soit pris en compte,<br />
				vous devez maintenant vous identifier avec ce nouveau mot de passe.
				</p>').'
				<form action="index.php?mod=espace_membre&amp;ac=login" method="post"">
				<p>
				<input type="submit" name="ident" value=" M&rsquo;identifier avec mon nouveau mot de passe " />
				</p>
				</form>
				</div>';
				unset($_SESSION['loggue']);
				$aujourdhui = mktime(0, 0, 0, date('m') , date('d'), date('Y'));
				setcookie('sql_pseudo', '', time()-3600, $Path_cookie);
				setcookie('sql_pass', '', time()-3600, $Path_cookie);
				setcookie('auto', '', time()-3600, $Path_cookie);
			}
			else
			{
				bloc_head ('Modification du mot de passe');
				echo '
				<div style="background-color:#fee;border: 1pt dashed #f00; margin:1em; padding:1em;">
				'.df_message('erreur', '<p><strong>MODIFICATION NON VALIDE !!</strong><p>', '<p>
				Le mot de passe que vous avez indiqu&eacute; n&rsquo;est pas valide,<br />
				ou les deux champs ne sont pas identiques<br />
				ou votre nouveau mot de passe est identique &agrave l&rsquo;actuel !
				</p>').'
				</div>
				<p style="text-align:center;">
				<a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$K_id.'&amp;action=modifpass">Remodifier votre mot de passe</a>
				</p>';
			}
			close_table();
		}
	}
}
elseif (empty($K_pseudo))
{
	zoneReserve('identification');
}
else
{
	zoneReserve('','l\'administrateur du site a bloqu&eacute; l\'acc&egrave;s &agrave; la modification du profil.<br />Veuillez le contacter.');
}
?>
