<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: sessionCache.php 1016 2016-02-04 11:49:43Z mike007 $
// ---------------------------------------------------------------
// Creation par mike007 et otocinclus
// ---------------------------------------------------------------

if (empty($_SESSION[$CachePseudo.'_CatForum_0']))
{
	// Charge la liste des catgories du forum, autorise pour le membre,
	// en variable session pour soulager le serveur MySQL

	/**
	 * var liste des catgories du forum
	 * @author  mike007
	 * @var  array
	 */
	$forum_liste_categorie = array();
	$req_CatForum = reqmysql('
		SELECT		`forum_cat`.`titre`	AS cat_titre,
					`forum_cat`.`grade`	AS cat_grade,
					`forum_cat`.`ref`	AS cat_ref,
					`forum_cat`.`id`	AS cat_id
		FROM		`forum_cat`
		LEFT JOIN	`forum_cniv`
			ON		`forum_cat`.`id`=`forum_cniv`.`id_cat`
		LEFT JOIN	`groupes_mbr`	ON `groupes_mbr`.`groupe` = `forum_cat`.`id_groupe`
		WHERE		((`groupes_mbr`.`pseudo` = "'.$K_pseudo.'"
			AND		`groupes_mbr`.`grade` != "-1" AND `groupes_mbr`.`grade` != "-2"
			AND		`groupes_mbr`.`groupe` = `forum_cat`.`id_groupe`)
			OR		`forum_cat`.`id_groupe`="0")
			AND		`forum_cat`.`grade` <= "'.$K_grade.'"
		GROUP BY	`forum_cat`.`id`
		ORDER BY	`forum_cat`.`position` ASC, `forum_cniv`.`sous_position` ASC
	');

	$K_user->CatForum = array();
	if (Kws_mysql_num_rows($req_CatForum)>0)
	{
		while ($rep_CatForum = Kws_mysql_fetch_object($req_CatForum))
		{
			if ($K_grade >= $rep_CatForum->cat_grade) $forum_liste_categorie[$rep_CatForum->cat_id] = $rep_CatForum->cat_titre;
		}

		/**
		 * var liste des catgories du forum autorises pour le pseudo
		 * @author  mike007
		 * @var  array
		 */
		foreach ($forum_liste_categorie as $id_CatForum => $titre_CatForum)
		{
			$K_user->CatForum[0] .= $id_CatForum.', ';
			$K_user->CatForum[$id_CatForum] = $titre_CatForum;
		}
		$K_user->CatForum[0] = substr($K_user->CatForum[0], 0, -2);
	}

	if (!empty($K_user->CatForum[0]))	$K_user->CatForum[0] = '('.$K_user->CatForum[0].')';
	else								$K_user->CatForum[0] = '(0)';

	$_SESSION[$CachePseudo.'_CatForum_0'] = $K_user->CatForum[0];
	$_SESSION[$CachePseudo.'_CatForum'] = $K_user->CatForum;
	//df_print_r($_SESSION);
}
if (empty($_SESSION['ListeGrSpe']))
{
	##  On enregistre les grades dans un tableau  ##
	$req_grd = reqmysql('
		SELECT		`forum_grades`.`id`,
					`forum_grades`.`nom`,
					`forum_grades`.`min`,
					`forum_grades`.`image`,
					`forum_speciaux`.`user`,
					`forum_speciaux`.`grade`
		FROM		`forum_grades`
		LEFT JOIN	`forum_speciaux`
			ON		`forum_grades`.`id`=`forum_speciaux`.`grade`
		ORDER BY	`forum_grades`.`nom` ASC
	');
	$ListeGrdSpeFofo = $ListeGrdSpeUser = $ListeGrdSpeOnly = $ListeGrdSpeUserBis = array();
	while ($ligne_grd = Kws_mysql_fetch_object($req_grd))
	{
		if ($ligne_grd->min == '-1')
		{
			$ListeGrdSpeOnly[$ligne_grd->id] = array(
			'nom'	=> $ligne_grd->nom,
			'image'	=> $ligne_grd->image
			);
		}
		if ($ligne_grd->user == NULL)
		{
			$ListeGrdSpeFofo[$ligne_grd->min] = array(
			'id'	=> $ligne_grd->id,
			'nom'	=> $ligne_grd->nom,
			'image'	=> $ligne_grd->image
			);
		}
		else
		{
			$ListeGrdSpeUser[$ligne_grd->user] = array(
			'nom'	=> $ligne_grd->nom,
			'image'	=> $ligne_grd->image
			);
			$ListeGrdSpeUserBis[$ligne_grd->user] = $ligne_grd->nom;
		}
	}
	unset ($ListeGrdSpeFofo[-1]);
	ksort($ListeGrdSpeOnly);
	ksort($ListeGrdSpeFofo);
	ksort($ListeGrdSpeUser);
	ksort($ListeGrdSpeUserBis);
	$_SESSION['ListeGrSpe']['Only']		= $ListeGrdSpeOnly;
	$_SESSION['ListeGrSpe']['FoFo']		= $ListeGrdSpeFofo;
	$_SESSION['ListeGrSpe']['User']		= $ListeGrdSpeUser;
	$_SESSION['ListeGrSpe']['UserBis']	= $ListeGrdSpeUserBis;
}
?>
