<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: captcha.php 956 2013-01-09 16:13:23Z otocinclus $
// ---------------------------------------------------------------
// Cration : 09/01/13 par otocinclus
// ---------------------------------------------------------------

if (!defined('__KWS__')) die('Erreur d\'appel de fichier.');


/**
 * Gnre le code HTML du captcha
 *
 * @autor otocinclus
 * @param type		string	type  fournir au gnrateur d'image
 * @param class 	string	classe css
 * @param script	string	nom du JS vrifiant la validit du champ
 * @return 			string	code HTML
 */
function get_captcha($type, $class, $script, $gestion=false)
{
	global $K_ac, $K_code_secu_mods, $K_generateur_options, $K_dynamicHead;
	$_SESSION['code_confirm']		= gen_reg_key();
	$_SESSION['code_confirm_time']	= time();

	if ((get_grade() < GRD_MEMBR && in_array($type, unserialize($K_code_secu_mods))) || $gestion)
	{
		if (!is_array($K_generateur_options)) $K_generateur_options = unserialize($K_generateur_options);
		if ($gestion === false)	$gestion = $K_generateur_options['type'];

		if ($gestion == 'slider')
		{
			// JS pour le slider
			$K_dynamicHead['css'][] = 'includes/jquery-ui-1.9.2/themes/base/jquery.ui.all.css';
			$K_dynamicHead['js'][]  = 'includes/jquery-ui-1.9.2/ui/jquery.ui.core.js';
			$K_dynamicHead['js'][]  = 'includes/jquery-ui-1.9.2/ui/jquery.ui.widget.js';
			$K_dynamicHead['js'][]  = 'includes/jquery-ui-1.9.2/ui/jquery.ui.mouse.js';
			$K_dynamicHead['js'][]  = 'includes/jquery-ui-1.9.2/ui/jquery.ui.slider.js';
			$K_dynamicHead['js'][]  = 'modules/generateur/sliderNoBot.js';

			return '
			<div class="slider">D&eacute;placez le curseur &agrave; la bonne position pour activer le bouton de validation</div>
			<div id="sliderNoBot" title="Glisser pour activer la validation" style="width:95%;margin:auto;margin-top:15px;"></div>
			<input type="hidden" name="code_secu" value="" id="code_secu" />';
		}
		else
		{
			return '
			<p>
				<label class="'.$class.'" for="code_secu">Code de S&eacute;curit&eacute; : </label>
				<img src="index.php?mod=generateur&amp;type='.$type.'" alt="Code de securit&eacute;" border="1" />
			</p>
			<p>
				<label class="'.$class.'" for="code_secu"><span style="color:#FF0000">*</span> Veuillez entrer le Code de S&eacute;curit&eacute; : </label>
				<input name="code_secu" id="code_secu" maxlength="6" size="10" value="" onkeyup="'.$script.'(this);" onblur="'.$script.'(this);" />&nbsp;
				<span class="mini_message" id="codeok"> Identique au code contenu dans l&rsquo;image.</span>
			</p>';
		}
	}
	else
	{
		return '<input type="hidden" name="code_secu" id="code_secu" value="'.$_SESSION['code_confirm'].'" />';
	}
}

/**
 * Vrifie la validit du captcha
 *
 * @autor otocinclus
 * @param delai		int	delai mini (en secondes) entre affichage formulaire et son envoi complt.
 *  					(bloque les robots qui retournent le formulaire presque instantanment)
 * @param validite 	int	dure (en minutes) de validit du formulaire
 * @return 			bool
 */
function is_valideCaptcha($delai=12, $validite=30)
{
	$duree		= time() - $_SESSION['code_confirm_time'];
	$resultat	= ($_POST['code_secu']==$_SESSION['code_confirm'] && $duree>$delai && $duree/60<$validite);
	unset($_SESSION['code_confirm']);
	unset($_SESSION['code_confirm_time']);
	return $resultat;
}

?>
