<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: index.php 1015 2016-02-04 11:49:06Z mike007 $
// ---------------------------------------------------------------
// Cration : 29/02/08 par FouPouDave
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

if(get_grade() >= GRD_VISIT)
{
	bloc_head('Groupes');
	if (isset($_GET['msg_info']) && $_GET['msg_info']==1)
	{
		echo df_message('information','L\'op&eacute;ration a &eacute;t&eacute; effectu&eacute;e avec succ&egrave;s !').'<hr />';
	}

	$requete = reqmysql('
		SELECT		`groupes_mbr`.`id`			AS id_membre,
					`groupes_mbr`.`grade`		AS statut,
					`groupes_grp`.`id`			AS id_groupe,
					`groupes_grp`.`nom`			AS nom,
					`groupes_grp`.`description`	AS description,
					`groupes_grp`.`public`		AS public,
					`groupes_grp`.`aff_bloc`	AS aff_bloc,
					`users`.`pseudo`			AS pseudo,
					`users`.`grade`				AS grade
		FROM		`groupes_mbr`
		LEFT JOIN	`groupes_grp`
			ON		`groupes_grp`.`id` = `groupes_mbr`.`groupe`
		LEFT JOIN	`users`
			ON		`users`.`pseudo` = `groupes_mbr`.`pseudo`
		ORDER BY	`groupes_mbr`.`groupe`,
					`groupes_mbr`.`grade` DESC,
					`users`.`grade` DESC,
					`users`.`pseudo`
	');

	if (Kws_mysql_num_rows($requete)>0)
	{
		while ($ligne = Kws_mysql_fetch_object($requete))
		{
			if (!isset($liste_grp[$ligne->id_groupe]))
			{
				$liste_grp[$ligne->id_groupe] = array(
					'nom'			=> $ligne->nom,
					'description'	=> $ligne->description,
					'public'		=> $ligne->public,
					'aff_bloc'		=> $ligne->aff_bloc,
					'compteur'		=> 0,
					'admin'			=> 0
				);
			}
			if ($ligne->statut != -1 and $ligne->statut != -2)
			{
				$liste_grp[$ligne->id_groupe]['compteur']++;
			}
			if ($ligne->statut == 2)
			{
				$liste_grp[$ligne->id_groupe]['admin']++;
			}

			$liste_mbr[$ligne->id_groupe][$ligne->id_membre] = array(
				'pseudo'	=> $ligne->pseudo,
				'grade'		=> $ligne->grade,
				'statut'	=> $ligne->statut
			);
		}

		$contenu = '';
		if (count($liste_grp) != 0)
		{
			foreach ($liste_grp as $id => $groupe)
			{
				$adherent		= false;
				$autorisation	= get_grade('administration') >= GRD_ADMIN;
				$contenu_mbre 	= '';
				foreach ($liste_mbr[$id] as $id_mbr => $membre)
				{
					if ($membre['pseudo'] == $pseudo)
					{
						$adherent = true;
						if ($membre['statut'] == 2)
						{
							$autorisation = true;
						}
					}


					if ($membre['statut'] != -2 or $autorisation)
					{
						$contenu_mbre .= '
						<li style="line-height:25px">';
						if ($autorisation and !($groupe['admin']==1 and $membre['statut'] == 2))
						{
							$contenu_mbre .= '
							<a href="index.php?mod=groupes&amp;ac=gestion&amp;action=editer_membre&amp;int_id='.$id_mbr.'">
								<img src="./modules/groupes/images/editer.png" alt="Image" border="0"/>
							</a>
							<a href="index.php?mod=groupes&amp;ac=gestion&amp;action=supprimer_membre&amp;int_id='.$id_mbr.'" onclick="if (confirm(\'Voulez-vous vraiment supprimer le membre : '.ax($membre['pseudo']).' ?\') == true) {this.href+=\'&amp;conf=oui\';return true} else {return false}">
								<img src="./modules/groupes/images/supprimer.png" alt="Image" border="0"/>
							</a>';
						}
						elseif ($autorisation and ($groupe['admin']==1 and $membre['statut'] == 2) and count($liste_mbr[$id])!=1)
						{
							$contenu_mbre .= '
							<img src="./modules/groupes/images/vide.png" alt="Image" border="0"/>
							<img src="./modules/groupes/images/vide.png" alt="Image" border="0"/> ';
						}
						elseif ($membre['pseudo'] == $pseudo and ($membre['statut']!=2 or ($membre['statut']==2 and $groupe['admin']>1)))
						{
							$contenu_mbre .= '
							<a href="index.php?mod=groupes&amp;ac=gestion&amp;action=supprimer_membre&amp;int_id='.$id_mbr.'" onclick="if (confirm(\'Voulez-vous vraiment quitter ce groupe ?\') == true) {this.href+=\'&amp;conf=oui\';return true} else {return false}">
								<img src="./modules/groupes/images/supprimer.png" alt="Image" border="0" title="Quitter ce groupe" />
							</a>';
						}
						$contenu_mbre .= get_grd_symbol($membre['grade']).ax($membre['pseudo']);
						switch ($membre['statut'])
						{
							case -2 :
								$contenu_mbre .= ' (Exclu)';
								break;
							case -1 :
								$contenu_mbre .= ' (En attente)';
								break;
							case 0 :
								$contenu_mbre .= '';
								break;
							case 1 :
								$contenu_mbre .= ' (V.I.P.)';
								break;
							case 2 :
								$contenu_mbre .= ' (Admin)';
								break;
						}
						$contenu_mbre .= '
						</li>';
					}
				}

				if ($groupe['aff_bloc'] == 1 or $groupe['public'] == 1  or $adherent  or $autorisation)
				{
					$contenu .= '
					<fieldset class="fieldset_groupes" style="padding:10px;margin:10px">
					<legend id="groupe-'.$id.'_lien">';
						if ($autorisation)
						{
							$contenu .= '
							<a href="index.php?mod=groupes&amp;ac=gestion&amp;action=editer_groupe&amp;int_id='.$id.'">
								<img src="./modules/groupes/images/editer.png" alt="Image" border="0" />
							</a>
							<a href="index.php?mod=groupes&amp;ac=gestion&amp;action=supprimer_groupe&amp;int_id='.$id.'" onclick="if (confirm(\'Voulez-vous vraiment supprimer le groupe : '.ax($groupe['nom']).' ?\') == true) {this.href+=\'&amp;conf=oui\';return true} else {return false}">
								<img src="./modules/groupes/images/supprimer.png" alt="Image" border="0" />
							</a>';
						}

						$contenu .= '
							<a href="index.php?mod=groupes'.($_GET['int_id']!=$id ? '&amp;int_id='.$id : '').'" onclick="javascript:cachecache(\'groupe-'.$id.'\'); return false">'.ax($groupe['nom']).'</a> ('.$groupe['compteur'].' membre'.($groupe['compteur']>1 ? 's' : '').')
					</legend>';
						if (!empty($groupe['description']))
						{
							$contenu .= '
							<fieldset style="margin:5px 50px;">
								'.bbcode($groupe['description'],1,1).'
								<ul id="groupe-'.$id.'" style="list-style:circle;'.($_GET['int_id']==$id ? 'display:block;' : 'display:none;').'">
								<li style="list-style:none"><hr style="margin-left:-40px;" /></li>';
						}
						else
						{
							$contenu .= '
							<fieldset id="groupe-'.$id.'" class="fieldset_groupes" style="margin:5px 50px;'.($_GET['int_id']==$id ? 'display:block;' : 'display:none;').'">
								<ul  style="list-style:circle;">';
						}
							$contenu .= $contenu_mbre;

							if ($autorisation)
							{
								$contenu .= '
								<li style="line-height:25px">
									<a href="index.php?mod=groupes&amp;ac=gestion&amp;action=ajouter_membre&amp;int_id_groupe='.$id.'">
										<img src="./modules/groupes/images/ajouter.png" alt="Image" border="0" />
									</a> Incorporer un membre &agrave; ce groupe
								</li>';
							}
							elseif ((!empty($pseudo)) and ($autorisation or $groupe['public'] == 1) and !$adherent)
							{
								$contenu .= '
								<li style="line-height:25px">
									<a href="index.php?mod=groupes&amp;ac=gestion&amp;action=ajouter_membre&amp;int_id_groupe='.$id.'">
										<img src="./modules/groupes/images/ajouter.png" alt="Image" border="0" />
									</a> Incorporer ce groupe
								</li>';
							}

							$contenu .= '
							</ul>
						</fieldset>
					</fieldset>
					';
				}
			}
		}
	}
	else
	{
		$contenu = df_message('','Il n&rsquo;existe aucun groupe.');
	}

	if (get_grade('administration') >= GRD_ADMIN)
	{
		$contenu .= '<br />'.df_message('','<a href="index.php?mod=groupes&amp;ac=gestion&amp;action=ajouter_groupe">Cr&eacute;er un nouveau groupe</a>');
	}

	echo $contenu;
	close_table();
}
else
{
	ZoneReserve();
}
?>
