<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: index.php 1014 2016-02-04 11:48:06Z mike007 $
// ---------------------------------------------------------------
// modifier : 18/11/07 par SUPERVISOR
// ---------------------------------------------------------------
// Module liens_web sur la base du module lien_rss
//
// Fichier index du module liens_web pour l'affichage des donnes.
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}


// Rcupration des paramtres
$reqparam = reqmysql ('
	SELECT	`nom`,
			`valeur`
	FROM	`liens_web_opt`
');
while ($resultparam = Kws_mysql_fetch_object ($reqparam))
{

	${'liens_web_'.$resultparam->nom} = $resultparam->valeur;
}


$action = ax($_REQUEST['action']);

bloc_head ('Liens_Web :');

	$K_liens_web_options_gr = unserialize($K_liens_web_options_gr);
	$Autorisation_Gestion_LW = ($K_liens_web_options_gr['gr_gestion']!='-2' AND $K_grade >= $K_liens_web_options_gr['gr_gestion']);
	include './modules/'.$K_mod.'/entete.php';
	include './modules/'.$K_mod.'/legende.php';
	$K_liens_web_options_gr = serialize($K_liens_web_options_gr);

// les nouveaux liens
// les plus populaires
// Lien au hasard
// Affichage sur categorie unique
// Affichage par defaut
if ($action == 'nouveau' or $action == 'populaire' or $action == 'hasard' or $action == 'filtre' or $action == 'mine' or empty($action))
{
	if ($action == 'populaire')
	{
		//On slectionne ceux qui ont eu le plus de hits (clic)
		$result = reqmysql('
			SELECT		`id`, `nom`, `date`, `id_pseudo`, `auteur`, `categorie`, `mort`, `description`, `url`, `valide`, `hit`
			FROM		`liens_web`
			WHERE		`hit` > 0
				AND		`valide` ="1"
				AND		`cat_valide` = "1"
			ORDER BY	`categorie` ASC,
						`hit` DESC
			LIMIT		0,30;
		');
		echo '<p style="text-align:center">
			<img style="border:0;margin:1px; vertical-align:middle;" src="./modules/'.$K_mod.'/images/pop_liens.png" alt="img" />
			<strong> Les 30 liens les plus populaire :</strong>
		</p>';
	}
	elseif ($action == 'hasard')
	{
		//On slectionne une entre en bdd au hasard
		$result = reqmysql('
			SELECT		`id`, `nom`, `date`, `id_pseudo`, `auteur`, `categorie`, `mort`, `description`, `url`, `valide`, `hit`
			FROM		`liens_web`
			WHERE		`valide` ="1"
				AND		`cat_valide` = "1"
			ORDER BY	RAND()
			LIMIT		0,1;
		');
		echo '<p style="text-align:center">
			<img style="border:0;margin:1px; vertical-align:middle;" src="./modules/'.$K_mod.'/images/hasard_liens.png" alt="img" />
			<strong> Un lien au hasard :</strong>
		</p>';
	}
	elseif ($action == 'nouveau')
	{
		//On slectionne les derniers d'abord
		$result = reqmysql('
			SELECT		`id`, `nom`, `date`, `id_pseudo`, `auteur`, `categorie`, `mort`, `description`, `url`, `valide`, `hit`
			FROM		`liens_web`
			WHERE		`valide` ="1"
				AND		`cat_valide` = "1"
			ORDER BY	`id` DESC
		');
		echo '<p style="text-align:center">
			<img style="border:0;margin:1px; vertical-align:middle;" src="./modules/'.$K_mod.'/images/new_liens.png" alt="img" />
			<strong> Les nouveaux liens :</strong>
		</p>';
	}
	elseif ($action == 'mine')
	{
		//On slectionne les derniers d'abord
		$result = reqmysql('
			SELECT		`id`, `nom`, `date`, `id_pseudo`, `auteur`, `categorie`, `mort`, `description`, `url`, `valide`, `hit`
			FROM		`liens_web`
			WHERE		`id_pseudo` = "'.$K_user->id.'"
			ORDER BY	`id` DESC
		');
		echo '<p style="text-align:center">
			<img style="border:0;margin:1px; vertical-align:middle;" src="./modules/'.$K_mod.'/images/ajout_liens.png" alt="img" />
			<strong> Mes liens :</strong>
		</p>';
	}
	else
	{
		if ($action == 'filtre')
		{
			//On controle si on selectionne "selectionnez une catgorie" ds le menu droulant
			if ( $_POST['cat2'] == 'nocat')
			{
				header('Location: index.php?mod='.$K_mod);
			}
		}

		$result = reqmysql('
			SELECT		`id`, `nom`, `date`, `id_pseudo`, `auteur`, `categorie`, `mort`, `description`, `url`, `valide`, `hit`
			FROM		`liens_web`
			WHERE		`valide`="1"
				AND		`cat_valide` = "1"
				'.( !empty($_REQUEST['cat2']) ? 'AND `categorie` = "'.sp($_REQUEST['cat2']).'"':'' ).'
			ORDER BY	`categorie` ASC, `nom` ASC
			;
		');

		if ($action == 'filtre')
		{
			echo '
			<p style="text-align:center">
				<img style="border:0;margin:1px; vertical-align:middle;" src="./modules/'.$K_mod.'/images/tous_liens.png" alt="img" />
				<strong>Tous les liens : </strong>categorie '.ax($_REQUEST['cat2']).'.
			</p>';
		}
		else
		{
			//On slectionne les liens valident dont les entres sont les plus rcentes
			echo '<p style="text-align:center">
				<img style="border:0;margin:1px; vertical-align:middle;" src="./modules/'.$K_mod.'/images/new_liens.png" alt="img" />
				<strong> Tous les liens : </strong>
			</p>';
		}

		//include 'modules/'.$K_mod.'/pagination.php';
	}
	$TotalLiens = $total_liens = Kws_mysql_num_rows($result);
	if(intval($liens_web_nb_liens_page==0)) $liens_web_nb_liens_page = 10;
	$pagination = new pagination($total_liens, $liens_web_nb_liens_page);

	if ($total_liens > $pagination->elt_par_page)
	{
		$total_liens = $pagination->elt_par_page + $pagination->getDebutPage();
	}
	$liens_web_listing = '' ;
	$lien_i = 0;
	//On fait une boucle pour afficher le rsultat
	if ($TotalLiens==0) $liens_web_listing .= df_message('','Aucun lien trouv&eacute;.');
	while (list($id, $nom, $date, $id_pseudo, $auteur, $categorie, $mort, $description, $url, $valide, $hit) = Kws_mysql_fetch_row($result))
	{
		if ($action == 'nouveau')		$liens_web_texte_elt[] = date('d/m/Y',$date);
		else							$liens_web_texte_elt[] = $categorie;
		if (($lien_i >= $pagination->getDebutPage() and $lien_i < $total_liens) or $action=='hasard')
		{
			if ($cat_pop != $categorie)
			{
				$liens_web_listing .= '<hr />
				<div style="font-weight:bold;" class="menu">
				<img src="./modules/'.$K_mod.'/images/cat.png" alt="Catgorie" title="Catgorie"  border="0" /> '.ax($categorie).' :
				</div>
				<br />
				<br />';
			}

			$liens_web_listing .= '
			<table summary="Liens web">
				<tr>
					<td nowrap="nowrap">
						<a href="./index.php?mod='.$K_mod.'&amp;action=info&amp;id='.$id.'"><img src="./modules/'.$K_mod.'/images/details.png" border="0" alt="Fiche complete du lien" title="Fiche complete du lien" /></a>
						&nbsp;&nbsp;
						<a href="./index.php?mod='.$K_mod.'&amp;ac=visite&amp;id='.$id.'" onclick="window.open(this.href);return false;"><img src="./modules/'.$K_mod.'/images/visit.png" border="0" alt="Visiter" title="Visiter" /></a>
						&nbsp;&nbsp;
						';
						if ($mort == 0)
						{
							if ($K_grade >= GRD_MEMBR)
							{
								$liens_web_listing .= '<a href="./index.php?mod='.$K_mod.'&amp;action=mort&amp;id='.$id.'"><img src="./modules/'.$K_mod.'/images/signal.png" border="0" alt="Lien Valide" title="Lien Valide" /></a>';
							}
							else
							{
								$liens_web_listing .= '<img src="./modules/'.$K_mod.'/images/signal.png" border="0" alt="Lien Valide" title="Lien Valide" />';
							}
						}
						else
						{
							$liens_web_listing .= '<img src="./modules/'.$K_mod.'/images/interdit.png" border="0" alt="Lien Mort" title="Lien Mort" />';
						}
					$liens_web_listing .= '</td>';
					if ($liens_web_aff_miniature == '1')
					{
						$liens_web_listing .= '<td>
							<a href="./index.php?mod=liens_web&amp;ac=visite&amp;id='.$id.'" onclick="window.open(this.href);return false;" title="Visitez le site">
								<img id="pic_'.$id.'" src="http://www.easy-thumb.net/min.html?url='.ax($url).'" alt="'.ax($url).'" style="float:left; width:120px; height:90px; border:2px; border-color:#CCC; border-style:solid;" />

							</a>
						';
						if ($liens_web_opacity == 'Oui')
						{
							$liens_web_listing .= '
							<script type="text/javascript">
								// <![CDATA[
								document.getElementById("pic_'.$id.'").style.filter = "alpha(opacity='.$liens_web_opacity_out.')";
								document.getElementById("pic_'.$id.'").style.opacity = "'.(($liens_web_opacity_out)/100).'";
								document.getElementById("pic_'.$id.'").setAttribute("onmouseover","makevisible( \''.$id.'\' , \''.($liens_web_opacity_over/100).'\' )");
								document.getElementById("pic_'.$id.'").setAttribute("onmouseout","makevisible( \''.$id.'\' ,  \''.($liens_web_opacity_out/100).'\' )");
								// ]]>
							</script>
							';
						}
						$liens_web_listing .= '</td>';
					}
					$liens_web_listing .= '<td>
						Titre : <a href="./index.php?mod='.$K_mod.'&amp;action=info&amp;id='.$id.'"><strong>'.ax($nom).'</strong></a><br />
						Hit : [<strong>'.ax($hit).($hit > 1 ? ' clics' : ' clic').'</strong>]<br />
						Ajout&eacute; le : <strong>'.date( 'd/m/Y', ax($date) ).'</strong> '.(($K_user->id==$id_pseudo && !$valide) ? '(Lien en attente de validation)':'').'<br />
					';
					if ($id_pseudo != 0 AND $auteur != 'Ancien membre')
					{
						$liens_web_listing .= 'Par : <a href="./index.php?mod=espace_membre&amp;ac=profil&amp;id='.ax($id_pseudo).'"><strong> '.ax($auteur).'</strong></a>';
					}
					else
					{
						$liens_web_listing .= 'Par : <strong> '.ax($auteur).'</strong>';
					}
					$liens_web_listing .= '<br />
					</td>
				</tr>
			</table>';
			$cat_pop = $categorie;
		}
		$lien_i++;
	}
	$pagination->texte_elt = $liens_web_texte_elt;
	echo $pagination->creer('./index.php?mod=liens_web'.(!empty($action)? '&amp;action='.$action: '').(!empty($_REQUEST['cat2'])? '&amp;cat2='.ax($_REQUEST['cat2']): '').'&amp;int_page=%d').'<br />';
	if ($action != 'hasard' AND $TotalLiens > $liens_web_nb_liens_page)
	{
		$liens_web_listing .= '<hr />'.$pagination->barre_nav;
	}
	if ($liens_web_aff_miniature == '1')
	{
		$liens_web_listing .= '<hr />
		<p style="text-align:center;font-size:smaller;">
			Miniatures g&eacute;n&eacute;r&eacute;es par<br />
            <a href="http://www.easy-thumb.net" target="_blank">
				<img src="http://www.easy-thumb.net/images/pubs/et-200x40.jpg" alt="Easy-Thumb" style="border:none;height:30px;" />
			<a>
<!--
        	<a href="https://www.apercite.fr/" target="_blank">
				<img src="https://www.apercite.fr/itf/defaut/img/logotype.png" alt="Apercite" style="border:none;height:30px;" />
			<a>
			<a href="http://www.thumbshots.org">
				<img src="http://open.thumbshots.org/attribution.png" alt="Free thumbnail preview by Thumbshots.org" style="border:none;height:25px;" />
			</a><br />
			<a href="http://learn.thumbshots.com" target="_blank">What are thumbshots?</a>
-->
		</p>';
	}
	echo $liens_web_listing;
}

// Formulaire de proposition de lien
elseif ($action == 'ajout')
{
	$K_liens_web_options_gr = unserialize($K_liens_web_options_gr);
	if ($K_liens_web_options_gr['gr_ajout']=='-2' OR $K_grade < $K_liens_web_options_gr['gr_ajout'])
	{
		echo df_message('','Vous n&rsquo;avez pas l&rsquo;autorisation d&rsquo;effectuer cette action !');
	}
	else
	{
		echo '
		<script type="text/javascript" src="./includes/bbcode.js"></script>
		<script type="text/javascript" src="./includes/bjs.js"></script>
		<script type="text/javascript">
		// <![CDATA[
			function envoyer_lw()
			{
				var valid_form = true;
				if (document.getElementById("categorie").value == "#nvl#" && document.getElementById("catnv").value == "")
				{
					alert("Vous devez spcifier un nom pour la nouvelle catgorie");
					document.getElementById("catnv").focus();
					valid_form = false;
				}
				if (valid_form == true)	valid_form = control_form("titrelien,Nom_du_lien categorie,Catgorie adresse,URL");
				return valid_form;
			}
		// ]]>
		</script>

		<form action="./index.php?mod='.$K_mod.'&amp;ac='.$K_ac.'" method="post" onsubmit="return envoyer_lw()">
			<input type="hidden" name="action" value="verif" />
			<input type="hidden" name="auteur" id="auteur" value="'.$K_pseudo.'" />
			<fieldset class="fieldset_post">
				<legend>
					<img style="border:0;margin:1px; vertical-align:middle;" src="./modules/'.$K_mod.'/images/ajout_liens.png" alt="img" />
					<strong>Proposer un lien :</strong>
				</legend>
		';
		if (!$Autorisation_Gestion_LW)
		{
			echo df_message('','Le lien que vous allez proposer sera verifi&eacute; par un administrateur.');
		}
		echo '
				<dl>
					<dt><label>Nom du lien :</label></dt>
					<dd><input type="text" size="30" id="titrelien" name="titrelien" value="'.$_POST['titrelien'].'" /></dd>
				</dl>
				<dl>
					<dt><label>Cat&eacute;gorie :</label></dt>
					<dd>
						<select name="categorie" id="categorie">
							<option value="">S&eacute;lectionnez...</option>
							<option value="#nvl#"'.($_POST['categorie']=='#nvl#' ? ' selected="selected"':'').'>Nouvelle cat&eacute;gorie</option>
							<option value="" disabled="disabled">Ou</option>';
							$temp = '' ;
							$req_lie = reqmysql('
								SELECT `id`, `nom`, `date`, `auteur`, `categorie`, `mort`, `description`, `url`, `valide`, `hit`, `smileys`, `pseudomort`
								FROM `liens_web`
								WHERE `cat_valide` = "1"
								ORDER BY `categorie`
							');
							while ($lie = Kws_mysql_fetch_object($req_lie))
							{
								if ($temp != $lie->categorie)
								{
									if ($lie->categorie == $_POST['categorie'])
									{
										$sel = 'selected="selected"';
									} else
									{
										$sel ='';
									}
									echo '<option value="'.$lie->categorie.'" '.$sel.'>'.ax($lie->categorie).'</option>';
									$temp=$lie->categorie;
								}
							}
						echo '
						</select><br />
						(Si nouvelle categorie : <input type="text" id="catnv" name="catnv" size="20" value="'.ax($_POST['catnv']).'" /> )<br />&nbsp;
					</dd>
				</dl>
				<dl>
					<dt><label>URL :</label></dt>
					<dd>
						<input type="text" size="50" name="adresse" id="adresse" value="'.ax($_POST['adresse']).'" />
						<br />
						<em>L&rsquo;adresse doit commencer par: http:// - mms:// ...</em>
					</dd>
				</dl>
		';
				if (is_module('smileys')) afficher_smileys();
				include './includes/balises.php';
		echo '
				<dl>
					<dt><label>Commentaire / Description: <em>(Facultatif)</em></label></dt>
					<dd>&nbsp;</dd>
				</dl>
				<div class="fieldset_post">
					<textarea cols="90" rows="'.(empty($new_textareaRows)?'13':$new_textareaRows).'" name="texte" id="postzone" onkeyup="bjs(this.value,\'apercu\')" onchange="bjs(this.value,\'apercu\')" >'.ax($_POST['texte'],true).'</textarea>
				</div>
				<div style="text-align:center;">
					<input type="checkbox" onclick="pr_act(this);" /> Pr&eacute;visualisation du message:
					<span style="margin-left:50px">&nbsp;</span>
					<input type="button" value="Actualiser" style="visibility:hidden" id="prev" name="prev" onclick="finalprev(\'./includes/xml_prev.php\',document.getElementById(\'postzone\').value,\'apercu\')" />
				</div>
				<div id="apercu" style="display:none"></div>
				<hr />
				<div style="text-align:center">
					<input type="submit" id="submit" value=" Proposer " />
					<span style="margin-left:25px">&nbsp;</span>
					<input type="reset" id="reset" value=" Annuler " />
				</div>
			</fieldset>
		</form>';
	}
	$K_liens_web_options_gr = serialize($K_liens_web_options_gr);
}

// ajout de la proposition de lien dans la base
elseif ($action == 'verif')
{
	//Slectionne toutes les catgories dans la table liens_web
	$req_cat_lw = reqmysql('SELECT DISTINCT `categorie` FROM `liens_web` WHERE `cat_valide` != "0";');
	while ($rep_cat_lw = Kws_mysql_fetch_object($req_cat_lw))	$lw_AllCat[] = $rep_cat_lw->categorie;

	//Scurit oblige !
	$titrelien	= sp($_POST['titrelien']);
	$categorie	= sp($_POST['categorie']);
	$texte		= sp($_POST['texte']);
	$adresse	= sp($_POST['adresse']);

	if ($titrelien !='' && $categorie !='' && $adresse !='')
	{
		//si l'adresse donne ne comporte pas le 'http://', on l'ajoute
		if ($_POST['adresse']!='')
		{
			if (substr($_POST['adresse'],0,7)!='http://')
				$adresse = 'http://'.$adresse;
			if (substr($adresse, -1)=='/')
				$adresse_test = substr($adresse,0,-1);
			else
				$adresse_test = $adresse;
		}

		$req_result = reqmysql('
						SELECT COUNT(`id`) FROM `liens_web` WHERE (`url` = "'.$adresse_test.'" OR `url` = "'.$adresse_test.'/")
			UNION ALL	SELECT COUNT(`id`) FROM `liens_web` WHERE `nom` = "'.$titrelien.'"
		');
		$i = 0;
		while ($rep_result = Kws_mysql_fetch_row ($req_result))
		{
			$verif_nb[$i] = $rep_result[0];
			$i ++;
		}

		if ($verif_nb[0] !=0)
			echo df_message('erreur','Erreur',
							'Cette URL est d&eacute;j&agrave; pr&eacute;sente dans la base de donn&eacute;es !');
		elseif ($verif_nb[1] !=0)
			echo df_message('erreur','Erreur',
							'Un lien porte d&eacute;j&agrave; ce nom. Merci de lui en attribuer un autre !');
		else
		{
			// l'utilisateur a demand une nouvelle catgorie
			$cat_valide = '1';
			if ($_POST['catnv'] != '')
			{
				$categorie = sp($_POST['catnv']);
				if (!in_array($_POST['catnv'],$lw_AllCat)) $cat_valide = '0';
			}

			//On insre en bdd
			reqmysql('
				INSERT INTO	`liens_web`
				SET			`nom`="'.$titrelien.'",
							`date`="'.time().'",
							`id_pseudo`="'.$K_user->id.'",
							`auteur`="'.$K_pseudo.'",
							`categorie`="'.$categorie.'",
							`cat_valide`="'.(!$Autorisation_Gestion_LW ? $cat_valide : '1').'",
							`mort`="0",
							`description`="'.$texte.'",
							`url`="'.$adresse.'",
							`valide`="'.(!$Autorisation_Gestion_LW ? '0' : '1').'";
			') or die ('<p style="text-align:center">Une erreur est survenue !</p>') ;

			if (!$Autorisation_Gestion_LW)
			{
				echo df_message('','Merci de votre participation !',
								'Le lien que vous avez propos&eacute; sera ajout&eacute; apr&egrave;s v&eacute;rification par un administrateur.');
			}
			else
			{
				echo df_message('','Le lien que vous avez propos&eacute; a &eacute;t&eacute; ajout&eacute;.');
			}
		}
		if ($verif_nb[0] !=0 OR $verif_nb[1] !=0)
		{
			echo '
			<form action="./index.php?mod='.$K_mod.'&amp;action=ajout" method="post">
				<div style="text-align:center">
					<input type="submit" id="submit" value=" Retour " />
					<input type="hidden" name="titrelien" value="'.($verif_nb[1] !=0 ? '':$_POST['titrelien']).'" />
					<input type="hidden" name="texte" value="'.$_POST['texte'].'" />
					<input type="hidden" name="categorie" value="'.$_POST['categorie'].'" />
					<input type="hidden" name="catnv" value="'.$_POST['catnv'].'" />
					<input type="hidden" name="adresse" value="'.($verif_nb[0] !=0 ? '':$_POST['adresse']).'" />
				</div>
			</form>';
		}
		else
		{
			echo '
			<form action="./index.php?mod='.$K_mod.'" method="post">
				<div style="text-align:center"><input type="submit" id="submit" value=" Revenir aux liens " /></div>
			</form>';
		}
	}
	else
	{
		echo df_message('erreur','Vous n&rsquo;avez pas rempli tous les champs.','<a href="index.php?mod='.$K_mod.'&amp;action=ajout">Retour</a>');
	}
}

//Si on demande des infos
elseif ($action == 'info')
{
	//Petite scurit :D
	$id = intval($_GET['id']);

	//requete assez longue pour selectionner toutes les infos necessaires a l'affichage
	$requete=reqmysql('
		SELECT		`liens_web`.`id`			AS lienid ,
					`liens_web`.`nom`			AS liennom ,
					`liens_web`.`date`			AS liendate,
					`liens_web`.`id_pseudo`		AS iduser ,
					`liens_web`.`auteur`		AS lienauteur,
					`liens_web`.`categorie`		AS liencat,
					`liens_web`.`mort`			AS lienmort,
					`liens_web`.`description`	AS liend,
					`liens_web`.`url`			AS lienu,
					`liens_web`.`valide`		AS lienv,
					`liens_web`.`hit`			AS lienh,
					`liens_web`.`smileys`		AS liensm,
					`liens_web`.`pseudomort`	AS lienpm
		FROM		`liens_web`
		WHERE		`liens_web`.`id` = "'.$id.'"
	');
	//on traite les donnes
	$ligne = Kws_mysql_fetch_object($requete) ;

	$K_liens_web_options_gr = unserialize($K_liens_web_options_gr);
	if(($K_liens_web_options_gr['gr_gestion']!='-2' AND $K_grade >= $K_liens_web_options_gr['gr_gestion']) OR ($K_user->id == $ligne->iduser AND $K_liens_web_options_gr['gestion_auteur']))
	{
		$LiensWeb_edit = '<a href="./index.php?mod='.$K_mod.''.(($K_liens_web_options_gr['gr_gestion']!='-2' AND $K_grade >= $K_liens_web_options_gr['gr_gestion'])?'&amp;ac=gestion':'').'&amp;action=modif&amp;id='.$ligne->lienid.'">
								<img src="./themes/'.$K_theme.'/images/gestion/edit.png" alt="&Eacute;diter" title="&Eacute;diter" style="border:none;vertical-align:middle" /></a> ';
	}
	$K_liens_web_options_gr = serialize($K_liens_web_options_gr);

	//On scurise la valeur de l'id
	$id2 = intval($ligne->lienid);

	//On affiche
	$LiensWeb_info = '';
	if($ligne->lienv == 0)	$LiensWeb_info .= df_message('','Ce lien n&rsquo;a pas encore &eacute;t&eacute; valid&eacute;','il n&rsquo;est donc pas encore visible pour les autres membres.');

	if ($liens_web_aff_miniature == '1')
	{
		$liens_web_mini = '
			<a href="./index.php?mod=liens_web&amp;ac=visite&amp;id='.$id.'" onclick="window.open(this.href);return false;" title="Visitez le site">
<!--
				<img id="pic_'.$id.'" src="http://www.apercite.fr/api/apercite/120x90/non/non/'.ax($ligne->lienu).'" alt="'.ax($ligne->lienu).'" style="float:left; width:120px; height:90px; border:2px; border-color:#CCC; border-style:solid; margin:10px;" />
-->
				<img id="pic_'.$id.'" src="http://www.easy-thumb.net/min.html?url='.ax($ligne->lienu).'" alt="'.ax($ligne->lienu).'" style="float:left; width:120px; height:90px; border:2px; border-color:#CCC; border-style:solid; margin:10px;" />
			</a>
		';
/*
		if ($liens_web_opacity == 'Oui')
		{
			$liens_web_mini .= '
			<script type="text/javascript">
				// <![CDATA[
				document.getElementById("pic_'.$id.'").style.filter = "alpha(opacity='.$liens_web_opacity_out.')";
				document.getElementById("pic_'.$id.'").style.opacity = "'.(($liens_web_opacity_out)/100).'";
				document.getElementById("pic_'.$id.'").setAttribute("onmouseover","makevisible( \''.$id.'\' , \''.($liens_web_opacity_over/100).'\' )");
				document.getElementById("pic_'.$id.'").setAttribute("onmouseout","makevisible( \''.$id.'\' ,  \''.($liens_web_opacity_out/100).'\' )");
				// ]]>
			</script>
			';
		}
*/
		$liens_web_mini .= '<br />';
	}
	$LiensWeb_info .= '
	<fieldset>
		<legend>'.$LiensWeb_edit.'&Agrave; propos du lien :</legend>
		<div style="text-align:center;">
			<h3>'.ax($ligne->liennom).'</h3><br />
			<a href="index.php?mod='.$K_mod.'&amp;ac=visite&amp;id='.$id.'" onclick="window.open(this.href);return false;"><strong>'.df_tronque(ax($ligne->lienu),50).'</strong></a>
		</div>
		<hr/>
		'.$liens_web_mini.(empty($ligne->liend) ? 'Aucune description':bbcode($ligne->liend,$ligne->liensm,1)).'
	</fieldset>
	<br />
	<fieldset>
		<legend>Informations :</legend>
		<dl class="dt_dl_dd_liens_web_infos">
			<dt><label>Ajout&eacute; ou modifi&eacute; le :</label></dt>
			<dd style="margin-left:130px;">'.kws_date ('l jS F Y', $ligne->liendate).'</dd>
		</dl>
		<dl class="dt_dl_dd_liens_web_infos">
			<dt><label>Par :</label></dt>
			<dd style="margin-left:130px;"><a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$ligne->iduser.'">'.$ligne->lienauteur.'</a></dd>
		</dl>
		';
		if ($ligne->liencat != '')
		{
			$LiensWeb_info .= '
			<dl class="dt_dl_dd_liens_web_infos">
				<dt><label>Cat&eacute;gorie :</label></dt>
				<dd style="margin-left:130px;"><a href="index.php?mod='.$K_mod.'&amp;action=filtre&amp;cat2='.ax($ligne->liencat).'">'.ax($ligne->liencat).'</a></dd>
			</dl>
			';
		}
		$LiensWeb_info .= '
		<dl class="dt_dl_dd_liens_web_infos">
			<dt><label>Nombre de visites :</label></dt>
			<dd style="margin-left:130px;">'.$ligne->lienh.'</dd>
		</dl>
		';

		if ($K_grade >= GRD_MEMBR and $ligne->lienmort == 0)
		{
			$LiensWeb_info .= df_message('','Ce lien n&rsquo;est plus valable ?',
			'vous pouvez le signaler simplement en cliquant <a href="index.php?mod='.$K_mod.'&amp;action=mort&amp;pseudomort='.$K_pseudo.'&amp;id='.$id2.'">ICI</a>.'
			);
		}
		//Si le lien est signal mort, on l'affiche pour prvenir!
		elseif ($ligne->lienmort != 0)
		{
			$LiensWeb_info .= df_message('attention',
					'D&rsquo;apr&egrave;s <strong>'.ax($ligne->lienpm).'</strong>, ce lien ne serait plus valable !',
					'Cette information n\'a pas encore &eacute;t&eacute; v&eacute;rifi&eacute;e.');
		}
		$LiensWeb_info .= '
	</fieldset>';

	if(empty($id))							echo df_message('erreur','Id manquant.');
	elseif (Kws_mysql_num_rows($requete)==0)	echo df_message('attention','Pas de lien correspondant.');
	elseif ($K_user->id != $ligne->iduser AND $ligne->lienv == 0)
											echo df_message('attention','Pas de lien correspondant.');
	else									echo $LiensWeb_info;
}
elseif ($action == 'modif' OR $action == 'maj')
{
	$K_liens_web_options_gr = unserialize($K_liens_web_options_gr);
	if ($K_liens_web_options_gr['gestion_auteur'])
	{
		define('LIENS_WEB_EDIT', 1);
		include './modules/'.$K_mod.'/edit.php';
	}
	else
		echo df_message('erreur','Action interdite.');
	$K_liens_web_options_gr = serialize($K_liens_web_options_gr);
}
// signalement lien mort
elseif ($K_grade >= GRD_MEMBR and ($action == 'mort' OR $action == 'mort2'))
{
	if ($action == 'mort')
	{
		$req_lw = reqmysql('
			SELECT	`nom`
			FROM	`liens_web`
			WHERE `id`="'.intval($_GET['id']).'"
		');
		$lw = Kws_mysql_fetch_object($req_lw) ;

		bloc_head('Signalement d&rsquo;un lien mort');
		echo '<br />
		<div style="text-align:center;">
			Voulez-vous vraiment signaler comme mort ce lien ?<p style="font-weight:bold;">'.$lw->nom.'</p><br />
			<br />
			<form action="./index.php?mod='.$K_mod.'&amp;id='.intval($_GET['id']).'" method="post">
				<input type="hidden" name="action" value="mort2" />
				<input type="hidden" name="xss_retour" value="./index.php?mod='.$K_mod.'" />
				<input type="submit" id="submit" value=" Oui " />
				<input type="button" id="button" value=" Non " onclick="history.go(-1)" />
			</form>
		</div>';
		close_table();
	}

	// Confirmation de la suppression de l'article
	if ($action == 'mort2')
	{
		reqmysql('
			UPDATE	`liens_web`
			SET		`mort`="1",
					`pseudomort`="'.(empty($pseudo) ? 'Visiteur' : $pseudo ).'"
			WHERE `id`='.intval($_GET['id']).';
		') or die ('<p style="text-align:center">Une erreur est survenue !</p>') ;

		bloc_head('Remerciement');
		echo df_message('information','Merci <strong>'.(empty($pseudo) ? 'Visiteur' : $pseudo ).'</strong> pour cette information !');
		close_table();
	}
}
else
{
	ZoneReserve();
}
close_table();
?>
