<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: class_menu.php 1050 2017-08-08 16:03:25Z mike007 $
// ---------------------------------------------------------------
// Mise a jour : 11/02/2007 par Ditch
// Mise a jour : 16/07/2008 par Garveur
//     Gestion du Drag'N'Drop dans la gestion des colonnes
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

class menu
{
	function __construct($id, $action, $type)
	{
		$this->id     = $id;
		$this->action = $action;
		$this->type   = $type;

		if(empty($this->action))
		{
			$this->admin_menu();
		}
		else
		{
			$this->action_menu();
		}
	}

	function admin_menu()
	{
		global $K_mod, $K_theme;

		$req = reqmysql('
			SELECT		`id`,
						`module`,
						`parametre1`,
						`parametre3`,
						`parametre4`,
						`afficher`
			FROM		`modules`
			WHERE		`emplacement` = "'.$this->id.'"
				AND		`type` = "'.$K_mod.'"
			ORDER BY	`position` ASC
		');
		$req_menu = reqmysql('
			SELECT		`id`
			FROM		`modules`
			WHERE		`id` != "'.$this->id.'"
				AND		`module` = "'.$K_mod.'"
				AND		`type` = "bloc"
			ORDER BY	`emplacement` ASC, `position` ASC
		');
		$this->count = Kws_mysql_num_rows($req);

		if ($this->count == 0)
		{
			echo df_message('information','<strong>Aucun &eacute;l&eacute;ment</strong>');
		}
		else
		{
			bloc_head("El&eacute;ments du menu :");
			echo '<br />';

			// Chargement Hack Garveur Drag'N'Drop
			echo '
			<script language="javascript" type="text/javascript">
				// <![CDATA[
				var id_name_arrayDrag = new Array(Array("dragMenu","sql_positionDragMenu"));
				// ]]>
			</script>';
			include './includes/dragndrop/dragndrop.php';
			// Fin chargement Hack Garveur Drag'N'Drop

			// Remplacement du <table> par <ul>
			// <table width="100%" cellpadding="2" summary="El&eacute;ments du menu">';
			echo '<ul id="dragMenu" class="sortable boxy">';
			// Garveur Drag'N'Drop < Fin > Ajout des scripts

			$i=0;
			if (Kws_mysql_num_rows($req_menu)>0)
			{
				$this->Select_Menu = '<select name="menu_new_id">';
				while ($rep_menu = Kws_mysql_fetch_object($req_menu))
				{
					$this->Select_Menu .='<option value="'.$rep_menu->id.'">Menu N&deg;'.$rep_menu->id.'</option>';
				}
				$this->Select_Menu .= '</select>';
			}
			while (list($id, $this->module, $parametre1, $this->parametre3, $parametre4, $afficher) = Kws_mysql_fetch_row($req))
			{
				$this->imagemini = '';
				if($this->module == 'lien')
				{
					$this->titre = ax($parametre1);
					$this->imagemini = ax($parametre4);
				}
				elseif($this->module == 'separateur')
				{
					$this->titre = 'S&eacute;parateur';
				}
				elseif($this->module == 'texte')
				{
					$this->titre = ax($parametre4);
				}
				$this->element_menu($i,$id,$afficher);
				$i++;
			}
			// Garveur Drag'N'Drop : <Dbut> Remplacement du </table> par </ul>
			// echo '</table>';
			echo '</ul>';
			// Garveur Drag'N'Drop : < Fin > Remplacement du </table> par </ul>

			$req = reqmysql('
				SELECT	`id`,
						`parametre3`
				FROM	`modules`
				WHERE	`id` = "'.$this->id.'"
			');
			$result = Kws_mysql_fetch_array($req);

			// Garveur Drag'N'Drop : <Dbut> Formulaire Enregistrement des positions
			echo '<br /><br />
			<form name="EnregistrementPosition" id="EnregistrementPosition" method="post" action="index.php?mod='.$K_mod.'&amp;action=SavePosition">
				<div style="text-align:center">
					<input name="menu_id" type="hidden" value="'.$this->id.'" />
					<input type="hidden" id="sql_positionDragMenu" name="sql_positionDragMenu" value="Position des lignes du menu" />
					<input type="submit" value="Enregistrer les positions des &Eacute;l&eacute;ments du menu" onclick="DragCopyPosition(id_name_arrayDrag)" />
				</div>
			</form>';
			// Garveur Drag'N'Drop : < Fin > Formulaire Enregistrement des positions
			echo '<br />
			<form name="FormName" id="FormName" action="index.php?mod='.$K_mod.'&amp;action=grade" method="post">
				<div style="text-align:center">
					Modifier le grade de tous les &eacute;l&eacute;ments de ce menu :
					<br />'.$this->select_grade($result['parametre3']).'
					<input name="menu_id" type="hidden" value="'.$this->id.'" />
					<br /><input type="submit" id="submit" value=" Soumettre " />
				</div>
			</form>
			<br />';
			close_table();
		}

		bloc_head('Ajouter un &eacute;l&eacute;ment');
		echo '
		<ul class="menu_addElt" style="padding:5px;margin-left:18px;">
			<li><a href="index.php?mod='.$K_mod.'&amp;action=new&amp;type=lien&amp;menu_id='.$this->id.'">Un lien</a></li>
			<li><a href="index.php?mod='.$K_mod.'&amp;action=new&amp;type=texte&amp;menu_id='.$this->id.'">Du texte</a></li>
			<li><a href="index.php?mod='.$K_mod.'&amp;action=new&amp;type=separateur&amp;menu_id='.$this->id.'">Un s&eacute;parateur</a></li>
		</ul>';
		close_table();
	}

	function element_menu($i, $id, $afficher)
	{
		global $col1, $col2, $K_mod;

		if ($this->color == $col2)	$this->color = $col1;
		else						$this->color = $col2;
		if(trim($this->titre) == '') $this->titre = 'Non d&eacute;fini';

		echo '
		<li id="drag_'.$id.'">';	// Garveur Drag'N'Drop : <Dbut> Dfinition du bloc deplaable
		// Garveur Drag'N'Drop : <Dbut> report gestion <table> anciennement <tr>
		echo '
			<table width="100%" cellpadding="0" summary="El&eacute;ments du menu">
			<tr>
			<td style="border-style:none;background-color:'.$this->color.'" width="50%"><img src="images/admin/puce.png" alt="puce" />
				<a href="index.php?mod='.$K_mod.'&amp;action=edit&amp;id='.$id.'&amp;menu_id='.$this->id.'" title="'.$this->titre.'">
					'.df_tronque($this->titre,100).'
					'.(!empty($this->imagemini) ? '<img style="vertical-align:middle; border:none;" class="menu_imagemini" src="'.$this->imagemini.'" alt="image" />':'').'
				</a>
			</td>
			<td style="border-style:none;background-color:'.$this->color.';font-size:11px;text-align:center;">
				Grade mini : '.($afficher<0?'':'&nbsp;').$afficher.'
			</td>
			<td style="border-style:none;background-color:'.$this->color.';text-align:right;width:50px" nowrap="nowrap">';
				if ($i > 0)
				{
					echo '
					<a href="index.php?mod='.$K_mod.'&amp;action=up&amp;id='.$id.'&amp;menu_id='.$this->id.'"><img src="images/admin/up3.png" border="0" alt="up" title="Monter d&rsquo;un cran" /></a>';
				}
				else
				{
					echo '
					<img src="images/admin/up4.png" alt="down2" style="borber:none" />';
				}
				if ($i < ($this->count)-1)
				{
					echo '
					<a href="index.php?mod='.$K_mod.'&amp;action=down&amp;id='.$id.'&amp;menu_id='.$this->id.'"><img src="images/admin/down3.png" border="0" alt="down" title="Descendre d&rsquo;un cran" /></a>';
				}
				else
				{
					echo '
					<img src="images/admin/down4.png" border="0" alt="down2" />';
				}
				echo '
				<a href="index.php?mod='.$K_mod.'&amp;action=del&amp;id='.$id.'&amp;menu_id='.$this->id.'">
					<img src="images/admin/del2.png" alt="del" style="width:15px;height:15px;border:none" title="Supprimer" />
				</a>
			</td>
			<td style="border-style:none;background-color:'.$this->color.'" width="20%">';
			if (!empty($this->Select_Menu))
			{
				echo '
				<form method="get" action="./index.php">
				<input type="hidden" name="mod" value="'.$K_mod.'" />
				<input type="hidden" name="action" value="move" />
				<input type="hidden" name="id" value="'.$id.'" />
				<input type="hidden" name="menu_id" value="'.$this->id.'" />
				'.$this->Select_Menu.'
				<input type="image" src="images/admin/move.png" alt="move" />
				</form>
				';
			}
			echo '
			</td></tr></table></li>';   // Garveur Drag'N'Drop : < Fin > Dfinition du bloc deplaable et de la <table>
	}

	function  element()
	{
		global $K_mod;
		if ($_GET[menu_id] != '')
		{
			open_table();

			$req = reqmysql('
				SELECT	*
				FROM	`modules`
				WHERE	`id` = "'.$this->id.'"
			');
			$result = Kws_mysql_fetch_object($req);

			echo '
			<form action="index.php?mod='.$K_mod.'&amp;action=save" method="post">';

			$type = (!empty($result->module) ? $result->module : $this->type);

			if ($this->action == 'edit' && $this->id != '')
			{
				$action = 'Modifier';
			}
			elseif ($this->action == 'new')
			{
				$action = 'Ajouter';
			}
			else
			{
				ZoneReserve('Erreur','<strong>Param&egrave;tres incomplets</strong>');
			}

			echo '
			<input type="hidden" name="action" value="save'.$this->action.'" />';

			if ($type == 'lien')
			{
				echo '
				<input type="hidden" name="type" value="lien" />'.$action.' un lien : <br />';
			}
			elseif ($type == 'separateur')
			{
				echo '
				<input type="hidden" name="type" value="separateur" />'.$action.' une s&eacute;paration : <br />';
			}
			elseif ($type == 'texte')
			{
				echo '
				<input type="hidden" name="type" value="texte" />'.$action.' un texte : <br />';
			}

			if($type == 'lien')
			{
				echo df_message('attention','<strong>ATTENTION !!!</strong>','<div style="text-align:justify">
					Le nom du lien, c\'est ce qui apparaitra dans le menu, et sur quoi les visiteurs de votre site cliqueront.<br />
					L\'URL du lien, c\'est l\'adresse internet de la page vers laquelle vous voulez que le lien renvoi.
					<br /><br />
					Vous devez indiquer de la mani&egrave;re suivante :
					<br /><br />
					l\'adresse d\'une <strong>page du site</strong> (ex : <em><strong>./</strong>index.php?mod=news</em>), qui s\'ouvrira dans la <strong>m&ecirc;me fen&ecirc;tre</strong><br />
					l\'adresse d\'un <strong>autre site</strong> ou d\'une de ses pages (ex : <em><strong>http://</strong>www.google.fr/</em>) qui s\'ouvrira dans une <strong>nouvelle fen&ecirc;tre</strong>.
				</div><br />');
			}

			echo '<br />
			<table summary="El&eacute;ments du menu1">';

			if ($type == 'lien')
			{
				echo '
				<tr>
					<td>Nom : </td>
					<td><input type="text" name="parametre1" value="'.$result->parametre1.'" size="50" /></td>
				</tr>
				<tr>
					<td>URL : </td>
					<td><input type="text" name="parametre2" value="'.$result->parametre2.'" size="50" /></td>
				</tr>
				<tr>
					<td>URL Image : </td>
					<td><input type="text" name="parametre4" value="'.$result->parametre4.'" size="50" /></td>
				</tr>
				';
			}
			elseif ($type == 'texte')
			{
				echo '<tr>
					<td valign="top">Texte : </td>
					<td><textarea name="parametre4" cols="50" rows="5">'.$result->parametre4.'</textarea></td>
				</tr>';
			}

			echo '
			<tr>
				<td>Grade : </td>
				<td>'.$this->select_grade($result->afficher).'</td>
			</tr>
			</table>
			<input type="hidden" name="type" value="'.$type.'" />
			<input type="hidden" name="id" value="'.$this->id.'" />
			<input type="hidden" name="menu_id" value="'.$_GET[menu_id].'" />
			<p style="text-align:center"><input type="submit" id="submit" value="Enregistrer" /></p>
			</form>';
			close_table();
		}
		else
		{
			ZoneReserve('Erreur','<strong>Param&egrave;tres incomplets</strong>');
		}
	}

	function del_element()
	{
		global $K_mod;
		$req_blocs    = reqmysql('
			SELECT	*
			FROM	`modules`
			WHERE	`id`="'.$this->id.'"
		');
		$result_blocs = Kws_mysql_fetch_object($req_blocs);
		$pos          = intval($result_blocs->position);
		$emplacement  = intval($result_blocs->emplacement);

		reqmysql('
			DELETE FROM	`modules`
			WHERE		`id`="'.$this->id.'"');

		$req_blocs=reqmysql('
			SELECT		*
			FROM		`modules`
			WHERE		`position`>'.$pos.'
				AND		`type`="menu"
				AND		`emplacement`='.$emplacement.'
			ORDER BY	`position` ASC
		');
		while ($result_blocs = Kws_mysql_fetch_object($req_blocs))
		{
			$new_pos = $result_blocs->position - 1;
			reqmysql('
				UPDATE	`modules`
				SET		`position`="'.$new_pos.'"
				WHERE	`id`="'.$result_blocs->id.'"
			');
		}
		$this->redirection($_GET['menu_id']);
	}

	function move_element()
	{
		global $K_mod;
		$req_blocs = reqmysql('
			SELECT	*
			FROM	`modules`
			WHERE	`id` = "'.$this->id.'"
		');
		$result_blocs = Kws_mysql_fetch_object($req_blocs);

		$pos_down = $result_blocs->position;

		if($this->action == 'down' or $this->action == 'up')
		{
			if($this->action == 'down')
			{
				$var = 'AND position > "'.$pos_down.'" ORDER by position ASC';
			}
			else
			{
				$var = 'AND position < "'.$pos_down.'" ORDER by position DESC';
			}
			$req_blocs = reqmysql('
				SELECT	`id`, `emplacement`, `position`
				FROM	`modules`
				WHERE	`emplacement` = "'.$result_blocs->emplacement.'"

					AND	`type` = "menu"
					'.$var.'
				LIMIT 0,1
			');

			$result_blocs = Kws_mysql_fetch_object($req_blocs);
			$id_up        = $result_blocs->id;
			$pos_up       = $result_blocs->position;

			reqmysql('
				UPDATE	`modules`
				SET		`position` = "'.$pos_down.'"
				WHERE	`id` = "'.$id_up.'"
			') or die (Kws_mysql_error());
			reqmysql('
				UPDATE	`modules`
				SET		`position` = "'.$pos_up.'"
				WHERE	`id` = "'.$this->id.'"
			');
		}
		elseif($this->action == 'move')
		{
			$req_blocs = reqmysql('
				SELECT	*
				FROM	`modules`
				WHERE	`emplacement` = "'.$_GET['menu_new_id'].'"
					AND	`type` = "'.$K_mod.'"
				ORDER by position DESC
				LIMIT 0,1
			');

			$result_blocs = Kws_mysql_fetch_object($req_blocs);
			$pos_up       = (($result_blocs->position)+1);
			reqmysql('
				UPDATE	`modules`
				SET		`position` = `position`-1
				WHERE	`emplacement` = "'.$_GET['menu_id'].'"
				AND		`position` >= '.$pos_down.'
			') or die (Kws_mysql_error());
			reqmysql('
				UPDATE	`modules`
				SET		`position` = "'.$pos_up.'",
						`emplacement` = "'.$_GET['menu_new_id'].'",
						`parametre3` = "'.$_GET['menu_new_id'].'"
				WHERE	`id` = "'.$this->id.'"
			');
		}

		$this->redirection($_GET['menu_id']);
	}

	function save_element()
	{
		global $K_mod;
		if($this->action == 'saveedit')
		{
			reqmysql('
				UPDATE	`modules`
				SET		`parametre1`="'.sp($_POST['parametre1']).'",
						`parametre2` = "'.sp($_POST['parametre2']).'",
						`parametre3` = "'.sp($_POST['parametre3']).'",
						`parametre4` = "'.sp($_POST['parametre4']).'",
						`afficher`   = "'.intval($_POST['afficher']).'"
				WHERE	`id`   = "'.$this->id.'"
			');
		}
		else
		{
			$req=reqmysql('
				SELECT		`position`
				FROM		`modules`
				WHERE		`type`="menu"
					AND		`emplacement`="'.intval($_POST['menu_id']).'"
				ORDER BY	`position` DESC
			');
			$result  = Kws_mysql_fetch_object($req);
			$new_pos = $result->position + 1;

			reqmysql('
			INSERT INTO	`modules`
				SET		`type` = "'.$K_mod.'",
						`emplacement` = "'.intval($_POST['menu_id']).'",
						`position` = "'.$new_pos.'",
						`module` = "'.sp($_POST['type']).'",
						`parametre1` = "'.sp($_POST['parametre1']).'",
						`parametre2` = "'.sp($_POST['parametre2']).'",
						`parametre3` = "'.sp($_POST['parametre3']).'",
						`parametre4` = "'.sp($_POST['parametre4']).'",
						`afficher` = "'.intval($_POST['afficher']).'"
			') or die ('erreur');
		}
		$this->redirection($_POST['menu_id']);
	}

	function grade_menu()
	{
		reqmysql('
			UPDATE	`modules`
			SET		`parametre3`="'.intval($_POST['afficher']).'"
			WHERE	`id` = "'.intval($_POST['menu_id']).'"
				AND	`type`="bloc"
		') or die (Kws_mysql_error());

		reqmysql('
			UPDATE	`modules`
			SET		`afficher`="'.intval($_POST['afficher']).'"
			WHERE	`type` = "'.$K_mod.'"
			AND `emplacement`="'.intval($_POST['menu_id']).'"
		');

		$this->redirection($_POST['menu_id']);
	}

	function select_grade($id_grade=-1)
	{
		$code= '<select name="afficher">';
			for($i=GRD_VISIT;($n=get_grd_name($i))!=null;$i++)
			{
				$code.= '<option value="'.$i.'" '.($id_grade==$i?'selected="selected"':'').'>'.$n.'</option>';
			}
		$code.= '</select>';
		return $code;
	}

	// Garveur Drag'N'Drop : <Dbut> Fonction d'enregistrement des positions
	function SavePosition()
	{
		$positionDragMenu = $_POST['sql_positionDragMenu'];
		// Enregistrements des positions du Menu
		$idLigne = strtok($positionDragMenu,"|drag_");
		$posLigne=0;
		while ($idLigne)
		{
			reqmysql('UPDATE `modules` SET `position` = "'.$posLigne.'" WHERE `id` = "'.$idLigne.'"');
			$idLigne = strtok("|drag_");
			$posLigne++;
		}
		$this->redirection($_POST['menu_id']);
	}
	// Garveur Drag'N'Drop : < Fin > Fonction d'enregistrement des positions

	function redirection($id)
	{
		global $K_mod;
		echo '<script type=text/javascript>window.location="index.php?mod='.$K_mod.'&id='.$id.'&xss_retour='.urlencode('./index.php?mod=admin&ac=modules').'";</script>';
	}

	function action_menu()
	{
		switch($this->action)
		{
			case 'grade':		$this->grade_menu();	break;
			case 'infos':		$this->info_menu();		break;
			case 'move':
			case 'up':
			case 'down':		$this->move_element();	break;
			case 'new':
			case 'edit':		$this->element();		break;
			case 'savenew':
			case 'saveedit':	$this->save_element();	break;
			case 'del':			$this->del_element();	break;
			// Garveur Drag'N'Drop :  Appel de l'enregistrement des positions
			case 'SavePosition':$this->SavePosition();	break;
			default:			ZoneReserve('Impossible','<strong>Cette action n\'existe pas</strong>');	break;
		}
	}
}

?>
