<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: commentaires.php 1011 2016-02-04 11:46:31Z mike007 $
// ---------------------------------------------------------------
// Mise a jour : 18/07/06 par Jack
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die('Erreur d\'appel de fichier.');}

##  On ajoute 1 aux hits  uniquement lors de la session (suivant option module) ##
if(!isset($_SESSION['news'.$K_id.'_lu']) and empty($nom_mod_dem))
{
	reqmysql('
		UPDATE	`news`
		SET		`hit`=`hit`+1
		WHERE	`id`="'.$K_id.'"
	');
	if ($K_news_lecture_session=='oui')	$_SESSION['news'.$K_id.'_lu']='lu';
}

$req_news = reqmysql('
	SELECT	`news`.`id`, `news`.`ref`, `news`.`titre`, `news`.`date`, `news`.`edit`,
			`news`.`auteur`, `news`.`contenu`, `news`.`mots_cles`, `news`.`hit`, `news`.`type`,
			`news`.`js`, `news`.`smiley`, `news`.`nbr_comment`, `news`.`validation`, `news`.`envoi_mail`,
			`users`.`id` AS user_id, `users`.`grade` AS user_grade, `users`.avatar,
			`rubriques`.`titre`	AS titre_rub, `rubriques`.`image`
	FROM	`news`
	JOIN	`users`			ON `users`.`pseudo` = `news`.`auteur`
	JOIN	`rubriques`		ON `rubriques`.`id` = `news`.`ref`
	WHERE	`news`.`id`= '.$K_id.'
		AND	`news`.`validation` < 1
		AND `news`.`date` <= '.time().'
		AND `news`.`ref` IN '.$K_user->rubrique[0]
);

if (Kws_mysql_num_rows($req_news) > 0)
{
	$news = Kws_mysql_fetch_object($req_news);

	// "validation" des news post-dates. Ncessaire pour l'envoi des mails annonant la news.
	if ($news->validation == -1)
	{
		define('NEWS_VALIDATION', 1);
		@include './modules/news/validation.php';
	}

	$titre			= ax($news->titre);
	if ($K_ac == 'commentaires')
		$news->contenu = preg_replace('#(<p>)?(\s*?)(\|\{\}\|)(\s*?)(</p>)?#','',$news->contenu);

	if ($news->type == 1) // BBCode
	{
		$news->contenu = bbcode($news->contenu, $news->smiley, 1);
	}
	elseif ($news->type ==0) // HTML
	{
		$news->contenu = bbcode($news->contenu, 0, 0, 1, 1, ($news->js ? 1:0));
	}

	if ($K_ac != 'commentaires' and strpos($news->contenu,'|{}|')!=FALSE) // Coupure de page
	{
		$news->contenu = preg_replace('#<p>(\s*?)(\|\{\}\|)(\s*?)</p>#','$2',$news->contenu);
		$news->contenu = substr($news->contenu,0,strpos($news->contenu,'|{}|')).'<br />
		<a href="'.(url_rw('./index.php?mod=news&amp;ac=commentaires&amp;id='.$news->id.'',array($news->titre))).'" title="Suite de la news">Suite...</a><br /><br />';
	}

	if (!empty($news->edit))
	{
		$news->contenu = '<em>&Eacute;dit&eacute; le '.$news->edit.'</em><br /><br />'.$news->contenu;
	}

	if (!empty($news->mots_cles) && $K_news_keywords == 'oui')
	{
		$news->contenu .= '<br /><br /><span style="font-weight:bold">Mots cl&eacute;s : </span><span style="font-style:italic">'.ax($news->mots_cles).'</span><br />';
	}
	if(!$IsVisitorBot)
	{
	 	$news->contenu .= '<div style="text-align:right">[ <a href="./imprimer.php?doc=news&amp;id='.$K_id.'" target="_blank">Imprimer cette news </a> ]</div>';
	}

	$news->auteur = get_grd_symbol($news->user_grade).ax($news->auteur);

	if (is_callable('bloc_news2'))
		bloc_news2($titre, $news->titre_rub, $news->date, $news->auteur, $news->image, $news->contenu, $news->hit, $news->id, $news->user_id, $news->nbr_comment, $news->avatar, $news->ref);
	else
		bloc_news($titre, $news->date, $news->auteur, $news->image, $news->contenu, $news->hit, $news->id, $news->user_id, $news->nbr_comment, $news->avatar, $news->ref);

	if (empty($nom_mod_dem))
	{
		//Modif pour liens suivant/prcdent
		$req_lien_news = reqmysql('
			SELECT		`news`.`id`, `news`.`date`, `news`.`titre`
			FROM		`news`
			WHERE		`news`.`validation` < 1
				AND		`news`.`date` <= '.time().'
				AND		`news`.`ref` IN '.$K_user->rubrique[0].'
				AND		`news`.`id` <> '.$news->id.'
			ORDER BY	`news`.`date` ASC
		');

		$lien_sui = 0;
		while ($lien_news = Kws_mysql_fetch_object($req_lien_news))
		{
			if ($lien_news->date < $news->date)
			{
				$lien_pre	= $lien_news->id;
				$titre_pre	= $lien_news->titre;
			}

			if ($lien_news->date > $news->date)
			{
				if ($lien_sui == 0)
				{
					$lien_sui	= $lien_news->id;
					$titre_sui	= $lien_news->titre;
				}
			}
		}
		//Fin du code des liens suivant/prcdent
		$lien_pre = ($lien_pre>=1 ? '<a href="'.(url_rw('./index.php?mod='.$K_mod.'&amp;ac=commentaires&amp;id='.$lien_pre,array($titre_pre))).'" title="'.$titre_pre.'"><img style="border:none" src="./themes/'.$K_theme.'/images/precedant.png" alt="News pr&eacute;c&eacute;dente" title="'.$titre_pre.'" /></a>&nbsp;' : '');
		$lien_sui = ($lien_sui>=1 ? '<a href="'.(url_rw('./index.php?mod='.$K_mod.'&amp;ac=commentaires&amp;id='.$lien_sui,array($titre_sui))).'" title="'.$titre_sui.'"><img style="border:none" src="./themes/'.$K_theme.'/images/suivant.png" alt="News suivante" title="'.$titre_sui.'" /></a>' : '');

		//Rajout du lien
		open_table();
		echo '
			<div style="text-align:left;float:left;width:50px;">'.$lien_pre.'</div>
			<div style="text-align:right;float:right;width:50px;">'.$lien_sui.'</div>
		';

		// Sponsor
		$K_news_sponsor = unserialize($K_news_sponsor);
		if($K_news_sponsor['actif'] != 0)
		{
			$contenu_sponsor='';
			if		($K_news_sponsor['actif']==1 and $K_grade >= $K_news_sponsor['gr_txt'])	$contenu_sponsor .= bbcode($K_news_sponsor_texte,1,1,1);
			elseif	($K_news_sponsor['actif']==2 and $K_grade >= $K_news_sponsor['gr_pub'])	$contenu_sponsor .= bbcode($K_news_sponsor_pub,0,0,0,1,1);
			elseif	($K_news_sponsor['actif']==3)
			{
				if ($K_grade >= $K_news_sponsor['gr_txt'])	$contenu_sponsor .= bbcode($K_news_sponsor_texte,1,1,1);
				if ($K_grade >= $K_news_sponsor['gr_pub'])	$contenu_sponsor .= bbcode($K_news_sponsor_pub,0,0,0,1,1);
			}
			echo '
			<div class="commentaires_haut">&nbsp;</div>
			<div class="commentaires_contenu">'.$contenu_sponsor.'</div>
			<div class="commentaires_bas">&nbsp;</div>
			';
		}
		echo '<br style="clear:both" />';
		$K_news_sponsor = serialize($K_news_sponsor);
		close_table();
		if ($K_news_gr_commentaires > GRD_EXCLU) commentaires("news".$news->id, "une news",$news->titre);
	}
}
else
{
	$req_news = reqmysql('
		SELECT	`news`.`id`, `news`.`ref`, `news`.`titre`, `news`.`date`, `news`.`edit`,
				`news`.`auteur`, `news`.`contenu`, `news`.`mots_cles`, `news`.`hit`, `news`.`type`,
				`news`.`js`, `news`.`smiley`, `news`.`nbr_comment`, `news`.`validation`, `news`.`envoi_mail`,
				`users`.`id` AS user_id, `users`.`grade` AS user_grade, `users`.avatar
		FROM	`news`
		JOIN	`users`			ON `users`.`pseudo` = `news`.`auteur`
		WHERE	`news`.`id`= '.$K_id.'
			AND	`news`.`validation` < 1
			AND `news`.`date` <= '.time()
	);
	$news = Kws_mysql_fetch_object($req_news);
	if (Kws_mysql_num_rows($req_news) > 0 AND !array_key_exists($news->ref,$K_liste_titre_rubrique))
	{
		bloc_head('Erreur');
		echo df_message('erreur',
		'La news existe mais semble &ecirc;tre affect&eacute;e &agrave; une rubrique inexistante.',
		($K_grade >= $news_gr_admin ?
		'Vous devez <a href="./index.php?mod='.$K_mod.'&amp;ac=gestion&amp;action=edit&amp;int_id='.$K_id.'">modifier</a> la rubrique de la news.'
		:'Le webmaster vient de recevoir une alerte.'));
		if ($K_grade < $news_gr_admin AND Kws_mysql_num_rows(reqmysql('SELECT `module` FROM `alerte` WHERE `module`="'.$K_mod.'" AND `auteur`="NEWS '.$K_id.'"'))== 0)
		{
			$Erreur_message = df_message('erreur','Erreur de rubrique sur la news ayant l\'id '.$K_id,'<a href="./index.php?mod='.$K_mod.'&amp;ac=gestion">Modifier la news</a> : "'.$news->titre.'"');
			reqmysql('INSERT INTO `alerte` SET `date`="'.time().'", `auteur`="NEWS '.$K_id.'", `module`="'.$K_mod.'", `texte`="'.sp($Erreur_message).'";');
		}
		close_table();
	}
	elseif (empty($nom_mod_dem))
	{
		bloc_head('Erreur');
		echo df_message('erreur','Pas de news relative &agrave; cette identifiant.');
		close_table();
	}
}
?>
