<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: index.php 1011 2016-02-04 11:46:31Z mike007 $
// ---------------------------------------------------------------
// Mise a jour : 18/07/06 par Jack
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

if (get_grade() >= GRD_VISIT)
{
	//if (empty($_GET['id']))
	{
		$req_news = reqmysql('
			SELECT		`news`.`id`, `news`.`date`, `news`.`date_fin`, `news`.`edit`, `news`.`nbr_comment`,
						`news`.`auteur`, `news`.`type`, `news`.`js`, `news`.`contenu`, `news`.`mots_cles`,
						`news`.`smiley`, `news`.`hit`, `news`.`ref`, `news`.`titre`, `news`.`validation`, `news`.`envoi_mail`,
						`rubriques`.`titre`	AS titre_rub, `rubriques`.`image`,
						`users`.`id` AS id_auteur, `users`.`grade` AS user_grade, `users`.`avatar`
			FROM		`news`
			LEFT JOIN	`users`
				ON		`users`.`pseudo` = `news`.`auteur`
			LEFT JOIN	`rubriques`
				ON		`news`.`ref` = `rubriques`.`id`
			WHERE		`news`.`ref` IN '.$K_user->rubrique[0].'
			'.($K_grade >= $news_gr_admin ?
			'':
			'
				AND		`news`.`date` <= '.time().'
				AND 	`validation` < 1
			'
			).'
			'.(!empty($_GET['id']) ?
			'AND 	`news`.`id` = "'.ax($_GET['id']).'"'
			:'AND	(`news`.`date_fin` = 0 OR `news`.`date_fin` > '.time().')'
			).'
			'.(!empty($_GET['ref']) ?
			'AND 	`news`.`ref` = "'.ax($_GET['ref']).'"'
			:''
			).'
			ORDER  BY	`news`.`date` DESC
			LIMIT 0, '.(!empty($K_pseudo) ? $K_user->aff_news : $K_news_aff_default)
		);

		$nb_news = Kws_mysql_num_rows($req_news);

		if($nb_news < 1)
		{
			bloc_head('news') ;
			echo '<div style="text-align:center"><h5><i>Aucune news n&rsquo;a encore &eacute;t&eacute; post&eacute;e</i></h5></div>';
			close_table() ;
		}
		else
		{
			while ($news = Kws_mysql_fetch_object($req_news))
			{
				// "validation" des news post-dates. Ncessaire pour l'envoi des mails annonant la news.
				if ($news->validation == -1)
				{
					define('NEWS_VALIDATION', 1);
					@include './modules/news/validation.php';
				}
				//affichage de la page...
				if($news->type==1) //BBCode
				{
					$titre = ax($news->titre);
					$texte = bbcode($news->contenu,$news->smiley,1);
				}
				else  // HTML
				{
					$titre = ax($news->titre);
					$texte = bbcode($news->contenu, 0, 0, 1, 1, ($news->js ? 1:0));
					//$texte = stripslashes($news->contenu);
				}

				if ($news->validation != 0 AND $K_grade >= $news_gr_admin)
					$titre .= ' <small>[News non visible (non valid&eacute;e ou post-dat&eacute;e]</small> ';

				if (strpos($texte,'|{}|')!=FALSE) // Coupure de page
				{
					$texte = preg_replace('#<p>(\s*?)(\|\{\}\|)(\s*?)</p>#','$2',$texte);
					$texte = substr($texte,0,strpos($texte,'|{}|')).'<br />
					<a href="'.(url_rw('./index.php?mod=news&amp;ac=commentaires&amp;id='.$news->id.'',array($news->titre))).'" title="Suite de la news">Suite...</a><br /><br />';
				}

				if ($news->edit !='')
				{
					$texte = '<em>&Eacute;dit&eacute; le '.ax($news->edit).'</em><br /><br />'.$texte;
				}

				if ($news->mots_cles !='' and $K_news_keywords=='oui')
				{
					$texte .= '<br /><br /><span style="font-weight:bold">Mots cl&eacute;s : </span><span style="font-style:italic">'.ax($news->mots_cles).'</span><br />';
				}

				$news->auteur = get_grd_symbol($news->user_grade).ax($news->auteur);

				if (is_callable('bloc_news2'))
					bloc_news2($titre,$news->titre_rub,$news->date,$news->auteur,$news->image,$texte,$news->hit,$news->id,$news->id_auteur,$news->nbr_comment,$news->avatar,$news->ref) ;
				else
					bloc_news($titre,$news->date,$news->auteur,$news->image,$texte,$news->hit,$news->id,$news->id_auteur,$news->nbr_comment,$news->avatar,$news->ref) ;
				open_table();
				echo '<div class="newsplus" style="text-align:center;font-variant:small-caps;"><a href="'.(url_rw('./index.php?mod=news&amp;ac=plus')).'">Plus de news...</a></div>';
				close_table();
			}
		}
	}
	//else
	{
		//include './modules/'.$K_mod.'/commentaires.php';
	}
}

?>
