<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: resume.php 1011 2016-02-04 11:46:31Z mike007 $
// ---------------------------------------------------------------
// Mise a jour : 30/10/06 par Jack
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

if (get_grade() >= GRD_VISIT and is_module('news'))
{
	$texte = '';

	$req_news = reqmysql('
		SELECT	`news`.`id`, `news`.`date`, `news`.`date_fin`, `news`.`nbr_comment`, `news`.`auteur`, `news`.`type`, `news`.`js`,
				`news`.`contenu`, `news`.`smiley`, `news`.`hit`, `news`.`ref`, `news`.`titre`,
				`news`.`edit`, `news`.`validation`, `news`.`envoi_mail`,
				`rubriques`.`image`, `rubriques`.`titre` AS cat_titre,
				`users`.`id` AS usr_id, `users`.`grade` AS usr_grade, `users`.`avatar`
		FROM 	`news`
		JOIN	`rubriques`
			ON	`news`.`ref` = `rubriques`.`id`
		LEFT JOIN `users`
			ON	`users`.`pseudo` = `news`.`auteur`
		WHERE	`news`.`validation` < 1
			AND	`news`.`date` <= '.time().'
			AND	(`news`.`date_fin` = 0 OR `news`.`date_fin` > '.time().')
			AND	`news`.`ref` IN '.$K_user->rubrique[0].'
		ORDER BY `news`.`date` DESC
		LIMIT 0 , '.(!empty($resume->parametre2) ? $resume->parametre2 : 5)
	);

	// Au moins une news existe
	if (Kws_mysql_num_rows($req_news) != 0)
	{
		$resume3 = explode('-', $resume->parametre3);
		$j=0;

		//Debut boucle de listing des news
		while ($news = Kws_mysql_fetch_object($req_news))
		{
			if ($K_grade >= GRD_MODOG)
			{
				$editer = '<a href="index.php?mod='.$resume->module.'&amp;ac=gestion&amp;action=edit&amp;int_id='.$news->id.'">
				<img src="./themes/'.$K_theme.'/images/gestion/edit.png" alt="diter" title="diter" style="border:none;vertical-align:middle;" /></a>&nbsp;&nbsp;';
			}
			// "validation" des news post-dates. Ncessaire pour l'envoi des mails annonant la news.
			if ($news->validation == -1)
			{
				define('NEWS_VALIDATION', 1);
				@include './modules/news/validation.php';
			}

			$new  = ((time()-$news->date) < ($resume->parametre4*24*3600) ? '<img src="themes/'.$K_theme.'/images/resume/new.png" alt="new" style="border:none;" />' : '' );
			//Debut boucle de listing des articles
			//Contenu du resume et mise en forme du titre
			$titre = $editer.'
			<a href="'.(url_rw('./index.php?mod=news&amp;ac=commentaires&amp;id='.$news->id,array($news->titre))).'" title="Lire la news: &laquo;'.ax($news->titre).'&raquo;">
			<span style="font-weight:bold; font-size:1.1em; font-family:Comic">'.($resume_colonne==2 ? wordwrap(ax($news->titre),(preg_match('#img#i',$new) ? '35':'40'),'<br />',1):ax($news->titre)).'</span>
			</a>&nbsp;'.$new;
			$texte .='<fieldset class="fieldset_resume"><legend>'.$titre.'</legend>';
			list($image_width, $image_height, $image_type, $image_attr) = @getimagesize($news->image);
			$texte .='
			<a href="./index.php?mod=news&amp;ref='.$news->ref.'">
			<img src="'.$news->image.'" alt="Image" style="border:none;'.($image_width>50 ? 'width:50px;' : '').'float:right;padding:5px" />
			</a>';
			$texte .= '
			<em>News Post&eacute;e par <a href="'.(url_rw('./index.php?mod=espace_membre&amp;ac=profil&amp;id='.$news->usr_id,array($news->auteur))).'">'.get_grd_symbol($news->usr_grade).ax($news->auteur).' </a>
			<br />le '.kws_date('l jS F Y \&\a\g\r\a\v\e\; H:i',$news->date).'
			<br /><br />dans la cat&eacute;gorie <a href="./index.php?mod=news&amp;ref='.$news->ref.'"><strong>"'.ax($news->cat_titre).'"</strong></a></em>
			<br style="clear:both"/>';
			if ($j<$resume3[0])
			{
				if (!empty($resume3[1]) and strlen($news->contenu) > $resume3[1])
				{
					$news->contenu = substr($news->contenu,0,$resume3[1])."\n\nSuite ...\n\n";
				}
				if($news->type==1) //BBCode
				{
					$texte .= '<hr />'.bbcode($news->contenu,$news->smiley,1);
				}
				else  // HTML
				{
					$texte .= '<hr />'.bbcode($news->contenu,0,0,1,1,($news->js ? 1:0));
				}
				if (strpos($texte,'|{}|')!=FALSE) // Coupure de page
				{
					$texte = preg_replace('#<p>(\s*?)(\|\{\}\|)(\s*?)</p>#','$2',$texte);
					$texte = substr($texte,0,strpos($texte,'|{}|')).'<br />
					<a href="'.(url_rw('./index.php?mod=news&amp;ac=commentaires&amp;id='.$news->id,array($news->titre))).'" title="Suite de la news">Suite...</a><br /><br />';
				}
			}

			$texte .= '<hr />';

			if ($news->edit != '')
				$texte .= '<div style="float:left;font-style:italic;width:45%">&Eacute;dit&eacute; le : '.ax($news->edit).'</div>';

			$texte .= '
			<div style="float:right;font-style:italic;width:50%;text-align:right">
				<a href="'.(url_rw('./index.php?mod=news&amp;ac=commentaires&amp;id='.$news->id,array($news->titre))).'">';

			if ($j>=$resume3[0])
				$texte .= 'Lire cette news<br />';
			elseif (!empty($resume3[1]) AND strlen($news->contenu) > $resume3[1])
				$texte .= 'Lire la suite<br />';

			$texte .= '(Lu '.$news->hit.' fois)';

			if ($K_news_gr_commentaires > GRD_EXCLU)
				$texte .= '| '.$news->nbr_comment.' commentaire'.($news->nbr_comment>1 ? 's':'').'';

			$texte .= '</a>
			</div>
			</fieldset>';

			$j++;
		}
		$texte .= '<br /><div style="text-align:right"><a href="'.(url_rw('index.php?mod=news')).'">Toutes les news</a></div>';
	}
	//Pas de news
	else
	{
		$texte = '<div style="font-style:italic; text-align:center;"><h5>Aucune news n&rsquo;a encore &eacute;t&eacute; post&eacute;e</h5></div>';
	}

	bloc_head('<a href="'.(url_rw('./index.php?mod='.$resume->module)).'"><strong>'.$resume->parametre1.'</strong></a>');
	echo $texte;
	close_table();
}
?>
