<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: index.php 1009 2016-02-04 11:45:58Z mike007 $
// ---------------------------------------------------------------
// Mise a jour : 19/09/06 par Jack
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

bloc_head('Les pages de '.ax($nom_page).'');

$req_page = reqmysql('
	SELECT		`droit`.`page`,
				`droit`.`grade`,
				`droit`.`condition`,
				`droit`.`groupe`,
				`d2`.`page` AS page_rub,
				`d2`.`grade` AS grade_rub,
				`d2`.`condition` AS condition_rub,
				`d2`.`groupe` AS groupe_rub,
				`page`.`id`,
				`page`.`ref`,
				`page`.`titre`,
				`rubriques`.`id`	AS rub_id,
				`rubriques`.`titre` AS rub_titre
	FROM		`page`
	LEFT JOIN	`droit`
		ON		`droit`.`page` = CONCAT("id_page_",`page`.`id`)
	LEFT JOIN	`droit` AS d2
		ON		`d2`.`page` = CONCAT("id_",`page`.`ref`)
	LEFT JOIN	`rubriques`
		ON		`rubriques`.`id` = `page`.`ref`
	'.(isset($_GET['int_rub']) ? 'WHERE `rubriques`.`id` '.(!empty($_GET['int_rub']) ? '='.$_GET['int_rub']:'is NULL'):'').'
	ORDER BY	`rubriques`.`titre` ASC, `page`.`id` DESC
');

if (Kws_mysql_num_rows($req_page) != 0)
{

	// Boucle qui liste les pages
	$TitreRubPrec = '&nbsp;';
	while ($page_info = Kws_mysql_fetch_object($req_page))  //Debut boucle de listing des pages
	{
		if (autorisation($page_info->condition_rub, $page_info->grade_rub, $page_info->groupe_rub) OR $page_info->rub_titre==NULL)
		{
			if (autorisation($page_info->condition, $page_info->grade, $page_info->groupe))
			{
				if ($page_info->rub_titre != $TitreRubPrec)
				{
					echo '<h3><a href="./index.php?mod=page&amp;int_rub='.ax($page_info->rub_id).'">'.($page_info->rub_titre!=NULL ? ax($page_info->rub_titre):'Sans Rubrique').'</a></h3>';
				}
				echo '<div style="margin-left:15px;"><a href="'.(url_rw('./index.php?mod='.$K_mod.'&amp;ac=page&amp;id_page='.$page_info->id,array($page_info->titre))).'">'.ax($page_info->titre).'</a></div>';
				$TitreRubPrec = $page_info->rub_titre;
			}
		}
	}
}
else
{
	echo '<p style="text-align:center; font-style:italic;">Aucune page d&eacute;finie.</p>';
}
close_table();
?>
