<?php

// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// ---------------------------------------------------------------
// Mise a jour : 30/06/06 par Ditch
// ---------------------------------------------------------------

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

if (get_grade()>=GRD_VISIT)
{
	echo '
	<table style="width:100%;" summary="plan du site">
		<tr>
			<td style="vertical-align:top">';

				##############
				##   News   ##
				##############
				if (is_module('news'))
				{
					bloc_head('News') ;
	
					$req = reqmysql('
						SELECT			`news`.`id`		as news_id,
										`news`.`titre`	as news_titre
						FROM			`news`
						LEFT JOIN		`rubriques`
							ON			`rubriques`.`id`=`news`.`ref`
						WHERE			`news`.`validation`="0"
							AND			`news`.`ref` IN '.$K_user->rubrique[0].'
						ORDER BY		`news`.`id` DESC
					');
	
					if (Kws_mysql_num_rows($req)>0)
					{
						echo '
						<ul style="list-style-image: url(themes/'.$K_theme.'/images/puce.png);">'."\n" ;
						while($rep = Kws_mysql_fetch_object($req))
						{
							echo '
							<li><a href="'.url_rw('./index.php?mod=news&amp;ac=commentaires&amp;id='.$rep->news_id,array($rep->news_titre)).'">'.ax($rep->news_titre).'</a></li>'."\n" ;
						}
						echo '
						</ul>';
					}
					else
					{
						echo '
						<p style="text-align:center; font-style:italic;">Pas de news pour le moment.</p>';
					}
	
					close_table();
				}

				##############
				##   Forum  ##
				##############
				if (is_module('forum'))
				{
					bloc_head('Sujets du forum') ;
	
					if ($K_pseudo!=NULL)
					{
						$catconsul= reqmysql('
							SELECT		`forum_cat`.`id`
							FROM		`forum_cat`
							LEFT JOIN	`groupes_mbr`
								ON		`groupes_mbr`.`groupe` = `forum_cat`.`id_groupe`
							WHERE 		((`groupes_mbr`.`pseudo` = "'.sp($K_pseudo).'"
								AND		`groupes_mbr`.`grade` != "-1" AND `groupes_mbr`.`grade` != "-2"
								AND		`groupes_mbr`.`groupe` = `forum_cat`.`id_groupe`)
								OR		`forum_cat`.`id_groupe`="0")
								AND		`forum_cat`.`attribut`="1"
							ORDER BY	`forum_cat`.`id`
						');
					}
					else
					{
						$catconsul= reqmysql('
							SELECT		`id`
							FROM		`forum_cat`
							WHERE		`id_groupe`="0"
								AND		`attribut`="1"
							ORDER BY	`id`
						');
					}
					$rescat = Kws_mysql_fetch_object($catconsul);
					if(Kws_mysql_num_rows($catconsul)>0)
					{
						$catvisu=' `ref`="'.$rescat->id.'"';
						if(Kws_mysql_num_rows($catconsul)>1)
						{
							while ($rescat = Kws_mysql_fetch_object($catconsul))
							{
								$catvisu.=' OR `ref`="'.$rescat->id.'"';
							}
						}
	
						$req = reqmysql('
							SELECT		`ref`	as forum_ref,
										`id`	as forum_id,
										`titre`	as forum_titre
							FROM		`forum_topic`
							WHERE		'.( $catvisu != NULL ? '('.$catvisu.')':'').'
							ORDER BY	`id` DESC
							limit		0,50
						') ;
						if (Kws_mysql_num_rows($req)>0)
						{
							echo '
							<ul style="list-style-image: url(themes/'.$K_theme.'/images/puce.png);">'."\n" ;
							while($rep = Kws_mysql_fetch_object($req))
							{
								echo '
								<li><a href="'.url_rw('./index.php?mod=forum&amp;ac=voir&amp;id='.$rep->forum_id.'',array($rep->forum_titre)).'">'.ax($rep->forum_titre).'</a></li>'."\n" ;
							}
							echo '
							</ul>';
						}
					}
					else
					{
						echo '
						<p style="text-align:center; font-style:italic;">Pas de topic sur le forum pour le moment.</p>';
					}
	
					close_table();
				}

				echo '
				</td>
				<td style="vertical-align: top">' ;

				##############
				##   Pages  ##
				##############
				if (is_module('page'))
				{
					bloc_head('Pages') ;
	
					$req_page = reqmysql('
						SELECT		`droit`.`page`,
									`droit`.`grade`,
									`droit`.`condition`,
									`droit`.`groupe`,
									`d2`.`page` AS page_rub,
									`d2`.`grade` AS grade_rub,
									`d2`.`condition` AS condition_rub,
									`d2`.`groupe` AS groupe_rub,
									`page`.`id`,
									`page`.`ref`,
									`page`.`titre`,
									`rubriques`.`titre` AS rub_titre
						FROM		`page`
						LEFT JOIN	`droit`
							ON		`droit`.`page` = CONCAT("id_page_",`page`.`id`)
						LEFT JOIN	`droit` AS d2
							ON		`d2`.`page` = CONCAT("id_",`page`.`ref`)
						LEFT JOIN	`rubriques`
							ON		`rubriques`.`id` = `page`.`ref`
						ORDER BY	`rubriques`.`titre` ASC, `page`.`id` DESC
					');

					if (Kws_mysql_num_rows($req_page)>0)
					{
						$TitreRubPrec = '&nbsp;';
						while ($page_info = Kws_mysql_fetch_object($req_page))  //Debut boucle de listing des pages
						{
							if (autorisation($page_info->condition_rub, $page_info->grade_rub, $page_info->groupe_rub) OR $page_info->rub_titre==NULL)
							{
								if (autorisation($page_info->condition, $page_info->grade, $page_info->groupe))
								{
									if ($page_info->rub_titre != $TitreRubPrec)
									{
										echo '<h3>'.($page_info->rub_titre!=NULL ? ax($page_info->rub_titre):'Sans Rubrique').'</h3>';
									}
									echo '<div style="margin-left:15px;"><a href="'.url_rw('./index.php?mod=page&amp;ac=page&amp;id_page='.$page_info->id,array($page_info->titre)).'">'.ax($page_info->titre).'</a></div>';
									$TitreRubPrec = $page_info->rub_titre;
								}
							}
						}
					}
					else
					{
						echo '
						<p style="text-align:center; font-style:italic;">Pas de pages pour le moment.</p>';
					}
					echo '<br />';
					close_table();
				}

				######################
				##  Modules divers  ##
				######################
				bloc_head('Modules') ;

				echo '
				<ul style="list-style-image: url(themes/'.$K_theme.'/images/puce.png);">'."\n";
				$rep = opendir('modules');
				while (($file = readdir($rep)) != false)
				{
					if(	$file != '..'				and
						$file != '.'				and
						$file != ''					and
						$file != 'espace_membre'	and
						$file != 'admin'			and
						$file != 'alerte'			and
						$file != 'bbcode_sup'		and
						$file != 'debug'			and
						$file != 'droit'			and
						$file != 'eskuel'			and
						$file != 'generateur'		and
						$file != 'infoZ'			and
						$file != 'maintenance'		and
						$file != 'menu'				and
						$file != 'menuD'			and
						$file != 'plan'				and
						$file != 'smileys'			and
						$file != 'theme_pour_tous'	and
						$file != 'tpl_manager'		and
						is_module($file)			and
						file_exists('./modules/'.$file.'/index.php'))
					{
						echo ' 
						<li><a href="'.url_rw('./index.php?mod='.$file).'">'.$file.'</a></li>'."\n";
					}
				}
				echo '
				</ul>';
				closedir($rep);
				clearstatcache();

				close_table();

				echo '
			</td>
		</tr>
	</table>' ;
}
else
{
	ZoneReserve();
}
?>
