<?php
// $Id: bloc.php 973 2015-07-21 09:36:14Z mike007 $

if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}

//*************************
//* ICONES ESPACE MEMBRES *
//*************************
// Affichage de la structure de l'espace membres
function admin_bloc ($titre, $image, $lien, $x)
{
	if (empty($image) or !file_exists($image))
	{
		$image = './themes/'.$GLOBALS['theme'].'/images/modules/koi.png';
	}

	echo '<td style="width: 25%; text-align: center">
		<p style="text-align:center;">
			<a href="'.$lien.'"><img src="'.$image.'" alt="Image" style="border:none" /><br />'.$titre.'</a>
		</p>
	</td>';
	if ($x == 4)
	{
		echo '</tr>
		<tr>
			<td>&nbsp;</td>
		</tr>
		<tr>' ;
		$x = 0;
	}
	return $x;
}

//*********
//* BLOCS *
//*********
// Blocs principaux (Menu, intro)
function bloc ($titre, $contenu)
{
	global $result_bloc;

	if (file_exists('./themes/'.$GLOBALS['theme'].'/images/blocs/'.$result_bloc[module].'.png'))
	{
		$class_bloc = $result_bloc[module];
	}
	else
	{
		$class_bloc = 'vide';
	}

/*
	echo '<div class="bloc_titre" style="background-image:url(\'./themes/aquarelle/images/blocs/'.$class_bloc.'.png\'); "  >'.($class_bloc == 'vide' ? ''.$titre : '').'</div>
	<div class="bloc_contenu">'.$contenu.'</div>
	<div class="bloc_footer"></div>';
*/

	echo '<table style="width:100%; border:none" cellpadding="0" cellspacing="0" summary="bloc">
		<tr>
			<td><div class="imgbloc_01">&nbsp;</div></td>
			<td style="text-align:center" class="imgbloc_02" nowrap="nowrap">'.(empty($titre) ? '&nbsp;' : $titre).'</td>
			<td><div class="imgbloc_03">&nbsp;</div></td>
		</tr>
		<tr>
			<td class="bloc_left">&nbsp;</td>
			<td>'.(empty($contenu) ? '&nbsp;' : $contenu).'</td>
			<td class="bloc_right">&nbsp;</td>
		</tr>
		<tr>
			<td class="bloc_footer_01">&nbsp;</td>
			<td class="bloc_footer_02">&nbsp;</td>
			<td class="bloc_footer_03">&nbsp;</td>
		</tr>
	</table>';
}

// Les blocs avec un titre
function bloc_head ($titre)
{
	echo '<table style="width:100%; border:none" cellpadding="0" cellspacing="0" summary="bloc_head">
		<tr>
			<td><div class="imgbloc_01">&nbsp;</div></td>
			<td style="text-align:center" class="imgbloc_02" nowrap="nowrap">'.(empty($titre) ? '&nbsp;' : $titre).'</td>
			<td><div class="imgbloc_03">&nbsp;</div></td>
		</tr>
		<tr>
			<td class="bloc_left">&nbsp;</td>
			<td class="blocline">';
}

// Les blocs sans titre
function open_table ()
{
	echo '<table style="width:100%; border:none" cellpadding="0" cellspacing="0" summary="open_table">
		<tr>
			<td><div class="bloc_vide_01">&nbsp;</div></td>
			<td style="text-align:center" class="bloc_vide_02" >&nbsp;</td>
			<td><div class="bloc_vide_03">&nbsp;</div></td>
		</tr>
		<tr>
			<td class="bloc_left">&nbsp;</td>
			<td style="width: 100%">';
}

// Fin des blocs
function close_table ()
{
			echo '</td>
			<td class="bloc_right">&nbsp;</td>
		</tr>
		<tr>
			<td class="bloc_footer_01">&nbsp;</td>
			<td class="bloc_footer_02">&nbsp;</td>
			<td class="bloc_footer_03">&nbsp;</td>
		</tr>
	</table>';
}

//********
//* NEWS *
//********
function bloc_news ($titre, $date, $auteur, $image, $contenu, $hit, $id_comment, $id_auteur, $nbcomm, $avatar)
{
	global $grade;

	if ($grade >= GRD_MODOG)
	{
		$editer = '<br />
		<br />
		<a href="index.php?mod='.$GLOBALS['mod'].'&amp;ac=gestion&amp;action=edit&amp;int_id='.$id_comment.'">Editer</a>&nbsp;&nbsp;';
	}

	$hits = $hit.' lecture'.($hit>1 ? 's' : '');

	$date = kws_date('d/m/Y H:i',$date).' par <a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$id_auteur.'">'.$auteur.'</a>';

	if ($GLOBALS['ac'] != 'commentaires')
	{
		if ($nbcomm==0)
		{
			$commentaire = '<br />
			<img src="themes/'.$GLOBALS['theme'].'/images/news/ajout_commentaire.png" alt="ajout commentaire" style="border:none" />&nbsp;<a href="index.php?mod=news&amp;ac=commentaires&amp;id='.$id_comment.'">Ajouter un commentaire</a>';
		}
		elseif ($nbcomm==1)
		{
			$commentaire = '<br />
			<img src="themes/'.$GLOBALS['theme'].'/images/news/commentaire.png" alt="1 commentaire" style="border:none" />&nbsp;<a href="index.php?mod=news&amp;ac=commentaires&amp;id='.$id_comment.'">1 commentaire</a>';
		}
		else
		{
			$commentaire = '<br />
			<img src="themes/'.$GLOBALS['theme'].'/images/news/commentaire.png" alt="+ commentaires" style="border:none" />&nbsp;<a href="index.php?mod='.$GLOBALS['mod'].'&amp;ac=commentaires&amp;id='.$id_comment.'">'.$nbcomm.' commentaires</a>' ;
		}
	}

	// Affichage des news
	echo '<table style="width:100%; border:none" cellpadding="0" cellspacing="0" class="bodyline" summary="'.$GLOBALS['mod'].'">
		<tr>
			<td><div class="imgbloc_01">&nbsp;</div></td>
			<td style="text-align:center" class="news" nowrap="nowrap"><a class="cattitle" href="index.php?mod=news&amp;ac=commentaires&amp;id='.$id_comment.'">'.$titre.' ['.$hits.']</a>&nbsp;</td>
			<td><div class="imgbloc_03">&nbsp;</div></td>
		</tr>
		<tr>
			<td class="bloc_left">&nbsp;</td>
			<td class="contenu_news">
				<span class="date">'.$date.'&nbsp;</span>
				<hr />
				<img  class="img_news" src="'.$image.'" alt="'.$image.'"  />
				<div align="justify" >'.$contenu.'</div>
				'.$commentaire.'<span>'.$editer.'&nbsp;</span>
			</td>
			<td class="bloc_right">&nbsp;</td>
		</tr>
		<tr>
			<td class="bloc_footer_01">&nbsp;</td>
			<td class="bloc_footer_02">&nbsp;</td>
			<td class="bloc_footer_03">&nbsp;</td>
		</tr>
	</table>';
}

//************
//* ARTICLES *
//************
# Les Articles
function bloc_article_cat ($id, $titre, $image, $contenu)
{
	global $K_mod;
	
	if (!empty($image))
	{
		$image = '<a href="index.php?mod=articles&amp;ref='.$id.'"><img class="img_news" src="'.$image.'" style="float:right; border:0" alt="'.$image.'" /></a>';
	}
	//affichage
	echo '<table cellspacing="0" cellpadding="0" summary="'.$K_mod.'">
		<tr>
			<td><div class="imgbloc_01">&nbsp;</div></td>
			<td class="imgbloc_02"><a class="cattitle" href="index.php?mod=articles&amp;ref='.$id.'">'.$titre.'</a></td>
			<td><div class="imgbloc_03">&nbsp;</div></td>
		</tr>
		<tr>
			<td class="bloc_left">&nbsp;</td>
			<td style="text-align:left;">'.$image.$contenu.'</td>
			<td class="bloc_right_article">&nbsp;</td>
		</tr>
		<tr>
			<td class="bloc_footer_01">&nbsp;</td>
			<td class="bloc_footer_02">&nbsp;</td>
			<td class="bloc_footer_03">&nbsp;</td>
		</tr>
	</table>';
}

function bloc_rubrique_cat ($id, $titre, $image, $contenu)
{
	global $K_mod;
	if (!empty($image))
	{
		$image = '<a href="index.php?mod='.$K_mod.'&amp;action='.$K_mod.'&amp;ref='.$id.'">	<img src="'.$image.'" style="border:none; text-align:left" alt="'.$image.'" /></a><br />' ;
	}

	echo '<table width="100%" border="0" cellpadding="0" cellspacing="0" class="cadre" summary="'.$K_mod.'">';
		if($titre)
		{
			echo'<tr>
				<td align="left" valign="middle" class="titre_blocs">
					<a href="index.php?mod='.$K_mod.'&amp;action='.$K_mod.'&amp;ref='.$id.'"><span class="cattitle">&nbsp;&nbsp;'.$titre.'</span></a>
				</td>
			</tr>';
		}
		echo'<tr>
			<td align="left" valign="top">'.$image.'&nbsp;'.$contenu.'</td>
		</tr>
	</table>
	<br />';
}

//************
//* LE FORUM *
//************
function forum_rep_head()
{
	bloc_head('');
	echo '<!--  Enttes des posts du forum (forum_rep_head) -->
	<table style="width:100%; border:0;" cellspacing="0" cellpadding="0" summary="Contenu des posts forum">';
}

function forum_rep_mid ($auteur, $message, $signature, $date, $type, $id, $contact=null)
{
	echo '<!--  Contenu des posts du forum (forum_rep_mid)  -->
	<tr>
		<td style="width:100%;">
			<div style="text-align:left;">';
				open_table();
				echo '<table style="width:100%; border:0;" cellspacing="0" cellpadding="0" summary="Post">
					<tr>
						<td style="width:20%; vertical-align:top; text-align:center;">'.$auteur.'</td>
						<td style="width:75%; vertical-align:top">
							<span class="forum_date">'.$date.'</span>
							<hr />
							<p>'.$message.'</p>';
							if (!empty($signature))
							{
								echo '<hr />
								<p>'.$signature.'</p>';
							}
							if (!empty($contact))
							{
								echo '<hr />
								<p>'.$contact.'</p>';
							}
							echo '<div style="text-align:right"><a href="./index.php?'.ax($_SERVER['QUERY_STRING']).'#">Remonter</a></div>
						</td>
					</tr>
				</table>
				<br />' ;
				close_table();
			echo '</div>
		</td>
	</tr>';
}

function forum_rep_sep ()
{
	echo '<!--  Sparateur des posts du forum (forum_rep_sep)-->
	<tr style="height:5px;">
		<td>&nbsp;</td>
	</tr>';
}

function forum_rep_close ()
{
	echo '<!--  Fermeture des posts du forum (forum_rep_close)  -->
	</table>';
	close_table();
}

# Entetes du forum
function forum_head ($titre = 'Sujets', $dernier = 'Derniers Messages')
{
	echo '<!--  Sujets du forum  enttes (forum_head)  -->';
	open_table();
	echo '<table width="100%" border="0" cellpadding="0" cellspacing="0" summary="Sujets du forum">
		<tr>
			<td class="forum_titre_left">&nbsp;</td>
			<td class="forum_titre" colspan="1"> '.$titre.' </td>
			<td class="forum_titre" style="text-align:center;"> R&eacute;ponses </td>
<!--
			<td class="forum_titre" style="text-align:center;"> Auteur </td>
-->
			<td class="forum_titre" style="text-align:center;"> Vus </td>
			<td class="forum_titre" style="text-align:center;"> '.$dernier.' </td>
			<td class="forum_titre_right">&nbsp;</td>
		</tr>';
}

function forum_mid ($image, $titre, $rep, $auteur, $hits, $dernier)
{
	global $K_ac;
	if (!empty($auteur))
	{
        $auteur = explode('<br />',$auteur);
		$auteur = '<div style="margin-left:5px;">de '.$auteur[0].' &raquo; '.$auteur[1].'</div>';
	}
	echo '<!--  Contenu des sujets du forum (forum_mid)  -->
	<tr align="left" onmouseover="this.className = \'onmouse_over_forum\';" onmouseout="this.className = \'onmouse_out_forum\';">
		<td style="text-align:center;"><img src="'.$image.'" style="border:none" /></td>
		<td style="text-align:left; width:70%;padding-left:5px;">'.$titre.''.$auteur.'</td>
		<td style="text-align:center; width:5%;">'.$rep.'</td>
<!--
		<td style="text-align:center; width:10%;">'.$auteur.'</td>
-->
		<td style="text-align:center; width:5%;">'.$hits.'</td>
		<td style="text-align:center;  width:20%;">'.($K_ac == 'rubrique' ? 'de ':'').$dernier.'</td>
	</tr>';
}

function forum_close ()
{
	echo '<!--  Fermeture des sujets du forum (forum_close) -->
	</table>' ;
	close_table();
}

# Les Catgories du forum
function forum_cat_head ()
{
	open_table();
	echo '<!--  Enttes des catgories de forum (forum_cat_head)  -->
	<table width="100%" border="0" cellpadding="0" cellspacing="0" summary="Catgories du forum">
		<tr>
			<td class="forum_titre_left"></td>
			<td class="forum_titre" colspan="1">Forum</td>
			<td class="forum_titre">Sujets</td>
			<td class="forum_titre">R&eacute;ponses</td>
			<td class="forum_titre" style="text-align:center; width:20%;">Dernier post</td>
			<td class="forum_titre_right">&nbsp;</td>
		</tr>';
}

function forum_cat_mid ($image, $titre, $desc, $nb_sujet, $nb_rep, $dernier, $id)
{
	$dernier = explode('<br />',$dernier);
	if (!empty($dernier[2]))	$dernier = 'Dans '.$dernier[2].', par '.$dernier[0].', date: '.$dernier[1].'';
	else						$dernier = implode('<br />',$dernier);
	echo '<!--  Contenu des catgories (forum_cat_mid)  -->
	<tr onmouseover="this.className = \'onmouse_over_forum\';" onmouseout="this.className = \'onmouse_out_forum\';">
		<td width="45" align="left" valign="top"><img src="'.$image.'" /></td>
		<td class="forum_cat_mid" >
			'.$titre.'<br />
			'.$desc.'
		</td>
		<td style="text-align:center; width:10%;">'.$nb_sujet.'</td>
		<td style="text-align:center; width:10%;">'.$nb_rep.'</td>
		<td style="text-align:left; width:20%;">'.$dernier.'</td>
	</tr>';
}

# Les Sparations
function forum_cat_sep ($titre)
{
	echo '<!--  Sparateurs de catgories  -->
	<tr>
		<td class="forum_titre_left"></td>
		<td class="forum_separ" colspan="4" ><span>&nbsp;'.$titre.'</span></td>
		<td class="forum_titre_right"></td>
	</tr>';
}

function forum_cat_close ()
{
	forum_close();
}
?>
